<h1 align="center">
  <a href="https://neo-layout.org" style="padding: 0;">
    Neo – ergonomisch optimiert
  </a><br />
  <span style="font-size: .8rem; display: block;">Dokumentation</span>
</h1>


## Änderungen direkt über Gitea

Auf den Dokumentationsseiten befindet sich ein <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="1em"><path d="M20.71 7.04c.39-.39.39-1.04 0-1.41l-2.34-2.34c-.37-.39-1.02-.39-1.41 0l-1.84 1.83 3.75 3.75M3 17.25V21h3.75L17.81 9.93l-3.75-3.75L3 17.25z"></path></svg> Knopf, über den die Seite im Gitea-Editor geändert werden kann. Die Dokumentation wird automatisch neu gebaut, wenn Änderungen im master-Branch eingehen und kann unter https://neo-layout.org/ eingesehen werden.

## Selber Bauen

### Anforderungen

* [MkDocs](https://www.mkdocs.org) – Statischer Seitengenerator
* [MkDocs-Material](https://squidfunk.github.io/mkdocs-material/) – Material-Theme für MkDocs
* Git in irgendeiner Form

### Herunterladen
Das [Dokumentations-Repository](https://git.neo-layout.org/neo/dokumentation) herunterladen und entpacken oder mittels Befehl klonen:
```
git clone https://git.neo-layout.org/neo/dokumentation.git
```

Das Produktivsystem verwendet zur Zeit Version 6.1.4 von mkdocs-material. Eine kompatible Testumgebung kann man mit
```
python -m venv venv
./venv/bin/activate
pip install -r requirements.txt
```
aufsetzen.

### Bauen
Den lokalen MkDocs Server im Dokumentations-Repository mit `mkdocs serve` starten. Die Dokumentation wird nun auf `http://localhost:8000` angezeigt und bei Änderungen automatisch aktualisiert.

Mittels `mkdocs build` kann die gesamte Dokumentation statisch generiert werden. Die entstandenen Dateien finden sich im Verzeichnis `site`.

## Struktur

```
.
├─ docs/                   # Dokumentationsstexte im Markdownformat
│  ├─ Einrichtung/         # Neo einrichten
│  ├─ Benutzerhandbuch/    # Einzelne Seiten zum Benutzerhandbuch
│  ├─ Beitragen/           # Kontakt, Mitmachen, Mitentwickeln
│  ├─ Download/            # Markdown für Download und Installation
│  ├─ .../                 # und andere Bereiche der Dokumentation / des Benutzerhandbuchs
│  └─ index.md             # Setzen des Startseitentemplates
├─ overrides/              # Themaanpassungen nach Materialvorgabe
│  ├─ assets/
│  │  ├─ images/           # Icons, Logos und Bilder für die Startseite
│  │  └─ stylesheets/      # Zusätzliche Stilanpassungen
│  ├─ overrides/
│  │  └─ home.html         # Startseitentemplate
│  ├─ partials/
│  │  ├─ footer.html       # Anpassung des Footers
│  │  ├─ tabs-item.html    # Anpassung der Tabbar um Tabs mit Einzelseiten zu erlauben
│  │  └─ header.html       # Anpassung des Headers
│  └─ main.html            # Anpassung des Haupttemplates
├─ mkdocs.yml              # MkDocs Konfiguration
└─ README.md
```
