# Erstellen von Grafiken

## Bevorzugte Dateiformate
Wann immer möglich, sollten **alle Grafiken im verlustfreien [SVG-Vektorformat](https://de.wikipedia.org/wiki/Scalable_Vector_Graphics)** erstellt werden. Eine gute und freie Software hierfür ist [Inkscape](https://www.inkscape.org/?lang=de). Dabei sollte darauf geachtet werden, in der Datei auch die CC-BY-SA-Lizenz (genaueres hierzu bei den [Lizenzfragen](Lizenzfragen.md)) mit anzugeben; unter Inkscape geht dies komfortabel unter »Datei/Dokument-Metadaten/Nutzungsbedingungen → Lizenz«.

Sofern Bitmap-Varianten (Pixel-Grafiken) erstellt werden müssen, sollte das [PNG-Format](https://de.wikipedia.org/wiki/Portable_Network_Graphics) gewählt werden.

Kurze Animationen (etwa für die Homepage) sollten als GIF (oder noch besser im [APNG-Format](https://de.wikipedia.org/wiki/Animated_Portable_Network_Graphics)) oder am Besten gar nicht erstellt werden, da diese nur nerven und ablenken.

### Warum ist SVG das bevorzugte Format?
Das SVG-Format hat viele Vorteile:

 * Man kann sich selbst PNGs in beliebiger Qualität (Vergrößerung und Komprimierung) erzeugen.
 * Man kann sich selbst Versionen ohne Antialiasing erzeugen (sind dann kantiger, aber wesentlich kleiner).
 * Man kann die Grafik verändern/verbessern/in einem anderen Kontext verwenden.
 * Die meisten modernen Browser unterstützen diesen Standard, so dass eigentlich überall SVG-Dateien betrachtet werden können sollten.
 * Wenn die SVG-Datei zu groß ist, bewirkt eine Komprimierung mit gzip („svgz“) oft Wunder.

## SVGs in andere Formate umwandeln
### SVGs in PNGs konvertieren
Zuerst die gewünschte SVG-Grafik mit Inkscape ins PNG-Format konvertieren. Die so entstandenen Dateien sind jedoch noch sehr groß, da sie 24 Bit pro Pixel verwenden.

Nachbearbeitung mit GIMP → Bild → Modus → Indiziert… → Optimale Palette erzeugen (255 Farben → 8b) → Umwandeln → Abspeichern.

Zu guter Letzt kann die Größe der PNG-Datei mit Hilfe des Programms [pngOUT.exe](http://www.advsys.net/ken/utils.htm) von Ken Silverman nochmal verlustfrei verkleinert werden.

### SVGs in PDFs konvertieren
Dafür kann man ebenfalls Inkscape verwenden.
