# Lizenzfragen

## Grundsätzliches
Das Neo-Projekt sieht sich selbst als [FLOSS (Free/Libre Open Source Software)](http://de.wikipedia.org/wiki/FLOSS).

## Projektrichtlinien
Alle Dateien sollen unter [freien](http://de.wikipedia.org/wiki/Freie_Software) [Copyleft-Lizenzen](http://de.wikipedia.org/wiki/Copyleft) veröffentlicht werden:

 * Bilder und Texte: Hier wird von uns einheitlich die [CC-BY-SA-Lizenz](http://creativecommons.org/licenses/by-sa/3.0/de/) (Creative Commons: Namensnennung – Weitergabe unter gleichen Bedingungen 3.0 Deutschland)] verwendet.
 * Programmcode (dies betrifft insbesondere die von uns programmierten Treiber) wird unter die [GPLv3](http://www.gnu.org/licenses/gpl-3.0.html) gestellt.

## Fragen und Antworten

!!! question "Warum stehen die Texte nicht unter der [GNU-Lizenz für freie Dokumentation](http://de.wikipedia.org/wiki/GNU_Free_Documentation_License)?"
    * Die CC-BY-SA folgt den selben Grundgedanken, ist jedoch allgemeiner und auch einfacher zu verstehen als die doch recht komplizierte GFDL.
    * Auf diese Art und Weise stehen die Bilder und die Texte unter der gleichen Lizenz. Damit werden unnötige [Inkompatibilitäten](http://en.wikipedia.org/wiki/GNU_Free_Documentation_License#Compatibility_with_CC-BY-SA) vermieden.
    * Die GFDL fordert, dass wenn jemand einen Teil der Dokumentation irgendwo abdrucken will, er dann auch die *komplette* GFDL mit abdrucken muss (und sie ist nicht gerade kurz).
    * Auch die Wikipedia wird aus diesen Gründen voraussichtlich von der GFDL zur CC-BY-SA wechseln bzw. beide Lizenzen gleichzeitig einsetzen (genaueres [hier (auf englisch)](http://meta.wikimedia.org/wiki/Licensing_update)). Als die Wikipedia entstand, gab es die Creative-Commons-Lizenzen schlichtweg noch nicht.
    * [Vergleich von GFDL und CC-BY-SA (auf englisch)](http://en.wikipedia.org/wiki/Wikipedia:Comparison_of_GFDL_and_CC-BY-SA)

!!! question "Warum erlauben wir auch eine kommerzielle Nutzung unserer Texte und Bilder?"
    Um zur Wikipedia kompatibel zu bleiben; schon der Baustein »Weitergabe unter gleichen Bedingungen« verhindert effektiv Missbrauch. Genauere Hintergründe finden sich im dem Artikel [»Freiheit mit Fallstricken: Creative-Commons-NC-Lizenzen und ihre Folgen«](http://www.opensourcejahrbuch.de/download/jb2006/chapter_06/osjb2006-06-01-moeller) aus dem Open Source Jahrbuch 2006.

!!! question "Warum sind die veröffentlichten Dateien nicht gemeinfrei? Warum wird nicht die CC-BY-Lizenz genutzt?"
    Das [Copyleft](http://de.wikipedia.org/wiki/Copyleft)-Prinzip erzwingt die Freiheit von Weiterbearbeitungen und Fortentwicklungen unserer Werke, um dadurch ihre unfreie Vereinnahmung zu verhindern. Weiteres kann [hier](http://de.wikipedia.org/wiki/Gemeinfreiheit#Copyleft) nachgelesen werden.

!!! missing "Was ist mit dem Begriff [Schöpfungshöhe](http://de.wikipedia.org/wiki/Schöpfungshöhe) gemeint?"
    Antwort selbsterklärend? Ansonsten bitte hier einfügen.

!!! question "Warum wird nicht die [LGPLv3](http://www.gnu.org/licenses/lgpl-3.0.html) benutzt?"
    Weil Tastaturtreiber keine Libraries sind.

!!! question "Wo kann ich weitere Informationen zu diesem Thema erhalten?"
    In der entsprechenden [FAQ](http://de.wikipedia.org/wiki/Hilfe:FAQ_Rechtliches) der Wikipedia.

!!! question "Warum müssen alle vom Neo-Projekt veröffentlichten Treiber unter einer Lizenz stehen?"
    Wird dies nicht getan, unterliegt der Code dem Urheberrecht und widerspricht damit dem [FLOSS](http://de.wikipedia.org/wiki/FLOSS)-Gedanken.
