# Ebenen 1 und 2

--8<-- "top/komplette Überarbeitung.md"

Die 1. Ebene ist das „Herz“ von Neo, die Neubelegung der Buchstaben. Da das Prinzip „Shift + Kleinbuchstabe = Großbuchstabe“ beibehalten wurde, ergibt sich die Belegung von Ebene 2 daraus (größtenteils) automatisch.

**Neo 1** wurde 2004 von Hanno Behrens entwickelt. Es gibt einen eigenen Artikel zur [Geschichte von Neo](../../Unsortiert/Geschichte).
Die Belegung (nur der Buchstaben) war

|   |   |   |   |   |   |   |   |   |   |  |
| - | - | - | - | - | - | - | - | - | - | -|
| q | v | l | c | w | k | h | g | f | j | ß|
| u | i | a | e | o | s | n | r | t | d | y|
| ö | ü | ä | p | z | b | m | , | . | x|

Von da aus zur aktuellen Version gab es nur zwei Änderungen:
 * Ringtausch q → x → j → q
   * Dadurch liegt x in der Nähe von c und v (Strg+x,c,v für Cut, Copy und Paste)
   * Beim Tippen von qu entsteht keine Kollision mehr auf dem kleinen Finger
   * der kleine Finger kommt besser in die untere Reihe als in die obere und j ist häufiger als q
 * Tausch ö ↔ ü 
   * ü liegt nun unter u (wie auch ä unter a) – leichter zu merken

Somit ist die aktuelle Version von **Neo 2** die folgende:

|   |   |   |   |   |   |   |   |   |   |  |
| :---: | :---: | :---: | :---: | :---: | :---: | :---: | :---: | :---: | :---: | ---: |
| x | v | l | c | w | k | h | g | f | q | ß|
| u | i | a | e | o | s | n | r | t | d | y|
| ü | ö | ä | p | z | b | m | , | . | j|

Weitere Vorschläge, die sich jedoch nicht durchsetzen konnten:

 * k ↔ y
   * P: k liegt durch die versetzte Lage deutlich schlechter als z.B. w, y liegt zwar auf kl. Finger, aber Grundreihe
   * K: k liegt gut für ck-Kombination
   * K: armer kleiner Finger

 * ß auf höhere Ebene legen
   * P: seltener Buchstabe
   * P: würde Platz für andere, häufigere Zeichen schaffen
   * K: Neo ist ein deutsches Layout, ß ist ein fester Bestandteil des deutschen Layouts
   * K: ẞ gehört logisch auf Shift+ß
   * Fazit: ß bleibt auf 1. Ebene

Einigung erfolgte, für Neo 2 nur noch kleinere Korrekturen, ähnlich der beiden bereits erfolgten, aufzunehmen. 

Einige Vorschläge mit sehr weitreichenden Konsequenzen wurden auf **Neo 3** verschoben. Hier ein paar Ideen, die eine Grundlage für Neo 3 bieten könnten:

 * Statistisch auf Reduktion der *Kollisionen* optimieren.
   * Bei Neo 2 ist Anteil der Kollisionen im Verhältnis zu den gesamten Anschlägen 4,87%
   * Werden v-p-c-e-l-o zyklisch vertauscht: 2,41% (Da dadurch e v und m auf ihren qwertz-Plätzen liegen, auch als EVM bezeichnet)
   * Dazu sind verschiedene Programmansätze über die Mailingliste verschickt worden, Wortlisten liegen im svn unter Statistik.
 * Tasten mit *N-Grammen* belegen: z.B. eigene Taste für qu, ch, sch, ei, äu, au etc.
   * Wie erreicht man Buchstaben wie q alleine?
     * Im Fließtext könnte man in den wenigen Fällen, in denen man ein q alleine braucht, das u löschen
     * Für Kombinationen wie Alt+Q oder Strg+Q müsste q zusätzlich auf einer höheren Ebene liegen
     * Alternativ könnten auch N-Gramme auf einer höhere Ebene liegen – vermutlich geht damit aber der Vorteil verloren.
 * *Tastengewichte* optimieren: 
   * Welche Positionen werden von vielen Leuten als angenehm bzw. unangenehm empfunden?
   * Aus welchen Positionen sind welche anderen gut/schlecht erreichbar?
   * Wie abhängig ist dies von unterschiedlichen Verhältnissen der Fingerlängen zueinander bzw. den absoluten Fingerlängen?
 * Ein mathematisches Modell für die Buchstabenverteilung zugrundelegen (eine Übersicht findet sich in dem Artikel [Phoneme frequency—Laws in Quantitative Linguistics](http://www-alt.uni-trier.de/uni/fb2/ldv/lql_wiki/index.php/Phoneme_frequency))

## Sonderzeichen auf den Ebenen 1 und 2

Ein deutlich kontroverseres Thema sind die Tasten um das Buchstabenfeld herum: die Zahlenreihe, die „Strich-Taste“ und die 2. Ebene über , und .

Zur Belegung der Toten Tasten siehe [Diakritika](../../Unsortiert/Diakritika), zur Strichtaste [Striche](../../Unsortiert/Striche).

### Zahlenreihe „sinnvoller besetzen“

Es gab hauptsächlich zwei Vorschläge, die Zahlenreihe zu verändern:

 * Anordnung der Zahlen nach Häufigkeit
   * P: Häufige Zahlen würden auf starken Fingern, seltene auf schwachen Fingern liegen
   * K: Häufigkeitsanalyse: Nach welcher Stichprobe für Zahlen soll man das Layout einrichten?
   * K: Herkömmliche Anordnung ist viel leichter zu merken
   * K: Ergonomisch viel sinnvoller ist die Nutzung des Nummernblocks oder des Ebene-4-Zahlenblocks (E4ZB)
 * Zahlen komplett von der Zahlenreihe streichen oder zumindest auf Ebene 2 legen (wie im französischen Layout)
   * P: Ebene 1 könnte für typografisch wichtige Zeichen wie „“– genutzt werden (Belegung für „Romanautoren“, evt. zusätzlich auch ‚‘)
   * P: Die Franzosen können das auch ;-)
   * P: Der E4ZB ist viel besser
   * K: Manche Leute können sich mit dem E4ZB (noch) nicht anfreunden
   * K: Wer am Laptop mal Zahlen mit einer Hand eingeben möchte, hat keinen Nummernblock
 * Und zusätzlich die Idee, Ebene 1 und 2 der Zahlenreihe vom Status eines Locks, z.B. Num-Lock, abhängig zu machen
   * P: Jeder kann selbst entscheiden, ob ihm Zahlen oder „“– wichtiger sind
   * K: Große Bedenken bezüglich Umsetzbarkeit


## 2. Ebene über , und .

Wie sollen diese beiden (guten!) Positionen besetzt werden? Konsens scheint zu sein, nur Satzzeichen zu verwenden, da , und . auch Satzzeichen sind:

 * … liegt inzwischen auf der 3. Ebene für das Trigramm […]
 * »« oder „“
   * Dann müssten auch die entsprechenden einfachen Anführungszeichen an derselben Stelle auf die 3. Ebene
 * ? und !
   * Dann müssten entsprechend auch ¿ und ¡ neue Plätze auf E3 bekommen
 * Aufzählungszeichen: – und • oder ‣ und •
   * K: Verwechselungsgefahr von – mit -
   * P: – verdient eh eine gute Position, 
   * K: ‣ lässt sich in vielen Schriftarten nicht anzeigen
Fazit: auf der 2. Ebene über , und . liegen – und •.

## Leertaste als Shift

Bei Frogpad wird die Shifttaste sowohl für Leerzeichen als auch als Shift genutzt. Je nachdem ob in Kombination oder allein gedrückt. Das Zeichen entsteht erst beim Loslassen der Taste. 

 * P: Kleiner Finger wäre enorm entlastet!
 * K: Daumen wäre entsprechend mehr belastet, und zwar ungünstig seitlich
 * K: Serien von Leerzeichen durch Gedrückthalten würden nicht mehr funktionieren

Anderer, allerdings mit Nachteilen behafteter Vorschlag: **Tauschen** von Space und Shift. Zwar kommen Leerzeichen viel häufiger vor als Großbuchstaben, was den Daumen eigentlich für Space prädestiniert, aber dafür halt immer allein und nie mit gleichzeitigem Drücken anderer Tasten. Großbuchstaben bestehen *immer* aus einer Kombination von Buchstabe und Shift. Der einzige Finger, der in einer solchen Situation *immer* frei ist, ist der Daumen!
