# Ebene 4

--8<-- "top/komplette Überarbeitung.md"

Die vierte Ebene enthält auf der linken Seite Navigationselemente (Pfeiltasten), auf der rechten Seite einen Zahlenblock, der im Wesentlichen der ersten Ebene des Hardware-Zahlenblocks entspricht.

## Zahlenblock: Anordnung der Ziffern
Es gibt mehrere Möglichkeiten, wie die Ziffern auf dem (Mod4-)Zahlenblock sinnvoll angeordnet werden können. Von der drei vorgeschlagenen Möglichkeiten wurde entschieden, in Neo 2 die Variante „Computer“ umsetzen.

### Variante „Computer“
Hier sind die Ziffern wie beim Qwertz-Ziffernblock angeordnet:
```
7 8 9
4 5 6
1 2 3
```

  * entspricht der Ziffernanordnung auf Rechenmaschinen jeder Art (zur Geschichte dieser Entwicklung [siehe hier](http://www.vcalc.net/Keyboard.htm), 
 die entscheidende [Studie von AT&T](http://www.vcalc.net/touchtone_hf.pdf) ist auch noch verfügbar)
  * infolgedessen ist der Zahlenblock auch bei Qwertz-Tastaturen so beschriftet

### Variante „Telefon“
Hier sind die Ziffern wie auf einem (mobilen) Telefon angeordnet:
```
1 2 3
4 5 6
7 8 9
```

  * diese Anordnung der Ziffern ist auf Telefonen und Handys üblich
  * bei Computertastaturen jedoch nicht (siehe [vorigen Abschnitt](#variante-computer)) !

### Variante „Benfordsch“
Hier sind die Ziffernreihen entsprechend ihrer Häufigkeit angeordnet:
```
4 5 6
1 2 3
7 8 9
```

 * die Zahlen sind entsprechend ihrer Häufigkeit angeordnet (vgl. hierzu insb. das [Benfordsche Gesetz](https://de.wikipedia.org/wiki/Benfordsches_Gesetz) über die Auftrittswahrscheinlichkeiten der Ziffern an der k-ten Position bei einem gegeben Stellenwertsystem)
 * Das Ziel ist, möglichst viele Zahlen aus der Grundreihe heraus schreiben zu können
 * allerdings ist dieser Ansatz vollkommen unüblich und nirgendwo sonst umgesetzt
 * in der xmodmap von [Bone](../../Layouts/bone.md) ist der Ansatz mittlerweile enthalten

### Variante „effchen“
effchen hat mal eine Variante mit der Null auf dem kleinen Finger (vorher auch auf dem Zeigefinger außen) entwickelt und benutzt. Leider gibt es dazu so gut wie keine Informationen.

```
4 5 6
1 2 3 0
7 8 9
```

## Zahlenblock: Normale oder Keypad-Zeichen?

Von vielen Zeichen (Ziffern, +, -, *, /, Dezimaltrenner und Enter) gibt es eine „normale“ Version, die unter qwertz auf der Haupttastatur zu finden ist, und eine Keypad-Version, die vom Hardware-Zahlenblock gesendet wird. Unter Linux heißen diese z.B. »plus« vs. »KP_Add«. (Wie unter Windows??)

 * Da die „normalen“ Zeichen auf anderen Ebenen schon im Hauptfeld verfügbar sind, sollen auf Ebene 4 die Keypad-Varianten gesendet werden, um den Weg zum Hardware-Zahlenblock zu sparen.

 * Können unter Windows Unicodezeichen über Alt + Ebene4-Zahlen eingegeben werden?

## Zahlenblock: Komma und Punkt

Es gibt 4 Möglichkeiten, das „Dezimaltrennzeichen“ (Zeichen neben der Null am Keypad) an
die Applikationen zu schicken:

 * *KP_Decimal*: Keypad-Punkt auf englischen Systemen (Gibt *immer* einen Punkt aus, auch auf deutschen Systemen, wird dort nur normalerweise nicht verwendet)
 * *KP_Separator*: Keypad-Komma auf deutschen Systemen (Gibt *immer* ein Komma aus, auch auf englischen Systemen, wird dort nur normalerweise nicht verwendet)
 * *comma*: Auf allen Systemen ein Komma (Beistrich), in deutschen Dateien als Dezimaltrennzeichen zu verwenden. 
 * *period*: Auf allen Systemen ein Punkt, in deutschen Dateien als Tausendertrennzeichen oder in Datumsangaben zu verwenden.

**Achtung:** Es gab lange das Missverständnis, dass KP_Decimal und KP_Separator je nach Systemeinstellungen unterschiedliche Zeichen senden würden, dem ist jedoch nicht so.

Auf der Ebene 4 sollen beide Zeichen, Komma und Punkt, vorhanden sein. 
Das heißt, wir müssen uns zwischen *comma* und *KP_Separator* sowie zwischen *period* und *KP_Decimal* entscheiden.

 * *comma* oder *KP_Separator*:
   * Für KP_Separator: 
     * KP_Separator gehört zum deutschen Ziffernblock, dieser sollte auf Ebene 4 komplett sein 
     * Manche Applikationen brauchen Keypad-Zeichen (Kommen „die anderen“ Applikationen auch mit den Keypad-Zeichen zurecht?)
   * Komma ist auf der 1. Ebene gut erreichbar

 * *period* oder *KP_Decimal*:
   * Für period: 
     * Applikationen, die Keypad-Zeichen brauchen, nehmen wahlweise KP_Separator oder KP_Decimal, wenn KP_Separator schon verfügbar ist, wird KP_Decimal nicht mehr gebraucht

Als Kompromiss könnte der Vollständigkeit halber die jeweils andere Variante auf die Pseudoebene (Shift+Mod4) ausgelagert werden.

## Navigationsblock

Die bisherige Version Neo2-RC1 (schon in manchen Linux-Distributionen verfügbar) soll wegen der Anordnung der doch recht häufigen PageUp-Taste (in der sehr schlecht erreichbaren Zahlenreihe und in Einfingerkollision mit PageDown) durch eine bessere Variante abgelöst werden.

### Altvariante „Neo2-RC1“ (N01)

| | | | | |
|-|-|-|-|-|
|⇞|⌫|↑|⌦|⎀|
|-|-|-|-|-|
|⇱|←|↓|→|⇲|
|⌧|⇥|⇟|↲|↶|

### Erwünschte Eigenschaften des Navigationsblocks

 - Beschränkung auf drei Reihen
 - Gute Erreichbarkeit von Return und Tab
 - Paarweise (kollisionsfreie) Anordnung der Tasten: ⌫ ⌦, ⇱ ⇲, ⇞ ⇟

 - Anordnung entsprechend der Bewegungsrichtung: Tasten mit Bewegung nach rechts/unten/vorwärts liegen bevorzugt rechts oder unten
 - Seltenere Tasten ⎀ und ↶ auf den schlechteren Positionen

### Tabellarische Übersicht aller Vorschläge

|                  | Nr. | drei | paar | zent | groß | vdel | vbsp | vtab | vret | vrück | esc | tabret | undoz |
| :---:            | :-: | :--: | :--: | :--: | :--: | :--: | :--: | :--: | :--: | :---: | :-: | :----: | :---: |
|Neo2-RC1          | N01 | –    | –    | ja   | ja   | ja   | ja   | –    | –    | ja    | ja  | ja     | ja |
|Vi                | N05 | ja   | ja   | ja2  | ja3  | ja   | ja   | ja   | ja   | ja    | –   | ?      | –  |
|Vi–Stephan        | N16 | ja   | ja   | ja2  | ja3  | ja   | –    | ja   | ja3  | ja    | ja  | ?      | –  |
|Vi-Miche          | N18 | ja   | ja   | ja2  | ja3  | –    | –    | ja   | –    | ja    | ja  | –      | ja |
|Vi-z              | N17 | ja   | ja   | ja2  | ja3  | ja   | ja   | ja   | ja   | ja    | –   | ?      | ja |
|WASD-2            | N12 | ja   | ja1  | ja   | –    | ja   | ja   | –    | ja   | ja?   | ja  | –      | –  |
|WASD-Erik         | N06 | ja   | ja1  | ja   | –    | ja   | ja   | –    | ja   | ja    | ja  | –      | –  |
|LEIA-alt          | N07 | ja   | ja1  | ja   | –    | ja   | ja   | -    | ja   | –     | ja  | –      | ja |
|LEIA (Welche?)    | N   | ja   | ja1  | ja   | –    | ja   | ja   | ja   | ja   | –     | ja  | ja     | ja |
|LEIAx3            | N09 | ja   | ja1  | ja   | ja3  | –    | ja   | ja   | ja   | ja    | ja  | ?      | ja |
|LEIAx3-vi         | N10 | ja   | ja1  | ja   | ja3  | –    | ja   | ja   | ja   | ja    | ja  | ?      | ja |
|WASD-Konservativ  | N02 | ja   | ja1  | ja   | –    | ja   | ja   | –    | ja   | ja    | ja  | –      | –  |
|WASD-Stephan-a    | N03 | ja   | ja1  | ja   | –    | ja   | ja   | –    | ja   | ja    | ja  | ja     | ja |
|Nora              | N04 | ja   | ja1  | ja   | –    | ja   | ja   | –    | –    | –     | ja  | ja     | ja |
|berniyh           | N14 | ja   | ja1  | ja   | –    | ja   | ja   | –    | –    | –     | ja  | ?      | ja |
|Blockout-korr     | N19 | ja   | –    | ja4  | ja   | –    | –    | ja   | ja   | –     | –   | ?      | –  |
|Quadrat           | N20 | ja   | ja   | ja4  | ja5  | ja   | ja   | ja   | ja   | ja    | ja  | ?      | –  |

Die Abkürzungen für die erwünschten Eigenschaften stehen dabei für:

 - [drei] Beschränkung auf drei Reihen
 - [paar] Paare von Tasten (UP/DOWN, LEFT/RIGHT, PGUP/PGDN, HOME/END) sollen nicht auf einem Finger liegen
 - [zent] kleine Bewegungen (LEFT/RIGHT/UP/DOWN) sollen zentral liegen 
 - [groß] große Bewegungen (HOME/END/PGUP/PGDN) sollen die Symmetrie zu den kleinen Bewegungen zeigen
 - [vdel, vbsp, vtab, vret] Verwandtschaften: DEL/RIGHT, BSPC/LEFT, END/TAB/RIGHT, RET/DOWN/PGDN
 - [vrück] Verwandtschaft der "Rückwärtsgruppe" PGUP/POS1/LEFT gegen "Vorwärtsgruppe" PGDN/END/RIGHT/TAB/RET
 - [esc] soll links oder links oben
 - [tabret] Das Bigramm Tab + Return ist einfach zu tippen
 - [undoz] ↶ liegt auf z

Sonstige Anmerkungen:
 1. mit Ausnahme von up/down auf einem Finger  
 2. auf der Grundposition  
 3. auf einer benachbarten Reihe  
 4. up/down nebeneinander bzw. left/right übereinander  
 5. Innenblock vs. Außenblock

### Hauptvarianten
Hier sind einige Möglichkeiten aufgezählt, die in der Diskussion recht großen Zuspruch erfahren haben und die auch alle das Navigationskreuz (liae) beibehalten.

#### Neo2 – Hauptvariante „Nora“ (N04)
Werden PgUp und PgDn auf x und w gelegt, muss sich sonst gegenüber Neo2-RC1 nur sehr wenig ändern, der Vorschlag ist also minimalinvasiv. Auch an den häufigen Tasten Tab und Return ändert sich nichts, und das Bigramm Tab + Return bleibt angenehm zu tippen.

|   |   |   |   |   |
|:-:|:-:|:-:|:-:|:-:|
|⇞|⌫|↑|⌦|⇟|
|⇱|←|↓|→|⇲|
|⌧|⇥|⎀|↲|↶|

Diese Variante hat sich (erstmal) durchgesetzt.

#### Hauptvariante „WASD-Stephan-a“ (N03)
Gut erreichbare Position von Return.
Gute Merkbarkeit durch viel Analogie.
Bigramm Tab + Return ist angenehm zu tippen, Analogie: Undo ⇔, style=font-size: 130%, id=world-anchor)]] Taste Z, Return erhält eine bessere Position ([weitere Argumente von Aleχ](http://lists.neo-layout.org/pipermail/diskussion/2009-August/014024.html))

|   |   |   |   |   |
|:-:|:-:|:-:|:-:|:-:|
|⇥|⌫|↑|⌦|↲|
|⇱|←|↓|→|⇲|
|⌧|⇞|⎀|⇟|↶|

Hinweis: Variante „Nora“ entsteht durch Tauschen von ⇞ ↔ ⇥ und ⇟ ↔ ↲.

#### Hauptvariante „WASD-Konservativ“ (N02)
Da Tab rechts liegt, ist die Einhand-Bedienung vereinfacht (irrelevant falls Tab auf 8(4) kommt).
Durch Analogie von Return und Tab einfach zu merken.
Gut merkbare Position von Return (in einer Spalte mit auf/ab).
Schlecht erreichbare Position von Return (Mittelfinger kollidiert mit Zeigefinger).
Bigramm Tab + Return nicht übermäßig schlecht erreichbar, da in derselben Reihe und auf benachbarten Fingern.

|   |   |   |   |   |
|:-:|:-:|:-:|:-:|:-:|
|↶|⌫|↑|⌦|⎀|
|⇱|←|↓|→|⇲|
|⌧|⇞|↲|⇟|⇥|

Untervarianten („WASD-2-Erik“, „LEIA-Daniel“, „LEIA-getauscht“, „WASD-2“):

Permutationen der Eck-Tasten ↶ ⎀ ⌧ ⇥.
Allerdings bleibt das Bigramm Tab + Return immer recht schwer zu tippen und andere Analogie-Fehler treten auf.

### Nebenvarianten
Im folgenden sind viele weitere Vorschläge aufgelistet –auch diejenigen, die aufgrund der Kriterien als eher ungeeignet für Neo2 betrachtet wurden, da sie etwa das Navigationskreuz aufgeben.

#### Variante „Vi“ (N05)
Von HC und Johannes

Die Pfeiltasten liegen in der Grundstellung.

|   |   |   |   |   |
|:-:|:-:|:-:|:-:|:-:|
|⇱|⇞|⇟|⇲|↶|
|←|↑|↓|→|⇥|
|⌫|⌧|↲|⌦|⎀|

#### Variante „WASD-2-Erik“ (N06)

|   |   |   |   |   |
|:-:|:-:|:-:|:-:|:-:|
|⌧|⌫|↑|⌦|↶|
|⇱|←|↓|→|⇲|
|⎀|⇞|↲|⇟|⇥|

#### Variante „LEIA-alt“ (N07)

|   |   |   |   |   |
|:-:|:-:|:-:|:-:|:-:|
|⌧|⌫|↑|⌦|⇥|
|⇱|←|↓|→|⇲|
|⎀|⇞|↲|⇟|↶|

#### Variante „LEIA-getauscht“ (N08)
im Vergleich zu oben Tab und Einfügen getauscht:

|   |   |   |   |   |
|:-:|:-:|:-:|:-:|:-:|
|⌧|⌫|↑|⌦|⎀|
|⇱|←|↓|→|⇲|
|⇥|⇞|↲|⇟|↶|

#### Variante „LEIA x3“ (N09)
›echte‹ Navi-Tasten im 3×3 Raster angeordnet

|   |   |   |   |   |
|:-:|:-:|:-:|:-:|:-:|
|⌧|⇱|↑|⇲|⎀|
|⌫|←|↓|→|⇥|
|⌦|⇞|↲|⇟|↶|

Alle ›Lösch-Tasten‹ in einer Spalte, alle ›Links/Rauf‹/›Rechts/Runter‹-Tasten in Spalten.
Return unter Down, Tab rechts neben Right. Undo auf Z.

#### Variante LEIA x3-vi (N10)

|   |   |   |   |   |
|:-:|:-:|:-:|:-:|:-:|
|⌦|⇱|↑|⇲|⎀|
|⌫|←|↓|→|⇥|
|⌧|⇞|↲|⇟|↶|

Esc und Del getauscht, um die vi-user zufrieden zu stellen.

#### Variante „WASD-2“ (N12)
Hier sind im Vergleich zu „WASD-2-Erik“ (⌫ ⌦, style=font-size: 120%, id=world-anchor)]]) und (⇞ ⇟) vertauscht, diese Änderung könnte also auch bei anderen Vorschlägen dieses Blockes durchgeführt werden:

|   |   |   |   |   |
|:-:|:-:|:-:|:-:|:-:|
|⌧|⇞|↑|⇟|↶|
|⇱|←|↓|→|⇲|
|⎀|⌫|↲|⌦|⇥|

#### Variante „WASD-Stephan-b“ (N13)

Entstand aus „WASD-Stephan-a“ durch Tausch von Tab und Esc, da ⇥ neben dem eigentlichem Tab komisch sein könnte, oder da ⌧ für vi-Nutzer als wichtiger erachtet wird. Gründe gegen den Tausch sind, dass das Bigramm ⇥↲ sich nicht mehr so einfach zu tippen ist, weil die beiden Tasten zwei Reihen auseinander liegen. Hinweis: Variante „LEIA-getauscht“ entsteht durch Tauschen von ⎀ ↔ ↲.

|   |   |   |   |   |
|:-:|:-:|:-:|:-:|:-:|
|⌧|⌫|↑|⌦|↲|
|⇱|←|↓|→|⇲|
|⇥|⇞|⎀|⇟|↶|

#### Variante „berniyh“ (N14)

|   |   |   |   |   |
|:-:|:-:|:-:|:-:|:-:|
|⇥|⌫|↑|⌦|⎀|
|⇱|←|↓|→|⇲|
|⌧|⇞|↲|⇟|↶|

#### Variante „Vi-Stephan“ (N16)

|   |   |   |   |   |
|:-:|:-:|:-:|:-:|:-:|
|⌧|↶|↲|⌫|⌦|
|←|↑|↓|→|⇥|
|⇱|⇞|⇟|⇲|⎀|

#### Variante „Vi-z“ (N17)
Um (fast) alle der Anforderungen zu erfüllen wurden Undo und Insert getauscht.

|   |   |   |   |   |
|:-:|:-:|:-:|:-:|:-:|
|⇱|⇞|⇟|⇲|⎀|
|←|↑|↓|→|⇥|
|⌫|⌧|↲|⌦|↶|

#### Variante „Vi-Miche“ (N18)
Gegenüber Vi-z Return auf eine Bessere Position verlegt (QUERZ C ist die wahrscheinlich am schlechtesten zu erreichende Taste), und aus Symmetriegründen auch Escape. 

|   |   |   |   |   |
|:-:|:-:|:-:|:-:|:-:|
|⇱|⇞|⇟|⇲|⎀|
|←|↑|↓|→|⇥|
|⌧|⌫|⌦|↲|↶|

#### Variante „Blockout-korrigiert“ (N19)

|   |   |   |   |   |
|:-:|:-:|:-:|:-:|:-:|
|⇱|⌫|↑|←|⇞|
|⇲|⌦|↓|→|⇟|
|↶|⌧|↲|⇥|⎀|

#### Variante „Quadrat“ (N20)

|   |   |   |   |   |
|:-:|:-:|:-:|:-:|:-:|
|⌧|⌫|⌦|⎀|↶|
|⇱|←|→|⇲|⇥|
|⇞|↑|↓|⇟|↲|

#### Variante „Merk“ (N21)

|   |   |   |   |   |
|:-:|:-:|:-:|:-:|:-:|
|⇞|⇟|⎀|↲|⇲|
|⌦|⌧|←|⇱|↑|
|→|↓|↶|⌫|⇥|

#### Variante „leia-xeno“ (N22)

|   |   |   |   |   |
|:-:|:-:|:-:|:-:|:-:|
|⇱|⌫|↑|⌦|⇲|
|⇱|←|↓|→|⇲|
| |⇞|↲|⇟| |

#### Variante „Neo RC1 verbessert“ (N23)

|   |   |   |   |   |
|:-:|:-:|:-:|:-:|:-:|
| | |⇞| | |
|⌧|⌦|↑|⌫| |
|⇱|←|↓|→|⇲|
|⎀|⇥|⇟|↲|↶|

#### Variante „errt“ (N24)

|   |   |   |   |   |
|:-:|:-:|:-:|:-:|:-:|
|⌧|⌫|↑|⌦|⇞|
|⇱|←|↓|→|⇲|
|⇟|⎀|⇥|↲|↶|

#### Variante „LEIA-guru“ (N25)

|   |   |   |   |   |
|:-:|:-:|:-:|:-:|:-:|
|⇱|⌫|↑|⌦|⇞|
|⇲|←|↓|→|⇟|
|⌧|⎀|↲|⇥|↶|

steuerkreuz, backspace/delete wie im rc1,
home/end & pgup/pgdn, sowie auf dem echten block,
escape für die vi-user neben m4l, undo auf z,
tab&enter als bigramm, tab auf der rechten seite.

### Legende (Zeichenerläuterung)

|⇞|⇟|⇥|⌦|⌧|⌫|⎀|⇱|⇲|←|→|↑|↓|↲|↶|
| :---: | :---: | :---: | :---: | :---: | :---: | :---: | :---: | :---: | :---: | :---: | :---: | :---: | :---: | :---: |
|Bild-auf|Bild-ab|Tab|Entf|Escape|Rück|Einfg|Pos1|Ende|Links|Rechts|Hoch|Runter|Eingabe|Rückgängig|
|Prior|Next|Tab|Delete|Escape|BackSpace|Insert|Home|End|Left|Right|Up|Down|Return|Undo|
