# Benennung der Ebenen und Modifier

--8<-- "top/komplette Überarbeitung.md"

Da sich die Nummerierung der Ebenen und Modifier mehrfach geändert hat, ist bei diesem Thema Vorsicht angesagt, wenn man alte Mails oder Dokumentationen vor sich hat.

## Ebenen

Eine Frage, die sehr uneinheitlich beantwortet wird, ist: „Soll der Anwender in Ebenen denken oder nicht?“
 * K: Mit qwertz denkt niemand in Ebenen
 * P: Mit qwertz hat man ja auch keine Veranlassung dazu: Fast alles liegt ohne Mod oder mit Shift erreichbar, die Zeichen die mit AltGr erreichbar sind, lassen sich an einer Hand abzählen.

Sollen die Ebenen eine logische Reihenfolge haben, also nummeriert sein? Wenn ja, wie?
 * Zur Entwickelung unverzichtbar
 * Ideal wäre: Nummer der Ebene = Nummer des Modifiers, bei mehreren Modifiern: Nummer der Ebene = Summe der Nummern der Modifier
   * Ausnahme: Shift+Pfeiltasten ergibt Markierung, deshalb Shift+M4 = Pseudoebene, bekommt keine Nummer.
   * Ebene 6 wird mit M3+M4 erreicht!

Sollen die Ebenen sprechende Namen haben, also z.B. Griechen-Ebene o.Ä.?
 * P: Ist intuitiv, lässt sich gut merken
 * K: Vernachlässigt, dass jede Ebene auch Zeichen enthält, die nicht zum Hauptthema passen
 * Kompromiss: Keine offiziellen Namen, sondern Vorschläge 

Soll Neo auf mehr als 6 Ebenen erweitert werden? (Entweder fest eingebaut oder als Module)
 * K: Wird zu kompliziert
 * P: Es muss jeder nur die Ebenen lernen, die er benutzen möchte

## Modifier

Wo sollen die Modifier liegen?
 * Alle Modifier sollen jeweils rechts und links vorhanden sein, idealerweise symmetrisch
 * Neo soll auch auf nicht-deutschen Tastaturen und Notebook-Tastaturen bedienbar sein, diese haben oft jedoch keine >/<-Taste, teilweise liegt # oben in der Zahlenreihe
   * „bedienbar“ ist Neo auch mit nur je einem Modifier, wenn auch weniger bequem
 * Fazit: M3 liegt auf CapsLock und #, M4 auf < und AltGr
   * Vorschlag: M3 mit y tauschen, damit M3 ideal symmetrisch liegt: wurde abgelehnt

Sollen die Modifier durch Namen, Nummern, Zeichen, Farben oder ... markiert werden?
 * Nummerierung, zwei Möglichkeiten:
   * Shift=Mod1, danach Mod2 und Mod3. Dann haben aber die Modifier andere Nummern als die Ebenen
   * Modifier heißen so, wie die Ebene, die man mit ihnen erreicht: 
     * Shift ist M2
     * Caps/# ist M3
     * </AltGr ist M4 (war vorher M5)
       * K: Mod4 ist unter X11 die Windowstaste, kann zu Problemen führen! (ebenfalls von X definiert: Mod1=Alt und Mod5=AltGr)
 * Namensvorschläge:
   * AltGr
     * P: mit AltGr kann jeder was anfangen
     * K: M3 hat ganz andere Funktion als AltGr, gleicher Name würde verwirren
     * K: Soll M3 oder M4 AltGr sein? Historisch wäre es M3, von der Position her M4...
   * AltGr1 und AltGr2
     * K: „Drücke AltGr1“ kann als „Drücke AltGr + 1“ missverstanden werden
     * Wenn man schon durchnummeriert, kann man auch Mod3 und Mod4 verwenden
   * M3: Prog, Interpunktion, Int
   * M4: NavZähl (oder M4R: Nav und M4L: Zahl, Zl)
   * Neo1 und Neo2, Neo oder NeoGr (in Kombination mit z.B. AltGr)
     * K: Wirkt wie komische Tasten, die man nicht braucht
   * Mod (in Kombination mit AltGr oder Neo)
   * Bleibt M2 Shift/Umschalt/Hochstell, oder gibt es auch hier einen neuen Namen?
     * Schieb, Heb, Hub, Schalt, Um, Hoch, Zack, Flupp, Ho... ;-)
   * Shift3 und Shift4, Shift/Shaft/Supershift, Umschalt3 und Umschalt4
 * Pfeile, Symbole
   * P: Sind für das Auge logisch, wenn die Tastaturreferenz gut ist
   * P: Lassen sich kombinieren (Pfeil+Kreis=Sechseck, Pfeil+Quadrat=Karo)
   * K: Lassen sich nicht aussprechen: Drück „Pfeil nach rechts oben“ und gleichzeitig „Pfeil nach oben“ und dann die Taste x für ...
   * P: nummerierte Pfeile lassen sich aussprechen: „Drück Pfeil3+f für »=«.“
 * Farben
   * Nur wenn die Tastatur auch farbig bedruckt wird / werden kann!

Kompromiss: Kombination aus Zeichen auf der Tastatur (nummerierte Pfeile?) und Namen im Handbuch
# Benennung der Ebenen und Modifier

Da sich die Nummerierung der Ebenen und Modifier mehrfach geändert hat, ist bei diesem Thema Vorsicht angesagt, wenn man alte Mails oder Dokumentationen vor sich hat.

## Ebenen

Eine Frage, die sehr uneinheitlich beantwortet wird, ist: „Soll der Anwender in Ebenen denken oder nicht?“
 * K: Mit qwertz denkt niemand in Ebenen
 * P: Mit qwertz hat man ja auch keine Veranlassung dazu: Fast alles liegt ohne Mod oder mit Shift erreichbar, die Zeichen die mit AltGr erreichbar sind, lassen sich an einer Hand abzählen.

Sollen die Ebenen eine logische Reihenfolge haben, also nummeriert sein? Wenn ja, wie?
 * Zur Entwickelung unverzichtbar
 * Ideal wäre: Nummer der Ebene = Nummer des Modifiers, bei mehreren Modifiern: Nummer der Ebene = Summe der Nummern der Modifier
   * Ausnahme: Shift+Pfeiltasten ergibt Markierung, deshalb Shift+M4 = Pseudoebene, bekommt keine Nummer.
   * Ebene 6 wird mit M3+M4 erreicht!

Sollen die Ebenen sprechende Namen haben, also z.B. Griechen-Ebene o.Ä.?
 * P: Ist intuitiv, lässt sich gut merken
 * K: Vernachlässigt, dass jede Ebene auch Zeichen enthält, die nicht zum Hauptthema passen
 * Kompromiss: Keine offiziellen Namen, sondern Vorschläge 

Soll Neo auf mehr als 6 Ebenen erweitert werden? (Entweder fest eingebaut oder als Module)
 * K: Wird zu kompliziert
 * P: Es muss jeder nur die Ebenen lernen, die er benutzen möchte

## Modifier

Wo sollen die Modifier liegen?
 * Alle Modifier sollen jeweils rechts und links vorhanden sein, idealerweise symmetrisch
 * Neo soll auch auf nicht-deutschen Tastaturen und Notebook-Tastaturen bedienbar sein, diese haben oft jedoch keine >/<-Taste, teilweise liegt # oben in der Zahlenreihe
   * „bedienbar“ ist Neo auch mit nur je einem Modifier, wenn auch weniger bequem
 * Fazit: M3 liegt auf CapsLock und #, M4 auf < und AltGr
   * Vorschlag: M3 mit y tauschen, damit M3 ideal symmetrisch liegt: wurde abgelehnt

Sollen die Modifier durch Namen, Nummern, Zeichen, Farben oder ... markiert werden?
 * Nummerierung, zwei Möglichkeiten:
   * Shift=Mod1, danach Mod2 und Mod3. Dann haben aber die Modifier andere Nummern als die Ebenen
   * Modifier heißen so, wie die Ebene, die man mit ihnen erreicht: 
     * Shift ist M2
     * Caps/# ist M3
     * </AltGr ist M4 (war vorher M5)
       * K: Mod4 ist unter X11 die Windowstaste, kann zu Problemen führen! (ebenfalls von X definiert: Mod1=Alt und Mod5=AltGr)
 * Namensvorschläge:
   * AltGr
     * P: mit AltGr kann jeder was anfangen
     * K: M3 hat ganz andere Funktion als AltGr, gleicher Name würde verwirren
     * K: Soll M3 oder M4 AltGr sein? Historisch wäre es M3, von der Position her M4...
   * AltGr1 und AltGr2
     * K: „Drücke AltGr1“ kann als „Drücke AltGr + 1“ missverstanden werden
     * Wenn man schon durchnummeriert, kann man auch Mod3 und Mod4 verwenden
   * M3: Prog, Interpunktion, Int
   * M4: NavZähl (oder M4R: Nav und M4L: Zahl, Zl)
   * Neo1 und Neo2, Neo oder NeoGr (in Kombination mit z.B. AltGr)
     * K: Wirkt wie komische Tasten, die man nicht braucht
   * Mod (in Kombination mit AltGr oder Neo)
   * Bleibt M2 Shift/Umschalt/Hochstell, oder gibt es auch hier einen neuen Namen?
     * Schieb, Heb, Hub, Schalt, Um, Hoch, Zack, Flupp, Ho... ;-)
   * Shift3 und Shift4, Shift/Shaft/Supershift, Umschalt3 und Umschalt4
 * Pfeile, Symbole
   * P: Sind für das Auge logisch, wenn die Tastaturreferenz gut ist
   * P: Lassen sich kombinieren (Pfeil+Kreis=Sechseck, Pfeil+Quadrat=Karo)
   * K: Lassen sich nicht aussprechen: Drück „Pfeil nach rechts oben“ und gleichzeitig „Pfeil nach oben“ und dann die Taste x für ...
   * P: nummerierte Pfeile lassen sich aussprechen: „Drück Pfeil3+f für »=«.“
 * Farben
   * Nur wenn die Tastatur auch farbig bedruckt wird / werden kann!

Kompromiss: Kombination aus Zeichen auf der Tastatur (nummerierte Pfeile?) und Namen im Handbuch
