
# IPA

Das Internationale Phonetische Alphabet (IPA) ist ein Lautschriftsystem, das von der International Phonetic Association entwickelt wurde.

Bislang gab es mehrfach die Idee, IPA mit Neo zu ermöglichen. 
Da dafür jedoch immer eine eigene Ebene vorgeschlagen wurde, wurde diese Idee bislang immer abgewiesen.
Aleχ hat sich jetzt jedoch einige Gedanken dazu gemacht, wie man die internationale Lautschrift über [Tote Tasten und Compose](../../Benutzerhandbuch/Tote-Tasten-und-Compose.md) erreichbar machen könnte. 
Grundlage dafür ist, dass es einige Regelmäßigkeiten gibt, z.B. dass viele Zeichen gedrehten normalen Buchstaben entsprechen. Eine Auflistung der Zeichen findet sich auf [IPA mit Neo](../../Tips/IPA-mit-Neo.md).

Die Vorschläge dieser Seite sind mittlerweile überarbeitet und veraltet. Siehe [IPA mit Neo](../../Tips/IPA-mit-Neo.md) für die aktuelle Seite.

## Einführung der toten Taste ‚↻‘ auf T1(3)
Diese Neukreation einer toten Taste soll den folgenden Buchstaben „drehen“. 
Der Hintergrund ist einfach: Es gibt eine Menge Zeichen, die verdrehte andere 
Zeichen darstellen, man betrachte nur z.B. ∋, ∞, ∃, ∀. In IPA hätte man damit 
bereits bis zu 20 Zeichen abgedeckt, die anderen sind dann relativ einfach.

Hier ist die Liste der gedrehten IPA-Zeichen:  
↻a → ɐ, ↻v → ʌ, ↻c → ɔ, ↻e → ɘ, ↻h → ɥ, ↻m → ɯ, ↻y → ʎ, ↻Ω → ʊ, ↻r → ɹ, ↻w → 
ʍ, ↻R → ʁ, ↻( → ͡,  ↻) → ‿, ↻ɑ → ɒ, ↻ɛ → ɜ, ↻ʔ → ʕ, ↻ɼ → ɺ, ↻ɾ → ɿ, ↻ɳ → ʮ, ↻ɧ 
→ ʯ, evtl. noch ↻g → ɓ, ↻þ → ɖ, ↻τ → ɿ.

Der Phantasie sind natürlich auch außerhalb von IPA keine Grenzen gesetzt, so 
denke man z.B. an:  
↻…, ↻8, ↻|, ↻?, ↻!, ↻A, ↻E, ↻⇒, ↻→, ↻Π, ↻, , ↻Δ, ↻⊥, ↻+, ↻∈, ↻±, ↻↶

Problem: Die Mischung aus 90°‑Drehungen, 180°‑Drehungen, Spiegelungen und Drehspiegelungen wirkt
undurchsichtig und nicht konsistent. 
Andererseits wären je einzelne Tasten für 90°, 180° und Spiegelungen ebenfalls eine schlechte Wahl.

Technisch könnte das so aussehen (zumindest mal unter Linux), dass man eine 
der definitiv nicht gebrauchten Dead-Key-Definitionen für die Kombinationen verwendet, z.B. dead_voiced_sound oder eine der vielen anderen.  
Alternativ kann auch jedes beliebige Unicode-Zeichen verwendet werden, z.B. U21BB (↻).  
Das Zeichen, das dann bei zweimaliger Aktivierung oder nach T1(3)+LZ und/oder T1(3)+LZ(5) kommt, könnte dann ↺ oder ↻ sein (analog zu ♫) oder U20D4/20D5 ⃔  ⃕ .

## Die restlichen IPA-Zeichen per Coko
Es gibt nochmal eine Menge Zeichen von IPA, die man sowieso im Moment schon 
eingeben kann, z.B. werden lateinische Buchstaben mit Diakritika verwendet, 
ein paar griechische Buchstaben, etc. Die meisten sonstigen Zeichen sehen 
lateinischen Buchstaben ähnlich, weshalb sich einfache Cokos finden lassen. 

### Kapitälchen-Buchstaben
Es gibt folgende Kapitälchen ʙ, ɢ, ʜ, ɪ, ʟ, ɶ, ɴ, ʀ, ʏ, bei denen ich 
vorschlagen würde, dass zweimaliges Drücken das Zeichen erzeugt, also: 
♫BB → ʙ, etc. Für ɪ müsste man dafür ♫II → İ auflösen, dass aber schon durch 
abovedot abgedeckt ist.
 Einspruch: İ sowie ı sind beide im Türkischen sehr häufig. Diese mit dead_abovedot auf T1(4)+I/i statt mit ♫II und ♫ii zu erzeugen, ist meiner Meinung nach etwas unergonomischer (Mod4+Mod3+T3 statt Mod3+Tab), und außerdem wäre es nicht konsequent, da man den kleinen Buchstaben auf zwei verschiedene Arten erzeugen könnte, den großen aber nur auf eine.  
Meiner Meinung nach wird IPA überschätzt. Es sollte eher eine optionale Ebene (Belegung) angeboten werden, die man sich dazu laden kann. Also für Linux eine Xmodmap, die man nach der Neo-Belegung lädt und für Windows eine AHK, die man nach der Neo-AHK lädt. Eigentlich braucht man sogar nicht mal eine Extrabelegung, sondern nur eine weitere [Compose](../../Benutzerhandbuch/Tote-Tasten-und-Compose.md#ErzeugbareZeichenmitCompose)-Ergänzung. Die können sich dann die IPA-Spezies an ihre bisherige Compose hängen.
Des weiteren würde ich ɶ über ♫OOE eingeben.

### Lateinische Minuskeln griechischer Buchstaben
Es gibt fünf Zeichen, die von griechischen Kleinbuchstaben abstammen oder 
grafisch denen sehr ähnlich sehen und zwar ♫αα → ɑ, ♫ϕϕ → ɸ, ♫εε → ɛ, ♫γγ → ɣ, 
♫υυ → ʋ, eventuell auch ♫ϵϵ → ɜ, analog zu ♫ee → ə. Diese haben in 
unterschiedlichen Fonts anderes Aussehen und sollten daher nicht fehlen.

### Zeichen mit Haken/Bogen
 * Bogen nach rechts über Coko mit Klammer oder Spiritus asper: ♫(b → ɓ und ↻g, ♫d( → ɗ, ♫g( → ɠ, ♫G( → ʛ, ♫v( → ѵ
 * Kringel: Mit Cedille:¸ə → ɚ, ¸ɜ → ɝ, ¸j → ʝ, ¸z → ʑ, ♫z, → ʐ, ♫s, → ʂ. Noch nicht ganz intuitiv, aber vielleicht findet sich noch was besseres: ♫ℓℓ → ɬ und ♫c, → ɕ.
 * Bögen unten: Habe die meist mit l oder j kombiniert, also ♫nl → ɳ (und auch ♫ηη), ♫lr → ɽ, ♫rl → ɻ, ♫mj → ɱ. Weiter auch ♫jn → ɲ. Falls man ♫dl → ㎗ behalten will, müsste man ♫d, → ɖ oder ↻þ verwenden. Etwas weniger intuitiv: ♫(h\<space\> → ɦ, ♫(hj → ɧ und ♫hn → ɰ oder ↻μ.

### Striche und Tilden
Es müssten vier weitere Tilden-Cokos definiert werden: ~ɑ → ɑ̃, ~ɔ → ɔ̃, ~ɛ → ɛ̃ 
und ~l → ɫ. Weiter die durchgestrichenen Zeichen ‐J → ɟ, ‐ʃ → ʄ oder ♫jf, ‐u → 
ʉ, ♫-o → ɵ (nicht ♫o-, da → ⊖), ‐ʔ → ʡ, ‐ʕ → ʢ.

### Langgezogene Zeichen
Hier habe ich auch das doppelte oder mit l kombinierte Zeichen verwendet, bzw. 
die Aussprache: ♫sh → ʃ, ♫ll → ɭ, ♫rr → ɼ [nicht rl, da ɽ], ♫tl → ʈ.

### Sonstige Zeichen
Grafisch intuitiv sind 
 * ♫lz → ɮ, ♫zz → ʒ
 * ♫(3 → ɞ, ♫0.\.0 → ʘ oder ˙0
Sowie zu diskutieren:
 * ♫?? → ʔ anstatt ♫?? → ¿, oder mit Spiritus
 * ♫r_ → ɾ, ♫x_ → ɤ (≠ ɣ)

### Punkte
Man benötigt noch das Längenzeichen  ♫:: → ː, dafür müsste man ♫:: → ‥ 
auflösen, das ginge dann aber mit ↻:. Weiter das Zeichen für die halbe Länge 
mit ♫·· → ˑ und die Zeichen für die Betonung ♫!* → ˈ und ♫_' → ˌ oder mit ↻ˈ.

Jetzt fehlen nur noch relativ wenige kleine Diakritika, sowie ein paar Klicks. 
Auf jeden Fall kann man damit relativ bequem schon (fast) alle Zeichen der Lautschrift eingeben.

Als Übersicht über die Zeichen ist [Liste der IPA-Zeichen (WP)](http://de.wikipedia.org/wiki/Liste_der_IPA-Zeichen) und [International Phonetic Alphabet(WP)](http://en.wikipedia.org/wiki/International_Phonetic_Alphabet) zu empfehlen. 

Da die Wikipedia ja auch viel Lautschrift enthält und Neo sicher für viele 
Wikipedia-Autoren sehr interessant ist, wäre IPA-Unterstützung für Neo sehr 
praktisch und auch eine gute Werbung. Des weiteren sind einige afrikanische 
Schriften vom IPA abgeleitet, sodass zeitgleich noch die Unterstützung für ein 
paar Sprachen unabsichtlich dazu kommen könnte.
