# Locks

!!! warning "Aufräumen"
    Diese Seite enthält neben Informationen zu den einzelnen Locks (die bereits auf der Seite [Einrasten](../../Benutzerhandbuch/Einrasten.md) stehen) auch Diskussionen und Begründungen aus der Entwicklungszeit. Diese Inhalte wären besser auf einer historischen Seite aufgehoben.

Der bekannteste **Lock** ist vermutlich der *Caps-Lock*: Nach dem Drücken von Caps-Lock werden solange Großbuchstaben geschrieben, bis Caps-Lock ein zweites Mal gedrückt wird.

Ein ganz ähnlicher Lock ist der *Shift-Lock*: Hier geben alle Tasten das Zeichen aus, dass sie bei gedrückter Shift-Taste ausgeben würden. Es werden also nicht nur Groß- statt Kleinbuchstaben, sondern auch die entsprechenden Sonderzeichen anstelle der Zahlen ausgegeben.

## Welche Locks soll die Neo-Tastatur unterstützen?

Welche Locks sind nötig bzw. würden tatsächlich benutzt werden?

  * Ebene 2: Shift-Lock oder Caps-Lock?
    * Caps-Lock viel bekannter
    * Ebene 2 enthält recht wenig wichtige Sonderzeichen
    * In der xmodmap Caps-Lock nur über eigene Taste möglich, Shift-Lock kann jedoch auch auf einer höheren Ebene einer beliebigen Taste liegen.
    * **Entscheidung**: „CapsLock wenn möglich, ansonsten ShiftLock“

  * Ebene 3 enthält nur Programmier- und Satzzeichen, die nicht alleine benötigt werden
    * kein E3-Lock nötig

  * Ebene 4 enhält Navigation und Zahlen
    * E4-Lock sinnvoll für Eingabe von großen Zahlenmengen
    * angenommen!

  * Ebene 5 enthält griechische Zeichen
    * P: Würde Eingabe von griechischem Text möglich machen
    * K: Dafür gibt es griechische Tastaturlayouts, Umschalten ist nicht mehr Aufwand als Lock einschalten
    * Könnte durch Kombination der einzelnen Locks erreichbar sein, also Shift-Lock + E3-Lock = E5-Lock
    v* abgelehnt!

## Wie sollen die Locks aktiviert werden?

  * Shift + Shift = Shift-Lock, M4 + M4 = E4-Lock etc.
    * P: Intuitiv
    * K: Kann versehentlich gedrückt werden, Modifier sollten nur modifizieren
    * M3 + M3 sollte lieber für Compose oder Caps-Lock verwendet werden, nicht für E3-Lock
  * Aber wie E5-Lock (griechisch)?
  * *General Lock* (ISO_Lock): Drücke GL, dann beliebige Modifier: alle gedrückten Modifier werden gelockt (Analog zu Compose). Lösen erfolgt durch erneutes Drücken von GL.
    * P: Wenn GL mit einer Hand drückbar ist, lassen sich mal eben mit einer Hand Zahlen auf Ebene 4 eingeben o.Ä.
    * Mögliche Belegungen für GL wären Shift+M3+Tab, Scroll-Lock
  * **Entscheidung**: 
    * Ebene2-Lock (CapsLock) über Umschalt+Umschalt, 
    * Ebene4-Lock über Mod4+Mod4 (alternativ Umschalt+Mod3+Tab [warum? → ermöglicht Ebene4-Lock auf QWERTY-Tastaturen, die im Neo-Layout nur eine Mod4 Taste haben])

## Wie sollen die Locks deaktiviert werden?

  * Durch Drücken eines Modifiers 
  * Durch dieselbe Kombination, mit der der Lock erzeugt wurde.
  * Drücken von GL
    **Entscheidung**: Um während des Locks einzelne Zeichen einer anderen Ebene schreiben zu können, sollte das Lösen nur per Kombination möglich sein (dieselbe Kombination, mit der der Lock erzeugt wurde)

**HINWEIS:** Unter Linux (Xkbmap *und* Xmodmap) ist es momentan aus technischen Gründen nicht möglich, die Feststellung zu lösen, indem man beide Mods drückt. Man muss dort nur einen drücken!

## Sollen sich die Mod-Locks mit Modifiern und untereinander kombinieren lassen?

Die Möglichkeiten:

  * (Shift+Shift)+Mod3 ergibt Ebene 5, (Shift+Shift)+(Mod4+Mod4) ergibt einen Lock auf die Pseudoebene.
  * (Shift+Shift)+Mod3 ergibt Ebene 3, (Shift+Shift)+(Mod4+Mod4) ergibt einen Lock auf Ebene 4.

Meinungen gehen auseinander. Argumente?


## Num-Lock

Num-Lock wird von Neo deaktiviert, die Taste kann statt dessen mit anderen Zeichen belegt werden

  * P: Num-Lock ist unnötig, alle Tastaturen haben inzwischen eigene Navigations-Tasten
  * K: Auf Laptops kann u.U. der gesamte Nummerblock nicht mehr erreicht werden

## Tastatur-Lichter

Bekannt ist das Leuchten einer Tastatur-LED bei aktiviertem Caps-Lock.
Sollen die anderen beiden LEDs (Roll-Lock und Num-Lock) für andere Locks umfunktioniert werden?

  * Roll-Lock wird heute fast nicht mehr verwendet, die Funktion wäre also frei für E4-Lock
  * Ob die Num-Lock-Leuchte von Laptop-Benutzern gebraucht werden darf, ist umstritten. Evt. könnte sie für den genauso umstrittenen E3-Lock verwendet werden
  * Ebene 4-Lock als Pendant zum NUM-Lock. Roll-Lock ist dann immer noch frei für einen weiteren Lock.
