# Paradigmen

Die [Paradigmen](http://de.wikipedia.org/wiki/Paradigma) der Neo-Belegung sind im folgenden aufgelistet:

   1. Das schnellste und komfortabelste Schreiben findet auf der Grundlinie statt, folglich sollten alle häufigen Zeichen sich auf dieser Grundlinie befinden.
   1. Die Buchstabenpaare, die am häufigsten aufeinander folgen, sollten auf beide Hände verteilt werden, das ist ebenfalls für die Schreibgeschwindigkeit positiv.
   1. Lassen sich bestimmte Buchstabenfolgen konzeptionell nicht auf beide Hände verteilen, so sollten sie Trommelabläufen von innen nach außen folgen, optimaler Weise mit einem Finger dazwischen, sprich von Zeigefinger auf Ringfinger oder kleinen Finger, vom Mittelfinger auf kleinen Finger und notfalls umgekehrt, immer streng nach Häufigkeitsverteilungen geordnet.
   1. Die stärkste Belastung sollte auf Zeige- und Mittelfinger liegen, die obere Reihe ist der unteren vorzuziehen, Ring- und kleiner Finger sollten möglichst wenig in die Ober- oder Unterreihe ausweichen müssen.
   1. Es soll ein Layout für Rechtshänder werden, denn die meisten Menschen sind Rechtshänder; die Standardtastatur bevorzugt im übrigen in starkem Maße Linkshänder, denn dort muss die linke Hand weitaus die meiste Arbeit verrichten.
   1. Die deutsche Sprache hat Vorrang, danach folgen Rücksichtnahme auf die englische Sprache, Anglizismen, Programmierung und Shellbefehle (Unix).
   1. Ist der Platz für eine Taste statistisch [ambivalent](http://de.wikipedia.org/wiki/Ambivalenz) ein neuer oder der alte Platz, sollte sie der leichteren Umlernbarkeit wegen auf dem alten Platz bleiben.
   1. Ist der Platz für eine Taste statistisch ambivalent, sollte sie in logischen Blöcken angeordnet bleiben, da Erlernbarkeit und Geschwindigkeit durch ausnutzen von [Mnemoblöcken](http://de.wikipedia.org/wiki/Mnemotechnik) einen Vorteil verspricht. Zudem ist eine solche Ordnung für einen Sichtschreiber einfacher.
   1. Unvermeidbare „Worst-case“-Szenarien wie das aufeinanderfolgende Hoch-/Runterspringen von Fingern sollten statistisch irrelevant bleiben.
   1. Herkömmliche Tastaturen sollen Verwendung finden, eine ergonomische Neugestaltung der Tastatur ist nicht geplant (obwohl einige Ideen dazu bestehen). 

Mit Hilfe von Statistiken der Häufigkeitsverteilung der Buchstaben in der deutschen Sprache sowie der Häufigkeit bestimmter Buchstabenfolgen und Effizienz bestimmter Tastfolgen ergibt sich die Anordnung der Tasten auf die mehr oder weniger optimalen Plätze beinahe zwangsläufig.