# Bildschirmtastatur

Mit der Bildschirmtastatur lässt sich am Bildschirm die Belegung der Tastatur anzeigen.
So kann man schnell nachschauen, wo ein bestimmtes Zeichen zu finden ist, ohne die Tastatur zu bekleben oder die Tasten zu vertauschen.

## Windows
Unter Windows ist eine Bildschirmtastatur direkt in [ReNeo](../Einrichtung/reneo.md#bildschirmtastatur) integriert. Dort wird sie mit ++Mod3+F1++ aktiviert. Dies gilt gleichermaßen bei der Verwendung von [kbdneo](../Einrichtung/kbdneo.md) / ReNeo.

## Linux
Für [Linux](../Einrichtung/Linux.md) gibt es bislang vier Programme, die die Tastatur am Bildschirm anzeigen:

  * **[OSD Neo2](https://htgoebel.gitlab.io/OSD-Neo2/)** kann alle sechs Neo-Ebenen anzeigen und die dargestellte Ebene wechselt beim Drücken von Mod-Tasten. Das Programmfenster kann verschoben und in das Benachrichtigungsfeld (Tray) versteckt werden. Das Programm ist in Python-GTK geschrieben und damit auf allen Linux-Systemen ohne Aufwand zu installieren.
  * **[NeoLayoutViewer](https://github.com/YggdrasiI/NeoLayoutViewer)**: Das Programm kann alle sechs Neo-Ebenen anzeigen und die dargestellte Ebene wechselt beim Drücken von Mod-Tasten. Per frei wählbarer Tastenkombination kann das Programmfenster ein- und ausgeblendet oder verschoben werden. Außerdem kann das Programm als virtuelle Tastatur verwendet werden. Es basiert ebenfalls auf GTK.
  * **kvkbd**: KDE-Programm, bindet sich aber auch in Gnome schön ein. Ist aber eigentlich als virtuelle Bildschirmtastatur gedacht, um Zeichen ohne Tastatur einzugeben. Kann leider nur die Neo-Ebenen 1 und 2 anzeigen.
  * **onboard**: GTK-Programm, nur unter Gnome ausprobiert, wo es gut reinpasst.  Kann leider nur die Neo-Ebenen 1 und 2 anzeigen.

??? bug "Entwicklung einer BST für Linux"
    Ideal für Neo wäre ein möglichst schlankes Programm, das die Neo-Tastatur anzeigt und zwar – so wie NeoVars das macht – in Abhängigkeit der gedrückten Mods.

    Es sollte möglichst schnell reagieren, am Besten eine Art OSD-Modus nutzen (um transparent zu sein), per Hotkey aktivierbar sein und evtl. noch Zusatzfunktionen (ähnlich zu wiemitneo) unterstützen. Durch das OSD wäre es auch weitgehend unabhängig von der Desktop-Umgebung und man könnte unter Umständen Abhängigkeiten wie von Qt oder GTK+ vermeiden.

    Eventuell ließe sich das mittels XOSD oder anderer Mittel programmieren?

## macOS
Bei einem [Mac](../Einrichtung/macOS.md) lässt sich eine Bildschirmtastatur über den Punkt „Tastaturübersicht“ in der Menüleiste auswählen, siehe auch [Verwenden der Tastaturübersicht auf dem Mac](https://support.apple.com/de-de/guide/mac-help/mchlp1015/mac).
