# Tastaturbelegung

Der Kern der Neo-Tastatur ist natürlich die Verteilung der Buchstaben. Inklusive ä, ö, ü und ß sind das 30 Kleinbuchstaben; mithilfe der Umschalt-Taste werden daraus 30 Großbuchstaben. 

Doch Neo hat noch mehr zu bieten, und dazu brauchen wir zusätzliche **Ebenen**. Lasst uns dazu kurz zu Qwertz zurückgehen:

Außer den Buchstaben, Zahlen und ein paar Satzzeichen hat Qwertz nicht viel zu bieten. Aber wer von Zeit zu Zeit ein @ oder Klammern wie { } und [ ] braucht, weiß, dass er diese durch Kombination mit AltGr erreichen kann. Dieses Konzept haben wir deutlich erweitert, so dass uns *ein* AltGr nicht mehr gereicht hat. Inzwischen lassen sich mit zwei verschiedenen „Modifiern“ sowie deren Kombination untereinander und mit der Umschalttaste vier zusätzliche Ebenen erreichen. Keine Panik – hier wird Schritt für Schritt erklärt, welche Zeichen man wie erreicht!

## Ebene 1
Zuerst wollen wir ganz einfach mit der Grundebene, den Kleinbuchstaben, beginnen. 
Ein kleiner Trost vorweg: die Zahlen, sowie m , und . liegen genau da, wo sie auch bei Qwertz liegen!

![Image](https://dl.neo-layout.org/grafik/bilder-einzeln/flat/neo-1-numpad.path.svg)

Alles wichtige zur Verteilung der Buchstaben ist an anderer Stelle schon beschrieben worden, deshalb hier nur ein paar Verweise: Einige Merksätze und Eselsbrücken, wie man sich die Verteilung der Buchstaben merken kann, gibt es auf der Seite [Einführung](../Lernen/Neo-lernen.md). Dazu hilft es vielleicht auch das Tastschreiben (Schreiben mit 10 Fingern) mit einem der empfohlenen [Tipptrainer](../Lernen/Tipptrainer.md) zu lernen.

## Ebene 2
Wer die Kleinbuchstaben beherrscht, sollte wohl mit den Großbuchstaben keine Probleme mehr haben: Einfach wahlweise die linke oder rechte Umschalttaste (die mit dem großen ⇧) gleichzeitig mit dem Buchstaben drücken.

![Image](https://dl.neo-layout.org/grafik/bilder-einzeln/flat/neo-2-numpad.path.svg)

Gut erreichbar liegen die typografisch korrekten Anführungszeichen: In der Schule haben wir alle gelernt, Zitate in „solche“ Gänsefüßchen zu setzen. Und sobald man am Computer sitzt, schreibt man meistens nur noch "so" und hofft, dass die Textverarbeitung mit ein bisschen Glück daraus die richtigen macht.  
Von diesen Glücksspielen sind Neo-Benutzer unabhängig, wir können sogar wahlweise »diese« Variante verwenden, oder die “englischen”! Und ganz zu schweigen davon, dass auch der Gedankenstrich – der meistens durch den gemeinen Bindestrich »-« ersetzt wird – direkt erreichbar ist.

Wenn die richtigen Schriftarten installiert sind, kann man dann sogar ein großes ß schreiben: ẞ. Wer hier statt dessen nur einen leeren Kasten sieht und gerne den vollen Zeichensatz der Neo-Tastatur nutzen möchte, sollte z. B. die Linux Libertine installieren. Für Infos über weitere geeignete Schriften siehe den Artikel [Geeignete Schriftarten](../Tips/Schriftarten.md).

Drückt man die beiden Umschalttasten *gleichzeitig*, wird CAPSLOCK aktiviert. Und genauso deaktiviert.

## Ebene 3
Ab hier wird es wohl etwas ungewohnt. Ebene 3 erreicht ihr über einen Druck auf die Qwertz-CapsLock- oder auf die Raute-Taste. Ansonsten das gleiche Prinzip wie vorhin.

![Image](https://dl.neo-layout.org/grafik/bilder-einzeln/flat/neo-3-numpad.path.svg)

Das Herz eines jeden Programmierers dürfte an dieser Stelle wohl höher schlagen. Ab sofort müsst ihr eure Finger nicht mehr bis in die Zahlenreihe hoch quälen. Insbesondere die zweifelhafte Höchstleistung, für einen Backslash AltGr und das Qwertz-ß gleichzeitig drücken zu müssen, bleibt euch erspart. (Da wird LaTeX wohl endlich mal attraktiv.) Einige Klammern und die beiden Schrägstriche liegen bei Neo sogar auf der Grundlinie.

Darüber hinaus erreicht ihr noch einige selten gesehene Zeichen: Die Auslassungspunkte …, den echten Apostroph ’ sowie verschiedene einfache Anführungszeichen und Währungszeichen.

## Ebene 4
Ebene 4 dient vor allem als Ersatz für das Nummernfeld, das es auf Laptops in der Regel nicht gibt. Hinzu kommen noch Pfeil- und Steuertasten, die auf einer normalen PC-Tastatur größtenteils zwischen numerischem und alphanumerischem Tastenfeld liegen.

![Image](https://dl.neo-layout.org/grafik/bilder-einzeln/flat/neo-4-numpad.path.svg)

Ihr erreicht die vierte Ebene wie dargestellt über die AltGr- oder die Qwertz-Größer/Kleiner-Taste, also die Taste rechts neben Shift. Weitere erwähnenswerte Features dieser Ebene sind Ersatzpositionen für die Rück- und die Entertaste, die auf dem Tastenfeld normalerweise unmenschlich weit rechts oben liegen, sowie die Zeichen ¿ und ¡, die im Spanischen wichtig sind.

## Ebene 5
Ab hier wird es dann noch einmal schwierig. Für die 5. Ebene müsst ihr zwei Modifier gleichzeitig drücken, und zwar eine Mod2- (= Shift) und eine Mod3-Taste. Und anschließend noch die Taste für das Zeichen, das getippt werden soll. Wie ihr das anstellt, bleibt wohl euch überlassen. Mit dem linken kleinen Finger kann man zum Beispiel gut beide Tasten auf einmal drücken – es ist aber natürlich auch erlaubt, etwa rechts Mod2 und links Mod3 zu benutzen.

![Image](https://dl.neo-layout.org/grafik/bilder-einzeln/flat/neo-5-numpad.path.svg)

Diese Ebene bietet hauptsächlich die griechischen Buchstaben und sollte vor allem für Naturwissenschaftler interessant sein, wobei es auch möglich ist, [griechisch zu schreiben](../Tips/Griechisch.md). 
Die tippbaren Zeichen können übrigens in LaTeX direkt verwendet werden: [LaTeX und Neo](../Tips/LaTeX.md).

## Ebene 6
Die schließlich letzte Ebene richtet sich noch einmal offensichtlich an Naturwissenschaftler.

Die Ebene 6 wird durch gleichzeitiges Drücken der Modifiertasten 3 und 4 aktiviert. Hierbei ist zu beachten, dass manche Tastaturen hardwareseitige Einschränkungen haben, und nicht alle Zeichen der Ebene 6 einzugeben sind. Meist können diese Zeichen jedoch durch die Verwendung der Modifiertasten auf der anderen Tastaturseite eingegeben werden.

![Image](https://dl.neo-layout.org/grafik/bilder-einzeln/flat/neo-6-numpad.path.svg)
