<style>
.containerdings {
    display: flex;
    flex-direction: row-reverse;
    justify-content: center;
    flex-wrap: wrap-reverse;
}
.drittel {
    min-width: 10rem;
    flex: 1 1 10rem;
}
.drittel img {
    display: block;
    margin: auto;
    height: 3rem;
    margin-bottom: 1em;
    margin-top: 1em;
}
.drittel .md-button {
    display: block;
    margin: auto;
    margin-top: 1em;
    padding: 0.625em 1em;
    width: 100%;
    text-align: center;
}

.md-button[align=left] {
    float: left;
    margin-left: 0;
    margin-right: 1em;
}
</style>

# Download / Installation

## Windows

<div class="containerdings">
<div class="drittel" style="order: 3">
    <img src="//dl.neo-layout.org/grafik/logos/neo-schriftzug.svg" />
    <a class="md-button md-button--primary" href="//dl.neo-layout.org/reneo.zip">ReNeo (Neo) herunterladen</a>
</div>
<div class="drittel" style="margin: 0 1em 0;order: 2">
    <img src="//dl.neo-layout.org/grafik/logos/neoqwertz-schriftzug.svg" />
    <a class="md-button md-button--primary" href="//dl.neo-layout.org/reneo-neoqwertz.zip">ReNeo (NeoQwertz) herunterladen</a>
</div>
<div class="drittel" style="order: 1">
    <img src="//dl.neo-layout.org/grafik/logos/bone-schriftzug.svg" />
    <a class="md-button md-button--primary" href="//dl.neo-layout.org/reneo-bone.zip">ReNeo (Bone) herunterladen</a>
</div>
</div>
Die Versionen unterscheiden sich nur in der jeweiligen Voreinstellung des Layouts. Für eine korrekte Funktion sollte in Windows das deutsche oder schweizerische Qwertz-Layout eingestellt sein. Weitere Optionen finden sich [hier](../Einrichtung/reneo.md).

## Linux

Alle drei Varianten sind in der normalen [Linux-Tastaturkonfiguration](https://www.freedesktop.org/wiki/Software/XKeyboardConfig/) vorhanden und müssen nur in den Einstellungen ausgewählt werden.

*Beachte*: Bei der Kombination mit dem „basic“ Layout (oder anderen Layouts mit wenigen Ebenen) sollte Neo das primäre Layout sein. Ferner sollte vor dem Aktivieren von Neo die Num-Lock-Funktion deaktiviert werden.

Die Varianten [Bone](../Layouts/bone.md) und [NeoQwertz](../Layouts/neoqwertz.md) werden von manchen Desktops standardmäßig nicht angezeigt.
Bei Gnome kann man aber durch Eingabe von `gsettings set org.gnome.desktop.input-sources show-all-sources true` in einem Terminal alle Layouts in den Tastatureinstellungen anzeigen lassen.

Für eine Vielzahl von Desktops und Distributionen befinden im [Handbuch](../Einrichtung/Linux.md) genaue Anleitungen, die auch die Linux-Konsole abdecken.

[XCompose heruterladen](https://dl.neo-layout.org/XCompose){: .md-button .md-button--primary align=left}

Um alle [toten Tasten und Compose-Sequenzen](../Benutzerhandbuch/Tote-Tasten-und-Compose.md) benutzen zu können, muss die Neo-Compose-Datei als `~/.XCompose` gespeichert werden.

## Mac OS

<div class="containerdings">
<div class="drittel" style="order: 3">
    <img src="//dl.neo-layout.org/grafik/logos/neo-schriftzug.svg" />
    <a class="md-button md-button--primary" href="//dl.neo-layout.org/neo.keylayout">neo.keylayout herunterladen</a>
    <a class="md-button" href="//dl.neo-layout.org/grafik/logos/neo.icns">neo.icns herunterladen</a>
</div>
<div class="drittel" style="margin: 0 1em 0;order: 2">
    <img src="//dl.neo-layout.org/grafik/logos/neoqwertz-schriftzug.svg" />
    <a class="md-button md-button--primary" href="//dl.neo-layout.org/neoqwertz.keylayout">neoqwertz.keylayout herunterladen</a>
    <a class="md-button" href="//dl.neo-layout.org/grafik/logos/neoqwertz.icns">neoqwertz.icns herunterladen</a>
</div>
<div class="drittel" style="order: 1">
    <img src="//dl.neo-layout.org/grafik/logos/bone-schriftzug.svg" />
    <a class="md-button md-button--primary" href="//dl.neo-layout.org/bone.keylayout">bone.keylayout herunterladen</a>
    <a class="md-button" href="//dl.neo-layout.org/grafik/logos/bone.icns">bone.icns herunterladen</a>
</div>
</div>

Die Dateien in `/Library/Keyboard Layouts` speichern.
Anschließend kann das Layout in den Systemeinstellungen unter »Tastatur → Eingabequellen« aktiviert werden.

Für die höheren Ebenen muss das Programm [Karabiner Elements](https://karabiner-elements.pqrs.org/) benutzt werden.
Dort die [Neo2-Regeln](https://ke-complex-modifications.pqrs.org/#neo2) importieren und anschließend die Regeln »Neo2 mod 3 and 4 keys«, »Neo2 layer 4«, »Neo2 layer 6« und »Toggle caps_lock by pressing left_shift + right_shift at the same time« aktivieren.
