# <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="1em"><path fill="currentColor" d="M19 10h-2V8h2m0 5h-2v-2h2m-3-1h-2V8h2m0 5h-2v-2h2m0 6H8v-2h8m-9-5H5V8h2m0 5H5v-2h2m1 0h2v2H8m0-5h2v2H8m3 1h2v2h-2m0-5h2v2h-2m9-5H4c-1.11 0-2 .89-2 2v10a2 2 0 002 2h16a2 2 0 002-2V7a2 2 0 00-2-2z"/></svg> Übersicht


Nachdem du dich ein wenig mit Neo beschäftigt hast und dir über alle Vor- und Nachteile von Neo im Klaren bist, bist du nun bereit, auf Neo umzusteigen und es dafür zunächst einzurichten. Auch wenn du natürlich die Möglichkeit hast, Neo „nur mal kurz“ auszuprobieren, empfehlen wir dir eher, dich ganz bewusst für oder gegen einen Umstieg auf Neo zu entscheiden und dann auch dabei zu bleiben.

Keine Panik: Das Einrichten ist einfacher, als die Länge dieser Seite befürchten lässt. Diese Seite dient als Überblick und Einstieg in die einzelnen Anleitungen. Da Neo auf verschiedenen Systemen eingerichtet werden kann, gibt es für jedes System eine eigene Anleitung.

Neben den folgenden Softwarelösungen gibt es auch Möglichkeiten, Neo mit spezieller [Hardware](../Hardware/Hardwaretreiber.md) zu nutzen.

## Windows

Das Neo-Tastaturlayout ist standardmäßig nicht in Windows enthalten und muss manuell nachinstalliert werden. Dafür stehen zwei unterschiedliche Wege zur Verfügung, die beide ihre Vor- und Nachteile haben. Welcher der richtige ist, hängt von den eigenen Bedürfnissen ab.

**ReNeo**
:   Unter Windows hat nicht jeder vollen Zugriff (Administrator-Rechte) auf den vor ihm stehenden Computer, beispielsweise in der Firma oder Universität. Das im Hintergrund laufende Programm [ReNeo](reneo.md) aktiviert das neue Layout und benötigt keine Adminrechte zur Installation, siehe auch unter [Downloads](../Download/index.md).

**kbdneo**
:   Falls dagegen vollständiger Zugriff auf das System vorhanden ist, kann ein systemweites Tastaturlayout namens [kbdneo](kbdneo.md) installiert werden. Die Einrichtung ist jedoch etwas aufwendiger.

Bei Problemen hilft ein Blick in die unter FAQ stehende Liste der [bekannten Probleme](../Probleme/FAQ.md#windows) unter Windows. Wenn du direkte Hilfe brauchst, wende dich [an uns!](../Beitragen/Community.md).


## Linux

Die Einrichtung von Neo oder auf Neo basierten Layouts unter Linux wird unter [Neo einrichten](Linux.md) im Einzelnen beschrieben. Bei allen modernen Systemen sind die Layouts bereit vorinstalliert. Zum Aktivieren reicht es aus, diese in den Tastatureinstellungen auszuwählen.

Bei Problemen gibt es in der FAQ eine Liste der [bekannten Probleme](../Probleme/FAQ.md#linux-unix-bsd) unter Linux. Darüber hinaus gibt es mehrere Möglichkeiten, individuelle Hilfe für Neo zu erhalten.

## macOS

Wer einen *schönen* Mac hat, möchte ihn auch *schön* und einfach bedienen. Dafür eignet sich Neo vorzüglich. Siehe [macOS](macOS.md).


## FreeBSD, OpenBSD, NetBSD

Eines der freiesten Betriebssysteme und an Universitäten nach wie vor verbreitet: FreeBSD. Und das sicherste System will auch sicher bedient werden:  OpenBSD. Das portable NetBSD unterstützt Neo natürlich auch. Siehe [BSD-Systeme](BSD.md).


## Android

Immer weniger Menschen (relativ gesehen) verwenden „echte“, große Computer (Desktop-Systeme oder Laptops). Glücklicherweise kann man auch direkt auf dem Telefon oder Tablet oder mit einer externen Tastatur an diesen Geräten mit Neo tippen, siehe [Neo unter Android einrichten](Android.md).

## iPhone

!!! important "Wichtig"
    Für das iPhone sind keine Third-Party-Apps bekannt, die es ermöglichen, ein eigenes Layout zu definieren. Wenn jemand eine solche App kennt oder gar Erfahrungen damit gesammelt hat, würden wir uns über eine kurze Benachrichtigung oder Ergänzung freuen.


## Sonstiges

### Virtuelle Maschinen

Wird ein Betriebssystem in einer virtuellen Maschine installiert, konkurrieren die Tastaturbelegungen von Wirt und Gast miteinander. In den meisten Fällen ist die des Gastes entscheidend, weitere Infos und Problemlösungen gibt es unter [Virtuelle Maschinen](../Probleme/VM.md).

### Obsolete / alternative Treiber für Windows

In der Vergangenheit wurden andere Programme genutzt, um Neo unter Windows einzurichten. Außerdem gibt es ein weiteres Projekt eines anderen Entwicklers, welches hier nicht verschwiegen werden soll. Diese Programme lassen sich ähnlich wie Reneo benutzen, werden aber von unserer Seite nicht (mehr) gepflegt. Bei Problemen versuchen wir natürlich trotzdem gerne zu helfen.

#### NeoVars

[NeoVars](neovars.md) ist der Vorgänger von ReNeo und basiert auf der Skriptsprache [AutoHotkey](https://www.autohotkey.com/). Das Funktionsprinzip ist ähnlich. Aufgrund der Natur von AutoHotkey ist NeoVars nicht so stabil, wie man es von einem Tastaturlayout erwartet. Da es noch viele Nutzer gibt, ist es weiterhin im Wiki dokumentiert.

#### neo2-llkh

[neo2-llkh](https://github.com/MaxGyver83/neo2-llkh) entstand aus dem Bedürfnis heraus, NeoVars spezifisch an einzelne Anforderungen anpassen zu wollen (z.B. Umbelegung der Modifier-Tasten). Der Ansatz entspricht demselben wie ReNeo, allerdings führen manche Zeichen oder Tastenkombinationen noch zu falschen Ergebnissen. Auf der anderen Seite lassen sich die Belegungen der Modifier (auch von ++Alt++, ++Strg++ und ++Win++) sehr frei anpassen. Dies ist in ReNeo zwar auch möglich, jedoch nicht über einfache Einstellungen in einer Textdatei.
