# <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="1em"><path fill="currentColor" d="M3,12V6.75L9,5.43V11.91L3,12M20,3V11.75L10,11.9V5.21L20,3M3,13L9,13.09V19.9L3,18.75V13M20,13.25V22L10,20.09V13.1L20,13.25Z" /></svg> kbdneo (nativ)

kbdneo ist ein natives Tastaturlayout für Windows. Es wird nach der Installation auf dieselbe Weise wie die mitgelieferten Layouts (z.B. Englisch, Französisch, Dvorak) ausgewählt. Generell wird es für alle Nutzer empfohlen, die Administratorrechte besitzen.

kbdneo gibt es ebenso in den Varianten [Bone](../Layouts/bone.md) und [NeoQwertz](../Layouts/neoqwertz.md).

!!! important "Hinweis"
    Aus technischen Gründen unterstützt das native Layout nicht den vollständigen Funktionsumfang von Neo. Um diesen zu erreichen, bitte nach erfolgreicher Installation von kbdneo den Abschnitt [Ergänzung der Funktionalität](#erganzung-der-funktionalitat) beachten.

## Download

Die verschiedenen Varianten von kbdneo sind unter folgenden Links verfügbar:

| Layout | 64-Bit (empfohlen) | 32-Bit |
| -------- | -------- | -------- |
| Neo      | [kbdneo64.zip](https://dl.neo-layout.org/kbdneo64.zip) | [kbdneo32.zip](https://dl.neo-layout.org/kbdneo32.zip) |
| Bone     | [kbdbone64.zip](https://dl.neo-layout.org/kbdbone64.zip) | [kbdbone32.zip](https://dl.neo-layout.org/kbdbone32.zip) |
| NeoQwertz   | [kbdqwertz64.zip](https://dl.neo-layout.org/kbdqwertz64.zip) | [kbdqwertz32.zip](https://dl.neo-layout.org/kbdqwertz32.zip) |
| NeoQwerty   | [kbdqwerty64.zip](https://dl.neo-layout.org/kbdqwerty64.zip) | — |
| NeoQwertz<br>(ß unten, Bindestrich oben) | [kbdqwertz_eszett64.zip](https://dl.neo-layout.org/kbdqwertz_eszett64.zip) | [kbdqwertz_eszett32.zip](https://dl.neo-layout.org/kbdqwertz_eszett32.zip) |
| NeoQwerty<br>(ß unten, Bindestrich oben) | [kbdqwerty_eszett64.zip](https://dl.neo-layout.org/kbdqwerty_eszett64.zip) | — |

Bei den letzten beiden Varianten sind ß und Bindestrich im Unterschied zu Qwertz/Qwerty getauscht. Alle horizontalen Striche sind somit auf der dedizierten Strichtaste von Neo zu finden, während das ß nach unten rechts auf der Tastatur wandert. Eine passende Layoutkonfiguration für ReNeo liegt als Datei `layout.json` bei. Diese kann in das Programmverzeichnis von ReNeo kopiert werden.

!!! important "Hinweis"
    In einzelnen Fällen bemängelt der Browser beim Download, dass das Archiv unsicher oder gefährlich sei. Dies liegt an den enthaltenen .exe-Dateien im Zip-Archiv. Um den Download trotzdem durchzuführen, auf „Beibehalten“ (oder ähnlich) klicken.

Die Versionen sind unter Windows 10 getestet. Sie funktionieren ohne Einschränkung auch unter Windows 7 und (vermutlich) Vista. Ältere Windows-Versionen werden nicht mehr offiziell unterstützt.

## Vorteile und Unterschiede zu ReNeo

Obwohl [ReNeo](reneo.md) im Standalone-Modus genügt, um Neo in vollem Umfang nutzen zu können, bietet kbdneo als nativer Treiber einige Vorteile, die den höheren Installationsaufwand rechtfertigen:

  - Das native Layout ist bereits beim Anmeldebildschirm aktiv. Eventuelle Passwörter können also im gewohnten Layout statt in Qwertz eingetippt werden.
  - In Anwendungen, die mit Administrator-Rechten gestartet werden, ist dasselbe Layout aktiv (kann auch [mit etwas Aufwand](#reneo-mit-administratorrechten) bei ReNeo erreicht werden).
  - Korrekte Benennung der Tasten, z.B. „Mod 3 links“ anstatt „Capslock“. Dies führt bspw. in Computerspielen (beim Einstellen der Tastenbelegung) zu weniger Verwirrung.
  - Verschiedene Anwendungen wie VirtualBox oder DOSBox, die ihrerseits wieder Systeme mit eigenen Tastaturlayouts simulieren, kommen u.U. besser mit einem nativen Layout zurecht.

Wenn diese Vorteile keinen persönlichen Mehrwert bieten, ist es oft – gerade bei Firmenrechnern – einfacher, ausschließlich ReNeo zu verwenden. In dem Fall: [bitte hier abbiegen](reneo.md).

## Manuelle Installation

!!! warning "Bitte beachten"
    Die Installation des Layouts in Windows 10 erfordert die Einhaltung der Reihenfolge des nachfolgenden Ablaufs. Wird diese nicht beachtet, können unerwartete Fehler auftreten oder das Layout nicht in der Liste erscheinen.

  1. Entpacken des heruntergeladenen Archivs in ein Verzeichnis nach Wahl
  2. Kopieren der .dll-Datei im Unterverzeichnis `System32` nach `C:\Windows\System32`. Wenn Windows nach Zugriffsrechten fragt, müssen diese gewährt werden.

     Auf 64-Bit-Windows muss der Kopiervorgang mit einem 64-Bit-Programm erfolgen. Dateimanager wie der *FreeCommander* sind dafür **nicht** geeignet! Am besten verwendet man den Windows Explorer.

  3. Kopieren der .dll-Datei im Unterverzeichnis `SysWOW64` entsprechend nach `C:\Windows\SysWOW64`. Bei der 32-Bit-Version (nur für 32-Bit-Windows!) entfällt dieser Punkt.
  4. Ausführen der Datei `kbdneo_win10_install.reg`, welche das Layout in der Registry einträgt. Auch hier die Zugriffsrechte bestätigen.
  5. Neu starten. Nicht nur den Benutzer ab- und anmelden, sondern Windows neu starten.

Damit steht das Tastaturlayout im System zur Verfügung. Als nächstes stellen wir das Layout in den Spracheinstellungen für den Benutzer ein. Dazu die Windows-Einstellungen öffnen, „Zeit und Sprache“ auswählen, auf „Sprache“ klicken – oder alternativ „Spracheinstellungen“ im Startmenü eingeben und auswählen.

!!! example "Screenshot"
    ![screenshot](images/kbdneo_settings1.png)

Im unteren Teil unter „Bevorzugte Sprachen“ klicken wir auf Deutsch und dann auf „Optionen“. Das nächste Fenster listet uns die bisher aktivierten Tastaturen auf, in der Regel nur „Deutsch (Qwertz)“. Hier fügen wir Neo hinzu mit „Tastatur hinzufügen“ und wählen „Deutsch (Neo 2.0 ergonomisch)“ aus (für Bone bzw. Neoqwertz entsprechend mit anderem Text).

!!! example "Screenshot"
    ![screenshot](images/kbdneo_settings2.png)

### Mehrere Layouts

Wenn man ausschließlich Neo benutzen möchte, könnte man entsprechend das Qwertz-Layout auf ähnliche Weise löschen. Meist hat es sich jedoch als praktisch erwiesen, Qwertz als Option beizubehalten. Um Neo als primäres Layout festzulegen, gehen wir zum vorigen Bildschirm zurück und wählen „Tastatur“ (unter Sprache).

!!! example "Screenshot"
    ![screenshot](images/kbdneo_settings3.png)

In der oberen Auswahlliste wählt man nun statt des Systemstandards explizit Neo (bzw. Bone / Neoqwertz) aus. Nun startet Windows mit aktiviertem Neo-Layout.

!!! example "Screenshot"
    ![screenshot](images/kbdneo_settings4.png)

### Deinstallation

Die Deinstallation läuft am Besten in umgekehrter Reihenfolge zur Installation ab:

  1. In den Einstellungen das entsprechende Layout aus der Liste entfernen
  2. Die Registry-Uninstall-Datei `kbd_win10_uninstall.reg` aufrufen und bestätigen
  3. Die beiden `kbdneo.dll`-Dateien aus `C:\Windows\System32` und `SysWOW64` löschen
  4. Windows neu starten

Auch bei einem Wechsel des Layouts, z.B. von Neo nach Bone, wird zuerst die vollständige Deinstallation empfohlen. Auf den Neustart im letzten Schritt kann verzichtet werden, wenn man anschließend eine Installation des anderen Layouts nach Anleitung vornimmt.


## Ergänzung der Funktionalität

Einige spezielle Funktionen lassen sich nicht über einen nativen Tastaturtreiber belegen. Dazu gehören auf Ebene 4 die Pfeiltasten, Entfernen, Seite hoch/runter, Einfügen, Pos1 und Ende. Ebenso ist das [Einrasten](../Benutzerhandbuch/Einrasten.md) von Modifiern (Capslock bzw. Mod4-Lock) treibertechnisch nicht direkt möglich. Manche Programme, die auf Windows und Linux laufen, haben zudem Schwierigkeiten mit den Zeichen der dritten Ebene.

Diese Nachteile können dadurch behoben werden, wenn als Ergänzung auch [ReNeo](reneo.md) installiert und gestartet wird ([hier beschrieben](reneo.md#installation)). Es läuft dann automatisch im Erweiterungsmodus und ergänzt kbdneo um die fehlenden Funktionen.

Der einfachste Weg dazu ist hier, eine Verknüpfung auf `reneo.exe` im Autostart-Menü anzulegen.

!!! important "Ausführen mit Administrator-Rechten"
    Wenn ein Programm mit Adminrechten gestartet wird, bleibt das Neo-Layout aktiv. Die Funktionen von ReNeo laufen dagegen leider nicht automatisch im Admin-Modus, wenn es regulär gestartet wird.

    Zur Abhilfe kann man ReNeo ein zweites Mal (als Administrator) ausführen. Den aufpoppenden Dialog bestätigt man und hat anschließend die Funktionalität bis zum Abmelden / Neustart für alle Programme aktiv.

### ReNeo mit Administratorrechten

Falls es gewünscht ist, die zusätzlichen Funktionen nach dem Anmelden auch in Programmen mit Administrator-Rechten zur Verfügung zu haben, ist ein anderer Weg als über Autostart erforderlich. Stattdessen wird mittels der _Aufgabenplanung_ (engl. _Task Scheduler_) ein neuer Task in der Aufgabenplanungsbibliothek (engl. Task Scheduler Library) erstellt:

!!! example "Screenshot"
    ![screenshot](images/kbdneo_settings5.png)

- Mit der Einstellung _Run with highest privileges_ läuft das Skript automatisch im Administrator-Modus.
- Unter _Triggers_ ist ein neuer Trigger mit Aufgabenstart „Bei Anmeldung“ hinzuzufügen.
- Bei _Actions_ wird eine neue Aktion gesetzt, die `reneo.exe` ausführt.
- Bei Notebooks sollte man noch unter _Conditions_ die Option deaktivieren, dass der Task nur bei Strombetrieb gestartet wird.
- Da der Task dauerhaft läuft, sollte man eventuell unter _Settings_ die Option deaktivieren, bei der die Aufgabe nach längstens drei Tagen automatisch beendet wird.

!!! warning "Zu beachten"
    Zu beachten ist, dass ein evtl. bereits vorhandener Autostart-Eintrag von `reneo.exe` wieder entfernt wird.


## Features

### Bildschirmtastatur

Die Bildschirmtastatur (BST) von Windows ist nicht kompatibel mit auf Neo basierenden Layouts. Alternativ kann daher die BST von ReNeo genutzt werden, die mit ++Mod3+F1++ eingeblendet bzw. versteckt wird. Sie zeigt die Zeichen der jeweils aktiven Ebene an, abhängig von den gedrückten Mod-Tasten.

### Wechseln zwischen Neo und Qwertz

Wenn beide Layouts in Windows für den Benutzer eingerichtet sind, kann man zwischen ihnen mit ++Windows+Space++ umschalten. Die Umschaltung wirkt sich standardmäßig auf alle bereits gestarteten Anwendungen aus.

ReNeo erkennt ebenfalls den Wechsel und verhält sich entsprechend der Einstellung `standaloneMode` (siehe [hier](reneo.md#konfiguration)). Es ist sinnvoll, diese Option auf `false` zu stellen, damit sich ReNeo beim Wechsel zu Qwertz ebenfalls deaktiviert – sinnvoll, wenn man z.B. für andere Nutzer das Layout schnell auf Qwertz schalten möchte.


## Häufige Fehler

### Mein ß ist ein ö!

!!! fail "Obsoleter Fehler"
    In früheren Versionen wurde statt ReNeo ein Ergänzungsskript verwendet, das auf AutoHotkey basiert. Die Nutzung von ReNeo führt nicht zum beschriebenen Fehler.

Der beschriebene Fehler tritt auf, wenn das Ergänzungsskript gestartet wird, aber Neo _zum Zeitpunkt des Programmstarts_ nicht das aktive Layout war.

**Abhilfe:** Entweder Neo als primäres Layout einrichten (siehe [Manuelle Installation](#manuelle-installation)), oder das Layout temporär zu Neo umschalten, bevor das Skript gestartet wird.

Nach dem korrekten Start des Skripts kann man beliebig das Layout wechseln, ohne dass es zu plötzlichen Problemen führt. Jedoch wird empfohlen, bei längerer Verwendung von Qwertz das Skript über sein Kontextmenü zu deaktivieren (siehe Neo-Symbol im Systray), um Probleme in der vierten Ebene zu vermeiden.

### Neo/Bone/Neoqwertz taucht nicht im Layoutumschalter auf

Wenn man das Layout in den Spracheinstellungen hinzugefügt hat, es aber nicht im Layoutumschalter (aufzurufen mit Win+Leertaste) auftaucht, ist bei der Installation etwas schiefgelaufen. Dies tritt z.B. auf, wenn die .dll-Dateien unvollständig oder an die falsche Stelle kopiert wurden. Mögliche Gründe sind:

  - zum Kopieren wurde nicht der Windows Explorer benutzt
  - die Dateien wurden vertauscht (z.B. `System32\kbd*.dll` nach `SysWOW64` kopiert oder umgekehrt)
  - nur eine der Dateien wurde kopiert
  - nach dem Kopieren und dem Registry-Eintrag wurde nicht neu gestartet
  - eine eventuelle Deinstallation wurde nicht sauber durchgeführt

**Abhilfe:** Die Aktionen unter [Deinstallation](#deinstallation) ausführen, Windows neu starten und anschließend die Anweisungen zur [Installation](#manuelle-installation) strikt befolgen. Grundsätzlich ist zu sagen, dass bei Abweichungen in der Reihenfolge bei Installation und Deinstallation ein inkorrekter Zustand erreicht werden kann, in dem Windows das Layout nicht korrekt lädt oder gar nicht erst findet.

### Manche Tasten auf Ebene 4 erzeugen falsche oder zusätzliche Aktionen

!!! fail "Obsoleter Fehler"
    In früheren Versionen wurde statt ReNeo ein Ergänzungsskript verwendet, das auf AutoHotkey basiert. Die Nutzung von ReNeo führt nicht zum beschriebenen Fehler.

Dies wird vorkommen, wenn mehr als ein Ergänzungsskript gleichzeitig läuft. Hier bitte überprüfen, dass genau ein Skript läuft, und dass dieses zum aktiven Layout passt (also beispielsweise `kbdbone.exe` zum Bone-Layout).
