# <svg viewBox="0 0 24 24" width="1em"> <path fill="currentColor" d="M18.71,19.5C17.88,20.74 17,21.95 15.66,21.97C14.32,22 13.89,21.18 12.37,21.18C10.84,21.18 10.37,21.95 9.1,22C7.79,22.05 6.8,20.68 5.96,19.47C4.25,17 2.94,12.45 4.7,9.39C5.57,7.87 7.13,6.91 8.82,6.88C10.1,6.86 11.32,7.75 12.11,7.75C12.89,7.75 14.37,6.68 15.92,6.84C16.57,6.87 18.39,7.1 19.56,8.82C19.47,8.88 17.39,10.1 17.41,12.63C17.44,15.65 20.06,16.66 20.09,16.67C20.06,16.74 19.67,18.11 18.71,19.5M13,3.5C13.73,2.67 14.94,2.04 15.94,2C16.07,3.17 15.6,4.35 14.9,5.19C14.21,6.04 13.07,6.7 11.95,6.61C11.8,5.46 12.36,4.26 13,3.5Z" /></svg> macOS

## Installationsanleitung für macOS

Die Installation des Neo-Tastaturlayouts unter macOS ist zwar nicht sehr schwer, hier aber dennoch in aller Ausführlichkeit erklärt:

  * Die Layoutdatei herunterladen: [neo.keylayout](https://dl.neo-layout.org/neo.keylayout)  
    Sie ist identisch zu der Datei aus dem ursprünglichen Projekt [neo2-layout-osx](https://github.com/jgosmann/neo2-layout-osx). Weitere Details und mögliche Probleme sind dort (auf englisch) erklärt.
    
  * Safari-Nutzer bitte die Datei umbennen in neo.keylayout (also Dateiendung .xml entfernen). (Achtung: Eventuell wird im Finder die tatsächliche Endung nicht angezeigt. Im Datei-Info-Fenster (Tastenkombination ++cmd+i++) ist unter »Name & Suffix« stets der vollständige Dateiname sichtbar und änderbar.)
  * Ebenso die Icon-Datei herunterladen: [neo.icns](https://dl.neo-layout.org/neo.icns)

Diese beiden Dateien müssen an einen Ort verschoben (oder kopiert) werden, an dem macOS Tastaturbelegungen erwartet:

  * Soll die Belegung für alle Nutzer verfügbar sein, ist dies `/Library/Keyboard Layouts`. Man kann die Dateien einfach mit dem Finder dorthin verschieben.
  * Wenn Du in diesem Ordner keine Schreibrechte hast, dann kannst Du die Dateien zumindest in den Ordner »Dein persönliches Verzeichnis« (`~/Library/Keyboard Layouts`) verschieben oder kopieren. Dann ist die PC-Tastaturbelegung allerdings nur für Dich verfügbar und nicht für andere Nutzer auf diesem Computer. Dies ist z.B. mit folgendem Terminal-Befehl möglich:  
```
cp ~/Downloads/neo.keylayout ~/Downloads/neo.icns "~/Library/Keyboard Layouts/"
```  
  * Wenn die Dateien nach `/Network/Library/Keyboard Layouts` verschoben werden, stehen sie allen Nutzern im lokalen Netzwerk zur Verfügung.

Ggf. Benutzer ab- und wieder anmelden (das ist in der Regel nicht mehr nötig; mindestens seit OS X 10.8).

Jetzt kann man unter »Systemeinstellungen → Tastatur → Eingabequellen« das Tastaturlayout »Deutsch (Neo 2)« markieren (einfach ein Häkchen vor diesen Eintrag setzen). Schon kann man es in der Systemleiste auswählen und verwenden (sofern »Tastaturmenü in der Menüzeile anzeigen« ausgewählt ist).

Die weiteren Schritte hängen von der macOS-Version ab.

### macOS 10.12 »Sierra« und neuer

Um **alle 6 Ebenen** auf dem Mac nutzen zu können, wird das Programm [Karabiner-Elements](https://karabiner-elements.pqrs.org/) benötigt. Ist dieses Programm installiert, kann man wie folgt vorgehen.

  * Die [Neo2-Regeln importieren](https://ke-complex-modifications.pqrs.org/#alternative_keyboard_layouts).
  * Das Programm »Karabiner-Elements« öffnen und in »Complex-Modifications« auf »Add rule« klicken.
  * Unter »Neo2« die Regel »Neo2 mod 3 and 4 keys« hinzufügen.
  * Ebenso die Regeln »Neo2 layer 4«, »Neo2 layer 6« und »Toggle caps_lock by pressing left_shift + right_shift at the same time« hinzufügen.

Probleme mit den Neo2-Regeln [können hier gemeldet werden](https://github.com/pqrs-org/KE-complex_modifications/issues).

### macOS bis 10.11 »El Capitan«

Unter »Systemeinstellungen → Tastatur → Tastatur (Reiter)« verbirgt sich zudem das »Sondertasten«-Menü. Dort können ++caps-lock++, ++ctrl++, ++option++ und ++cmd++ neu belegt werden. Es ist sinnvoll, ++caps-lock++ dort zu einer zweiten ++option++-Taste zu ändern, um den linken ++mod3++ an gewohnter Stelle vorzufinden.

Um **alle 6 Ebenen** auf dem Mac nutzen zu können, wird das Programm [Karabiner](https://github.com/tekezo/Karabiner/releases/download/files/Karabiner-10.22.0.dmg) benötigt (nur kompatibel mit macOS 10.11 »El Capitan« und früher!). Ist dieses Programm installiert, kann man wie folgt vorgehen:

  * Die für Neo angepasste [private.xml](https://dl.neo-layout.org/private.xml) herunterladen und unter `~/Library/Application Support/Karabiner` speichern.
  * Das Programm »Karabiner« öffnen und dort auf »Reload XML« klicken.
  * Daraufhin ganz oben unter »remapping« die beiden Punkte »_German Neo 2. Enthält:_« und »_Shift_L+Shift_R zu Capslock_« auswählen.
    Ebenso unter »Change Option_R Key (Right Option)« den Haken bei »_Option_R to Command_R_« setzen.
    Außerdem unter dem Punkt »For German« die »_NEO Keyboard Layout Fixes_« aktivieren. (die Punkte können über die Suchzeile jeweils schnell gefunden werden)

Nun sollten alle 6 Ebenen mit der korrekten Modifierbelegung funktionieren.

#### Äquivalente Positionierung der Cmd-Taste auf interner und externer Tastatur

!!! warning "Achtung"
    Karabiner wurde zu Karabiner-Elements weiterentwickelt, deshalb ist dieser historische Abschnitt u.U. nicht mehr korrekt. Bei neuen Erkenntnissen bitte Verbesserungen eigenständig einpflegen.

Gängige USB-Tastaturen haben die Alt-Taste neben der Leertaste und daneben eine Windowstaste. Möchte man sowohl die interne Tastatur des MacBooks als auch die externe Tastatur mit der Cmd-Taste neben der Leertaste haben, geht man wie folgt vor:

* Mit der Anwendung Seil wird unter »Change the caps lock key« der Haken bei »Change the caps lock key« gesetzt. Für den »keycode« wird *110* eingetragen.
* Nun werden die Einstellungen von Karabiner geändert. Bei »For PC Users« muss in dem Punkt »Change PC Application Key (Menu Key)« der Haken bei »Application Key to Option_L« gesetzt werden.
* Im letzten Schritt werden die Tastenbelegungen für Cmd- und Alt-Taste der USB-Tastatur getauscht. Dies erfolgt in »Systemeinstellungen → Tastatur → Sondertasten«. Hier wird die externe Tastatur ausgewählt und die CapsLock-Taste auf »Keine Aktion« eingestellt.

Nun sollten beide Tastaturen wie gewohnt und auf die gleiche Weise funktionieren.

## Legende der Haupttastatur für Mac
```
┌─────┐ 1 … 1. Ebene (kein Mod)
│2 4 6│ 2 … 2. Ebene (Umschalt) [⇧]
│1 3 5│ 3 … 3. Ebene (Mod3) [CapsLock] oder [#]
└─────┘ 4 … 4. Ebene (Mod4) [>] oder rechte [⌘]-Taste
        5 … 5. Ebene (Mod3+Umschalt) [⇧] + [CapsLock]
        6 … 6. Ebene (Mod3+Mod4) [#] + [<] od. [CapsLock] + rechte [⌘]-Taste od. [#]
```

## Hinweise und Einschränkungen
  * Die Command-Ebene (++cmd++) hat das Neo-Layout.
  * [Compose](../Benutzerhandbuch/Tote-Tasten-und-Compose.md) ist noch nicht umgesetzt.
  * Die Anwendung Tastaturübersicht lässt sich wie das Tastaturlayout über »Systemsteuerung → Ländereinstellungen → Tastaturmenü« einstellen. Das hat mehrere Vorteile: Man braucht nicht die Tasten auf der Tastatur rausreißen und neu anordnen, und eigentlich sollte man ja sowieso nie auf die Tasten schauen.
  * Im Verzeichnis [grafik](https://git.neo-layout.org/neo/neo-layout/src/branch/master/grafik) gibt es mehrere Bilder und auch einen Aufsteller, den man sich ausdrucken und vor sich hinstellen kann.
  * Bei Problemen in die [FAQ](../Probleme/FAQ.md#apple-macos) schauen oder im [neo2-layout-osx](https://github.com/jgosmann/neo2-layout-osx#know-issues)-Projekt.
