# Tastaturen mit Neo-Beschriftung

Auch wenn man beim Schreiben von Texten nach nur kurzer Übungszeit nicht mehr auf die Tastatur schaut, gibt es durchaus Szenarien, in denen eine Neo-Tastatur praktisch wäre.

Wenn man beispielsweise beim Telefonieren nur mit einer Hand ein paar Zeichen eingeben will, ist es fast unabdingbar, eine echte Neo-Tastatur vor sich zu haben. Egal ob geklebt, bemalt oder eingeritzt. Auch wenn man nicht bereit ist, sämtliche Positionen der Zeichen der höheren Ebenen der Neo-Tastatur auswendig zu lernen, ist eine ordentlich beschriftete Tastatur sehr praktisch. 

Das Projekt der [Cherry-Neotastatur](#neo-tastatur-von-cherry) ist gescheitert und entsprechend kann man nur durch Basteln oder teure Auftragsfertigungen an Neo-Tastaturen kommen.

Das Vertauschen der Tastenkappen ist häufig nicht empfehlenswert, da die meisten Tastaturen verschiedene Profile für die Reihen haben und zusätzlich die Zeigefingertasten extra markiert sind.
Falls ihr es dennoch tun wollt, empfiehlt sich zur Vermeidung von Beschädigungen ein [„Keycap-Puller“ (Tastenkappenabzieher)](http://www.specialized.net/ecommerce/shop/images/235X100_PLI.JPG). So ein Ding kann man sicher auch selbst bauen oder einfach einen breiten Schraubendreher verwenden (bei normalen Tastaturen). Eine Beschreibung dazu gibt es in [dieser Anleitung zum Tastatur reinigen](http://mindprod.com/bgloss/keyboardcleaning.html). Bei Notebook-Tastaturen muss man besonders aufpassen, da die Tastenkappen unten von ganz feinen Drahtbügelchen gehalten werden. Dort dann eher einen ganz schmalen Schlitzschraubendreher verwenden, um die Bügelchen zu lösen, nachdem man die Tastenkappe ein wenig mit dem Fingernagel angehoben hat.

Grafiken der Neo-Tastatur zum Aufkleben oder Lernen gibt es hier: [Tastaturgrafiken](Grafiken)
In diesem Artikel befinden sich einige Beispiele von selbstgebastelten Neo-Tastaturen.

## Philipp verwendete seine Druckvorlage
![Image](images/philipp_druckvorlage.jpg)

Philipp nutzte für seine ergonomische Tastatur die von ihm selbst entworfene Druckvorlage.

Diese Druckvorlage ist hier zu finden: [neo-druckvorlage.pdf](https://neo-layout.org/grafik/druckvorlage/neo-druckvorlage.pdf)

## Hanno hat seine Tasten teil-/voll-beklebt – Eine kleine Bauanleitung
(Quelle: [Hannos HOWTOs](http://www.eigenheimstrasse.de:8668/space/Computerecke/NEO-Tastaturlayout/HOWTOs/NEO+Tasten+selbst+beschriften))
### Die primitive Variante
![Image](images/NEO_beklebt_klein.jpg)

Die Tasten werden mit Klebestreifen abgeklebt und mit einem wasserfesten Stift die Buchstaben des Neo-Layouts neben die des Qwertz-Layouts geschrieben. Danach nochmal eine Lage Klebestreifen drüber und die Buchstaben nutzen sich auch nicht mehr ab!

### Die Druckervariante
![Image](images/NEO_beklebt_voll_klein.jpg)

 1. Ausdrucken des »Neo-Tastaturlayouts« (hier eignet sich die [Druckvorlage](https://neo-layout.org/grafik/druckvorlage/neo-druckvorlage.pdf)) mit einem Farbdrucker
 1. Ausschneiden der einzelnen Tasten
 1. Aufkleben der ausgeschnittenen Zeichen auf die Tastatur neben die „echten“ Zeichen

## Martin nutzte seinen Aufklebergenerator

Die aktuelle, fertig generierte Vorlage für Neo 2.0 findet ihr übrigens hier: [grafik/druckvorlage/Tastenaufkleber_Neo2__SW_6erBlock.pdf](https://git.neo-layout.org/neo/neo-layout/src/branch/master/grafik/druckvorlage/Tastenaufkleber_Neo2__SW_6erBlock.pdf)

Hier die Anleitung zur Benutzung seines Skripts [xmodmap2tastenaufkleber Beispiele](https://git.neo-layout.org/neo/neo-layout/src/branch/master/grafik/xmodmap2tastenaufkleber/beispielausgabe/), um automatisch aus der Xmodmap Tastaturaufkleber für jede beliebige Tastatur zu generieren:

![Image](https://git.neo-layout.org/neo/neo-layout/raw/branch/master/grafik/xmodmap2tastenaufkleber/tastaturbilder/tastatur1.jpg)

Man entpacke das Archiv in ein Verzeichnis und wechsele in das Verzeichnis mit der *xmodmap2tastenaufkleber.sh*-Datei. Zum Erzeugen der SVG-Datei benutze man das folgende Kommando, falls die [xmodmap-Datei »neo_de.xmodmap«](https://git.neo-layout.org/neo/neo-layout/src/branch/master/linux/xmodmap) heißt:

```
bash ./xmodmap2tastenaufkleber.sh neo_de.xmodmap
```

Bei erfolgreicher Beendigung des Programmes befindet sich danach eine SVG-Datei mit dem Namen der xmodmap-Datei und angehängtem Suffix ».svg«, in unserem Beispiel also »neo_de.xmodmap.svg«, im selbigen Verzeihnis.
Ein Programm, das mit SVG-Dateien umgehen kann ist das freie [Inkscape](http://www.inkscape.org/). Mit diesem kann auch in eine PDF-Datei exportiert werden. 

![Image](https://git.neo-layout.org/neo/neo-layout/raw/branch/master/grafik/xmodmap2tastenaufkleber/tastaturbilder/tastatur2.jpg)

Der Druck erfolgt am besten mit einem Laserdrucker, da dann scharfe Ausdrucke entstehen. Es gibt Papier zu erwerben, das auf der Unterseite schon eine Klebefläche aufweist. Es bietet sich an, darauf eine Lage durchsichtige Klebefolie anzubringen, um Abnutzungserscheinungen zu unterdrücken.

Eine billigere Möglichkeit ist das Ausdrucken auf Normalpapier und Fixierung auf der Taste durch Klebestreifen. Man sollte sich davor vergewissern, wie breit der Kleberstreifen sein muss, damit nachher nichts übersteht. Weil die Tasten meistens eine nach innen gewölbte Form (konkav) in waagerechter Richtung aufweisen, bietet es sich an, die Klebestreifen senkrecht anzubringen. Bei normalen Tastaturen sollte man die einzelnen Tasten heraushebeln können, ohne sie zu beschädigen. Das erleichtert die Arbeit (manchmal unterscheiden sich die Tasten minimal in ihrer Form. So ist darauf zu achten, wo welche Taste genau war).

Viel Spaß mit Neo!

## Björns modifizierte PLUM-Tastatur
![Image](images/neoplum.jpg)

Meine [Plum](http://www.plum.bz/)-Neo-Tastatur. Die neo-xkbmap muss angepasst werden, weil die Tastenbelegung im Original schon sehr „verrückt“ ist und die Tastencodes fest verdrahtet sind (d.h. die Tastatur läuft mit einem qwerty-Treiber out-of-the-box).

Die Tasten konnte ich einfach umstecken; manche Tasten sind falsch beschriftet, hier rot korrigiert.

 * Wie die Tastatur fabrikneu aussah, seht ihr hier: http://www.plum.bz/images/kb1starticle_r3_j.jpg 
 * den xkb-Treiber versuche ich unter [plum-tastatur/xkb/de](https://git.neo-layout.org/neo/neo-layout/src/branch/master/plum-tastatur/xkb/de) auf dem Stand des „normalen“ xbk-Treibers zu halten.

## Carstens ergonomisch geformte Logitech-Tastatur
![Image](images/carsten_nutzt_martins_vorlage.jpg)

Carsten hat das Skript von Martin E. verwendet, um seine Tastatur optisch auf Neo umzustellen.

Eine aktuelle Vorlage für Neo 2.0 findet ihr hier: [grafik/druckvorlage/Tastenaufkleber_Neo2__SW_6erBlock.pdf](https://git.neo-layout.org/neo/neo-layout/src/branch/master/grafik/druckvorlage/Tastenaufkleber_Neo2__SW_6erBlock.pdf)

## Tastaturabnutzung bei Daniel K.
![Image](images/danielk.jpg)

Auf dem Bild sieht man die Abnutzung meiner Tastatur anhand der blanken Tasten. Vielleicht erkennt Ihr ja, dass fast nur die Grundreihe und die Tasten in der Nähe des Zeigefingers blank sind. Die Leertaste benutze ich scheinbar fast nur mit dem rechten Daumen.

Die blanke Rücktaste erkläre ich mir durch meine Anfangszeit mit Neo. ;-)
Die Entertaste ist recht blank, da ich erst seit ca. einem halben Jahr die vierte Ebene ausgiebig benutze. 

## Tastaturselbstbau von Daniel V.
![Image](images/danielv_Mein_Layout.jpg)
![Image](images/danielv_unten.jpg)
![Image](images/danielv_mitte.jpg)
![Image](images/danielv_MX-Taster.png)

![Image](images/danielv_Meine_Tastatur.jpg)

Ich habe bei meiner Tastatur zwei Reihen in die Mitte eingefügt mit
zwei länglichen
Tasten für *Entf* und *Rück*. Das funktioniert super, ich bezweifle aber
dass man kleine
Tasten an der Stelle auch noch gut trifft. Als ich die Tastatur
entworfen und gebaut
habe, wusste ich noch nicht, wie toll die Steuertasten auf der 4.
Ebene funktionieren.

Wenn ich mal wieder eine Tastatur baue, werde ich sie so bauen, dass man
*Mod3 + 4* gut drücken kann. Zum Beispiel unterhalb der Leertaste, wie bei der
Kinesis Contoured. Schade, dass es die nicht einfach flach und preiswert gibt. Sie
ist in meinen Augen der Typematrix um längen überlegen. Wenn man die Mod-Tasten
tief platziert, bräuchte man nur je eine und müsste, wenn man z. B. `</>`
tippen will,
nicht die Mod-Taste zu wechseln. Das würde sich natürlich auch für Umschalt
anbieten. Da bekommt man richtig Bastellust.

Hoffentlich kauft sich mein Bruder
bald eine Fräse, mit meinen Spaltmaßen war ich nicht so zufrieden, obwohl es
viel besser war, als ich gedacht hätte.

## Pascals beklebte Tastatur
![Image](images/pascals_tastatur.jpg)
Ich habe meine Tastatur mit Neo-Buchstaben beklebt. Einfach ausgedruckt und Tesafilm drüber. Klappt wunderbar!

Nach Dvorak, Neo1.1 und eine alten Version von Neo2 ist dies also das vierte Mal, dass ich meine Tastatur beklebe. Es nimmt ein wenig Zeit in Anspruch, ist aber eine einfache und kostengünstige Methode, Neo auf seine Tastatur zu bringen. Dieses Mal habe ich mich für die Druckvorlage, die ursprünglich von Philipp erstellt wurde, entschieden, da sie optisch sehr ansprechend ist.

## Fabians TypeMatrix-Tastatur
![Image](images/neo-Typematrix-konvertiert2_256.png) 
Ich habe mir eine [TypeMatrix 2020-Tastatur](http://www.typematrix.com/overview/) gekauft und dafür eine Neo-Variante in Linux entwickelt.
Sie ist noch im Entwicklungsstadium. Im Bild rechts sind Änderungen gegenüber Neo in Pink markiert.
Testweise vorgenommene Änderungen, die ich eventuell rückgängig mache, habe ich grau gefärbt.

### Veränderungen gegenüber dem Neo-Layout:
 * Neue Anordnung der Mod-Tasten aus gründen der besseren Erreichbarkeit.
 * Vertauschung der Ebenen: 5 (blau) wird durch Mod3+Mod4 (braun+gelb) erreicht. Dies hat den Grund, dass man die beiden Mod-Tasten leicht mit kleinem Finger und Ringfinger drücken kann. Ebene 6 (rot) ist über Shift+Mod4 (weiß+gelb) erreichbar.
 * Verlegung einiger Sonderzeichen auf die Zahlenreihe.
 * Opferung der Zahlen und Umlaute.
 * Die grüne Ebene (function) ist in der Tastatur fest verdrahtet und im Original blau.

#### Vorteile:
 * gute Erreichbarkeit von Mod-Tasten und Akzenten.
 * Die gerade Tastenanordnung erleichtert das Tippen der Zeichen auf der obersten Zeile.

#### Nachteile:
 * Umlautbildung mit Akzent über „g“.
 * Zahlen nicht mehr einhändig erreichbar
 * Sonderzeichen noch nicht optimal verteilt, besonders der Punkt.

### Aufkleber
Für diese Tastatur habe ich Aufkleber bei [Face](http://www.facenet.com/) drucken lassen.
Diese Aufkleber sind automatisch versiegelt und beschnitten. Ich musste sie nur noch vom Bogen abziehen und auf die Tasten kleben.
Sie sind widerstandsfähig, da es sich um Aufkleber für Autos handelt.

## Thomas’ Neo-Tastatur auf dem Goldtouch Ergo-Keyboard
Ich habe diese Tastatur in Amerika bestellt, da sie in Deutschland viel zu teuer wäre.
Ich habe die Tasten herausgenommen (geht ganz einfach) und im Neo-Layout wieder eingesetzt.
Manche Tasten waren dennoch falsch beschriftet. Diese habe ich mit Stickern für Tastaturen überklebt.

Da man sich diese Tastatur komplett selbst „zurechtbiegen“ kann, halte ich sie für sehr geeignet, um mit Neo und dieser Tastatur entspannt zu schreiben. 

Ich tippe seit 6 Monaten mit dem Layout und auf dem Notebook sogar blind. Ich komme gut damit zurecht, aber Fehler unterlaufen mir doch noch relativ häufig. Die Geschwindigkeit ist wie vorher auf einer qwertz.

Ein Video:
<https://www.youtube.com/watch?v=qGgVRGP1a9Q>

## Neo-Tastatur von Cherry?

Am 7. Feb 2006 10:47 schrieb Hanno Behrens auf der yahoo-Liste:

> Wie schon in der neuesten Blog-Nachricht beschrieben, ist Cherry dabei, eine Tastatur mit Neo-Layout auf den Markt zu bringen. Sie hoffen auf unsere Unterstützung. Weiteres im Blog.

Die zugehörige Blog-Nachricht hier in Kopie:

> In einer E-Mail hat die Firma [Cherry](http://www.cherry.de/), die bekanntermaßen auch sehr gute Tastaturen herstellt (die [CyMotion](http://www.cymotion.de/deutsch/index.htm) etwa), unverbindlich nach dem Neo-Layout angefragt. Es ist die Auflegung eines solchen Projektes natürlich nur sinnvoll, wenn die Community dieses Projekt unterstützt. Da ich die Idee großartig finde, habe ich von mir aus sofort zugesagt, da dies dem Geist des Neo-Layouts entspricht: Offenheit und Kooperation.

> Wie ich es sehe, ist es ein großer Schritt vorwärts für das Projekt und mit der Verfügbarkeit fertiger Neo-Tastaturen überschreiten wir eine wichtige Entwicklungs-Schwelle.

> Die von Cherry geplante Muster-Tastatur ist eine [G83-6105](http://www.cherry.de/deutsch/enjoy-line/enjoy_g83-6104_6105.htm), die ich in den nächsten Tagen zum Testen zur Verfügung gestellt bekomme. Die Beschriftung des Musters soll auf der folgenden Grafik basieren.

### Hanno hat die ersten Prototypen von Cherry getestet
(Quelle: [Hannos Blog](http://www.eigenheimstrasse.de:8668/space/start/2006-03-27/1))

#### Die Mechanik
![Image](images/Cherry06_web.jpg)

Hier der versprochene Testlauf mit den Engineering-Samples der Neo von Cherry. Die Tastatur ist sehr solide (Modellreihe G83), absoluter Standard und zeigt einen sehr angenehmen Anschlag mit sanftem Druckpunkt auf ungefähr der Hälfte des Niederdrucks. Die Füße auf der Unterseite klappbar und mit gut griffigen Gumminoppen versehen, die ein Wandern der Tastatur auf der Schreibunterlage unterbinden.

Die Tasten haben ein wenig Spiel nach allen Richtungen, allerdings nicht soviel, dass sie klemmen könnten oder anders ihre Funktion versagen. Die Leertaste ist stabil und klappert nicht wie gewöhnlich auf Logitech oder Microsoft-Tastaturen. Ebenfalls schlägt das Leerzeichen anstandslos an, egal wo man die Taste niederdrückt.

Der Anschlagpunkt jeder Taste ist am Ende weich und nicht so hart wie auf meiner Vergleichstastatur von Logitech.

Angeschlossen wird die Tastatur über einen Standard-USB Anschluss, Adapter für PS/2 sind natürlich kein Problem. Die G83 ist eine kostengünstige Standard-Tastatur im Bereich zwischen 20 und 30 Euro, die Edelversion mit Goldkontakten wurde im Briefwechsel mit Cherry zwar angedacht, aber ist noch nicht spruchreif.

![Image](images/Cherry03_web.jpg)

Zumindest haben wir nun zwei Engineering-Samples der G83-NEO zur Verfügung und mit einer USB-Schnittstelle versehen, kann diese problemlos an allen modernen Computern betrieben werden.

#### Vergleiche
Ich habe hier mehrere Tastaturen im Vergleich zur G83, da wären von Logitech ein Multimedia-Keyboard der Klasse Y-BH52, von Microsoft ein Natural Keyboard, von KeySonic ein billige Billigtastatur ohne Extras und Memorex eine MX2000.

Ohne jetzt einen vollständigen Vergleich der Tastaturen machen zu wollen, hier ein paar traurige Fakten der Konkurrenz. Ich bin wohl mit der Zeit ein wenig wählerisch mit Tastaturen geworden und vielleicht ist das einer der Nebeneffekte, wenn man sich mit ergonomischen Layouts auseinandersetzt. Jedenfalls kann ich über die Konkurrenz nicht allzu gutes beisteuern. Die MS-Natural ist in der Oberfläche fast komplett abgenutzt und kaum ein Zeichen ist noch lesbar. Gekauft habe ich die Tastatur vor drei Jahren, also 2003. Die Leertaste klemmt, die Tasten insgesamt haben keinen sauberen Druckpunkt (hatten sie nie), das einzig positive an dieser Tastatur ist das geknickte Tastaturfeld. Wie häufig ich sie aufmachen und säubern musste, bleibt auch der Spekulation überlassen.

Die ergonomischen Tastenfelder haben allerdings nicht nur Vorteile. Einerseits ist die Einhandbedienung fast unmöglich, die Tastatur passt nicht unter die Unterschublade unter dem Schreibtisch und zu transportieren ist so eine Tastatur ebenfalls nicht besonders gut. Unterm Strich bin ich zwar für ergonomische Tastaturformen, aber was auf den ersten Blick sehr überzeugend wirkt, muss nicht der Weisheit letzter Schluss sein. Denn meiner Erfahrung nach ist durch gute Haltung auf einer Standard-Tastatur das Schreiben genauso schnell und ergonomisch – vorausgesetzt, die Mechanik der Tasten stimmt – damit steigt und fällt mehr als mit der Form der Tastatur.

Die Multimedia Logitech-Tastatur, auf der ich zur Zeit schreibe, ist ein optischer Blender; sie sieht gut aus, die schicken runden Funktionstasten hat sich offenbar ein Designer ausgedacht und für jede Multimedia-Funktion gibt es eine cool geformte Sondertaste. Die Nachteile dieser Tastatur sind jedoch für einen Vielschreiber immanent. Die Leertaste ist schon nach wenigen Monaten Gebrauch abgenutzt und blankgeschrieben, die Leertaste klemmt von Zeit zu Zeit und verschluckt das gedrückte Zeichen, vielleicht weil die Federn nicht augeglichen zurückfedern oder die Taste sich verkantet beim Herunterdrücken. Die runden Funktionstasten sind überhaupt nicht erreichbar, man muss jedesmal genau kucken, wenn man eine drücken will und die Multimediatasten? Nett, aber der Preis für diese Tasten ist, dass der normale quergelegte 6er-Block zu einem senkrechten 5er-Block über dem Cursor verstümmelt wird, mit dem ich bis zum heutigen Tage Bedienungsprobleme habe. Zudem kostet der Spaß die Einfügen-Taste und wenn man mich fragt, was wichtiger auf einer Tastatur ist, eine Einfügen-Taste oder ein "Search"-Button am linken Rand, dann würd ich wahrscheinlich weniger auf den "Search"-Button tippen (den ich nebenbei noch niemals gedrückt habe).

![Image](images/Cherry04_web.jpg)

Ebenfalls ist bei den meisten Multimedia-Tastaturen die zweite Windowstaste rechts unten der Verkleinerung für die Multimedia-Tasten zum Opfer gefallen. Eine Taste, die wir für Neo gern als Compose-Taste verwenden wollen.

#### Das Schreiben auf der Neo
Also auf Anhieb ist das Schreiben auf der G83 angenehm. Die Tasten entsprechen dem allgemeinen Tastatur-Standard, es gibt keine Verklemmer oder schwergängige Tasten, der Anschlag ist weich mit einem sanften Druckpunkt. Die Feststelltaste ist verkleinert worden, damit man sie nicht aus Versehen aktiviert und es gibt eine Windows-Taste links, zwei rechts.

Cherry hat nicht nur die volle Belegung des Neo-Layouts umgesetzt, sondern auch breitgefächert die Alt-Ebene der Sondertasten. Problemlos erkennt Linux und Windows die Tastatur bei Einstecken in den USB-Port und man kann sofort losschreiben.

![Image](images/Cherry01_web.jpg)

Cherry hat mir sowohl ein weiss-beiges als auch ein schwarzes Exemplar geschickt, die beide mechanisch identisch sind. Noch eine Anmerkung zu den Druckpunkten. Wenn ich diese mit den Druckpunkten der Logitech vergleiche, fällt sofort auf, dass sie etwas tiefer liegen, also die Tasten nicht sofort Widerstand bieten, sondern sich erst leicht drücken lassen und erst dann über den Druckpunkt laufen. Am Ende geben sie dann nach, aber schlagen nicht hart auf den Plastikboden wie bei der Logitech. Es sind zwar nur Nuancen beim einzelnen Tastendruck, aber wenn man mich fragt, liegt vor allem im Dauerschreiben die Cherry klar vorn. Insofern ist die Wahl für mich ziemlich klar.

Nach all den Experimenten auf allen möglichen Tastaturen, unter anderem der G15 und der DiNovo liegt die G83 von Cherry wirklich überzeugend in der Hand. Sie macht vom Design vielleicht nicht so viel her wie die üblichen Schicki-Micki-Tastaturen anderer Hersteller, aber geht es bei einer Tastatur am Ende um Schicki-Mickis oder darum, dass man effektiv und angenehm drauf schreiben kann?

#### Wie wird die Neo aussehen?
Wir haben uns entschlossen, extra für Cherry die Version Neo 2 zu forcieren und entwickeln gerade die letzten Verbesserungen für das Layout. Das will natürlich alles gut überlegt sein und in den Entwicklerforen tut sich auch einiges, man darf also gespannt sein. In der 2.0 werden dann die Verbesserungen der 1.1 einfließen, das ganze wird noch einmal abgerundet sein. Cherry ist so freundlich, diese Entwicklung noch abzuwarten und wird dann sicherlich die Tastatur auf den Markt bringen. Zu kaufen wird sie nach Angaben von Cherry dann über ihren Webshop sein.

### Was danach geschah

Danach wurde Cherry von uns (Hanno...) immer wieder hingehalten, Neo 2 wäre bald fertig.

Die letzte größere Cherry-Diskussion begann am 11.01.2008 11:29 mit dieser Mail von Hanno:

> Ich hab gerade mal einen Brief an Cherry abgesetzt, den Entwicklungsstand bekannt gegeben, dass wir innerhalb des Jahres eine fertige Version haben wollen (Zaunpfahl, hehe) und ob es möglich ist, mehr als 4 Zeichen auf der Oberseite zu drucken und ob es möglich ist, auf der Vorderseite zu drucken.

Die Antwort von Cherry ließ nicht lange auf sich warten (04.02.2008 16:10):

> Ich hatte gerade wieder Kontakt mit Cherry. Es ist also überhaupt kein Problem für die, 6 Zeichen auf die Tasten zu bringen. Die Bedruckung ist sehr genau. Für Farbdruck würde die ganze Tastatur glatt doppelt so teuer werden.

Wie Daniel Vogelsang am 29.07.2008 22:40 herausfand, ist Cherry inzwischen vom Automobilzulieferer ZF aufgekauft worden, soll aber als eigenständiges Geschäftsfeld weitergeführt werden. Ob sich dadurch für uns etwas ändert, ist offen. Die zugehörige Meldung ist <http://www.golem.de/0807/61385.html>.

!!! tip "Hinweis"
    Der Unternehmensbereich Eingabegeräte von Cherry ist seit Oktober 2016 wieder eine unter eigener Führung stehende deutsche Firma.

## Neo2-Prototyp von Daniel
![Image](images/Neo2-Prototyp-ganz-klein.jpg)

Der Neo2-Prototyp von Daniel ist eine Tastatur mit Tasten aus schwarzem Kunststoff, welcher bei Hitzeeinwirkung durch eine [Laserbeschriftungsmaschine](https://de.wikipedia.org/wiki/Laserbeschriftungsmaschine) einen Farbumschlag auf Weiß bekommt.

Die Unterschiede der Tastatur zur Standard-[Druckvorlage](https://neo-layout.org/grafik/druckvorlage/neo-druckvorlage.pdf) sind:

 * Groß- statt Kleinbuchstaben (besserer optischer Kontrast zu den höheren Ebenen)
 * einige Tasten wie Backspace und Menü verwenden andere Icons
 * die Leertaste ist ohne Beschriftung der höheren Ebenen und hat eine persönliche Signatur

![Image](images/Strichtaste-Detail.jpg)

Deutlich ist auf der Strichtaste zu erkennen, dass der Halbgeviertstrich (Gedankenstrich) auf der 2. Ebene kaum vom Viertelgeviertstrich (Bindestrichminus) auf der 1. Ebene zu unterscheiden ist. Der Halbgeviertstrich und der Viertelgeviertstrich dürfen deshalb in der endgültigen Referenz keinesfalls zusammen auf einer Taste sein.

![Image](images/Tastenfeinheiten.jpg)

Die Feinheiten der einzelnen, teils komplexen Zeichen in den höheren Ebenen sind aber mit guter Auflösung darstellbar und auch im fertigen Layout gut erkennbar. Dennoch überlegen wir, die Schriftgröße der Zeichen in den höheren Ebenen noch etwas zu erhöhen (zumal noch genug Platz ist), auch um den Laser nicht zu eng aneinanderliegende Schraffuren (=Ausfüllen der Zeichen) abfahren lassen zu müssen, welche hitzetechnisch schwer zu bewältigen sind: Nach Weiß kommt sehr schnell verbrannt, manche Zeichen sind deswegen leicht gräulich. ;-)

## Kinesis Advantage Black USB

![Image](images/kinesis_3.jpg)

Michael hat eine Kinesis Advantage und beschreibt auf seiner Website, wie er auf Neo umgestiegen ist und welche Erfahrungen er im speziellen mit dieser ergonomischen Tastatur gemacht hat.

[michael.stapelberg.de: Neo-Layout auf einer Kinesis Advantage](http://michael.stapelberg.de/Artikel/Neo_Kinesis)

## Logitech G15
![Image](images/logitechG15_neo1.jpg)

Thomas hat eine Logitech G15 umgebaut. Die Tasten lassen sich einfach rausnehmen, aber bei E, N, F und J gibt es Probleme. Die Tasten sind alle mit Kerben versehen, aber bei den Tasten F und J sind diese Kerben unten statt oben. Um das Problem zu lösen, wurde die Falz bei den vier betroffenen Tasten mit einem rauhen Gegenstand entfernt.

## Nils Druckvorlage auf einer Logitech Deluxe 250
![Image](images/nilsneotastaturausschnitt.jpg)

Diese [Druckvorlage](https://git.neo-layout.org/neo/neo-layout/src/branch/master/grafik/druckvorlage/Tastenaufkleber_Ebenen_1-4_SW-Schwarz.svg) zeigt nur die Ebenen eins bis vier, um die Tasten übersichtlich zu halten. Die Aufkleber wurden bei einem Copyshop auf Etikettenpapier gedruckt und danach per Hand ausgeschnitten (viel Arbeit). Das Foto zeigt die Tastatur nach etwa acht Wochen regelmäßiger Benutzung. Wie man sieht, sind kaum Abnutzungserscheinungen erkennbar. Damit die Etiketten zu 100% wasser- und abriebfest sind, könnte man die Etiketten vor dem Ausschneiden auch mit Folie bekleben. Um am Rand der Ecken keine hässlichen weißen Ränder zu bekommen, wurden die Schnittkanten vor dem bekleben nochmal mit einem Filzstift nachgezogen.


## Selber layouten mit www.wasdkeyboards.com

Ich habe mir eben unter [http://www.wasdkeyboards.com](http://www.wasdkeyboards.com) ein eigenes Layout zusammenstellen lassen. Ich verwende zwar nicht neo (das gab es zu meiner Zeit noch nicht), aber ich denke, wer sich seine eigene Tastatur erstellen lassen will, ist mit wasdkeyboards.com gut bedient. Ich selbst verwende [http://www.freimann.eu/eliphi/phi/keyboard/](http://www.freimann.eu/eliphi/phi/keyboard/); seit heute auf einem wasdkeyboard.

Ich empfehle aber auch allen Personen, die häufig tippen (Autoren, Blogger, Programmieraufgaben und Sekretariatsarbeiten) NICHT mit Qwertz zu arbeiten! Heute empfehle ich allen entweder Neo oder (falls sie in einer Großfirma arbeiten, wo das Layout nicht einfach gewechselt werden kann) Dvorak.

Wer sich die Mühe sparen möchte, ein eigenes Layout zu erstellen, kann gerne auf dieser Vorlage aufbauen:
<https://github.com/stwa/wasd-keyboard-neo/>

Weitere Vorlage:
<https://github.com/TestudoAquatilis/wasd-neo-keyboard/>

## Fertige Aufkleber von www.tastaturaufkleber.eu
Nachdem die Tastaturaufkleber, die ich bei www.face.com drucken hab' lassen, nach relativ kurzer Zeit verschlissen waren, habe ich www.tastaturaufkleber.eu entdeckt. Ich wollte jedoch kombinierte QWERZ + NEO Aufkleber haben um im BIOS etc. nicht dumm da zu stehen. Obwohl diese nicht auf der Homepage standen konnte er Herr Glinnik diese anfertigen. Nachdem der erste Satz ebenfalls recht schnell verschlissen war, wurden mir ein Satz Aufkleber mit spezieller Schutzfolie zugeschickt. Diese sind sehr haltbar und weisen auch nach einigen Monaten Benutzung keinerlei Gebrauchsspuren auf.

Insgesamt kann ich deren [Aufkleber](http://www.tastaturaufkleber.eu/product_info.php?info=p149_Tastaturaufkleber-Deutsche-NEO-Qwertz.html) sehr empfehlen. Für das Geld lohnt sich das eigene gebastel denke ich nicht. 

## Tastaturselbstbau von Dirk
![Image](images/TheTasTaTur-Mark1-2.png)
Ich habe vor etwa einem Jahr angefangen Neo zu lernen. Nach einer Weile wollte ich auch eine spezielle ergonomische Tastatur haben. Da mir aber alle (Kinesis, Maltron) zu teuer waren und dann doch nicht dem entsprachen was ich mir vorgestellt hatte, hatte ich mich entschlossen eine Tastatur selbst zu bauen.

Diese sollte dann genau meinen persönlichen Anforderungen entsprechen. Nach einigen langen Abenden und vielen verschiedenen Versuchen ist TheTasTaTur Mark1 dabei herausgekommen. Ich habe mir gedacht meine Erfahrungen zu teilen, um auch andere mit der Bastellust anzustecken und daher in meinem [Blog](http://shiggyenterprises.wordpress.com/thetastatur-mark1/) die einzelnen Schritte aufgeschrieben.
