# Hardware

Neo ist nur eine softwareseitige Tastaturbelegung, die mit den allermeisten Tastaturen verwendet werden kann, sofern man mit einer falschen Beschriftung der Tasten leben kann.
[Tastaturen mit Neo-Beschriftung](NeoTastaturen.md) sind noch sehr rar.
Manche Tastaturen können jedoch nicht alle für die fünfte und sechste Ebene benötigten Tastendrücke registrieren.
Eine Liste solcher uns bekannten Tastaturen befindet sich in der [Hall of Shame](../Probleme/Hardwareprobleme.md).

## Standardtastatur

Das Neo-Tastaturbelegung ist für die im deutschen Sprachraum übliche [Standardtastatur mit 105 Tasten](http://en.wikipedia.org/wiki/File:KB_Germany.svg) ausgelegt. 
Diese Tastatur ist auch in ganz Europa verbreitet und wird jeweils nur mit einer sprachspezifischen Beschriftung versehen.

Davon grundsätzlich zu unterscheiden ist die sog. [US-amerikanische Tastatur, die nur 104 Tasten hat](http://en.wikipedia.org/wiki/File:KB_United_States.svg). Hier fehlt die physische Taste, die im deutschen Qwertz-Layout mit „<>|“ beschriftet ist (und die bei Neo als Mod4-Links-Taste bezeichnet wird); dafür ist die linke Umschalt-Taste so breit wie die rechte.

Zudem erstreckt sich die Eingabetaste hier nur auf der Grundreihe, ist etwas länger und bedeckt infolgedessen auch den Ort, wo bei 105-Qwertz die #-Taste (und bei Neo die Mod3-Rechts-Taste) liegt. Diese hier fehlende Taste ist an die freigewordene Position oberhalb der Eingabetaste gewandert, weshalb es auf der rechten Seite der Tastatur genauso viele Tasten wie bei der 105er-Tastatur gibt. An die leicht unterschiedliche Position der rechten Mod3-Taste kann man sich gewöhnen. Die fehlende linke Mod4-Taste wird *»nur«* für den Hauptfeld-Ziffernblock benötigt.

## Ergonomische Tastaturen

Die Überlegung, eine ergonomische Tastaturbelegung mit einer ergonomischen Tastatur zu kombinieren, liegt natürlich nahe.
Eine ergonomische Tastatur ist eine Tastatur, die darauf ausgelegt ist, möglichst gut von einem Menschen bedient werden zu können.
Ergonomische Tastaturen haben in der Regel einige der folgenden Eigenschaften:

  * Die Tasten sind nicht horizontal versetzt, sondern in Richtung der Finger angeordnet.
  * Die Tastatur besitzt tendentiell eine negative Neigung (die Handgelenke liegen mindestens so hoch wie die Finger).
  * Es gibt Tasten für den beweglichsten Finger des Menschen: den Daumen.
  * Die Tastatur ist in zwei Hälften geteilt, die getrennt oder nach außen gedreht sind.
  * Die Mitte der Tastatur liegt höher, damit die Unterarme nicht nach innen rotiert werden müssen (»Dach-Form«).

Mehr Informationen befinden sich in [„Ergonomische Anforderungen an Eingabemittel für Geräte der Informationstechnik (BGIA-Report 3/2008)“](http://www.dguv.de/ifa/Publikationen/Reports-Download/BGIA-Reports-2007-bis-2008/BGIA-Report-3-2008/index.jsp).


Einige bei Neolingen beliebte käuflich erwerbbare ergonomische Tastaturen sind in folgender Liste aufgezählt:

  * [Kinesis Advantage](https://kinesis-ergo.com/shop/advantage2/) – Erfüllt alle Punkte oben durch Anordnung der Tasten in zwei Kuhlen, ab etwa 350€.
  * [Ergodox EZ](https://ergodox-ez.com/) – zwei getrennte, flache Hälften, etwa 400€.
  * [Truly Ergonomic Keyboard](https://trulyergonomic.com/ergonomic-keyboards/) – ein flaches Stück, hälften nach Außen rotiert, 250$.

Zu diesen Tastaturen gibt es hier auch diverse Beispielbelegungen, an denen man sich orientieren kann: [Kinesis Advantage](KinesisAdvantage.md), [Ergodox EZ](Ergodox.md) und [Truly Ergonomic Keyboard](Truly.md).

Eine sehr umfangreiche Liste von zweigeteilten ergonomischen Tastaturen befindet sich auf [Awesome Split Keyboards](https://github.com/diimdeep/awesome-split-keyboards).

Im Internet gibt es auch riesige Communities, die sich mit auch dem Selbstbau oder Modding von ergonomischen Tastaturen beschäftigen.
Mögliche Einstiegspunkte sind etwa [Deskthority](https://deskthority.net/) oder das [ErgoMechBoards-Subreddit](https://www.reddit.com/r/ErgoMechKeyboards/).


## Akkord-Tastaturen (Stenografie)

Umfangreiche Informationen zu diesem Thema findet sich (auf Englisch) beim [Open Steno Project](http://www.openstenoproject.org/), darunter mit [Plover](http://www.openstenoproject.org/plover/) auch eine Möglichkeit, ohne teure Akkordtastatur seine eigene Tastatur für Maschinen-Stenografie zu nutzen.