# Historische Neo-Versionen
Aus verschiedenen Gründen kann man auch Interesse an älteren Neo-Versionen haben, beispielsweise weil man sich daran gewöhnt hat und nicht schon wieder umstellen will, oder weil einem der Lernaufwand bzw. die Umstellung von Qwertz zu Neo2 zu einschneidend (was die Tippgeschwindigkeit betrifft) erscheint. Daher steigen manche in Stufen um:

 * Erst auf Neo 1.0: Nur die Buchstaben sind geändert.
 * Und erst dann auf Neo2: Sonderzeichen geändert und zusätzliche Navigation auf dem Hauptfeld der Tastatur (Ebene 4) möglich.

Es folgen alle Dateien, die im [ganz alten Wiki](http://www.eigenheimstrasse.de:8668/space/Computerecke/NEO-Tastaturlayout/Download), das inzwischen nicht mehr erreichbar ist, zur Verfügung standen.

## Neo 1.0
### Grafiken
 * Grafik der Neo-Tastaturbelegung: [NEO-Layout.odg](Neo1.0/NEO-Layout.odg)
 * Screenshot vom .odg, für alle, die kein Opendocument lesen können:  
  ![Image](Neo1.0/NEO-Layout.png)
 * PDF-Ausgabe: [NEO-Layout.pdf](Neo1.0/NEO-Layout.pdf)

### Treiber
#### Windows
 * Treiber für Windows 2000/XP: [neo-de_1.0_win.zip](Neo1.0/neo-de_1.0_win.zip)

#### Linux
Diese Version war bereits in allen Linuxdistribution (Debian, Ubuntu, Fedora, Suse, ...) seit Anfang 2007 integriert. Sie wurde jedoch etwa im Sommer 2010 durch Neo2 ersetzt.

 * NEO Treiber Version 1.0 (systemweit, als root installieren): [neo_linux.tgz](Neo1.0/neo_linux.tgz)
 * Xmodmap für NEO 1.0 für Linux. Ändert die Belegung ausgehend vom deutschen Qwertz-Layout: [de_neo.Xmodmap](Neo1.0/de_neo.Xmodmap)
 * Variante von NEO mit gesamtem griechischen Alphabet und günstigeren Positionierungen von in C-syntaktischen Sprachen häufig benutzten Zeichen: [de_neo_prog](Neo1.0/de_neo_prog.xkb)
 * NEO 1.0 auf der Konsole: [neo-console.tar.bz2](Neo1.0/neo-console.tar.bz2)

#### Commodore 64 (C64)
 * Quellen des Treibers: [neo-layout.asm](Neo1.0/neo-layout.asm)
 * Treiber für C64: [neo-layout.prg](Neo1.0/neo-layout.prg)
 * Kurze Doku für den C64-Tastaturtreiber: [C64](../Einrichtung/C64.md)

### Tippkurse
#### KTouch

!!! failure "Zu überarbeiten"
    Die Beschreibungen hier sind nicht historisch, sondern schlichtweg veraltet. Falls noch notwendig, bitte in die entsprechende Seite zu [KTouch](../Lernen/KTouchFuerNeoEinrichten.md) integrieren.

Ab KDE 3.5 (seit Mitte 2006 im Umlauf) sind die NEO-Dateien der Version 1.1 offiziell Bestandteil des KTouch-Paketes.

**Anleitung für KTouch:** Einfach diese KTouch-Dateien nach /opt/kde3/share/apps/ktouch/ beziehungsweise in das entsprechende Verzeichnis kopieren, falls KDE woanders installiert ist. Dann KTouch auf die entsprechenden Dateien einstellen.

  * KTouch-Tippkurs-Erweiterung für alle ktouch-Versionen ab Version 1.4: [german_neo.ktouch](german_neo.ktouch)
  * KTouch-Tippkurs-Erweiterung für alle ktouch-Versionen bis einschließlich Version 1.3: [german_neo-ktouch1_3.ktouch](german_neo-ktouch1_3.ktouch)
  * KTouch-Keyboarddatei für alle ktouch-Versionen: [de_neo.keyboard](de_neo.keyboard)

#### TIPP-Kurs
 * Von René Lange geänderte KTouch-Dateien, so dass sie mit dem [Tipp-Kurs für Windows](http://www.freeware.de/download/tipp-kurs_10693.html) zusammen arbeiten: [NEO+für+TIPP-Kurs.zip](Neo1.0/NEO+für+TIPP-Kurs.zip)


## Neo 1.1
### Grafiken
 * Grafik der Neo-Tastaturbelegung: [NEO-Layout-1.1.odg](Neo1.1/NEO-Layout-1.1.odg)
 * Screenshot vom .odg, für alle, die kein Opendocument lesen können:  
   ![Image](Neo1.1/NEO-Layout-1.1.png)
 * Die Hauptbelegung (Screenshot vom .odg):  
   ![Image](Neo1.1/NEO-haupt-1.1.png)
 * Übersicht der Computerrelevanten Tasten (Screenshot vom .odg): 
   ![Image](Neo1.1/NEO-prog-1.1.png)
 * Minimierte Übersicht der Computerrelevanten Tasten (Screenshot vom .odg):  
   ![Image](Neo1.1/NEO-prog-min-1.1.png)
 * Übersicht der griechischen Zeichen (Screenshot vom .odg):  
   ![Image](Neo1.1/NEO-greek-1.1.png)

### Treiber
#### Windows
 * Treiber für Windows Vista/7: [neo_de_1.1_vista_w7.zip](Neo1.1/neo_de_1.1_vista_w7.zip)
 * Treiber für Windows 2000/XP: [de_1.1_win.zip](Neo1.1/neo_de_1.1_win.zip)
 * Treiber für Windows 9x: [de-neo-win9x.zip](Neo1.1/de-neo-win9x.zip)

#### Linux
 * Paket für Debian (und Ubuntu?): [neo-de_1.1.alpha-8_all.deb](Neo1.1/neo-de_1.1.alpha-8_all.deb)
 * Paket für Fedora Core 5 und 6: [neo-de-1.1.alpha-8.noarch.rpm](Neo1.1/neo-de-1.1.alpha-8.noarch.rpm) (die Echtheit des rpm-Pakets kann man mit dem GPG-Schlüssel von [hier](http://www.erikstreb.de/RPM-GPG-KEY-erikstreb) überprüfen)
 * NEO Treiber Version 1.1 (systemweit, als root installieren): [neo_linux1.1.tgz](Neo1.1/neo_linux1.1.tgz)
 * Xmodmap für NEO 1.1 für Linux. Ändert die Belegung ausgehend vom deutschen Qwertz-Layout: [neo_de1.1.Xmodmap](Neo1.1/neo_de1.1.Xmodmap)
 * NEO 1.1 auf der Konsole: [de_neo_1.1_console.tar.bz2](Neo1.1/de_neo_1.1_console.tar.bz2)

#### Sun Solaris für x86
* Xmodmap für NEO 1.1 unter Solaris/x86. Ändert die Belegung ausgehend vom deutschen Qwertz-Layout: [neo_de_solaris.Xmodmap](Neo1.1/neo_de_solaris.Xmodmap)

#### Apple Macintosh (Mac OS 9 und Mac OS X)
 * Anleitung von Markus Hanauska zur Installation auf Macintosh: [LIESMICH-mac](Neo1.1/LIESMICH-mac.txt)
 * Dateien für den Treiber:
  * [de_neo.as](Neo1.1/de_neo.as)
  * [de_neo.keylayout](Neo1.1/de_neo.keylayout)
  * [de_neo.r](Neo1.1/de_neo.r)
  * [de_neo.rsrc](Neo1.1/de_neo.rsrc)

Alternativ kann auch ein etwas überarbeitetes Keyboard Layout genutzt werden, siehe <https://git.neo-layout.org/neo/neo-layout/src/branch/master/mac_osx/Neo1.1>.

Dieses überarbeitete Keyboard Layout unterscheidet sich zum Keyboard Layout von 2005 durch:

  * Apfel-Tasten/Befehlstasten gem. Neo
  * Ctrl-Tasten gem. Neo
  * Option-Tasten gem. Neo fuer Linux/Windows
  * Akzente und diakritische Zeichen werden etwas anders behandelt
  * Mehr Zeichen mit Akzenten und diakritische Zeichen
  * Num Block Belegung entspricht der vom Neo Linux

### Tippkurse
Siehe oben, bei Version 1.0.
