# Die Geschichte von Neo

## Qwertz
Das Qwert-Tastaturlayout wurde 1868 von **Christopher Sholes** konstruiert, um ein Verhaken der Typenhebel beim schnellen Schreiben auf mechanischen, frühen Schreibmaschinen zu vermeiden. 
Die wenigen bis dahin existierenden Schreibmaschinen hatten überwiegend eine alphabetische Anordnung der Buchstaben.
Außerdem schlugen die Typenhebel von unten gegen die Walze und fielen nach dem Anschlag langsam zurück, wodurch sie sich bei Nichtbeachtung der Anordnung extrem schnell verhakten.
Aus diesem Grund war die Sholes Anordnung eine gute Neuerung, welche es erstmals ermöglichte schnell auf einer Schreibmaschine zu schreiben.

Eine Legende besagt außerdem, es wurden noch Buchstaben getauscht, damit man „TYPEWRITER“ auf der oberen Zeile tippen konnte.

Heute gibt es mehrere leicht veränderte Varianten der Qwert-Tastatur: Von der englischen Qwerty- zur deutschen Qwertz-Tastatur wurden y und z vertauscht und ä, ö, ü und ß können direkt eingegeben werden, dafür sind einige Zeichen, wie /\[]{}, schlechter erreichbar.
Ähnliche Änderungen wurden auch für die französische Azerty- und andere lokalisierte Varianten eingeführt.
Die Bezeichnung (Qwerty, Qwertz, Azerty) richtet sich dabei immer nach den ersten  Buchstaben auf der oberen Reihe links.

Weitreichendere Änderungen, die zu größeren Vorteilen führen könnten, haben sich bislang aber noch nicht durchsetzen können.
Dabei sind einige ergonomische Ansätze zur Layout-Gestaltung fast so alt wie Qwert.
Schon *Sholes* selbst soll ein besseres Layout vorgeschlagen haben. 
Er entwickelte eine Schreibmaschine, auf welcher die Typen die Walze von vorn anschlugen und diese mit Federn schnell zurück zogen.
Dadurch verhakten sich die Typenhebel nicht mehr so leicht und man konnte auch mit Tastenanordnungen schnell schreiben, welche keine Rücksicht auf die physikalische Anordnung der Typenhebel nahmen. (Quelle: [DVzine](http://dvzine.org/))
Allerdings wurde von Remington, dem Hersteller seiner Schreibmaschinen, nur das Prinzip der von vorn anschlagenden Hebel mit Federrückzügen übernommen, nicht das Layout. Begründung: Es sei schon zu etabliert.


## [Ergonomische Tastaturen](../Hardware/index.md#ergonomische-tastaturen) vor Neo
**Teodor Galabov**, ein bulgarischer Stenograph, veröffentlichte im Oktober 1907 eine an die bulgarische Sprache angepasste, ergonomische Tastaturbelegung, die bis in die 1980er Jahre noch nahezu unverändert in Bulgarien als Standardbelegung verwendet wurde. Weitere Infos gibt es [hier (pdf)](http://www.csc.fi/english/pages/meek/The-Bulgarian-Alphabet-and-Keyboard).

!!! missing "Informationen nachtragen"
    (Karl Levasseur 20er Jahre, deutsch?)

1932 ließ sich Dr. **August Dvorak** von Galabovs Arbeit inspirieren, ein eigenes, auf die englische Sprache zugeschnittenes Tastaturlayout zu entwerfen. Dieses war nachweislich leichter zu bedienen als Qwerty, mit deutlich weniger Anstrengung und Risiko auf Sehnenscheidenentzündung zu schreiben, und leicht erlernbar. 
Von der Dvorak-Tastatur gibt es mehrere Varianten, die auf verschiedene andere Sprachen angepasst wurden, für das Deutsche gleich zwei verschiedene: Typ I (oder 2002) und Typ II (siehe die Seite von [Conitzer](http://www.conitzer.de/dvorak/layouts.html)).
In vielen Computern/Betriebssystemen ist das Dvorak-Tastaturlayout bereits implementiert, man braucht es nur zu aktivieren (Mac, Linux, Windows, …), doch bis zum heutigen Tag wird es nur relativ wenig verwendet. Weitere Infos auf [Wikipedia](https://de.wikipedia.org/wiki/Dvorak-Tastaturbelegung).

Die *Türkisch-F*-Tastaturbelegung wurde im Jahr 1955 von **Erim Tuna** entworfen und basiert auf statistischen Analysen der *Türkischen-Sprach-Akademie* (TDK) zu Buchstabenhäufigkeiten in der türkischen Sprache, wobei der Tippaufwand gleichmäßig auf beide Hände verteilt ist (49 % links, 51 % rechts). Auffällig – aber zufällig – ist hier die Ähnlichkeit der Belegung der Vokale auf der linken Seite: u, i, a, e, ö liegen wie bei Neo. Auch z, q und y liegen ähnlich.
Heute ist jedoch die vom Qwerty abstammende Türkisch-Q-Belegung die weiter verbreitete bei Türkisch-Schreibern. Nur noch ältere Menschen verwenden die ergonomische Türkisch-F-Variante, weil diese heute nicht mehr in der Schule beigebracht wird. Quellen: [Englische Wikipedia](http://en.wikipedia.org/wiki/Keyboard_layout#Turkish) und 
[Turkish Keyboard Stickers](http://www.latkey.com/keyboard_stickers.asp?SubCat=61).

**Helmut Meier** schrieb 1964 einen Aufsatz über ein „europäisches“ Layout. Dieses sollte Platzhalter für länderspezifische Sonderzeichen enthalten. (Helmut Meier; Deutsche Sprachstatistik; Georg Olms Verlagsbuchhandlung, Hildesheim 1964; ISBN 3 487 00735 5; Universitätsbibliothek der Universität der Bundeswehr, Signatur MAG / F 28 315)

!!! missing "Informationen nachtragen"
    (Malt, 1977, us und Claude Marsan, 1979, fr: strukturierten die komplette Tastatur um.)

[de-ergo](http://forschung.goebel-consult.de/de-ergo/) (2003) ist eine eigenständige, für die deutsche Sprache entwickelte Belegung von **Hartmut Goebel**, die auf den Untersuchungen von Helmut Meier basiert. 
Auf der [Mailingliste de-ergo](http://lists.goebel-consult.de/pipermail/de-ergo/) sind auch einige weitere Ideen aufgetaucht, zum Beispiel:

[de-eMeier](http://www.dingo.saar.de/Bilder/de-emeier.html) (2003) von **Ralf Hagen**, eine deutsche Variante des Meier-Layouts, das an die moderneren *E*DV-Anforderungen angepasst wurde.


## Neo 1
2004 kam **Hanno Behrens** zu der Ansicht, dass keine der verfügbaren Tastaturbelegungen seinen Vorstellungen entsprach: Sie folgten nicht den im [Einführungskapitel](Einführungskapitel) genannten Paradigmen, waren auf fremde Sprachräume oder nicht hinreichend oder gar nach veralteten Erkenntnissen der Ergonomie optimiert.
Also entwickelte er Version 1 des Neo-Layouts.

Als Vorlage dienten Hanno hauptsächlich die Arbeiten von de-ergo und von Meier.
Er stellte dazu Statistiken auf, welche Bi-/Trigramme etc. schlecht sind, wie oft man welchen Finger benutzt usw. (siehe dazu [die Statistiken auf der alten Neo-Projektseite](http://pebbles.schattenlauf.de/layout.php)). 
Zur Vermeidung von Kollision erstellte er zwar keine Statistiken, versuchte jedoch, diese mit „nachdenken“ und „scharf hinsehen“ zu vermeiden.
Er war sich bewusst, dass ein computererrechnetes Layout besser sein kann, aber er hatte den Anspruch, dass sein Layout auch „schön“ sein solle, z. B. sollten die Vokale nicht auseinandergerissen werden, verschiedene Sachen sollten logisch gruppiert sein etc. 
Das hätte man natürlich auch alles als Bedingungen für eine Computersimulation eingeben können, ist aber sicher nicht trivial.

Falls sich jemand fragt, warum er das tat, der Versuch einer Erklärung:
Hanno ist freiberuflich und macht die Projekte, auf die er Lust hat. 
Auf jeden Fall steckt er auch mal einfach so nen Monat Zeit in irgendwas, was ihn interessiert, wenn er gerade kein anderes Projekt hat.
So war es im Prinzip beim Tastaturlayout. 
Er wollte ein Layout nur für das Deutsche machen, was es so noch nicht gab. 
Er nahm sich die bestehenden Erkenntnisse, bastelte diese zusammen, setzte eine Webseite auf, auf der er plausibel erklärte, warum sein Layout besser ist als die anderen und verkündete dies auf der [de-ergo Mailingliste](http://lists.goebel-consult.de/pipermail/de-ergo/2004-July/thread.html).
Die Webseite wurde dann oft zitiert und verlinkt, wodurch das Layout bekannt wurde.


## Neo 1.1
**Benjamin Kellermann** interessierte sich damals ebenfalls für Layouts, und wurde über die de-ergo-Liste auf Neo aufmerksam.
Er machte Verbesserungsvorschläge, und als Hannos Server ausfiel, bot Ben ihm seinen an. 
Dort bauten sie eine Infrastruktur mit Wiki und svn auf.
Da es Ben störte, dass Sonderzeichen (z. B. \/(){}[]<>=&:-#$|), die man häufig am Computer braucht, gar nicht berücksichtigt wurden, entwickelten Ben und *Akousti* eine dritte Ebene, die dann als Version 1.1 in die Geschichte einging.
Diese Version berücksichtigte jedoch nur häufige Sonderzeichen und keine Bi- oder Trigramme und öffnete den Entwicklern die Augen, dass diese auf der 3. Ebene deutlich wichtiger sind als auf anderen Ebenen. 
Der Grund dafür ist, dass bei jedem Bigramm (z. B. der ASCII Pfeil ->, welches auf der dritten Ebene auf zwei Händen verteilt ist) ein Wechsel des Modifiers notwendig ist.
Das war der Anstoß zu Neo 2 …


## Neo 2
Das Resultat war, dass ein halbes Jahr später die 3. Ebene wieder komplett verworfen wurde und Ben einen neuen Vorschlag für diese Ebene machte. 
In mehreren IRC-Treffen wurde dieser Vorschlag diskutiert und es wurden daran noch ein paar Verbesserungen gemacht. 
Ben schlug dann auch vor eine weitere Ebene mit Pfeiltasten und einem Ziffernblock einzuführen (heute Ebene 4), sowie die Verlagerung von griechischen und Mathezeichen auf schlechter erreichbare Ebenen (heute 5 und 6), was von der Entwicklergemeinschaft angenommen wurde.
Später fand sich dann eine größere Gruppe von Entwicklern und Benutzern, denen die Zeichenvielfalt von Neo gut gefiel. Diese nahmen die Ebenen 4–6 mit Ausnahme der Pfeiltasten und des Ziffernblocks wieder komplett auseinander und belegten auch einige Plätze auf der 3. Ebene neu.
Zu nennen sind hier besonders Pascal und Erik, aber auch viele andere.

Hanno hat sich fast vollständig aus dem „Geschäft“ zurückgezogen.
Ben hat anfangs noch viel mit diskutiert, sich inzwischen aber aus Mangel an Zeit weitgehend von den Diskussionen zurückgezogen. Die Mailingliste ist bei ihm aufgehoben. Die Domain wird von Falk bezahlt, die Infrastruktur stellt qwertfisch seit dem Relaunch der Neo-Homepage 2020 bereit.

Neo 2 ist seit langem veröffentlicht und in den xkeyboard-configs enthalten. Am 28. März 2010 wurde die Referenz eingefroren.

## Bone

!!! missing "Informationen nachtragen"
    Die historische Entwicklung von [Bone](../Layouts/bone.md) wurde noch nirgendwo beschrieben, entsprechend die Gründe, die verschiedenen Iterationen und der „Aufstieg“ in der Beliebtheit.
