# Andere Tastaturbelegungen

## Englische Belegungen

   * [Dvorak (1934)](http://de.wikipedia.org/wiki/Dvorak-Tastaturbelegung) – Die erste bekannte ergonomische Tastaturbelegung. Das [Patent](http://www.wikipatents.com/gb/409138.html) enthält auch Angaben zur Kollisionsvermeidung bei Bigrammen.
   * [Dvorak Zine](http://dvzine.org/) – Schöner Comic zur Geschichte der QWERTY-Tastatur und den Vorteilen einer ergonomischen Tastaturbelegung
   * [Minimak](http://www.minimak.org/) – QWERTY mit 4/8/12 veränderten Tasten soll 60/75/83 % der Vorteile von Dvorak bringen

   * [Carpalx](http://mkweb.bcgsc.ca/carpalx/) – Fundierter Algorithmus für ergonomische Anordnungen; andere Philosophie verglichen mit sonstigen Projekten; sehr lesenswert

   * [Colemak](http://colemak.com/) – Ein neuer Ansatz als Alternative zu Dvorak
   * [Arensito](http://www.pvv.org/~hakonhal/main.cgi/keyboard) – Seit 2001; enthält eine Programmierebene mit Zahlen und Sonderzeichen; vor allem für die Kinesis- und Maltronprodukte ausgelegt
   * [Capewell](http://www.michaelcapewell.com/projects/keyboard/) – ehrgeiziger Ansatz mit einigen Neuerungen, 2005 abgebrochen
   * [Qwpr](http://sourceforge.net/p/qwpr/wiki/Home/) – 4. Ebene mit Satzzeichen und Pfeiltasten, viele Sonderzeichen über Tote Tasten; soll einfach zu lernen sein
     (bedeutet dafür wird Leistung geopfert).
   * [Asset](http://millikeys.sourceforge.net/asset/) – Ergonomische Anordnung von 2006; Entwicklung scheint eingeschlafen zu sein

   * [Norman](https://normanlayout.info/) – Ein an QWERTY (mit Fokus auf Win-Shortcuts) orientiertes Layout; angeblich 46% besser als QWERTY und besser als alle anderen Layouts
   * [Workman](http://www.workmanlayout.com/blog/) – Versuch, Colemak zu übertreffen. Konzentriert sich auf 50-50 Belastung der Hände und scheint für TypeMatrix konzipiert.

   * [Plover](https://www.openstenoproject.org/plover/) – Steno für (fast) alle Tastaturen mit NKRO. Wesentlich schneller als gewöhnliches Tippen, weil mehrere Tasten gleichzeitig gedrückt werden. Erlernen vergleichsweise zeitaufwendig.

## Deutsche Belegungen

   * Es gibt mehrere Ansätze, die [Dvorak-Tastaturbelegung](http://de.wikipedia.org/wiki/Dvorak-Tastaturbelegung) für die deutsche Sprache anzupassen (v.a. Umlaute und ß verfügbar zu machen). Diese werden meist als [Typ I](http://bro.homepage.t-online.de/dvorak/) (Beibehaltung der Buchstabenpositionen) und [Typ II](http://simon.spruenker.de/dvorak/) (leichte Anpassung der Buchstabenpositionen) bezeichnet. 
   * [de_ergo](http://forschung.goebel-consult.de/de-ergo): eigenständige, für die deutsche Sprache entwickelte Belegung. Sie basiert auf Untersuchungen von E. Meier 
     (Helmut Meier; Georg Olms Verlagsbuchhandlung, Hildesheim; 1967)
   * [de-eMeier](http://www.dingo.saar.de/Bilder/de-emeier.html): eine Variante von de-ergo. Diese hat insbesondere einige Sonderzeichen an anderen Stellen untergebracht 
   
   * [Aus der Neo-Welt](http://www.adnw.de/) Eine Tastatur, bei der die erste Ebene durch computergestützte Optimierung nach den Vorgaben von Prof. Dvorak auf die deutsche und englische Sprache entstanden ist.
   
   * [ENTIkey++](http://www.entikey.z11.de/) - Einen anderen Ansatz verfolgt die ENTI-Key++-Belegung von R. Barkow. Ähnlich dem [Dvorak-Links-Layout](http://en.wikipedia.org/wiki/Dvorak_Simplified_Keyboard#One-handed_versions) ist sie für Einhandbedienung konzipiert. Allerdings wurde das Dvorak-Links-Layout für Menschen entworfen, die wirklich nur einen Arm benutzen können. Die ENTI-Key++-Belegung dagegen ermöglicht ein- und zweihändiges Tippen, da die 4 häufigsten Buchstaben (im Deutschen und Englischen) auf der rechten Tastaturhälfte der Mittelreihe wiederholt liegen. Außerdem ist sie für Benutzer sehr vieler Sonderzeichen optimiert (vornehmlich Programmierer). Diese sind direkt über die Zweitbelegung mit der Feststelltaste, die zu einer zweiten AltGr-Taste umfunktioniert wurde, in der linken Tastaturhälfte erreichbar.
  * [RISTOME](https://de.wikipedia.org/wiki/RISTOME-Tastaturbelegung): Das RISTOME Layout gewann bei Jugend forscht 2005 im Bereich Arbeitswelt.

## Sprachübergreifend

   * [EurKEY](http://www.eurkey.steffen.bruentjen.eu/) – Ein QWERTY-Layout mit Sonderzeichen (z. B. Umlaute), welches insbesondere Programmierer zu schätzen wissen, da die dort so häufig frequentierten Tasten {}[], etc. wie im englischen gewohnt leicht zu erreichen sind. Es wird versucht, einen Großteil der (west-)europäischen Sonderzeichen abzudecken und nebenbei auch noch gängige Sonderzeichen sowie das griechische Alphabet zugänglich zu machen.
   * [Europatastatur](http://www.europatastatur.de/) – Die grundsätzliche Anordnung der Buchstaben wurde unverändert von der Qwertz-Belegung übernommen. Durch eine ausgeweitete Belegung der AltGr-Ebene sowie zusätzliche tote Tasten können jedoch fast alle europäischen Amtssprachen sowie die wichtigen Maß-, Währungs- und Sonderzeichen direkt eingegeben werden. Derzeitig liegen nur Treiber für Windows vor.
   * [carpalx keyboard layout optimizer](http://mkweb.bcgsc.ca/carpalx/) – Software zur Tastaturoptimierung, sowie ein paar theoretische Überlegungen zum Aufwand beim Tippen auf einer Tastatur

## Andere Sprachen

   * [The Bulgarian Alphabet and Keyboard](http://www.csc.fi/english/pages/meek/The-Bulgarian-Alphabet-and-Keyboard) – Die erste *ergonomische* Tastaturbelegung (aus dem Jahr 1907) von *Teodor Galabov* für Bulgarien. Sie ist seit 1978 nationaler Standard in Bulgarien und Bulgarien damit wohl das einzige Land mit einer ergonomischen Tastaturbelegung.
   * Auch die hebräische Tastaturbelegung ist auf das Tastschreiben optimiert: [englische Wikipedia](http://en.wikipedia.org/wiki/Hebrew_keyboard), [Beleg](http://www.sbl-site.org/Fonts/BiblicalHebrewTiroManual.pdf), [amerikanische Tastatur aus dem Jahr 1929](http://staff.xu.edu/polt/typewriters/remington92.jpg)
   * Türkisch-F-Tastatur: [englische Wikipedia](http://en.wikipedia.org/wiki/Keyboard_layout#Turkish)
   * [bépo](http://bepo.fr) – Ein Projekt mit dem Ziel, ein auf die französische Sprache optimiertes Tastaturlayout zu erstellen
   * [Chatting in pIqaD](http://www.kli.org/wiki/index.php?Chatting%20in%20pIqaD) – Tastaturbelegung für die Klingonische Sprache.
