<style>
.badge {
    background-color: var(--md-primary-fg-color);
    color: #ffffff !important;
    cursor: default !important;
    display: inline-block;
    border-radius: .1rem;
    padding: 0.2rem .6rem;
    font-size: 90%;
}
</style>

# Die Neo-Familie

Neo ist nicht nur eine Tastaturbelegung, sondern vielmehr eine ganze Familie von Tastaturbelegungen, den sogenannten Neo-basierten Layouts.
Du hast eventuell schon die Varianten [NeoQwertz](neoqwertz.md) oder [Bone](bone.md) auf der Startseite gesehen, die auf dieser Webseite ebenfalls beheimatet sind.
Diese beiden Tastaturbelegungen teilen die dritte und vierte Ebene mit dem normalem Neo-Layout, lediglich die Buchstaben wurden anders angeordnet, um eine geringere Einstiegshürde zu bieten oder um noch ergonomischer zu sein.

Dies sind jedoch nicht die einzigen Mitglieder der Neo-Familie.
Es gibt eine ganze Fülle an – meist mit Hilfe von Computern optimierten – Layouts, die die Ebenen von Neo mit ergonomischen Buchstabenpositionen kombinieren.
Diese Belegungen tippen sich noch ein bisschen besser als das klassische Neo-Layout.
Jedoch ist der Unterschied zwischen den Varianten so gering, dass der Konsens in der Community ist, dass sich ein Umstieg zwischen diesen ergonomischen Belegungen meist nicht lohnt.
Der Autor dieses Artikels würde Neulingen allerdings nicht mehr raten, mit dem klassischen Neo-Layout anzufangen.

Neo und Bone haben die Tasten ++X++, ++C++ und ++V++ auf der linken Seite, was die einhändige Benutzung der häufig nicht änderbaren Abkürzungen für Ausschneiden, Kopieren und Einfügen erheblich vereinfacht.
Bei einigen Varianten ist dies nicht der Fall, was bei der Wahl mit abgewägt werden sollte. Jedoch sei auch auf die [layoutunabhängigen Tastenkombinationen](../Tips/Tastenkombinationen.md#layoutunabhangige-tastenkombinationen) verwiesen.

Die verschiedenen Neo-basierten Layouts gehen durch verschiedene Gewichtungen der Optimierungskriterien
hervor.
Es ist schwierig zu sagen, welches von denen objektiv das Beste ist, da die Gewichtung der Optimierungskriterien recht subjektiv ist. Daher ist es nicht besonders überraschend, dass die meisten Optimierer ihr eigenes Layout bevorzugen.
Eine informative Übersicht mit den Bewertungen diverser Tastaturbelegungen anhand der Optimierungskriterien von zwei verschiedenen Optimierern befindet sich in [Max Schillingers Blog](https://maximilian-schillinger.de/keyboard-layouts-neo-adnw-koy.html), neben einem persönlichen Erfahrungsbericht.

Es sei noch angemerkt, dass für das klassische Neo-Layout erheblich mehr Lernmaterial wie Grafiken, Aufkleber und Tipptrainer-Lektionen existiert als für andere Neo-basierte Belegungen.

## Mitglieder der Neo-Familie

### Auf dieser Webseite beheimatet
  * [Neo](neo.md) – auch Neo2 oder klassisches Neo genannt, ist die Hauptvariante von Neo.  
    Informationen zu früheren Versionen finden sich in [Geschichte](../Historisch/Geschichte.md).

    ![Image](https://dl.neo-layout.org/grafik/bilder-einzeln/flat/neo-1-tkl.path.svg)

  * [NeoQwertz](neoqwertz.md) – Die Buchstaben sind wie beim normalen Qwertz-Layout angeordnet.    
    Zum Reinschnuppern und Anfixen geeignet.

    ![Image](https://dl.neo-layout.org/grafik/bilder-einzeln/flat/neo_qwertz-1-tkl.path.svg)

  * [Bone](bone.md) [für Neulinge empfohlen](bone.md){: .badge } – eine computeroptimierte Weiterentwicklung von Neo.

    ![Image](https://dl.neo-layout.org/grafik/bilder-einzeln/flat/bone-1-tkl.path.svg)

  * [Mine](mine.md) – Ein Layout in der Entwicklungsphase, das mit einer Weiterentwicklung des Optimierers von Bone und einem 30% Englischen Korpus optimiert wird.

    ![Image](https://dl.neo-layout.org/grafik/bilder-einzeln/flat/mine-1-tkl.path.svg)

### Schon ausgezogen
  * [AdNW (Aus der Neo-Welt)](http://www.adnw.de/) – Eine für Deutsch und für Englisch entworfene Belegung der zentralen Tasten einer Tastatur. Das AdNW-Projekt unterhält eine [eigene Website](http://www.adnw.de/), die auch viele weitere Varianten enthält.

    ![Image](https://dl.neo-layout.org/grafik/bilder-einzeln/flat/adnw-1-tkl.path.svg)

  * [KOY](http://www.adnw.de/index.php?n=Main.SeitlicheNachbaranschl%c3%a4ge) – Weiterentwicklung von AdNW mit weniger aufeinanderfolgenden Anschlägen auf benachbarten schwachen Fingern.

    ![Image](https://dl.neo-layout.org/grafik/bilder-einzeln/flat/koy-1-tkl.path.svg)

  * [BuT](http://www.adnw.de/index.php?n=Main.OptimierungF%c3%bcrDieGeradeTastaturMitDaumen-Shift) – Mit dem AdNW-Optimierer entwickelte Belegung für Matrixtastaturen.

    ![Image](images/BuT ebene 1.svg)

  * [VOU](https://maximilian-schillinger.de/vou-layout.html) – Wiederum ein Abkömmling von KOY. Der Entwickler hat eine Analyse verschiedener Kriterien vorgenommen und die Ergebnisse im Vergleich mit anderen Layouts graphisch erläutert.

    ![Image](images/de vou ebene 1.embed.svg)

  * Neo hat es sogar aus dem deutschen Sprachraum hinaus geschafft.
    Das für Englisch optimierte „[3l](https://github.com/jackrosenthal/threelayout)“ ist zwar anders als nur ein Neo mit permutierten Buchstaben, doch die Ähnlichkeiten sind unübersehbar.

    === "Ebene 1"
         ![Image](images/us 3l ebene 1.svg)

    === "Ebene 2"
         ![Image](images/us 3l ebene 2.svg)

    === "Ebene 3"
        ![Image](images/us 3l ebene 3.svg)

    === "Ebene 4"
         ![Image](images/us 3l ebene 4.svg)

    === "Ebene 5"
         ![Image](images/us 3l ebene 5.svg)

    === "Ebene 6"
          ![Image](images/us 3l ebene 6.svg)

    === "Ebene 7"
         ![Image](images/us 3l ebene 7.svg)

    === "Ebene 8"
         ![Image](images/us 3l ebene 8.svg)

Diese Liste ist natürlich keineswegs vollständig.

In [Andere Layouts](andere.md) befindet sich eine Liste von diversen ergonomischen Layouts für verschiedenste Sprachen, von denen jedoch keines ein mit Neo vergleichbares Ebenensystem hat.
