# Kurze Einführung zu Neo
<!---
Dieser Artikel gilt als Einstiegs- und Motivationsartikel für Anfänger. Er entspricht einer Zusammenfassung vor allem des ersten Kapitels des Benutzerhandbuches. Verweise habe ich in diesem Fall tatsächlich fast ausnahmslos weggelassen, damit der Leser sich diese Seite einmal ganz durchliest und somit erstmal einen Eindruck von Neo hat.
Die Hauptquellen sind die alte Projektseite von Hanno und der Flyer bei Promotionmaterial.
--->

Die meisten von euch haben vor sich eine sogenannte Qwertz-Tastatur liegen, auf der ihr schreibt und der Meinung seid, diese Tastatur wäre gut so und hätte sich irgendwie nach ergonomischen Gesichtspunkten entwickelt. Falsch, denn das Qwertz-Tastaturlayout hatte einzig zum Ziel, dass Schreibmaschinentasten sich seltener verhaken. Ebenso wie Schreibmaschinen ist auch das Layout heutzutage überholt.

Schon 1932 erfand Dr. August Dvorak ein Tastaturlayout, das nachweislich leichter zu bedienen und mit deutlich weniger Anstrengung und Risiko auf Sehnenscheidenentzündung zu schreiben war, sowie eine gute Erlernbarkeit zeigte. Doch seine Erfindung blieb bis zum heutigen Tage nahezu unbekannt, obwohl viele Computer sein Tastaturlayout bereits implementiert haben, man müsste es nur aktivieren (Mac, Linux, Windows …).

Das Umlernen eines Layouts kostet zwischen 25 Stunden und 100 Stunden Zeit; es gibt Erfahrungsberichte aus dem Netz, von Leuten, die problemlos später wieder „zurückschalten“ auf ein altes Layout, wenn sie an einem Computer ohne optimiertem Layout arbeiten müssen, was etwa eine Minute Umgewöhnung kostet. Es spricht also kein rationaler Grund gegen das Erlernen eines neuen, effizienteren Layouts. Es sei denn, man ist restlos damit zufrieden, dass die Standardtastatur die eigene Tippgeschwindigkeit ausbremst, zu vorzeitigen Ermüdungserscheinungen und Sehnenscheidenentzündungen führt. Was unserer Meinung nach eigentlich kaum sein kann, redet doch alle Welt von Softwareergonomie und kauft sich schnellere Rechner, während sie auf einem Tastaturlayout beharrt, das 1868 konzipiert wurde, um schnelles Schreiben auf mechanischen frühen Schreibmaschinen zu vermeiden; beziehungsweise die Tasten so anzuordnen, dass man möglichst „TYPEWRITER“ auf der oberen Zeile tippen kann. Für eine derart wichtige Schnittstelle zwischen Maschine und Mensch ist sowas einfach indiskutabel, egal wie lange es „funktioniert“ hat.

Das 2004 von Hanno Behrens entwickelte Neo-Layout ist eine auf [Ergonomie](http://de.wikipedia.org/wiki/Ergonomie) optimierte Tastaturbelegung. Es ordnet die Buchstaben der Tastatur neu, die wichtigsten liegen auf der Grundreihe. Etwa die Vokale uiae auf der linken, die häufigsten deutschen Konsonanten nrtd auf der rechten Hand. Dabei könnt ihr eure alte Tastatur behalten, geändert wird lediglich das Layout, also die Software.

Die Tippgeschwindigkeiten alternativer Layouts sind nicht unumstritten, aber in keiner Analyse schneidet Qwertz besser ab als auch nur irgendein anderes Layout. In den allermeisten Statistiken schlechter, in sehr vielen deutlich schlechter. Und natürlich grundsätzlich schlechter als Neo. Darüber hinaus überlastet Neo im Gegensatz zu Qwertz nicht die linke Hand.

Neben diesen offensichtlichen Vorteilen gibt es noch weitere, die in unserer heutigen Zeit von Nutzen sind:

  * Programmier- und Sonderzeichen wie / \ [ ] $ > = sind gut erreichbar
  * neue Zeichen wie „ “ » « ¿ ¢ ♥ ♀ … können direkt eingegeben werden
  * genauso mathematische Zeichen wie Δ ∂ ∫ √ α β – auch in LaTeX!
  * Ziffernblock, Steuerkreuz ← ↑ → ↓ auch auf der Haupttastatur – ideal für Notebooks

## Die Ebenen

Um die umfangreichen Funktionalitäten bieten zu können, benötigt Neo zusätzliche „Ebenen“. Qwertz verwendet fast nur zwei, die erste für die Klein- und die Shift-Ebene für die Großbuchstaben. Dazu kommt noch AltGr für @, \, € u. a.

Neo erweitert diese Idee und bietet gleich sechs Ebenen. Die dafür nötigen Modifier („Umschalttasten“) sind mit den kleinen Fingern gut erreichbar. Wer will, braucht auch nur die ersten drei Ebenen zu nutzen und wird allein davon schon angenehm überrascht sein. Für LaTeX etwa kann man nun den viel zu oft benötigten Backslash bequem per Qwertz-Raute + Qwertz-A erreichen. Und wer meint, dass das US-Layout dies genauso gut schafft, hat wohl noch nie deutsche Umlaute getippt. ;-) ;)

Die vierte Ebene ersetzt euch alles jenseits des Tastaturhauptfeldes, wie etwa den Zahlenblock, den bspw. viele Notebooks nicht haben. Und last but not least: Die griechischen Kleinbuchstaben und mathematischen Zeichen der 5. bzw. 6. Ebene, für deren Aktivierung ihr zwei Modifier gleichzeitig drücken müsst, sind ein ungemein wertvolles Feature für die, die es nutzen.

## Wie es losgeht

Anleitungen zur Einrichtung für alle gängigen Plattformen, Hilfestellungen und FAQ findet ihr hier in diesem Wiki. Genauso Verweise zu weiteren alternativen Layouts, wie etwa Bone, AdNW oder das 2005 entwickelte RISTOME. Projekte zu alternativen Tastaturen gibt es ebenso zu finden wie eine ganze Rubrik über bessere Typgrafie.

Wenn du willst, beschäftige dich damit und triff deine Entscheidung. Sollte sie pro Neo sein, empfehlen wir, dies auch konsequent durchzuziehen. Du kannst dir dafür einige der zahlreichen Erfahrungsberichte und weitere Tipps durchlesen. Aber Vorsicht: Wer einmal Neo benutzt, wird nie wieder etwas anderes wollen.
