# Tipptrainer

Um Neo zu lernen, können neben dem klassischen „Üben durch Anwendung” auch Lern&shy;pro&shy;gramme verwendet werden. Man lernt dabei insbesondere, mit einem 10-Finger-System zu schreiben (was für manche Neubeginner vielleicht ungewohnt ist). Die folgenden Programme sind Opensource/<wbr>Freeware und werden von der Neo-Community unterstützt. 

Neben den Lernprogrammen gibt es auch mehrere [Spiele und Tests](Tipptests.md), die den Fokus weniger auf strukturiertes Lernen, sondern auf schnelles Tippen mit kontinuierlichen Fortschritt setzen. Bei Online-Tests mit Anmeldung lässt sich der eigene Fortschritt graphisch auswerten und auch mit anderen Nutzern vergleichen.


## KTouch (Linux)

![Image](images/ktouch.png)

KTouch ist ein Schreibtrainer für KDE. Daher ist KTouch ein Linux-Programm. Wenn es nicht standardmäßig installiert ist, lässt es sich mit dem Paket *kdeedu* nachinstallieren.

In KTouch wird ein kompletter Tippkurs für Neo mitgeliefert. Für Bone und NeoQwertz stehen leider (noch) keine benutzerdefinierten Lektionen bereit. Näheres ist unter [KTouch für Neo einrichten](KTouchFuerNeoEinrichten.md) beschrieben. Auf Grund dieser Lektionen empfehlen wir KTouch auch als *den* Tipptrainer für Linux.

Homepage: <https://edu.kde.org/ktouch>

## TIPP10 (online)

![Image](images/tipp10.png)

[TIPP10](https://online.tipp10.com/de/) ist ein kostenloser 10-Finger-Schreibtrainer, der als Online-Version auf allen Systemen läuft. Er ist neben deutsch und englisch auch in niederländisch, norwegisch und spanisch verfügbar.

TIPP10 kann das Neo- und auch Bone-Layout korrekt anzeigen und bietet Übungslektionen sowohl für Qwertz wie auch angepasst für Neo an: von der Grundreihe über Sonderzeichen bis hin zum Ziffernblock. Daneben gibt es vorgegebene freie Lektionen mit längeren Texten. Eigene Lektionen können online oder in jedem Editor erstellt und als Textdatei ex-/importiert werden.

Das angezeigte Layout zeigt während des Tippens graphisch die jeweils nächste Taste und den entsprechenden Finger an. Die Tipptests werden gespeichert und bieten umfangreiche Statistiken, um Problembereiche zu erkennen.

Homepage: <https://online.tipp10.com/de/> (erfordert kostenlose Anmeldung)

### TIPP10 (alle Systeme)

Es existiert eine ältere und deutlich weniger umfangreiche Software-Version von TIPP10 für Windows, macOS und Linux [zum Download](https://www.tipp10.com/de/download/). Die Nutzung wird nicht mehr empfohlen, bietet aber den Vorteil, keine dauerhafte Internetverbindung zu benötigen.


## Klavaro (alle Systeme)

![Image](images/Klavaro-Neo2.png)

Klavaro ist ein auf GTK basierter Tipptrainer, der klassisches QWERTY und Dvorak unterstützt. Er wird hauptsächlich für Linux entwickelt, bringt jedoch auch gelegentlich Windows-Versionen heraus. Ab Klavaro 1.7.4 wird das Neo-Tastaturlayout mitgeliefert. Die Lektionen, die zunächst bei der Grundreihe beginnen, werden von dem Programm automatisch generiert und sind daher an das Neo-Layout angepasst. Man wird in verschiedenen Modi zum fließenden Zehn-Finger-Schreiben hingeführt. Inzwischen gibt es auch Statistik und High-Score-Funktionen.

Das Bone-Layout kann mit der Datei [Bone_de.kbd](Bone_de.kbd) nachgerüstet werden, die man in den entsprechenden Ordner kopiert: unter Windows ins Unterverzeichnis `\share\klavaro` im jeweiligen Programmordner (also z.B. `C:\Programme\Klavaro`), unter Linux in den Ordner `/usr/share/klavaro`. Wenn in Klavaro als Tastatur „Deutschland“ ausgewählt ist, taucht Bone in der Layoutliste rechts auf.

!!! tip "Keine Zugriffsrechte?"
    Falls keine Zugriffsrechte auf den Programmordner vorhanden sind, lässt sich die Datei auch unter `~/.config/klavaro` (Linux) bzw. `%LOCALAPPDATA%\klavaro` (Windows) im Benutzerverzeichnis ablegen, sollte dann aber zu `Bone.kbd` umbenannt werden. In Klavaro wird als Tastatur „**(angepasst)**“ (oben in der Liste) gewählt, um damit die Option für Bone zu bekommen.

Homepage: <https://klavaro.sourceforge.io/de/index.html>


## Keybr (online)

![Image](images/keybr.png)

Keybr ist ein Online-Tipptrainer mit einem anderen Ansatz als die bisher vorgestellten Programme. Hier gibt es keine vorgefertigten Lektionen. Stattdessen werden Kunstwörter aus einer Menge an vorgegebenen Buchstaben gebildet. Dabei werden phonetische Sprachregeln beachtet. Die Buchstaben sind nach ihrer Häufigkeit in der gewählten Sprache sortiert. Somit werden automatisch die am häufigsten vorkommenden Silben geübt, und es stellt sich ein schneller Fortschritt ein.

Keybr ist unabhängig vom gewählten Tastaturlayout; leider wird bisher nur Qwertz als graphische Tastatur angezeigt. Die Anzahl der Buchstaben für die Bildung der Wörter ist frei einstellbar, ebenso die Länge der Tipplektionen. Weitere Optionen sind Großbuchstaben und Satzzeichen.

Homepage: <https://www.keybr.com/>


## GNU typist (Linux)

![Image](images/gtypist.png)

GNU typist (gtypist) ist ein ncurses-basierter Tipptrainer und Teil des Betriebssystems GNU.

Homepage: <https://www.gnu.org/software/gtypist/>
