# Yubikeys und „Tastatur“-Dongles

Hardware, die davon ausgeht, dass ein Qwerty, Qwertz oder vergleichbares Tastaturlayout verwendet wird, braucht unter Umständen die eine oder andere Anpassung. Hier finden sich passende Vorschläge, wie man diese Probleme umgeht. 

## Yubico Yubikey

Der [Yubikey](http://www.yubico.com/products/yubikey/) ist ein USB-Dongle, das eine sichere Authentifizierung ermöglicht und keine Client-Software benötigt. Dies ist möglich da ein USB-Keyboard emuliert wird von diesem Gerät und für den Code Zeichen verwendet werden die auf den gängigen Qwert*-Tastaturen identisch sind.

### Linux/OS X/Windows/…

Unter allen Betriebssystemen lässt sich dieses Gerät direkt verwenden, wenn das Tastaturlayout für den Authentifizierungsvorgang kurzfristig auf ein klassisches Layout wie de oder us umgeschaltet wird, z. B. über die Systemleiste.

### Linux (Xorg) komfortabel

Benutzer des Xorg-Display-Servers können das Tastaturlayout nur für den Yubikey umschalten, indem sie
zu ihrer Xorg-Konfiguration Folgendes hinzufügen (etwa in `/etc/X11/xorg.conf.d/20-yubikey.conf`):
```
Section "InputClass"
  Identifier      "yubikey"
  MatchIsKeyboard "on"
  MatchVendor     "Yubico"
  MatchProduct    "Yubico Yubikey II"
  Driver          "evdev"
  Option          "XkbRules" "evdev"
  Option          "XkbModel" "pc105"
  Option          "XkbLayout" "us"
  Option          "XkbVariant" "basic"
EndSection
```

Dies kann leicht an andere Geräte wie beispielsweise Präsentationsfernbedienungen oder andere Versionen des Yubikeys angepasst werden.

### Alle Systeme (Änderung im Yubikey)

Man kann bei einigen Versionen des Yubikeys auch das verwendete Tastaturlayout direkt umschalten.
Dann ist das Gerät jedoch nicht mehr mit anderen (nicht-Neo)-Tastaturbelegungen kompatibel.
Eine Anleitung findet sich [hier](https://www.yubico.com/blog/yubikey-keyboard-layouts/).

## Logitech USB Receiver

Verschiedene Hersteller bieten Funkfernbedienungen an mit denen man Präsentationssoftware (wie PowerPoint oder OpenOffice Impress) steuern kann. Eine Labtec-Fernbedienung beispielweise, die unter lsusb als "UltraX Media Remote" erscheint, bietet dem Nutzer vier Knöpfe. Diese senden an das als USB HID-Tastatur erkannte Empfangsgerät Keycodes für F5, PageUp, PageDown und b.

Unter Neo funktionieren die ersten drei Tasten ohne Probleme aber um die letzte Taste, welche bei Impress einen schwarzen Bildschirm zeigt, zum Laufen zu kriegen muss das Tastaturlayout gewechselt werden. Es besteht theoretisch auch die Möglichkeit der Taste z die Abdunklungsfunktion zuzuweisen, aber unter den Tastenkürzeln für Impress ließ sich kein Eintrag zu b finden.

Benutzer eines Xorg-Linux-Desktops können wie beim Yubikey vorgehen, um das Tastaturlayout für diesen Dongle zu setzen.