# FAQ

## Allgemeine Fragen

#### Dauert es lange, bis man Neo beherrscht?

Die Buchstabenebenen zu lernen dauert keinesfalls länger als Qwertz zu lernen.
Wenn man nicht bereit ist, die Zeit ins Blindschreiben-Lernen zu investieren, sollte man auf jeden Fall bei Qwertz bleiben, da Neo im Zwei-Finger-Suchmodus nur wenige Vorteile bietet.

Da Neo die Sonderzeichen (z.B. `/ \ [ ] $ > =`) auf ergonomisch günstigere Positionen legt, ist es ratsam, diese auch auswendig zu lernen (bzw. auf der Tastatur zu beschriften). Das stellt einen zusätzlichen Lernaufwand dar.

#### Lohnt es sich überhaupt noch Neo zu lernen oder sollte ich ein neueres Layout nutzen?

Neo ist über die Jahre kein schlechteres Tastaturlayout geworden und bietet immer noch einen erheblichen Mehrwert gegenüber Qwertz. Gründe, Neo einem der verbesserten Neo-basierten Layouts der zweiten Generation wie AdNW, KOY oder Bone vorzuziehen, könnten sein:

  * Es gibt mehr Lernmaterial wie Grafiken und Tipptrainerlektionen für Neo.
  * Neo ist einfacher zu lernen durch die gezielte Platzierung der Buchstaben (Vokale alle in einer Reihe, Umlaute darunter, etc).
  * Neo hat ++X++, ++C++, ++V++ und ++Z++ auf der linken Seite.
  * Neo ist bei mehr Betriebssystemen direkt dabei, etwa auch bei der Google-Tastatur.

Ob diese Punkte wichtiger sind als eine bessere Ergonomie, muss man nun für sich selbst entscheiden. Wir empfehlen weiterhin [Bone](../Layouts/bone.md) für Neulinge im Zehnfingertippen, sowie für all diejenigen, die bisher nur Qwertz tippen.


#### Ist Neo denn wirklich schneller als Qwertz?

Wenn man sich anschaut, welche Virtuosität Pianisten erreichen und welche Geschwindigkeiten/Fehlerquote bei Meisterschaften im Tastschreiben erreicht werden wird schnell klar, dass die menschliche Ergonomie so gut ist, dass sie jede noch so schlechte Tastaturbelegung „ausbügeln“ kann.
Das heißt nicht, dass man mit Neo _nicht_ schneller schreiben kann, auf jeden Fall kann man aber mit Qwertz so schnell schreiben, dass der Flaschenhals im täglichen Arbeiten nicht das drücken der Buchstaben ist.

Was in Meisterschaften etc. natürlich nicht berücksichtigt wird ist die Navigation sowie die vielfache Eingabe von Programmier- und Sonderzeichen.

#### Lohnt es sich für die Finger und die Gelenke Neo zu erlernen?

Ob es die Erkrankungen reduziert ist nicht wissenschaftlich belegt, Fakt ist allerdings, dass man kürzere Wege mit den Fingern zurücklegen und sich weniger „verrenken“ muss.
Spätestens wenn man sich beim täglichen Arbeiten an schwierigen Griffen oder ungünstigen Buchstabenfolgen stört, sollte man sich überlegen ob es einem Wert ein anderes Layout zu lernen.

#### Ist es sinnvoll, diese neue Belegung zu benutzen?

Das kann natürlich nicht allgemein beantwortet werden.
Vorausgesetzt, man arbeitet oft genug am Rechner, dass man blind schreiben möchte, sollte man überlegen, ob man folgenden Aussagen zustimmen kann:

 * Ich kann Qwertz mit über 300 Anschlägen pro Minute schreiben.
 * Ungünstige Buchstabenfolgen stören mich nicht.
 * Ich benötige in der Computerbenutzung keine Programmier- und Sonderzeichen (z.B. `/ \ [ ] $ > =` )
 * Ich navigiere meistens mit der Maus und habe kein Problem mit dem ständigen Wechsel zur Tastatur.
 * Ich arbeite sehr oft an fremden Rechnern auf denen ich das Tastaturlayout nicht umstellen kann.

Je mehr der Aussagen man mit „nein“ beantwortet, desto sinvoller ist es Neo zu lernen.

#### Wo kann ich Fragen zu Neo stellen?

Wenn du mit anderen Leuten aus der Neo-Community Kontakt aufnehmen möchtest, Probleme zu lösen sind oder wenn du Verbesserungsvorschläge loswerden magst, kannst du dir auf der [Community-Seite](../Beitragen/Community.md) eine Reihe von Möglichkeiten aussuchen. Am schnellsten klappt es im [Neo-Chat](../Beitragen/Community.md#neo-chat) (wenn man nicht gerade morgens um 4 dort auftaucht und alle Anwesenden schlafen).

Ansonsten erst mal diese FAQ (= „Frequently Asked Questions“ = „häufige Fragen“) überfliegen und schauen, ob es nicht bereits eine Antwort oder ein ähnliches Problem gibt.

#### Gibt es keine Feststell-/Capslock-Taste? Kann ich nicht mehr dauernd groß schreiben?
Die Dauergroßschreib-Funktionalität erhält man, indem man **beide**
Umschalttasten (= ++Shift++) kurz gleichzeitig drückt. Zum temporären Ausschalten **eine** der beiden Umschalttasten gedrückt halten und Buchstaben schreiben. Zum Ausschalten wieder **beide** Umschalttasten drücken.

Genau so funktioniert auch der Mod4-Lock (nur jeweils mit den entsprechenden ++mod4++-Tasten), mit dem man sich den Ziffernblock auf die Haupttastatur holen kann.

#### Warum gibt es manche Tasten doppelt? Z. B. die Pfeiltasten, die ++esc++-Taste usw. Außerdem auch `~` und `^`?
Diese sind dazu da, dass man seine Hände nicht vom normalen Eingabefeld der Tastatur nehmen muss. Wenn man die ++mod4++-Taste drückt ist die gesamte Tastatur (außer den Funktionstasten) im Zehnfingersystem erreichbar.
Da die ++mod4++-Taste nicht von allen benutzt wird, sind diese Tasten auch auf ihrer alten Position verfügbar.
Die Tilde (`~`) und der Zirkumflex (`^`) sind als tote und untote Tasten vorhanden. Mit den toten kann man Buchstaben wie â, ô, û und ñ schreiben, indem man nacheinander die tote Taste und den Buchstaben drückt. Bei der untoten Taste erscheint das Zeichen direkt.

#### Wieso sind die Sonderzeichen – `!<>=;?()-:+%&"'~$|#\/{}*@_[]!^` – so angeordnet, wie sie angeordnet sind? Wie ist man darauf gekommen?
Die Sonderzeichen wurden für Neo2 nach ähnlichen Kriterienzugeordnet, wie schon die Buchstaben für Neo1. Also nicht nur nach
Häufigkeit und guter Erreichbarkeit, sondern auch nach in den gängigen Programmier-, Skript- und Auszeichnungssprachen häufig vorkommenden Bi- und
Trigrammen. Siehe dazu die Liste der [Sonderzeichenbigramme](../Beitragen/Wieso/Ebene3.md).

#### Was sind die korrekten Benennungen der einzelnen Ebenen?
Es gibt keine offiziellen korrekten Benennungen. Auf der Mailingliste haben sich jedoch folgende Bezeichnungen etabliert:

 * Ebene 1 (kein Modifier): Kleinbuchstaben („Klein“)
 * Ebene 2 (++shift++): Großbuchstaben („Groß“, „Umschalt-Ebene“, „Shift-Ebene“, …)
 * Ebene 3 (++mod3++): Sonder- und Interpunktionszeichen („So/Int“, …)
 * Ebene 4 (++mod4++): Navigation und Ziffernblock („Nav/Num“, „Navigations-Ebene“, „Ziffern-Ebene“, „Steuer-Ebene“ …)
 * Ebene 5 (++mod3+shift++): Griechische Kleinbuchstaben („Griechisch-Klein“, „Griechische-Ebene“, „Griech“, …)
 * Ebene 6 (++mod3+mod4++): Mathematische Zeichen („Mat/Nat“, „Griechisch-Groß“, „Naturwissenschaftliche Ebene”, „MINT“, …)

#### Wie kann ich die für m², cm³ usw. benötigten „Hoch-2“ (²) oder „Hoch-3“ (³) schreiben?
Dazu gibt es drei Wege:

 1. Die wichtigen Hochzahlen ¹,² und ³ liegen auf ++mod3+1++, ++mod3+2++ und ++mod3+3++.
 2. Mit dem toten `^` auf der Taste links neben der ++1++ und dann die Zahl (also `^1`=¹, `^2`=², `^3`=³, `^4`=⁴ usw.).
 3. Mit der Compose-Taste, dem nicht-toten `^` und der Zahl (also `♫^1`=¹, `♫^2`=² usw.) Auch die Zeichen `+,-,(,),=` sowie die meisten Buchstaben können so hochgestellt werden.

Des Weiteren können über `♫_`… oder ++mod3+t2++ … Zeichen tiefgestellt werden (Indizes, `♫_1`=`₁`, `♫_2`=`₂` usw).

#### Wann wird eigentlich in der deutschen Sprache welcher Binde-/Gedanken/Bis-Strich verwendet?
#### Welche sind die deutschen Gänsefüßchen? Wann welche Anführungszeichen?
#### Wo ist der Apostroph, um z. B. Felix’ Katze zu schreiben?
#### Was haben die verschieden Leerzeichen zu bedeuten?
Die Antworten auf all diese Fragen findest du auf der [Typografie-Seite](../Tips/Typografie-mit-Neo.md).

#### Wieso fehlen ein paar griechische Buchstaben?
Die griechischen Buchstaben sind nicht dafür da, um griechische oder
altgriechische Fließtexte zu schreiben. Neo ist ein Layout für die deutsche
Sprache.

Aus genau diesem Grund gibt es auch keine kyrillischen, japanischen sowie
chinesischen Buchstaben. Dafür gibt es Layouts der einzelnen Sprachen. Es wurde
nur darauf geachtet, dass es möglich ist, alle lateinischen Buchstaben zu
tippen. Gerade wenn man z. B. an der polnischen Grenze wohnt und immer mal den
Ort, in dem man selbst (in Deutschland) wohnt, auf polnisch tippen muss oder für
Namen europäischer Mitbürger, usw …

Dennoch gibt es griechische Buchstaben auf der Neo-Tastatur. Warum?

Unsere abendländische Kultur basiert auf der griechischen und lateinischen Kultur. Darum haben diese beiden Sprachen einen besonderen Stellenwert:

  * Zum einen tauchen griechischen und lateinische Wörter oder kurze Zitate regelmäßig in wissenschaftlichen Arbeiten auf. Das ist für Geistes- und Gesellschaftswissenschaftler interessant.
  * Zum anderen dienen die griechischen Buchstaben dazu, mathematische Formeln tippen zu können, in denen entsprechende Buchstaben vorkommen. Das ist für Naturwissenschaftler interessant.

Da Neo jedoch kein echtes griechisches Layout ist, haben wir auf Großbuchstaben,
die im Griechischen und Lateinischen (und somit auch im Deutschen) gleich
aussehen, verzichtet, um diesen Platz mit anderen wissenschaftlichen (i.d.R.
mathematischen) Zeichen zu belegen. Diese lateinischen Großbuchstaben (z. B. A)
könnten auch anstelle der griechischen Großbuchstaben (z. B. Α) verwendet werden
– im Griechischen sind Großbuchstaben viel seltener als im Deutschen (nur in
Namen und bei Satzanfängen). Jedoch ist das typrografisch nicht korrekt!
In mathematischen Formeln tauchen solche griechischen Großbuchstaben aufgrund
der Glyphengleichheit nicht auf.

Echte (typografisch korrekte) griechische Buchstaben sind auch bei Neo über *Compose* möglich:
Die typografisch korrekten griechischen Großbuchstaben werden zwar häufig in lateinische normalisiert,
dennoch gibt es eine Möglichkeit, diese über Compose einzutippen. Dazu die Composetaste und danach ein großes G eingeben,
dann den Großbuchstaben der dem griechischen Kleinbuchstaben entsprechenden Taste drücken.
Alternativ kann dafür auch der glyphengleiche Großbuchstabe genommen werden (H,P).

#### Wie schreibe/erzeuge ich die Akzente bei den griechischen Buchstaben?
Siehe die Wikiseite [Griechisch Schreiben](../Tips/Griechisch.md).

Außerdem kann man auch direkt in der Datei [XCompose](https://neo-layout.org/download/XCompose) nachsehen, wobei dort *\<Multi_key\>* für *Compose* steht und die verschiedenen toten Zeichen für die Akzente als *<dead_…>* zu finden sind. Eine ausführliche Dokumentation wie man welche Buchstaben mit Akzenten erzeugt, kommt noch ins Wiki. Ein Anfang findet sich bei [Tote Tasten und Compose](../Benutzerhandbuch/Tote-Tasten-und-Compose.md).

#### Bei den Währungszeichen gibt es nur €,¢,£,$,¥,¤. Es fehlen Florin (NDL) und Franc.
Die gibt es beide nicht mehr, sind also nur noch historisch, da diese
Länder jetzt auch den Euro haben.

#### Ich möchte in meinen TeX-Dateien (LaTeX) direkt die Sonderzeichen eingeben …

„… um mir etwas Schreibarbeit zu ersparen. Leider kommt immer der Fehler »Package inputenc Error: Unicode char \u8:α not set up for use with LaTeX.« Wieso?“

Bisher muss man die meisten Zeichen erst noch definieren. Um sich Arbeit zu
sparen, haben fleißige Menschen schon eine Datei geschrieben, die man sich nur
in das gleiche Verzeichnis wie die tex-Datei kopieren muss.

Einfacher ist jedoch direkt XeTeX bzw. LuaTeX zu verwenden. Diese engines bringen beide native UTF8‑Unterstützung mit.

Siehe hierzu auch [Neo für Latex](../Tips/LaTeX.md)

#### Seit ich Neo habe, kommt es vor, dass ich beim Kompilieren meiner Programme merkwürdige Fehlermeldungen erhalte, …

„… obwohl ich in den betreffenden Zeilen wirklich keinen Fehler finden kann. Z. B. »Syntaxfehler in Zeile 23.« Oder in LaTeX: »Package inputenc Error: Unicode char \u8:  not set up for use with LaTeX.« oder auch »Package inputenc Error: Unicode char \u8: not set up for use with LaTeX.« Was ist das?“

In Neo gibt es einige Zeichen, die möglicherweise Probleme bereiten könnten:

 * Das geschützte Leerzeichen, zu finden auf der 5. Ebene der Leertaste.
 * Auf der 6. Ebene der Leertaste gibt es noch das schmale geschützte Leerzeichen.
 * Drittens gibt es bei Neo den griechischen Kleinbuchstaben Omikron ο, der dem lateinischen Kleinbuchstaben o optisch gleicht.
 * Viertens gibt es außerdem noch den [„geschützten Bindestrich“](https://de.wikipedia.org/wiki/Gesch%C3%BCtzter_Bindestrich) und den [„weichen Trennstrich“](https://de.wikipedia.org/wiki/Weiches_Trennzeichen)
 * Fünftens gibt es das Zeichen »ſ«, das dem »f« ähnelt

Schnelle Abhilfe schafft eine Suche mit dem Texteditor nach folgenden Zeichen:

|Welches Zeichen | Das Zeichen innerhalb der Anführungszeichen kopieren<br>(z. B. mit ++strg+c++) |
| :--- | :--- |
|Geschütztes Leerzeichen:| » «|
|Schmales Leerzeichen:   | » «|
|Geschützter Bindestrich:| »‑«|
|Weicher Trennstrich:    | »­«|
|kleines Omikron:        | »ο«|
|langes s:               | »ſ«|

Diese dann einfach durch ein normales Leerzeichen bzw. ein o bzw. einen normalen
Trennstrich (Mod3+t) bzw. ein f ersetzen, sofern diese Zeichen dort nicht
gewünscht sind. Für LaTeX gibt es noch eine andere Lösung hier in der FAQ
(weiter oben).

#### Ich erhalte in Calc, Excel oder einem ähnlichen Tabellenkalkulationsprogramm einen Fehler, obwohl ich in meiner eingegebenen Formel keinen Fehler finde.
Der gängigste Fehler ist das Verwenden eines Gedankenstrichs (++shift+minus++) oder eines echten Minus (++mod4+eszett++ bzw. ++mod3+num-minus++) statt des herkömmlichen Striches.
Dieser befindet sich auf Ebene 1 (ohne Modifikator) auf der Strichtaste neben der Null oder auf ++mod3+t++.
Nähere Informationen gibt es in der Frage direkt über dieser.

#### Wie werden ð/đ/Đ erzeugt? (eth, eð, edh, edd)
Das isländische Eth (ð/Ð) wird mit `♫dh`/`♫DH` erzeugt.
Das kroatische/serbische/… D mit Querstrich wird mit dem toten Querstrich (auf ++mod3+t2++) und `d`/`D` erzeugt.
Wer das Eth häufiger benötigt, kann unter Linux auch die [XCompose](https://dl.neo-layout.org/XCompose) editieren.

#### Warum erhalte ich bei manchen Tastenkombinationen mit mehr als zwei gleichzeitig gedrückten Tasten einfach keine Ausgabe?
Das könnte daran liegen, dass deine Tastatur hardwaretechnisch in diesen Fällen nicht mehr entscheiden kann, welche Taste du als drittes (usw…) gedrückt hast. Dies tritt häufig auf, wenn eine Modifier-Taste mit im Spiel ist, die von Neo erst zu einer gemacht worden ist, die aber vorher keine war, z.B. linke ++mod4++, rechte ++mod3++.

Eine Möglichkeit, das Problem bei Beteiligung einer Neo-eigenen Modifiertaste zu umgehen, ist der Wechsel von einer (oder zweier) Modifier auf die andere Seite.
So ist z.B. ++m4l+m3l+t1++ (Taste links neben der 1) eine häufig nicht erkannte Tastenkombination, dann sollte man (die im Zehnfingerschreibsystem korrektere Form) ++m4r+m3r+t1++ versuchen.

Eine Übersicht über bekannte Probleme mit verschiedenen Tastaturen gibt es unter [Hardwareprobleme](Hardwareprobleme.md).

#### Wie mache ich ein Update von Neo?

Neo benötigt kein Update, denn das Tastaturlayout ist seit Jahren festgelegt. In unregelmäßigen Abständen wird ein Windows- oder macOS-Treiber aktualisiert, um gefundene Fehler zu beheben oder die Kompatibilität zu verbessern. In dem Fall kann Neo – je nach Treiber – einfach neu installiert werden.


## Betriebssystemspezifische Fragen
### Linux, Unix, BSD

#### Die vierte Ebene funktioniert nicht, wenn Neo als Zweitlayout eingestellt ist

Das Problem tritt sowohl mit Xorg als auch mit Wayland-Kompositoren auf, was
ein Überraschungsfeature in libxkbcommon vermuten lässt. Bekannte Workarounds
sind:

 * Neo als erstes/einziges Layout einstellen
 * als erstes Layout `de(e1)` oder `de(T3)` nutzen. Diese Layouts sind vollkommen mit dem deutschem basic-Layout abwärtskompatibel.
 * In die Definition des Erstlayouts in der xkbmap irgendwo `layer5(modifier_mapping)` inkludieren. Es konnte keine unerwünschten Nebeneffekte festgestellt werden.

#### Der Ziffernblock auf der vierten Ebene funktioniert nicht.
Du hast vermutlich die [Tastaturmaus](../Benutzerhandbuch/Tastaturmaus.md) aktiviert. Diese kann mit ++mod4+shift+t1++ wieder deaktiviert werden.

#### Bei manchen Java-Programmen funktionieren die Bewegungstasten der 4. Ebene nicht.
Das ist ein bekanntes Problem von JRE 1.6 und wurde in Version 1.7 – bis auf die Ebene4-Tab-Taste – behoben.
Das Problem tritt/trat jedoch weiter noch in ein paar wenigen Anwendungen wie IntelliJ IDEA auf, die eigenes Keyboard-Handling mit dem alten Fehler verwenden.

Inzwischen gibt es für IntelliJ eine [eingebaute Lösung](https://youtrack.jetbrains.com/issue/IDEA-197762): setze die Option _Settings → Keymap → Use national keyboards for shortcuts_, um das normale Tastaturlayout zu aktivieren. Dies funktioniert für Ableger wie PyCharm oder WebStorm gleichermaßen; in Android Studio scheint das Problem dagegen nicht aufzutreten. Die bisherige Lösung verwendete einen [Hack](https://github.com/chenkelmann/neo2-awt-hack), der um das Problem herum arbeitet. 

#### Es geht nur noch die Ebene 4: Beim Drücken von ++n++ erscheint „(“
Lösungen:

 1. Gleichzeitiges Drücken der beiden Mod4-Tasten (++m4l+m4r++) rastet die Ebeneneinstellung wieder aus. Außerdem kann die vierte Ebene durch die Kombination ++shift+m3l+tab++ ein- und ausgerastet werden.
 2. Vor dem Aktivieren des Neo-Layouts die ++num++-Taste betätigen.

#### Die rechte ++mod4++-Taste (»Alt Gr«) ist eine dritte ++mod3++-Taste.
Manche Desktop-Umgebungen (wie zum Beispiel Gnome bieten einem die Möglichkeit, zusätzlich Tasten zu Mod3 zu machen.
Siehe etwa die (bebilderte) [Beispiel-Anleitung](../Einrichtung/Linux.md#neo-aktivieren-desktopumgebungen) für Gnome.

#### Linke ++mod3++-Taste verhält sich wie »Capslock«
Fügt man unter GTK-basierten Desktops weitere Layouts in den Tastatureinstellungen hinzu, und Neo (oder ein Neo-basiertes Layout) steht oben in der Liste, so verhält sich ++mod3++ wieder wie »Capslock«.

Um dies wieder rückgängig zu machen, wählt man unter »Systemeinstellungen« → »Tastatur« → den Reiter »Tastaturbelegungen« und dort »Optionen« aus. Bei der Einstellung »Wechseln in eine andere Belegung« werden alle Häkchen für Optionen entfernt, in denen die Feststelltaste vorkommt – mindestens bei »Umschalt-+Feststelltaste«. Siehe [auch hier](https://git.neo-layout.org/neo/neo-layout/issues/234#issuecomment-1804).

#### Ich kann unter xfig, xpdf, xedit und ddd, xdm kein V, W oder Ä schreiben. Was kann ich dagegen tun?
Das sind Fehler in diesen sehr alten Xorg-Anwendungen. 
Es bietet sich an, modernere Software zu verwenden. 
Man kann die Fehler auch wie in [#115](https://git.neo-layout.org/neo/neo-layout/issues/115) beschrieben beheben oder wahlweise in seinem Tastaturlayout Ebene 4 und die Pseudoebene der nicht funktionerenden Tasten abhändern.

#### Wie funktioniert die Kombo-/Komponier-/Compose-/Multi-Key-Taste?
Die Compose-Taste erreicht man über ++mod3+tab++ (siehe dazu den Artikel [Tote Tasten und Compose](../Benutzerhandbuch/Tote-Tasten-und-Compose.md)). 
Viele Linuxdistributionen haben außerdem eine weitere Compose-Taste auf der rechten ++win++-Taste.
Um z. B. x⁵ zu schreiben, tippt man ++x++, ++mod3+tab++, ++mod3+tab++ loslassen, ++mod3+w++, ++5++.

<!--- vermutlich obsolet, auf jeden fall ist die Antwort obsolet, da asdf nicht mehr irgendwo beworben wird
#### Bei meiner Keymap (für die Konsole) funktionieren manche Zeichen nicht.
Durch den Aufruf des Skripts asdf nach dem Einloggen können die fehlenden Zeichen geladen werden. Siehe [Ticket #23](https://git.neo-layout.org/neo/neo-layout/issues/23).
--->

#### Probleme mit Virtuellen Maschinen
Soll Neo in Virtuellen Maschinen verwendet werden (z.B. VirtualBox, Qemu, VMware) so kommt es oft zu Problemen.
Als allgemeiner Tipp kann gelten: Im Wirt Qwertz einstellen, im Gast Neo.
Weitere Infos und Lösungsansätze gibt es unter [Virtuelle Maschinen](VM.md).


### Apple macOS
#### Warum wird auf meinem MacBook ++caps-lock++ nicht zu ++mod3++?

!!! failure "Obsolet"
    Dieses Problem betrifft lediglich macOS-Versionen bis 10.11 „El Capitan“

Dies muss von Hand eingestellt werden unter »Systemeinstellungen« → »Tastatur« → »Sondertasten« bzw. bei engl. Sprache unter »System Preferences« → »Keyboard« → »Modifier Keys«. Dort für »Caps Lock« entsprechend »Option« auswählen. Weitere Informationen gibt es in der [Installationsanleitung für macOS](../Einrichtung/macOS.md).


#### Ändern sich auch Tastaturkürzel wie ++command+c++ usw.?
Ja, auch wenn das eigentlich von macOS nicht so gewollt ist. Die ursprüngliche Qwertz-Position bleibt bei Tastaturkürzeln *nicht* erhalten.
Da die Belegung der Apfel-Ebene jedoch in der Datei [neo.keylayout](https://dl.neo-layout.org/neo.keylayout) einzeln aufgeführt ist, kann man das auch wieder ändern (siehe [Treiber-Know-How](../Beitragen/Treiber-KnowHow.md#neokeylayout)).

### Windows
#### Eine bestimmte Kombination mit einer tote Taste (Deadkey) oder eine Compose-Kombination funktioniert nicht?
  * Das resultierende Zeichen gibt es nicht. Es können nur Tote-Taste + Buchstabe eingegeben werden, deren Kombination auch Sinn ergibt. Alternativ kann die Tottaste _nach_ dem Basiszeichen doppelt eingetippt werden, um ein [kombinierendes Zeichen](http://localhost:8000/Benutzerhandbuch/Tote-Tasten-und-Compose/#kombinierende-zeichen) zu erzeugen.
  * Es sind nur die grundlegenden Tottasten- und Compose-Kombinationen (nicht mehr als zwei Zeichen) im kbdneo-Treiber hinterlegt. Bei Nutzung von [ReNeo](../Einrichtung/reneo.md) – auch als Ergänzung zu kbdneo – sind alle Compose-Kombinationen möglich und erweiterbar. Dabei werden die gleichen [Compose-Module](../Benutzerhandbuch/Tote-Tasten-und-Compose.md#erzeugbare-zeichen-mit-compose) wie unter Linux (XCompose) verwendet.

#### [ReNeo] In einigen Programmen funktioniert der Treiber nicht oder es kommt zu fehlerhaften Verhalten.
Ein bekanntes Problem, wenn Programme wie ReNeo genutzt werden, die Tastatur-Ereignisse simulieren oder abändern. Es tritt vor allem bei Spielen auf, die damit Schummeln verhindern wollen.

#### [ReNeo] Kann man ReNeo per Tastenkombination ausschalten?
++Shift+Pause++ pausiert das Programm.

#### [kbdneo] In einigen Programmen funktionieren die höheren Ebenen nicht.
Dieser Fehler ist bei Programmen, die auf GTK+ (z.B. Pidgin) oder Qt (z.B. Telegram) basieren, bekannt. Da beim Layout von Neo sechs Ebenen verwendet werden, sind neue Modifier nötig und im Treiber definiert. Leider verwendet GTK+ nicht die normalen Windowsschnittstellen und unterstützt keine unbekannten Modifier.
Dieser Bug wurde 2008 an die GTK-Entwickler gemeldet, ähnliche Bugs sind seit 2005 bekannt. Ob ein Fix erscheint, ist weiterhin fraglich.

Abhilfe schafft die Nutzung von [ReNeo](../Einrichtung/kbdneo.md#erganzung-der-funktionalitat) im Erweiterungsmodus als Ergänzung zu kbdneo.

#### [kbdneo] Einige Tasten der 4. Ebene, des Ziffernblocks und die Modifier-Locks funktionieren nicht
Neo bietet einige Innovationen, die technisch leider nicht von Windowstreiber selbst unterstützt werden. Abhilfe schafft die Nutzung von [ReNeo](../Einrichtung/kbdneo.md#erganzung-der-funktionalitat) im Erweiterungsmodus als Ergänzung zu kbdneo.

#### [kbdneo] In MS Office funktionieren mit dem nativen Treiber (kbdneo) Tastenkürzel wie ++strg+z++ oder ++strg+v++ nicht mehr. Wieso?
Die Lösung findet man [hier](MS-Office.md).


## Glossar

Wichtige und häufig verwendete Begriffe werden hier in wenigen Sätzen erklärt.

#### Was bedeutet der Ausdruck „Coko“?

Eine *Compose-Kombination* ist eine Abfolge einzelner Zeichen, die in Zusammenhang mit der Compose-Funktion zu einem neuen Zeichen kombiniert werden. Siehe auch [Tote Tasten und Compose](../Benutzerhandbuch/Tote-Tasten-und-Compose.md#compose).

#### Was ist das ♫-Notensymbol?

Das ♫-Symbol wird benutzt, um eine [Compose-Kombination](../Benutzerhandbuch/Tote-Tasten-und-Compose.md#compose) zu beschreiben. Es steht bei Neo für die Tastenkombination ++Mod3+Tab++, die das Compose startet und bewirkt, dass nachfolgende Zeichen zu einem Zeichen verschmolzen werden. Beispielsweise ergibt

 * `♫oc` (also *Compose* drücken und wieder loslassen, danach ++o++ drücken und loslassen, danach ++c++ drücken und loslassen) das Zeichen ©
 * `♫ae` = æ (*Compose* tippen, »a« tippen, »e« tippen)
 * `♫~n` = ñ
 * `♫=/` = ≠
 * usw.

 Eine vollständige Liste ist [im Artikel](https://neo-layout.org/Benutzerhandbuch/Tote-Tasten-und-Compose/#erzeugbare-zeichen-mit-compose) zu finden. In Rohdateien wie `en_US.UTF-8` steht `<Multi_key>` für Compose.

#### Wo liegen die Tasten T1, T2, T3?

Die Tasten ++T1++, ++T2++ und ++T3++ sind die drei verwendeten Tottasten in Neo-Layouts. Mit ihnen und den sechs möglichen Ebenen lassen sich also 18 verschiedene diakritische Zeichen wie `´^~ usw. erzeugen. Siehe auch [Tote Tasten und Compose](../Benutzerhandbuch/Tote-Tasten-und-Compose.md#tote-tasten).

#### Was bedeutet die Notation _M(3)_ oder _T2(2),C_?

Häufig ist nicht klar, wo ein Zeichen im Neo-Layout liegt oder wie man es erzeugen kann. Neo bietet zum einen die bekannten [sechs Ebenen](../Benutzerhandbuch/Tastaturbelegung.md) und drei unterschiedliche Eingabemodi:

  - direkt
  - über eine der drei Tottasten T1, T2 oder T3
  - als Compose-Kombination

Die obige Notation ist eine beschreibende Kurzform. Bei direkten Zeichen steht links die zu drückende Taste, so wie sie in Ebene 1 heißt. Die Zahl in  Klammern gibt an, welche Ebene bei dieser Taste verwendet wird. Gleiches gilt für die Tottasten. Nachfolgend zu drückende Tasten stehen meist mit Komma oder Leerzeichen getrennt. Häufig steht am Ende ein Rechtspfeil und das resultierende Zeichen.

Bei Compose-Kombinationen werden Tasten wie »/«, die auf Ebene 3 liegen, direkt angegeben statt z.B. als i(3). Dadurch bleibt die Notation identisch bei allen Neo-basierten Layouts.

??? example "Beispiele"
    Notation       | Tastendrücke
    --------       | ------------
    a(1) → a       | ++a++ drücken (Ebene 1, d.h. keine Modifier-Tasten)
    g(2) → g       | ++Shift+g++ drücken (Ebene 2)
    ,(3) → " *oder*<br>Komma(3) → " | ++Mod3+comma++ drücken (Ebene 3)
    8(6) → ∞       | ++Mod3+Mod4+8++ (Ziffernreihe, Ebene 6)
    T1(1),a(1) → â | ++T1++ ohne Modifier drücken, danach ++a++
    T1, a      → â | dasselbe wie zuvor, Kurzform (Ebene 1 ist implizit)
    T2(2),c → ç    | ++Shift+T2++ (T2 in Ebene 2), danach ++c++
    Num8(3) → ↑    | ++Mod3+Num8++ (die »8« vom Numblock in Ebene 3),<br>erzeugt einen Hochpfeil
    ♫ae →  æ       | ++Mod3+Tab++, ++a++, ++e++
    ♫<= →  ≤       | ++Mod3+Tab++, `<`, `=`
    ♫/⊂ →  ⊄       | ++Mod3+Tab++, `/`, ++Mod3+Mod4+u++
    ♫ / u(6) → ⊄   | dasselbe wie zuvor
    ♫ Tab → ♫      | ++Mod3+Tab++, ++Tab++ erzeugt das ♫-Symbol
    ♫♫ → ♫         | ++Mod3+Tab++, ++Mod3+Tab++ erzeugt ebenfalls ♫


#### Was bedeutet ⎀ auf der vierten Ebene?

⎀ ist das Einfüge-Symbol (U+2380) und steht somit für die Einfügen-Taste.


## Entwicklerfragen
#### Wo finde ich die aktuellste Entwicklerversion von Neo als Grafik?
In der Datei [A-REFERENZ-A/neo20.txt](https://git.neo-layout.org/neo/neo-layout/src/branch/master/A-REFERENZ-A/neo20.txt)
in der Gitea-Versionsverwaltung gibt es die Tastaturbelegung als
Textgrafik. Die dortige Version ist immer die aktuellste.
Nach Finalisierung des Layouts (März 2010) wird diese nicht mehr geändert, außer zur Fehlerkorrektur.

#### Mir gefällt etwas an Neo nicht. Wie ändere ich etwas an der Tastaturbelegung?
Infos zur Treiberentwicklung gibt es unter [Treiber-Know-How](../Beitragen/Treiber-KnowHow.md).
Fehlt dort die nötige Information, dann einfach im [Neo-Chat](../Beitragen/Community.md#neo-chat) nachfragen.

#### Ich habe versucht die Grafiken von [grafik/](https://git.neo-layout.org/neo/neo-layout/src/branch/master/grafik) zu öffnen, aber mein Browser (z. B. Firefox) öffnet die SVGs und auch die PDFs als Textdatei, das heißt: Ich sehe den Quellcode.
Nutze einfach die Seite „[Grafiken](../Lernen/Grafiken.md)“ im Wiki, dort werden viele Grafiken direkt verlinkt.
