# Hardwareprobleme

Manchmal erhält man, besonders auf der 5. und 6. Ebene, auf einer Taste kein Zeichen, obwohl es eigentlich definiert ist.
Meistens ist der Grund dafür, dass die Tastatur hardwaretechnisch in diesen Fällen nicht mehr entscheiden kann, welche Taste als drittes (usw.) gedrückt wurde. 
Dies tritt häufig auf, wenn eine Modifier-Taste mit im Spiel ist, die von Neo erst zu einer gemacht worden ist, die aber vorher keine war, z.B. linke Mod4, rechte Mod3.

Eine Möglichkeit, das Problem zu umgehen, ist die jeweils andere Modifiertaste zu verwenden, also z.B. statt der linken Mod4 die rechte Mod4 zu probieren.
So ist z.B. linke Mod3+linke Mod4+T1(Tote Taste links neben der 1) eine häufig (?) nicht erkannte Tastenkombination, dann sollte man rechte Mod4+rechte Mod3+T1 versuchen. 

Eine generelle Abhilfe könnte eine Tastatur mit n-Key-Rollover (NKRO) schaffen.

Hier eine Liste bekannter Probleme:

| **Tastatur**                        | **nicht erkannte Tastenkombinationen** |
| :--- | :--- |
| HP-Pavillion-dv9000-Notebooktastatur, HP-HDX-18-Notebooktastatur   | linke Mod3 + linke Mod4 + T1|
| CHICONY KB-0108-Tastaturen            | linke Mod3 + linke Mod4 + w/k/o/s|
| Cherry G81-3000 SAD / 04              | linke Mod3 + linke Mod4 + i/e/s/r/d/ö/p/b/m/. mit Xkbmap-Treiber; Außerdem bewirkt ein zügiges Abrollen von uiae, dass nur uie ankommt. Ein Abrollen von dtrn bewirkt ein dtnr.|
| Cherry RS-6000                        | linke Mod3 + linke Mod4 + w/k/o/s/y,<br>linke Umschalt + linke Mod3 + 2|
| Cherry eVolution MARLIN SMART Wireless Laser<br>MultiMedia Desktop M85-25800DE | linke Mod3 + linke Mod4 + T3 |
| Eee PC 1000H-Netbooktastatur          | linke Mod3 + linke Mod4 + 2/4/7/9/l/w/ß/e/s/n/t/y/ü/p/,/.|
| Thinkpad Tastatur (X300)              | linke Mod3 + linke Mod4 + w/k/o/s/y/T3, <br>rechte Mod3 + linke Mod4 + y/ö, <br>linke Mod3 + (l/r)-Umschalt + ö, <br>rechte Mod3 + (l/r)-Umschalt + ß|
| ThinkPad X61 Tablet, HP KUS0133       | linke Mod3 + linke Mod4 + w/k/o/s/y|
| ThinkPad R31                          | linke Mod3 + linke Mod4 + w/k/o/s/y/ß/-/T3, <br>rechte Mod3 + linke Mod4 + y/ö­, <br>linke Mod3 + linke Umschalt + ö/i/v/2, <br>rechte Mod3 + rechte Umschalt + 0/-/q/ß/d/y/j, <br>linke Mod3 + rechte Umschalt + ö, <br>rechte Mod3 + linke Umschalt + ß|
| ThinkPad T61p                         | linke Mod4 und k oder 9 auf der Zahlenreihe (KP_Backslash Fehler)|
| Microsoft Sidewinder X6 (hat NKRO)	 | linke Mod4 |
| ThinkPad T400s | irgendeine Mod4 + wasauchimmer|
| Logitech MX5500 | Num-Lock nicht vorhanden, wird aber dennoch gesendet bei Tastendruck auf Num-Block. <br>Abhilfe in Linux: `keycode =` in `~/.Xmodmap` eintragen. Für Konsole in `neo.map` die Zeilen 434 und 435 löschen oder auskommentieren.|
| Logitech MX518 (Maus) | Wenn Alt+F4 mit der SetPoint-Software auf eine Maustaste gelegt wird und man diese betätigt, rastet „Alt“ manchmal ein  („Altlock“). Das Problem besteht nur mit dem NeoVars-Treiber. Mit dem kdbneo-Treiber funktioniert es einwandfrei (auch mit der AHK-Ergänzung).|

Bitte die Liste erweitern, falls weitere Fehlfunktionen bemerkt werden!
