
# Urxvt

## Clipboard

Shift-Insert ist nur über Umwege zu erreichen, auch mit Insert in Ebene4.  
Daher bietet es sich an, für urxvt die keysym zu ändern.

Man installiert dafür [https://github.com/muennich/urxvt-perls](https://github.com/muennich/urxvt-perls) und schreibt in die .Xresources:

```
URxvt.perl-ext-common: default,clipboard
URxvt.keysym.Insert: perl:clipboard:paste
```

## Keypad geht nicht

Bis jetzt sind zwei Fälle bekannt, wo Ebene 4 versagt: Vim und urxvt-screen (für [Alt]+[$ZAHL] in screen).

## screen im rxvt-unicode

Für die Verwendung von urxvt und screen bietet es sich an das Keypad in Ebene 4, vor allem in
Kombination mit [Alt] verwenden zu wollen. Durch die Umsetzung der Erweiterungen nach #182 kann dies erreicht werden.
Hierfür muss die `~/.Xresources` um Folgendes ergänzt werden:
```
URxvt.keysym.KP_Add:    +
URxvt.keysym.KP_Subtract: -
URxvt.keysym.KP_Multiply: *
URxvt.keysym.KP_Divide  : /
URxvt.keysym.KP_Decimal : .
URxvt.keysym.KP_Separator : ,
URxvt.keysym.KP_1:      1
URxvt.keysym.KP_2:      2
URxvt.keysym.KP_3:      3
URxvt.keysym.KP_4:      4
URxvt.keysym.KP_5:      5
URxvt.keysym.KP_6:      6
URxvt.keysym.KP_7:      7
URxvt.keysym.KP_8:      8
URxvt.keysym.KP_9:      9
URxvt.keysym.KP_0:      0
```

Hierdurch kann es passieren, dass die Tastenkombinationen [Alt]+[$Zahl] nicht mehr funktionieren.
Als Lösung können diese Kombinationen ebenfalls in die `~/.Xresources` aufgenommen werden.
```
URxvt.keysym.M-KP_1:	\0331
URxvt.keysym.M-KP_2:	\0332
URxvt.keysym.M-KP_3:	\0333
URxvt.keysym.M-KP_4:	\0334
URxvt.keysym.M-KP_5:	\0335
URxvt.keysym.M-KP_6:	\0336
URxvt.keysym.M-KP_7:	\0337
URxvt.keysym.M-KP_8:	\0338
URxvt.keysym.M-KP_9:	\0339
URxvt.keysym.M-KP_0:	\0330
```
