# ſ-Belegung (Fraktursatz)
<!--
Dies ist eine vorläufige Version, die von mir noch gründlich überarbeitet werden wird.
Daher wäre es schön, wenn ihr diesen Artikel erst bearbeitet, wenn er einen akzeptablen Stand hat. Danke!)
-->
## Geschichtliche Entwicklung der Frakturschriften
Seit dem Mittelalter gibt es das lange s (»ſ«), das das runde s ablöste. Ab dem 9. Jahrhundert kam das runde s langsam wieder dazu. Heute ist das lange s praktisch ganz verschwunden.
	
## Fraktursatz
Im Deutschen stand generell für das heute übliche runde s »ſ«, und »s«, wenn es am Ende eines Wortes oder (selbstständigen) Teilwortes oder am Ende einer Vorsilbe (Sprechsilben!) steht *und* ein Teilwort folgt. Am Ende von assimilierten Silben steht allerdings langes s. Langes s steht auch bei gemurmeltem »e« (z. B. »unſre«).

Und hier noch zwei Sachen, die sich eigentlich von selbst verstehen:
Bei Abkürzungen mit Apostroph richtet sich die s-Schreibung nach der Grundform (»Laſſ’ das, ich haſſ’ das« für »Lasse das, ich hasse das«). Das lange s bleibt bei der Silbentrennung erhalten.

## Satz gebrochener Schriften mit Neo
Da das lange s in gebrochener Schrift – und natürlich in Antiqua bei der Benutzung des langen s – deutlich häufiger vorkommt als das runde s, wurde ergänzend der *Lang-s-Modus* eingeführt. Dieser vertauscht zyklisch s, ſ und ß (d. h. s wird zu ſ, ſ wird zu ß, ß wird zu s), entsprechend ihrer Häufigkeit bei korrektem Satz von gebrochenen Schriften. 

### unter Windows
Im [NeoVars-Treiber](../Einrichtung/neovars.md) ist der Lang-s-Modus bereits von Haus aus enthalten und kann mit der Tastenkombination M3+F11 an- und wieder ausgeschaltet werden.

### unter GNU/Linux

Da es schon ein Glück war, dass die Neo-Belegung überhaupt in X.org aufgenommen wurde, möchten wir nicht noch ein weiteres ''symbol'' einbringen. Deshalb muss der Lang-s-Modus für die xkbmap manuell eingerichtet werden.

#### xkbmap erweitern

1. Eine root-Shell öffnen:
```
su
```
1. neues Symbol an /usr/share/X11/xkb/symbols/de anhängen:
```
echo '
partial alphanumeric_keys modifier_keys keypad_keys
xkb_symbols "neo-s" {

    include "de(neo)"
    name[Group1] = "Germany - Neo 2 Lang-s";

    key.type[Group1] = "EIGHT_LEVEL_ALPHABETIC_LEVEL_FIVE_LOCK";

    key <AD11> { [ s,                       U1E9E,                   ssharp,                  Greek_finalsmallsigma,   U2212,                   NoSymbol,                jot,                     NoSymbol                 ] };
    key <AC06> { [ U17F,                    S,                       question,                Greek_sigma,             questiondown,            NoSymbol,                Greek_SIGMA,             NoSymbol                 ] };

};' >> /usr/share/X11/xkb/symbols/de
exit
```

#### Lang-s-Modus aktivieren

Nun kann die Lang-s-Tastatur mittels setxkbmap aktiviert werden:
```
setxkbmap de neo-s
```

Möchte man allerdings bequem mit einem Klick zwischen Neo und Lang-s-Tastatur (und evtl. weiteren Layouts) wechseln, indem man die Schnittstellen seiner DE nutzt, muss man das symbol dem System bekannt machen:

#### rules erweitern

1. /usr/share/X11/xkb/rules/base.xml bzw. (wenn evdev benutzt wird) evdev.xml in einem Editor der Wahl öffnen
1. Nach der Zeichenfolge »neo« suchen
1. Folgendes unterhalb der nächsten »</variant>«-Zeile einfügen:
```
        <variant>
          <configItem>
            <name>neo-s</name>
            <description>Neo 2 Lang-s</description>
          </configItem>
        </variant>
```

#### Andere

Für das Terminal und bei Benutzung der Xmodmap sind die Dateien zu kopieren und diese Kopien dann zu editieren. Es muss dann manuell gewechselt werden.



## Internetlinks

- Informationsseite zu [Frakturschriften](https://www.frakturschriften.de/)
- [Bund für deutsche Schrift und Sprache](https://www.bfds.de/),  
  ein Verein, der sich mit der Pflege alter Schriften befasst
- Umfangreiche Informationen zur Typographie auf [typografie.info](https://www.typografie.info/)
