# IPA
„Das Internationale Phonetische Alphabet (IPA) ist ein phonetisches Alphabet, das heißt eine Sammlung von Zeichen, mit deren Hilfe die Laute aller menschlichen Sprachen nahezu genau beschrieben und notiert werden können. Es wurde von der International Phonetic Association entwickelt und ist das heute am weitesten verbreitete Lautschriftsystem.“ (Wikipedia)

Mit Neo ist es einfach möglich, IPA einzugeben – muss man lediglich darauf achten, dass die weitergehende Sprachunterstützung bei der [Auswahl der Compose-Module](../Benutzerhandbuch/Tote-Tasten-und-Compose.md) die 
[lang.module](https://git.neo-layout.org/neo/neo-layout/src/branch/master/Compose/src/lang.module) aktiviert wurde. Diese Seite ist in zwei Teile gegliedert, ein Abschnitt in dem die Zeichen nach Erscheinungsform angegeben sind und ein zweiter, in dem die Zeichen nach der IPA-Klassifikation aufgeführt werden.

!!! missing "Fehlend"
    Es sind noch nicht alle Diakritika fertig ausgearbeitet.

!!! bug "Falsche Kombinationen"
    Einige der beschriebenen Kombinationen sind falsch oder erzeugen ein anderes Zeichen. Die Nummerierung der Akzenttasten war ebenso falsch, was auf eine sehr alte Version dieser Seite hindeutet, die erstellt wurde, bevor die Akzenttasten definiert waren.

## Eingabe der Zeichen nach Erscheinungsform
### Kapitälchen und „griechische“ Zeichen
Die Kapitälchen, das sind die verwendeten kleineren Zeichen, die wie die Großbuchstaben erscheinen, werden über Compose durch doppeltes Drücken erzeugt, z.B. ♫NN → ɴ: ɴ, ɢ, ʜ, ʙ, ʀ, ʟ, ɪ, ʏ. Dabei wird das Kapitälchen-œ über ♫OOE → ɶ erzeugt.

Es werden die folgenden originalen griechischen Buchstaben über die normale fünfte Ebene eingegeben: β, θ, χ. Die anderen Zeichen sind lateinische Varianten der griechischen Buchstaben und werden auch über Compose und doppeltes Drücken erzeugt, ♫αα → ɑ (auch ♫aa), ♫υυ → ʊ und ♫εε → ɛ. Für das lateinische ɸ gibt es ♫φφ, ♫ϕϕ und ♫ΦΦ. Achtung: ʊ kann nicht über ↻Ω erzeugt werden, da hier der zugehörige Großbuchstabe Ʊ erzeugt wird.

Zusätzlich gibt es noch eine spezielle Variante des gs, die über ♫gg → ɡ eingegeben wird.

### Zeichen mit Haken
Folgende Zeichen werden einfach erzeugt, in dem man zuerst die Hakentaste T1(5) und danach den jeweiligen Buchstaben drückt, also z.B. ˞b → ɓ: ɓ, ɗ, ɠ, ɦ, ʝ, ɬ, ɱ, ŋ, ɽ, ʂ, ⱱ, ɣ, ʐ.
ɢ
Dabei gibt es noch das Kapitälchen ɢ mit Haken, das mit ˞♫GG → ʛ erzeugt wird, da ˞G bereits durch den afrikanischen Großbuchstaben von ɠ belegt ist.

Es gibt einige dieser Zeichen mit Varianten, bei denen der Haken woanders sitzt. Diese werden dann über Compose erzeugt, also:
♫nl → ɳ, ♫tl → ʈ, ♫dl → ɖ, ♫ll → ɭ (jeweils mit nachgestellten l), sowie 
♫v) → ʋ und ♫jn → ɲ.

Das Symbol der Hakentaste entspricht dem Retroflexhaken ˞ und wird einfach über ˞˞ oder ˞␣ erzeugt, so lassen sich a˞, bzw. ǃ˞ erzeugen. Die angebotenen Komposita mit ˞ sind 
˞♫ee → ɚ und ˞3 → ɝ.

### Gedrehte Zeichen
Die gedrehten Zeichen werden einfach über T1(3) ↻ eingegeben, also z.B. ↻a → ɐ: ɐ, ɔ, ɥ, ɯ, ɹ, ʁ, ɾ (über ↻τ und ♫r_), ʌ, ʍ, ʎ (über ↻y und ↻λ).

Achtung: Da es neben dem Schwa ə noch das gespiegelte ɘ gibt, wird letzteres mit ↻e → ɘ eingegeben und das Schwa über ♫ee → ə (Diese Festlegung kann überdacht werden, wenn es eine gute Möglichkeit gibt ɘ anders einzugeben).

Die vier fehlenden gedrehten Zeichen ergeben sich wie folgt: ↻♫hn → ɰ, ˞↻r → ɻ, ♫33 → ɜ und ↻α → ɒ (auch ↻♫αα oder ↻♫aa).

### Gestrichene Buchstaben
ɟħɨʉøɵ ð

### Sonstige Buchstaben
ʃʒɮɞ, ʔʕʡʢ, ɺ, ɕʑ, øɤʄ, (ɧ)


### Klicks
ʘǀǃǂǁ

### Suprasegmentalia
ˈ ˌ ː ˑ	‿ ‖ ↗ ↘

### Modifikatoren und Diakritika
Tonhöhen: ˥ ˦ ˧ ˨ ˩ ꜜ ꜛ,  ♫’’ → ʼ (Combining apostrophe).

## Eingabe der Zeichen nach Verwendung
### Pulmonale Konsonanten

| Zeichen | Eingabe |
| :---: | :---: |
|ɱ		|˞m|
|ɳ		|♫nl|
|ɲ		|♫jn|
|ŋ		|♫ng*, ˞n|
|ɴ		|♫NN|
|ʈ		|♫tl|
|ɖ		|♫dl|
|ɟ		|̷j, ̷J|
|ɡ		|♫gg|
|ɢ		|♫GG|
|ʡ		|̷♫i?|
|ʔ		|♫i?|
|ɸ		|♫ϕϕ, ♫φφ, ♫ΦΦ|
|β		|b(E5)|
|θ		|j(E5)|
|ð		|♫dh*|
|ʃ		|♫sh|
|ʒ		|♫zh, ♫zz|
|ʂ		|˞s|
|ʐ		|˞z|
|ç		|¸c*, ♫,c*|
|ʝ		|˞j|
|ɣ		|˞x, ♫γγ|
|χ		|c(E5)|
|ʁ		|↻R|
|ħ		|̷h*, ♫/h*, ♫-h*|
|ʕ		|↻♫i?|
|ʜ		|♫HH|
|ʢ		|̷↻♫i?, ̷↻?|
|ɦ		|˞h|
|ʋ		|♫v)|
|ɹ		|↻r|
|ɻ		|˞↻r|
|ɰ		|↻♫hn|
|ʙ		|♫BB|
|ʀ		|♫RR|
|ⱱ		|˞v|
|ɾ		|↻τ, ♫r_|
|ɽ		|˞r|
|ɬ		|˞l|
|ɮ		|♫lz|
|ɭ		|♫ll|
|ʎ		|↻y, ↻λ|
|ʟ		|♫LL|
|ɺ		|↻♫rr|

### Coarticulation

| Zeichen | Eingabe |
| :---: | :---: |
|ʍ		|↻w|
|ɥ		|↻h|
|ɕ		|♫c,|
|ʑ		|¸z|
|ɧ		|˞♫hj|

### Nicht-pulmonale Konsonanten

| Zeichen | Eingabe |
| :---: | :---: |
|ʘ		|♫0., ♫.0, ˙0|
|ǀ		|♫i|␣|
|ǃ (≠!)	|♫i!|
|ǂ		|♫=|=|
|ǁ		|♫i`|`, (↻=)|
|ʼ (≠’)	|♫’’|
|ɗ		|˞d|
|ɓ		|˞b|
|ʄ		|♫jf (˞J)|
|ɠ		|˞g|
|ʛ		|˞♫GG|

### Vokale

| Zeichen | Eingabe |
| :---: | :---: |
|ı		|˙i*, ♫i.*, ♫ii (verwendet, wenn i-Punkt Diakritika stört)|
|ɨ		|̷i*, ♫/i*|
|ʉ		|̷u, ♫/u|
|ɯ		|↻m|
|ɪ		|♫II|
|ʏ		|♫YY|
|ʊ		|♫υυ|
|ø		|̷o*, ♫/o*|
|ɘ		|↻e|
|ɵ		|♫-o|
|ɤ		|♫x_|
|ə		|♫ee|
|ɛ		|♫εε|
|œ		|♫oe*|
|ɜ		|♫33|
|ɞ		|♫(3␣ [‚␣‘ weil ♫(3) → ③]|
|ʌ		|↻v|
|ɔ		|↻c|
|æ		|♫ae*|
|ɐ		|↻a|
|ɶ		|♫OOE|
|ɑ		|♫aa, ♫αα|
|ɒ		|↻♫aa, ↻♫αα, ↻α|

### Suprasegmentalia

| Zeichen | Eingabe |
| :---: | :---: |
|ˈ		|♫*|
|ˌ		|♫_', ↻♫*|
|ː		|♫::|
|ˑ		|♫··|
|‿		|↻)|
||		|ä(E3)|
|‖		|♫`|` (Neo-Math)|
|↗		|♫/`^` (Neo-Math)|
|↘		|♫\v (Neo-Math)|
|˥		|♫t5 (Nummerierung nach Asien, umgekehrt auch möglich)|
|˦		|♫t4|
|˧		|♫t3|
|˨		|♫t2|
|˩		|♫t1|
|ꜜ		|`^`♫v||
|ꜛ		|`^`♫|`^`|
