## Leerzeichen

### Grundlegendes

Es gibt verschiedene [Leerzeichen](https://de.wikipedia.org/wiki/Leerzeichen), wovon einige direkt in Neo verwendet werden können. Die Leerzeichen unterscheiden sich in ihrer *Breite* – auf diser Wiki-Seite werden allerdings nur „normale“ und *schmale* Breiten besprochen. Überdies können Leerzeichen „*geschützt*“ sein, i. e. ein ungewollter automatischer Zeilenumbruch an der Position des Leerzeichens wird verhindert.

**Weitere Informationen** zu *schmalen* und *geschützten* Leerzeichen sowie zu deren **Verwendung** sind auf der Seite [Typografie](Typografie-mit-Neo.md#leerzeichen) sowie in den Wikipedia-Artikeln „[Schmales Leerzeichen](https://de.wikipedia.org/wiki/Schmales_Leerzeichen)“ respektive „[Geschütztes Leerzeichen](https://de.wikipedia.org/wiki/Gesch%C3%BCtztes_Leerzeichen)“ zu finden.

| Name | Beschreibung | Unicode | HTML |
| :--- | :--- | :---: | :---: |
| Space | „normale“ Breite | U+0020 | `&#32;` |
| No-Break Space | „normale“ Breite und *geschützt* | U+00A0 | `&nbsp;` |
| Narrow No-Break Space | *schmal* und *geschützt* – sollte bspw. bei Abkürzungen wie »z.­ B.« oder zwischen Zahl und Einheit verwendet werden. | U+202F | `&#8239;` |
| Thin Space | schmal, *nicht* geschützt; recht selten verwendet (siehe [Wikipedia](https://de.wikipedia.org/wiki/Schmales_Leerzeichen#Verwendung)) und deshalb *nicht* von Neo unterstützt. | U+2009 | `&thinsp;` |

Um ein Leerzeichen **visuell** darzustellen, kann das Zeichen `␣` verwendet werden. Dieses Zeichen ist in Unicode als „open box” (U+2423) definiert.

### Verwendung in Neo

In folgender Tabelle ist Belegung der **Leertaste** in Neo aufgeführt:

| Ebene | Bedeutung der Leertaste |
| :---: | :--- |
| E1 | Leerzeichen (␣)             |
| E2 | Leerzeichen (␣)             |
| E3 | Leerzeichen (␣)             |
| E4 | 0                          |
| E5 | geschütztes Leerzeichen (⍽) |
| E6 | schmales geschütztes Leerzeichen (¦)   |

### Aspekte beim Design eines Tastatur-Layouts

Da man Leerzeichen nicht sieht und die speziellen Leerzeichen von manchen Programmen nicht verstanden werden (teilweise spucken Programme noch nicht einmal sinnvolle Fehlermeldungen aus), sollten die Leerzeichen nicht zu gut erreichbar liegen.  
Es hat sich als sinnvoll herausgestellt, das geschützte und das schmale geschützte Leerzeichen nur auf den Ebenen 5 und 6 verfügbar zu machen, da hier jeweils zwei Modifier gedrückt werden müssen und ein versehentliches Eingeben nahezu ausgeschlossen ist.

<!--
Achtung! Auf der Wikipedia-Seite „[https://de.wikipedia.org/wiki/Schmales_Leerzeichen#Verwendung Schmales Leerzeichen]“ werden Leerzeichen folgendermaßen visuell dargestellt:
[[BR]]`␣` entspricht einem ''„normalen“'' Leerzeichen (Unicode: U+2423),
[[BR]]`˾` einem ''geschützten'' Leerzeichen sowie
[[BR]]`¦` einem ''schmalen'' Leerzeichen.
-->

Aus Gründen der leichten Merkbarkeit sollten die beiden besonderen Leerzeichen nur auf der Leertaste, nicht jedoch auf anderen Tasten angeordnet werden.