# Geeignete Schriftarten

## Freie Schriftarten

### Lateinische Buchstaben
 * [Libertine Open Fonts Project](http://libertine-fonts.org/) – Zwei freie Schriftfamilien (die Serifenschrift Linux Libertine und die serifenlose Linux Biolinum), mit der alle Zeichen der Neo-Tastaturbelegung erzeugt werden können.
 * [Stix-Fonts](https://github.com/stipub/stixfonts/) – Eine freie und allumfassende Unicode-Schriftart, die seit 1995 vom Elsevier-Verlag, der IEEE, American Mathematical Society und weiteren entwickelt wird. Die [Homepage](https://www.stixfonts.org/) bietet einen umfassenden Überblick zum Ziel und zur Geschichte des Projekts.
 * [DejaVu](https://dejavu-fonts.github.io/) – Eine unter Linux weit verbreitete, sehr umfangreiche Unicode-Schriftart
 * [Terminus](http://terminus-font.sourceforge.net/) – Eine Bildschirmschrift für intensives, stundenlanges Arbeiten mit dem Computer. Es existiert inzwischen eine [Truetype-Variante](https://files.ax86.net/terminus-ttf/) der Schriftart.
 * [SIL Font Downloads](https://software.sil.org/fonts/) – Hier werden mehrere freie Schriften angeboten, die sich insbesondere durch eine sehr gut ausgebaute Zeichenvielfalt auszeichnen, etwa 
 * [Gentium](https://software.sil.org/gentium/) – Sieht sehr edel aus, schöne griechische Glyphen.
 * [Charis SIL](https://software.sil.org/charis/)
 * [Arabic Script Unicode Fonts](https://software.sil.org/arabicfonts/)
 * [Doulos SIL Font Home](https://software.sil.org/doulos/)
 * Arial Unicode MS ist eine sehr umfangreiche proprietäre Unicode-Schriftart (im Microsoft-Office-Paket enthalten).
 * [Everson Mono](https://www.evertype.com/emono/) ist zwar keine schöne, aber dicktengleiche proprietäre Schrift mit vollständigem Neo-Zeichenvorrat.

### Japanische Schriftzeichen
  * [Y.OzFont Pen](http://yozvox.web.fc2.com/) [(Download)](http://yozvox.web.fc2.com/YOzPro.7z) steht unter der Open Font License (OFL). Die sehr umfangreiche dicktengleiche Schriftart (mit zusätzlich vielen japanischen Zeichen) erscheint besser lesbar als Everson Mono.
    - Eine Variante mit [Kalligraphie-Zeichen](http://yozvox.web.fc2.com/YOzFontKM-7.01.7z) gibt es ebenfalls. Weitere Downloadvarianten sind [hier](http://yozvox.web.fc2.com/446F776E6C6F6164.html) und [hier](http://yozvox.web.fc2.com/82A882B782B782DF8374834883938367.html) zu finden.
 * Eine umfangreiche Sammlung an freien Schriftarten (über 200) für japanische Zeichensetzung gibt es auf [Free Japanese Fonts](https://www.freejapanesefont.com/).

### Sonstige Zeichensätze

 * [Asana Math](https://ctan.org/pkg/asana-math) steht unter der »Open Font Licence« und ist speziell auf den *Mathematiksatz* ausgelegt. Neben der Unterstützung der entsprechenden »OpenType«-Features umfasst sie auch eine Vielzahl von Pfeilen, Relationen und Alphabeten (Fraktur/Kursiv/Doppelstrich).
 * [pIqaD fonts](https://www.evertype.com/fonts/tlh/) – Drei verschiedene Schriften für die Klingonische Sprache (OFL).

## Kommerzielle Schriftarten

* [Code2000](http://www.code2000.net/code2000_page.htm) ist eine der umfangreichsten Unicode-Schriftarten (Shareware ohne Funktionseinschränkung, US$ 5).

## Zeichenvorrat einiger Schriftarten

| Schriftart  | Typ       | fehlende Zeichen der Neo-Tastatur | Zusatzzeichen der Referenz vorhanden?           |
| :---: | :---: | :---: | :---: |
| DejaVu      | Sans      | ϰ, •, ϑ				 | ✔                                               |
| DejaVu      | Sans Mono | ⊥, ∡, ∥, ⚥, ⋮, ∮			 | ✔                                               |
| Everson     | Sans Mono | keine               | ✔                                               |
| Libertine   | Serif     | ∡, ∮                              | ✘ (fehlen: ╌, ⇞, ⇤, ⇥, ⇡, ⇱, ⇠, ⇣ ⇲, ⇥, ⇟, ↲, ↶)|
| DejaVu      | Serif     | ℓ, ∡, ∅, ⋮, ∮, ℜ, ℑ, ℵ            | ✔                                               |
| Gentium     | Serif     | ẞ, ∘, №, ♀, ♂, ϰ, ∞, ⊥, ℂ, ∇, u.v.m.| ✘      |
