# Übersicht
Es gibt einige Anleitungen zu verschiedenen Sprachen mit Neo. Die verwendete Notation zur Beschreibung von Tastenkombinationen ist bei allen identisch und kann im [Glossar](../Probleme/FAQ.md#Glossar) nachgelesen werden.

Hier die komplexeren, für die es extra Seiten gibt:

 * [IPA mit Neo](IPA-mit-Neo.md)
 * [Griechisch mit Neo](Griechisch.md)

## Vietnamesisch mit Neo
Zu den lateinischen Zeichen, inkl. Đđ, das mit T3(3)D/d eingegeben wird, gibt es im Vietnamesischen zwölf Vokale, die in der nachstehenden Tabelle in den Zeilen angegeben wird. Jeder Vokal kann mit einem der fünf Töne (Spalten) kombiniert sein. Bei der Eingabe wird jeweils erst der Ton und dann der Vokal eingegeben, also `˘a → ằ. 

Der Thanh nặng (.) kann durch T1(6) oder ♫!a → ạ eingegeben werden, der Thanh hỏi mit T3(5) oder ♫?a → ả. Das o und u mit Horn werden über den Haken ˞  auf T1(5) eingegeben.

| Thanh không | sắc (´) | huyền (`) | hỏi (᾿) | ngã (˜) | nặng (.)|
| :---: | :---: | :---: | :---: | :---: | ---: |
| a      | á | à | ả | ã | ạ|
| ă (˘a) | ắ | ằ | ẳ | ẵ | ặ|
| â (ˆa) | ấ | ầ | ẩ | ẫ | ậ|
| e      | é | è | ẻ | ẽ | ẹ|
| ê (ˆe) | ế | ề | ể | ễ | ệ|
| i      | í | ì | ỉ | ĩ | ị|
| o      | ó | ò | ỏ | õ | ọ|
| ô (ˆo) | ố | ồ | ổ | ỗ | ộ|
| ơ (˞o) | ớ | ờ | ở | ỡ | ợ|
| u      | ú | ù | ủ | ũ | ụ|
| ư (˞u) | ứ | ừ | ử | ữ | ự|
| y      | ý | ỳ | ỷ | ỹ | ỵ|

## Afrikanische Sprachen mit Neo

--8<-- "fehlender Inhalt.md"

## Kyrillisch mit Neo
Einen Modus zum Schreiben des kyrillischen Alphabets ist nicht in Neo enthalten, es gibt aber dennoch bereits eine ausgearbeitete Belegung, die sich für Neo-Nutzer besonders einfach merken lässt und die praktische alle vorkommenden Zeichen abdeckt. Siehe im SVN-Repository unter neo-kyr. Hier die Belegungen von Ebene 1, bzw. Ebene 2.

!!! missing "Definition fehlt"
    Die xkb-Definition für Neo-Kyrillisch scheint zu fehlen. Es wäre hilfreich, diese als eigenständige Datei zu erstellen auf Basis der [aktuellen Definition](https://gitlab.freedesktop.org/xkeyboard-config/xkeyboard-config/-/blob/master/symbols/de).

```
┌───┬─┬─┬─┬─┬─┬─┬─┬─┬─┬─┬─┬─┬──────┐
│ Ь │1│2│3│4│5│6│7│8│9│0│-│`│ Back │
├───┴┬┴┬┴┬┴┬┴┬┴┬┴┬┴┬┴┬┴┬┴┬┴┬┴┬─────┤
│Tab⇥│ч│в│л│ц│ш│к│х│г│ф│ж│ѕ│´│ Ret │
├────┴┬┴┬┴┬┴┬┴┬┴┬┴┬┴┬┴┬┴┬┴┬┴┬┴─┐   │
│ M3  │у│и│а│е│о│с│н│р│т│д│ь│M3│   │
├───┬─┴┬┴┬┴┬┴┬┴┬┴┬┴┬┴┬┴┬┴┬┴┬┴──┴───┤
│Ums│M4│ћ│і│э│п│з│б│м│,│.│ј│ Umsch │
├───┼──┼─┴┬┴─┴─┴─┴─┴─┴┬┴─┼─┴┬──┬───┤
│Str│Fe│Al│Leerzeichen│M4│Fe│Me│Str│
└───┴──┴──┴───────────┴──┴──┴──┴───┘
┌───┬─┬─┬─┬─┬─┬─┬─┬─┬─┬─┬─┬─┬──────┐
│ ◌҃ │°│§│ℓ│»│«│$│€│„│“│”│—│¸│ Back │
├───┴┬┴┬┴┬┴┬┴┬┴┬┴┬┴┬┴┬┴┬┴┬┴┬┴┬─────┤
│Tab⇥│Ч│В│Л│Ц│Ш│К│Х│Г│Ф│Ж│Ѕ│˜│ Ret │
├────┴┬┴┬┴┬┴┬┴┬┴┬┴┬┴┬┴┬┴┬┴┬┴┬┴─┐   │
│ M3  │У│И│А│Е│О│С│Н│Р│Т│Д│Ь│M3│   │
├───┬─┴┬┴┬┴┬┴┬┴┬┴┬┴┬┴┬┴┬┴┬┴┬┴──┴───┤
│Ums│M4│Ћ│І│Э│П│З│Б│М│–│•│Ј│ Umsch │
├───┼──┼─┴┬┴─┴─┴─┴─┴─┴┬┴─┼─┴┬──┬───┤
│Str│Fe│Al│Leerzeichen│M4│Fe│Me│Str│
└───┴──┴──┴───────────┴──┴──┴──┴───┘
```

Sowie die mit toten Tasten erzeugbaren Zeichen:

|Taste|Аа|Бб|Вв|Гг|Дд|Ее|Жж|Зз|Ѕѕ|Ии|Іі|Јј|Кк|Лл|Мм|Нн|Оо|Пп|Рр|Сс|Тт|Ћћ|Уу|Фф|Хх|Цц|Чч|Шш|Ьь|Ээ|
| :---: | :---: | :---: | :---: | :---: | :---: | :---: | :---: | :---: | :---: | :---: | :---: | :---: | :---: | :---: | :---: | :---: | :---: | :---: | :---: | :---: | :---: | :---: | :---: | :---: | :---: | :---: | :---: | :---: | :---: | :---: |
| Ь   |  |  |  |  |Яя|Єє|  |  |  |  |Ыы|  |  |Љљ|  |Њњ|Юю|  |  |  |  |  |  |  |  |  |  |  |Ъъ|  |
| \`   |  |  |  |  |  |Ѐѐ|  |  |  |Ѝѝ|  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |
| ´   |  |  |  |Ѓѓ|  |  |  |  |  |  |  |  |Ќќ|  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |
| ↻   |  |  |  |  |  |Әә|  |Ԑԑ|  |  |  |  |  |  |  |  |  |Џџ|  |  |  |  |  |  |  |  |Һһ|  |  |Єє|
| ¸   |  |  |  |Ӷӷ|  |  |Җҗ|Ҙҙ|  |  |  |  |Ққ|  |  |Ңң|  |  |  |Ҫҫ|Ҭҭ|  |  |  |Ҳҳ|  |Ҷҷ|Щщ|  |  |
| ¨   |Ӓӓ|  |  |  |  |Ёё|Ӝӝ|Ӟӟ|  |Ӥӥ|Її|  |  |  |  |  |Ӧӧ|  |  |  |  |  |Ӱӱ|  |  |  |Ӵӵ|  |  |Ӭӭ|
| /   |  |  |  |Ғғ|  |  |  |  |  |  |  |  |Ҟҟ|  |  |  |Өө|  |Ҏҏ|  |  |  |Ұұ|  |Ӿӿ|  |Ҹҹ|  |Ҍҍ|  |
| ˝   |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |Ӳӳ|  |  |  |  |  |  |  |
| ˘   |Ӑӑ|  |  |  |  |Ӗӗ|Ӂӂ|  |  |Йй|  |  |  |  |  |  |  |  |  |  |  |  |Ўў|  |  |  |  |  |  |  |
| ¯   |  |  |  |  |  |  |  |  |  |Ӣӣ|  |  |Ҡҡ|  |  |  |  |  |  |  |  |  |Ӯӯ|  |  |  |  |  |Ъъ|  |
| ˞   |  |  |  |  |  |  |  |  |  |  |  |  |Ӄӄ|  |  |Ӈӈ|  |Ԓԓ|  |  |Ꚍꚍ|Ђђ|  |  |Ӽӽ|  |  |  |  |  |
| ♫··¹|  |  |  |Ґґ|  |Әә|Ԛԛ|Ӡӡ|  |  |Ӏӏ|  |  |  |  |  |Ҩҩ|  |  |  |  |  |Үү|  |  |  |Ҽҽ|Ԝԝ|  |  |

¹ Compose und dann zwei mal die Taste drücken. Hiermit kann man noch eine (seltene) Variante eingeben. Also beispielsweise ♫ГГ → Ґ.

Weitere Zeichen (in loser Reihenfolge und hier nur die Großbuchstaben): ♫↻¸Ч → Ӌ, bzw. ♫,Ч → Ӌ, ♫,Л → Ӆ, ♫,М → Ӎ, ♫,Н → Ӊ, ¨↻♫Е → Ӛ, ¨/О → Ӫ, ¨ˆІ → Ӹ, ♫|К → Ҝ, ˘¸И → Ҋ, ˞/Г → Ӻ, ˞↻Ч → Ꚕ, ♫АЕ → Ӕ, ♫ЛХ → Ԕ, ♫РХ → Ԗ, ♫ЯЕ → Ԙ, ♫ТЦ → Ҵ, ♫НТ → Ҥ, ¸♫ЧЧ → Ҿ.

## Türkisch mit Neo
Das türkische Alphabet besitzt einige Buchstaben, die es im Deutschen nicht gibt und die mit toten Tasten oder Compose erzeugt werden müssen:

|Buchstabe|mit Compose|mit toten Tasten|
| :---: | :---: | :---: |
| ç     | ♫,c   | T2(2) c |
| Ç     | ♫,C   | T2(2) C |
| ǧ     |       | T1(2) g |
| Ǧ     |       | T1(2) G |
| ı     | ♫.i<br> oder ♫ii | T1(4) i |
| İ     | ♫.I   | T1(4) I |
| ş     | ♫,s   | T2(2) s |
| Ş     | ♫,S   | T2(2) S |
