# Typografie mit Neo
## Vorwort
Einer der vielen Vorteile von Neo ist, dass typografisch korrektes Schreiben sehr einfach wird. Denn unter Neo kann man selbst seltene Zeichen direkt eingeben – man verliert weder Zeit noch braucht man ein Textverarbeitungsprogramm, das z. B. die dazugehörigen Ersatzzeichen erst automatisch umwandeln müsste. Diese Korrektheit erfordert anfangs mehr Konzentration und mehr Zeit – nach Jahren mit Qwertz ist man gewohnt, dass viele Satzzeichen nur umständlich erreichbar, deren Position schwer merkbar oder gar nicht vorhanden sind.

Daher ist es wohl ganz normal, dass man nicht überall typografisch korrekt schreibt. Bei Kurznachrichten wie SMS oder Instant-Messaging und bei E-Mails macht sich kaum jemand die Mühe, diese perfekt zu schreiben. Solange es lesbar bleibt – also keine Bandwurmsätze ohne Punkt und Komma oder irritierende Rechtschreibfehler enthält – ist das annehmbar.  
Für ein Buch, einen Zeitschriften-/Zeitungsartikel oder eine viel gelesene Homepage, die man nur einmal schreibt, aber dann millionenfach gelesen wird, lohnt sich dieser Aufwand schon eher, da sich der einfache erhöhte Aufwand millionenfach in einer angenehmeren, schnelleren, ermüdungsfreieren Lesbarkeit auszahlt – und das erhöht vielleicht die Auflage bzw. den Gewinn an Lesern.  
Die Mühe lohnt sich auch, wenn man einen etwas professionelleren Eindruck hinterlassen und nicht schon durch typografische Schlampereien seine Arbeit in ein schlechtes Licht rücken will. In jedem Fall sollte man sich aber zumindest den nächsten Abschnitt über die grundlegende Verwendung von Leerzeichen durchlesen.

Mit Neo hat man – sofern man weiß, wie man damit umgeht – ein mächtiges Werkzeug in seinen Händen. Hier folgt eine Auflistung von Zeichen und Hinweisen zu deren Anwendung, außerdem deren Positionen auf der Neo-Tastatur, möglichst mit Merkhilfen. Damit ihr wisst, wie ihr es nicht machen sollt, weisen wir bei einigen Zeichen auf häufig gemachte Fehler hin – do not try this at home! ;)

## Leerzeichen: Wer von Typografie noch gar keine Ahnung hat
 - Das absolut Wichtigste zuerst: *Vor* einem Satzzeichen kommt i. d. R. kein Leerzeichen, *nach* dem Satzzeichen hingegen schon. Das gilt für Punkt, Komma, Ausrufe-, Fragezeichen, Doppelpunkt und Semikolon.
 - Nach einer öffnenden Klammer kommt kein Leerzeichen und vor einer schließenden ebenfalls nicht.  
Das sieht dann so (wie hier) aus.
 - Das Gleiche gilt für Anführungszeichen und „den Text“, den sie einschließen.
 - Vor und nach einem Schrägstrich/Slash stehen auch keine Leerzeichen.
 - Achtung, im Französischen gelten teilweise andere Regeln. Lasst euch nicht irritieren.

## Anführungszeichen
### Gänsefüßchen

| Zeichen | Eingabe | Ebene |
| :---:   | :---    | :---  |
| „ “ ”  | Umschalt + 8/9/0 | Ebene 2 |
| ‚ ‘ ’  | Mod3 + 8/9/0 | Ebene 3 |

!!! faq "Einzelne Ebenen"
    Die Position der Tasten auf den einzelnen Ebenen kann auf der [Tastaturbelegung](../Benutzerhandbuch/Tastaturbelegung.md) nachgesehen werden.

In der deutschen Sprache verwendet man »„« und »“« als Gänsefüßchen. Also die zweite Ebene der Tasten 8 und 9. Diese Zeichen sehen so aus wie 99 und 66, in dieser Reihenfolge. Analoges gilt für die einfachen Gänsefüßchen »‚« und »‘«, ebenfalls auf den Tasten 8 und 9, diesmal nur allerdings dritte Ebene. Man beachte, dass die Gänsefüßchen und die Guillemets dieselbe Krümmung haben, nämlich umgekehrt zur Krümmung der einschließenden Klammern.

Die Taste 0 hat bezüglich der Gänsefüßchen nur in der englischen Sprache eine Bedeutung. Auf der Taste 9 liegen die öffnenden und auf Taste 0 die schließenden Anführungszeichen.

Hinweis: Beim Programmieren muss man immer das Ersatzzeichen `"` benutzen. Dieses ist per »Mod3« + »,« (Komma) erreichbar.

Siehe auch die Tabelle im Unterpunkt [Apostroph](#apostroph).

#### Beispiele
 * Er fragte mich: „Kennst du ‚Die Blechtrommel‘?“

#### Falsche Verwendung zur Darstellung von Gänsefüßchen
 * Ersatzeichen `"` statt der echten Gänsefüßchen. Noch OK.
 * zwei Kommas statt des korrekten »„«
 * zwei Akute »´´« statt des korrekten »“«
 * Analoges gilt für die einfachen Gänsefüßchen. Besonders »‚« kann man leicht mit dem Komma »,« verwechseln. Sie sehen vielleicht in einigen Schriftarten exakt gleich aus, sind aber typografisch verschieden.

### Guillemets

| Zeichen | Eingabe | Ebene |
| :---:   | :---    | :---  |
| » «  | Umschalt + 4/5 | Ebene 2 |
| › ‹  | Mod3 + 4/5 | Ebene 3 |

!!! faq "Einzelne Ebenen"
    Die Position der Tasten auf den einzelnen Ebenen kann auf der [Tastaturbelegung](../Benutzerhandbuch/Tastaturbelegung.md) nachgesehen werden.

Die Guillemets (gesprochen: gijme) verhalten sich absolut analog wie die Gänsefüßchen, nur mit den Tasten 4 und 5.

Man sieht: Die einfachen Anführungszeichen sind jeweils mit Mod3 anstatt der »Umschalt-Taste« + 4/5/8/9/0 erreichbar.

In den romanischen Sprachen (z. B. im Französischen und Spanischen), aber auch im Englischen und in der Schweiz wird die Reihenfolge der Guillemets vertauscht. Beispiel: «Blub, bla.»

Siehe auch die Tabelle im Unterpunkt [Apostroph](#apostroph).

#### Falsche Verwendung zur Darstellung von Guillemets
 * zwei Größer-als-Zeichen »>>« statt des korrekten »»« bzw. zwei Kleiner-als-Zeichen »<<« statt »««
 * Analoges gilt für die einfachen Guillemets »›« und »‹«.
 * Die »viel größer/kleiner als«-Zeichen (»≪«, »≫«) auf »Mod5« + »Ziffernblock-7/9«.

## Apostroph

| Zeichen | Eingabe | Ebene |
| :---:   | :---    | :---  |
| ’  | Mod3 + 0 | Ebene 3 |

Der echte Apostroph für Texte in deutscher und englischer und jeder anderen Sprache befindet sich auf »Mod3« + »0«. Es ist das Zeichen »’«.

Hinweis: Beim Programmieren muss man immer das Ersatzzeichen `'` benutzen. Dieses ist per »Mod3« + ».« erreichbar.

Hier noch abschließend eine übersichtliche Tabelle:

|8|9|0 |1. Ebene|
| :---: | :---: | :---: | :--- |
|„|“|” |2. Ebene|
|‚|‘|’ |3. Ebene|
|„|“|  |**deutsche** Anführungszeichen|
| |“|” |englische Anführungszeichen|
|‚|‘|  |**deutsche** einfache Anführungszeichen|
| |‘|’ |englische einfache Anführungszeichen|
| | |’ |**deutscher** und englischer und überhaupt: Apostroph!|

Zur Verwendung des Apostrophs siehe den [Wikipedia-Artikel](https://de.wikipedia.org/wiki/Apostroph).

### Falsche Verwendung zur Darstellung des Apostrophs
 * Ersatzeichen `'` statt des echten Apostrophs. Noch OK.
 * Akut »´« oder Gravis »`«. Schlimme Sache.

## Querstriche
Leider gibt es nicht weniger als sechs verschiedene, mittige Querstriche. Die kann man schon alle recht leicht miteinander verwechseln, zum Glück sind aber nur die folgenden beiden wichtig:

### Bindestrich

| Zeichen | Eingabe | Ebene |
| :---:   | :---    | :---  |
| - | Mod3 + t | Ebene 3 |
| - | Strichtaste<br>(rechts neben der Null) | Ebene 1 |
| - | Minus<br>(Ziffernblock) | Ebene 1 |

Meist wird der Bindestrich – korrekt: „Viertelgeviertstrich“ – (auf »Mod3« + »t« bzw. »Taste-rechts-neben-der-Null« bzw. »Minus« auf dem Ziffernblock) verwendet. Und zwar für alle zusammengesetzten Wörter. Viele dieser Wörter kann und sollte man besser zusammenschreiben, d. h. ohne Bindestrich.

#### Beispiele
 * Brillen-Träger, besser: Brillenträger
 * Neo-Layout
 * Fußball-Fan, besser: Fußballfan

### Gedankenstrich

| Zeichen | Eingabe | Ebene |
| :---:   | :---    | :---  |
| – | Mod2 + , | Ebene 2 |

Der sogenannte „Halbgeviertstrich“ (auf »Umschalt« + Komma) wird verwendet, wenn man einen Gedanken hat, den man aufschreiben möchte. Außerdem wird er verwendet, um die Wörter „bis“ und „gegen“ zu ersetzen. Ersatzweise kann man ihn auch als Aufzählungszeichen verwenden.

#### Beispiele
 * Mit Neo zu schreiben – das sage nicht nur ich – ist besser als mit Qwertz. ← Gedankenstriche sind von Leerzeichen umgeben.
 * Schalke 04 – Bayern München ← Gegen-Striche sind von Leerzeichen umgeben.
 * Öffnungszeiten: Mo–Fr 10–18 Uhr. Adresse: Sesamstraße 13–15 ← Bis-Striche sind **nicht** von Leerzeichen umgeben.
 * Berlin–Köln ← Streckenstriche sind **nicht** von Leerzeichen umgeben.

Nochmal eine kurze Zusammenfassung der beiden Namen:

 * Bindestrich/Viertelgeviertstrich/Hyphen-Minus/Bindestrich-Minus: »-« (»Mod3« + »t«)
 * Halbgeviertstrich/En-Dash/Gedankenstrich/Bis-Strich/Gegen-Strich/Streckenstrich: »–« (»Umschalt« + »Komma«)

### Sonstige Striche
Neben diesen beiden wichtigen Querstrichen gibt es ergänzend auch noch vier seltenere Striche (streng genommen gibt es sogar noch mehr, [siehe auch hier](Striche.md)):

#### Englischer Gedankenstrich

| Zeichen | Eingabe | Ebene |
| :---:   | :---    | :---  |
|—| Umschalt + Strichtaste<br>(rechts neben der Null)|Ebene 2|

Der Geviertstrich (auf »Umschalt« + »Strichtaste«) wird in englischen (und auch spanischen) Texten als Gedankenstrich verwendet und wird dort ohne umschließende Leerzeichen (oder mit Haarstrichen umgeben) geschrieben.

#### Geschützter Bindestrich

| Zeichen | Eingabe | Ebene |
| :---:   | :---    | :---  |
| ‑       | Umschalt + Mod3 + Strichtaste<br>(rechts neben der Null) | Ebene 5|

Der geschützte Bindestrich (engl. non-breaking hyphen) wird verwendet, um einen automatischen Zeilenumbruch an einem Bindestrich zu unterbinden, wie in den Wörtern i‑Punkt oder E‑Mail.

#### Weiches Trennzeichen

| Zeichen | Eingabe | Ebene |
| :---:   | :---    | :---  |
| ­ | Mod3 + Mod4 + Strichtaste<br>(rechts neben der Null) | Ebene 6|

Das weiche Trennzeichen (engl. soft hyphen, abgekürzt SHY) wird verwendet, um eine Trennstelle innerhalb eines Wortes vorzugeben, an der ein Zeilenumbruch erlaubt ist. Falls das Wort umgebrochen wird, erscheint dort am Zeilenende ein Trennstrich. Wird das Wort nicht umgebrochen, bleibt das weiche Trennzeichen im ausgedruckten Dokument beziehungsweise im Webbrowser unsichtbar.

#### Minuszeichen (echtes)

| Zeichen | Eingabe | Ebene |
| :---:   | :---    | :---  |
| − | Mod3 + Minus<br>(Ziffernblock) | Ebene 3 |
|−| Mod4 + ß | Ebene 4|

Das echte Minuszeichen verwendet man in Formeln, Gleichungen etc. Es hat ein ähnliche Breite wie der Halbgeviertstrich und kann v. a. auf Grund dessen leicht mit diesem verwechselt werden. Man erkennt das Minuszeichen daran, dass es auf genau der gleichen Höhe wie der horizontale Strich des Pluszeichens steht und auch genauso breit ist. Im Folgenden stehen Halbgeviertstrich, Minus und Plus in dieser Reihenfolge: – − +

## Auslassungspunkte

| Zeichen | Eingabe | Ebene |
| :---:   | :---    | :---  |
| … | Mod3 + x | Ebene 3 |

Durch Auslassungspunkte kann man entweder einen Teil eines Wortes oder ein komplettes Wort auslassen. Nur im ersten Fall schließen die Auslassungspunkte direkt ohne Leerzeichen an das Wort an, ansonsten steht davor und danach ein Leerzeichen.

Dies gilt auch, wenn man nicht nur ein Wort auslässt, sondern einen ganzen Satz offen lässt, ihn mit Auslassungspunkten quasi »beendet« oder eine Pause ausdrücken möchte.

Bei gekürzten Zitaten trifft man häufig die Schreibweise mit umgebenden eckigen Klammern an: […]

### Beispiele
 * Der ist ein echter Ar…
 * Was soll denn das jetzt …?
 * Oje … Sowas auch …

### Falsche Verwendung zur Darstellung der Auslassungspunkte
 * Die Auslassungspunkte sind typografisch ein Zeichen, werden aber oft durch drei Punkte ersetzt. Vergleiche »…« und »...«

## Leerzeichen
Es gibt seit Neo2 nicht mehr nur das normale, übliche Leerzeichen, sondern noch zwei weitere. Vorweg sei gesagt, dass man ersatzweise bei allen folgenden Leerzeichen auch ein normales nehmen *kann*. Dieses empfiehlt sich besonders dann, wenn Schriftarten oder Systeme diese speziellen Zeichen nicht unterstützen.

### Geschütztes Leerzeichen
Befindet sich zwischen den Gänsefüßchen:

| Zeichen | Eingabe | Ebene |
| :---:   | :---    | :---  |
| „ “ | Umschalt + Mod3 + Leertaste | Ebene 5 |

Auf der 5. Ebene auf der Leertaste ist ein nicht umbrechendes, so genanntes „geschütztes Leerzeichen“ (nobreak space, HTML: `&nbsp;`). Dieses hat verschiedene Verwendungen, unter anderem eben, um einen Zeilenumbruch an dieser Stelle zu verhindern. Zum Beispiel sollte bei „Prof. \<Name\>“ ein geschütztes Leerzeichen nach „Prof.“ kommen, damit der Name und der Titel nicht auseinander gerissen werden.

Eine weitere Anwendung sind die [Auslassungspunkte](#auslassungspunkte). Beendet man einen Satz mit diesen, muss danach – da im Deutschen der Schlusspunkt des Satzes entfällt – ein geschütztes Leerzeichen stehen. Dann die Auslassungspunkte. Analoges gilt für Auslassungspunkte am Satzbeginn.

### Schmales geschütztes Leerzeichen
Befindet sich zwischen den Gänsefüßchen:

| Zeichen | Eingabe | Ebene |
| :---:   | :---    | :---  |
| „ “ | Mod3 + Mod4 + Leertaste | Ebene 6 |

Auf der 6. Ebene der Leertaste gibt es bei Neo noch das schmale geschützte Leerzeichen. Dieses wird zum Beispiel verwendet:

 * um große Zahlen in Dreierblöcken zu gruppieren (ab fünfstelligen Zahlen)
 * zwischen Zahlen und Einheiten
 * bei üblicherweise durch einzelne Buchstaben abgekürzten Redewendungen wie »z. B.«

Übrigens gibt es zwei Unicode-Zeichen für das schmale Leerzeichen, ein geschütztes und ein ungeschütztes. HTML bietet unglücklicherweise genau dieses am bequemsten mit `&thinsp;` (thin space) an. Eigentlich sollte es aber das geschützte `&#x202f;` sein.

Im Folgenden ist das schmale Leerzeichen durch »¦«, das geschützte durch »⍽« und das normale durch »␣« dargestellt.

### Beispiele
 * 220¦V – 37¦°C – 5¦% – 20¦€ – aber: Winkel von 45°
 * 98¦765¦t␣Bananen
 * i.¦d.¦R. – u.¦a. – v.¦a. – o.¦Ä.
 * 20.¦10.¦93 – 20.¦10.¦1993 oder 20.¦10.⍽1993 – 20.¦Okt.⍽1993
 * 3¦+¦6␣=␣5¦+¦4
 * Bankleitzahl␣100¦100¦10 – Kontonr. 1¦439¦024¦045 oder 1439024045
 * 10555 Berlin – Tel.⍽+49¦30¦43024-23
 * §¦315c⍽StGB – Abs.¦3 – S.¦78¦ff
 * C⍽&⍽A – Müller⍽&⍽Söhne
 * 19:30:27⍽Uhr

Grundsätzlich gilt: Steht ein Zeichen für ein ganzes Wort (Abkürzung, Einheit, …), so müssen entsprechend Leerzeichen gesetzt werden. Aber nicht immer – vergleiche Uhrzeit und Datum.

Mehr dazu auf:

  * Dokumentation zu [Leerzeichen mit Neo](Leerzeichen.md)
  * http://de.wikipedia.org/wiki/Gesch%C3%BCtztes_Leerzeichen
  * http://de.wikipedia.org/wiki/Schmales_Leerzeichen
  * http://de.wikipedia.org/wiki/Schreibweise_von_Zahlen

## Fraktursatz
Dieses Thema wird aufgrund seiner überragenden Wichtigkeit auf einer eigenen Seite behandelt: [Fraktursatz mit Neo](Fraktursatz.md).

## Links

 * Zahlreiche technische Hinweise, v. a. HTML- und Unicode-spezifische, gibt es auf <http://www.matthias-kammerer.de/SonsTypo.htm>
 * Ein umfassendes Regelwerk zur Zeichensetzung gibt es auf <http://www.canoo.net/services/GermanSpelling/Regeln/Interpunktion/index.html?MenuId=SpellingRules07>
 * Einige typographische Grundregeln und ihre Umsetzung in LaTeX findet ihr in <http://www2.informatik.hu-berlin.de/sv/lehre/typographie.pdf>
 * Und noch eine gute Übersicht: <http://zvisionwelt.de/typokurz.pdf>
 * [Die korrekte Benennung der Computertasten](https://www.typografie.info/3/artikel.htm/wissen/benennung-computertasten/) im Typographie-Wiki.
 