---
template: wide.html
---
# Erzeugbare Zeichen
Es folgt eine Liste aller Zeichen, die mit dem Neo-Tastaturlayout eingegeben werden können. Diese wurde von Hand mittels der [Referenz](https://git.neo-layout.org/neo/neo-layout/src/branch/master/A-REFERENZ-A/neo20.txt) erstellt.

Es gibt für Linux zwei Programme/Skripte, mit denen man herausfinden kann, wie man Zeichen erzeugen kann. Mit [beschreibe](https://git.neo-layout.org/neo/neo-layout/src/branch/master/linux/bin/beschreibe) kann man das gesuchte Zeichen beschreiben und anschließend wird einem mit dem davon aufgerufenen Programm [wiemitneo](https://git.neo-layout.org/neo/neo-layout/src/branch/master/linux/bin/wiemitneo) die Tastenkombination oder die Taste gezeigt. Man kann letzteres Programm auch direkt ausführen.

Zeichen, die man mittels toten Tasten oder Compose erzeugen kann, sind hier nicht aufgelistet. Diese werden auf einer [gesonderten Seite](../Benutzerhandbuch/Tote-Tasten-und-Compose.md) beschrieben.

## Vollständige Liste

| Zeichen | Codepoint | Name | Erzeugen über |
| :---: | --- | --- | --- |
|` `|U+0020|SPACE|++space++|
|`!`|U+0021|EXCLAMATION MARK|++mod3+k++|
|`"`|U+0022|QUOTATION MARK|++mod3+comma++ |
|`#`|U+0023|NUMBER SIGN|++mod3+uuml++|
|`$`|U+0024|DOLLAR SIGN|++shift+6++  <br>++mod3+ouml++|
|`%`|U+0025|PERCENT SIGN|++mod3+m++  <br>++mod3+num0++|
|`&`|U+0026|AMPERSAND|++mod3+q++|
|`'`|U+0027|APOSTROPHE|++mod3+period++|
|`(`|U+0028|LEFT PARENTHESIS|++mod3+n++|
|`)`|U+0029|RIGHT PARENTHESIS|++mod3+r++|
|`*`|U+002A|ASTERISK|++mod4+0++  <br>++mod3+o++  <br>++num-asterisk++  <br>++shift+num-asterisk++|
|`+`|U+002B|PLUS SIGN|++mod4+q++  <br>++mod3+b++  <br>++num-plus++  <br>++shift+num-plus++|
|`,`|U+002C|COMMA|++mod4+d++  <br>++comma++  <br>++num-separator++ <br>++mod3+num-separator++|
|`-`|U+002D|HYPHEN-MINUS|++hyphen++  <br>++mod4+hyphen++  <br>++mod3+t++  <br>++num-minus++  <br>++shift+num-minus++|
|`.`|U+002E|FULL STOP|++mod4+y++  <br>++period++  <br>++shift+num-separator++|
|`/`|U+002F|SOLIDUS|++mod4+9++  <br>++mod3+i++  <br>++num-slash++  <br>++shift+num-slash++|
|`0`|U+0030|DIGIT ZERO|++0++  <br>++num0++  <br>++mod4+space++|
|`1`|U+0031|DIGIT ONE|++1++  <br>++num1++  <br>++mod4+m++|
|`2`|U+0032|DIGIT TWO|++2++  <br>++num2++  <br>++mod4+comma++|
|`3`|U+0033|DIGIT THREE|++3++  <br>++num3++  <br>++mod4+period++|
|`4`|U+0034|DIGIT FOUR|++4++   <br>++num4++  <br>++mod4+n++|
|`5`|U+0035|DIGIT FIVE|++5++   <br>++num5++  <br>++mod4+r++|
|`6`|U+0036|DIGIT SIX|++6++   <br>++num6++  <br>++mod4+t++|
|`7`|U+0037|DIGIT SEVEN|++7++  <br>++num7++  <br>++mod4+h++|
|`8`|U+0038|DIGIT EIGHT|++8++  <br>++num8++  <br>++mod4+g++|
|`9`|U+0039|DIGIT NINE|++9++  <br>++num9++  <br>++mod4+f++|
|`:`|U+003A|COLON|++mod3+d++<br>++mod4+b++  <br>++mod3+num5++|
|`;`|U+003B|SEMICOLON|++mod3+j++<br>++mod4+j++|
|`<`|U+003C|LESS-THAN SIGN|++mod3+h++|
|`=`|U+003D|EQUALS SIGN|++mod3+f++  <br>++mod3+num-lock++|
|`>`|U+003E|GREATER-THAN SIGN|++mod3+g++|
|`?`|U+003F|QUESTION MARK|++mod3+s++|
|`@`|U+0040|COMMERCIAL AT|++mod3+y++|
|`A`|U+0041|LATIN CAPITAL LETTER A|++shift+a++|
|`B`|U+0042|LATIN CAPITAL LETTER B|++shift+b++|
|`C`|U+0043|LATIN CAPITAL LETTER C|++shift+c++|
|`D`|U+0044|LATIN CAPITAL LETTER D|++shift+d++|
|`E`|U+0045|LATIN CAPITAL LETTER E|++shift+e++|
|`F`|U+0046|LATIN CAPITAL LETTER F|++shift+f++|
|`G`|U+0047|LATIN CAPITAL LETTER G|++shift+g++|
|`H`|U+0048|LATIN CAPITAL LETTER H|++shift+h++|
|`I`|U+0049|LATIN CAPITAL LETTER I|++shift+i++|
|`J`|U+004A|LATIN CAPITAL LETTER J|++shift+j++|
|`K`|U+004B|LATIN CAPITAL LETTER K|++shift+k++|
|`L`|U+004C|LATIN CAPITAL LETTER L|++shift+l++|
|`M`|U+004D|LATIN CAPITAL LETTER M|++shift+m++|
|`N`|U+004E|LATIN CAPITAL LETTER N|++shift+n++|
|`O`|U+004F|LATIN CAPITAL LETTER O|++shift+o++|
|`P`|U+0050|LATIN CAPITAL LETTER P|++shift+p++|
|`Q`|U+0051|LATIN CAPITAL LETTER Q|++shift+q++|
|`R`|U+0052|LATIN CAPITAL LETTER R|++shift+r++|
|`S`|U+0053|LATIN CAPITAL LETTER S|++shift+s++|
|`T`|U+0054|LATIN CAPITAL LETTER T|++shift+t++|
|`U`|U+0055|LATIN CAPITAL LETTER U|++shift+u++|
|`V`|U+0056|LATIN CAPITAL LETTER V|++shift+v++|
|`W`|U+0057|LATIN CAPITAL LETTER W|++shift+w++|
|`X`|U+0058|LATIN CAPITAL LETTER X|++shift+x++|
|`Y`|U+0059|LATIN CAPITAL LETTER Y|++shift+y++|
|`Z`|U+005A|LATIN CAPITAL LETTER Z|++shift+z++|
|`[`|U+005B|LEFT SQUARE BRACKET|++mod3+l++|
|`\​` |U+005C|REVERSE SOLIDUS|++mod3+u++|
|`]`|U+005D|RIGHT SQUARE BRACKET|++mod3+c++|
|`^`|U+005E|CIRCUMFLEX ACCENT|++mod3+w++|
|`_`|U+005F|LOW LINE|++mod3+v++|
|``​`​``|U+0060|GRAVE ACCENT|++mod3+z++|
|`a`|U+0061|LATIN SMALL LETTER A|++a++|
|`b`|U+0062|LATIN SMALL LETTER B|++b++|
|`c`|U+0063|LATIN SMALL LETTER C|++c++|
|`d`|U+0064|LATIN SMALL LETTER D|++d++|
|`e`|U+0065|LATIN SMALL LETTER E|++e++|
|`f`|U+0066|LATIN SMALL LETTER F|++f++|
|`g`|U+0067|LATIN SMALL LETTER G|++g++|
|`h`|U+0068|LATIN SMALL LETTER H|++h++|
|`i`|U+0069|LATIN SMALL LETTER I|++i++|
|`j`|U+006A|LATIN SMALL LETTER J|++j++|
|`k`|U+006B|LATIN SMALL LETTER K|++k++|
|`l`|U+006C|LATIN SMALL LETTER L|++l++|
|`m`|U+006D|LATIN SMALL LETTER M|++m++|
|`n`|U+006E|LATIN SMALL LETTER N|++n++|
|`o`|U+006F|LATIN SMALL LETTER O|++o++|
|`p`|U+0070|LATIN SMALL LETTER P|++p++|
|`q`|U+0071|LATIN SMALL LETTER Q|++q++|
|`r`|U+0072|LATIN SMALL LETTER R|++r++|
|`s`|U+0073|LATIN SMALL LETTER S|++s++|
|`t`|U+0074|LATIN SMALL LETTER T|++t++|
|`u`|U+0075|LATIN SMALL LETTER U|++u++|
|`v`|U+0076|LATIN SMALL LETTER V|++v++|
|`w`|U+0077|LATIN SMALL LETTER W|++w++|
|`x`|U+0078|LATIN SMALL LETTER X|++x++|
|`y`|U+0079|LATIN SMALL LETTER Y|++y++|
|`z`|U+007A|LATIN SMALL LETTER Z|++z++|
|`{`|U+007B|LEFT CURLY BRACKET|++mod3+a++|
|`|`|U+007C|VERTICAL LINE|++mod3+auml++|
|`}`|U+007D|RIGHT CURLY BRACKET|++mod3+e++|
|`~`|U+007E|TILDE|++mod3+p++|
|` `|U+00A0|NO-BREAK SPACE|++shift+mod3+space++|
|`¡`|U+00A1|INVERTED EXCLAMATION MARK|++mod4+k++|
|`¢`|U+00A2|CENT SIGN|++mod3+6++|
|`£`|U+00A3|POUND SIGN|++mod4+6++|
|`¤`|U+00A4|CURRENCY SIGN|++mod4+7++|
|`¥`|U+00A5|YEN SIGN|++mod3+7++|
|`§`|U+00A7|SECTION SIGN|++shift+2++|
|`ª`|U+00AA|FEMININE ORDINAL INDICATOR|++mod4+1++|
|`«`|U+00AB|LEFT-POINTING DOUBLE ANGLE QUOTATION MARK|++shift+5++|
|`¬`|U+00AC|NOT SIGN|++mod3+mod4+1++|
| wie `-` |U+00AD|SOFT HYPHEN|++mod3+mod4+hyphen++|
|`°`|U+00B0|DEGREE SIGN|++shift+1++|
|`±`|U+00B1|PLUS-MINUS SIGN|++mod3+num-plus++|
|`²`|U+00B2|SUPERSCRIPT TWO|++mod3+2++|
|`³`|U+00B3|SUPERSCRIPT THREE|++mod3+3++|
|`·`|U+00B7|MIDDLE DOT|++mod4+5++|
|`¹`|U+00B9|SUPERSCRIPT ONE|++mod3+1++|
|`º`|U+00BA|MASCULINE ORDINAL INDICATOR|++mod4+2++|
|`»`|U+00BB|RIGHT-POINTING DOUBLE ANGLE QUOTATION MARK|++shift+4++|
|`¿`|U+00BF|INVERTED QUESTION MARK|++mod4+s++|
|`Ä`|U+00C4|LATIN CAPITAL LETTER A WITH DIAERESIS|++shift+auml++|
|`Ö`|U+00D6|LATIN CAPITAL LETTER O WITH DIAERESIS|++shift+ouml++|
|`×`|U+00D7|MULTIPLICATION SIGN|++mod3+mod4+k++  <br>++mod4+num-asterisk++|
|`Ü`|U+00DC|LATIN CAPITAL LETTER U WITH DIAERESIS|++shift+uuml++|
|`ß`|U+00DF|LATIN SMALL LETTER SHARP S|++eszett++|
|`ä`|U+00E4|LATIN SMALL LETTER A WITH DIAERESIS|++auml++|
|`ö`|U+00F6|LATIN SMALL LETTER O WITH DIAERESIS|++ouml++|
|`÷`|U+00F7|DIVISION SIGN|++mod3+num-slash++|
|`ü`|U+00FC|LATIN SMALL LETTER U WITH DIAERESIS|++uuml++|
|`ſ`|U+017F|LATIN SMALL LETTER LONG S|++mod3+eszett++|
|`Γ`|U+0393|GREEK CAPITAL LETTER GAMMA|++mod3+mod4+g++|
|`Δ`|U+0394|GREEK CAPITAL LETTER DELTA|++mod3+mod4+d++|
|`Θ`|U+0398|GREEK CAPITAL LETTER THETA|++mod3+mod4+j++|
|`Λ`|U+039B|GREEK CAPITAL LETTER LAMDA|++mod3+mod4+l++|
|`Ξ`|U+039E|GREEK CAPITAL LETTER XI|++mod3+mod4+x++|
|`Π`|U+03A0|GREEK CAPITAL LETTER PI|++mod3+mod4+p++|
|`Σ`|U+03A3|GREEK CAPITAL LETTER SIGMA|++mod3+mod4+s++|
|`Φ`|U+03A6|GREEK CAPITAL LETTER PHI|++mod3+mod4+f++|
|`Ψ`|U+03A8|GREEK CAPITAL LETTER PSI|++mod3+mod4+h++|
|`Ω`|U+03A9|GREEK CAPITAL LETTER OMEGA|++mod3+mod4+w++|
|`α`|U+03B1|GREEK SMALL LETTER ALPHA|++shift+mod3+a++|
|`β`|U+03B2|GREEK SMALL LETTER BETA|++shift+mod3+b++|
|`γ`|U+03B3|GREEK SMALL LETTER GAMMA|++shift+mod3+g++|
|`δ`|U+03B4|GREEK SMALL LETTER DELTA|++shift+mod3+d++|
|`ε`|U+03B5|GREEK SMALL LETTER EPSILON|++shift+mod3+e++|
|`ζ`|U+03B6|GREEK SMALL LETTER ZETA|++shift+mod3+z++|
|`η`|U+03B7|GREEK SMALL LETTER ETA|++shift+mod3+auml++|
|`θ`|U+03B8|GREEK SMALL LETTER THETA|++shift+mod3+j++|
|`ι`|U+03B9|GREEK SMALL LETTER IOTA|++shift+mod3+i++|
|`κ`|U+03BA|GREEK SMALL LETTER KAPPA|++shift+mod3+k++|
|`λ`|U+03BB|GREEK SMALL LETTER LAMDA|++shift+mod3+l++|
|`μ`|U+03BC|GREEK SMALL LETTER MU|++shift+mod3+m++|
|`ν`|U+03BD|GREEK SMALL LETTER NU|++shift+mod3+n++|
|`ξ`|U+03BE|GREEK SMALL LETTER XI|++shift+mod3+x++|
|`ο`|U+03BF|GREEK SMALL LETTER OMICRON|++shift+mod3+o++|
|`π`|U+03C0|GREEK SMALL LETTER PI|++shift+mod3+p++|
|`ρ`|U+03C1|GREEK SMALL LETTER RHO|++shift+mod3+r++|
|`ς`|U+03C2|GREEK SMALL LETTER FINAL SIGMA|++shift+mod3+eszett++|
|`σ`|U+03C3|GREEK SMALL LETTER SIGMA|++shift+mod3+s++|
|`τ`|U+03C4|GREEK SMALL LETTER TAU|++shift+mod3+t++|
|`υ`|U+03C5|GREEK SMALL LETTER UPSILON|++shift+mod3+y++|
|`φ`|U+03C6|GREEK SMALL LETTER PHI|++shift+mod3+f++|
|`χ`|U+03C7|GREEK SMALL LETTER CHI|++shift+mod3+c++|
|`ψ`|U+03C8|GREEK SMALL LETTER PSI|++shift+mod3+h++|
|`ω`|U+03C9|GREEK SMALL LETTER OMEGA|++shift+mod3+w++|
|`ϑ`|U+03D1|GREEK THETA SYMBOL|++shift+mod3+period++|
|`ϕ`|U+03D5|GREEK PHI SYMBOL|++shift+mod3+q++|
|`ϰ`|U+03F0|GREEK KAPPA SYMBOL|++shift+mod3+7++|
|`ϱ`|U+03F1|GREEK RHO SYMBOL|++shift+mod3+comma++|
|`ϵ`|U+03F5|GREEK LUNATE EPSILON SYMBOL|++shift+mod3+ouml++|
|`ẞ`|U+1E9E|LATIN CAPITAL LETTER SHARP S|++shift+eszett++|
|`‑`|U+2011|NON-BREAKING HYPHEN|++shift+mod3+hyphen++|
|`–`|U+2013|EN DASH|++shift+comma++|
|`—`|U+2014|EM DASH|++shift+hyphen++|
|`‘`|U+2018|LEFT SINGLE QUOTATION MARK|++mod3+9++|
|`’`|U+2019|RIGHT SINGLE QUOTATION MARK|++mod3+0++|
|`‚`|U+201A|SINGLE LOW-9 QUOTATION MARK|++mod3+8++|
|`“`|U+201C|LEFT DOUBLE QUOTATION MARK|++shift+9++|
|`”`|U+201D|RIGHT DOUBLE QUOTATION MARK|++shift+0++|
|`„`|U+201E|DOUBLE LOW-9 QUOTATION MARK|++shift+8++|
|`†`|U+2020|DAGGER|++shift+num9++|
|`•`|U+2022|BULLET|++shift+period++|
|`‣`|U+2023|TRIANGULAR BULLET|++shift+num6++|
|`…`|U+2026|HORIZONTAL ELLIPSIS|++mod3+x++|
|` `|U+202F|NARROW NO-BREAK SPACE|++mod3+mod4+space++|
|`‰`|U+2030|PER MILLE SIGN|++shift+mod3+num0++|
|`′`|U+2032|PRIME|++shift+mod3+num-separator++|
|`″`|U+2033|DOUBLE PRIME|++mod3+mod4+num-separator++|
|`‹`|U+2039|SINGLE LEFT-POINTING ANGLE QUOTATION MARK|++mod3+5++|
|`›`|U+203A|SINGLE RIGHT-POINTING ANGLE QUOTATION MARK|++mod3+4++|
|`⁄`|U+2044|FRACTION SLASH|++mod4+num-slash++|
|`₀`|U+2080|SUBSCRIPT ZERO|++shift+mod3+0++|
|`₁`|U+2081|SUBSCRIPT ONE|++shift+mod3+1++|
|`₂`|U+2082|SUBSCRIPT TWO|++shift+mod3+2++|
|`₃`|U+2083|SUBSCRIPT THREE|++shift+mod3+3++|
|`€`|U+20AC|EURO SIGN|++shift+7++  <br>++shift+num5++|
|`ℂ`|U+2102|DOUBLE-STRUCK CAPITAL C|++mod3+mod4+c++|
|`ℓ`|U+2113|SCRIPT SMALL L|++shift+3++|
|`ℕ`|U+2115|DOUBLE-STRUCK CAPITAL N|++mod3+mod4+n++|
|`№`|U+2116|NUMERO SIGN|++mod4+3++|
|`ℚ`|U+211A|DOUBLE-STRUCK CAPITAL Q|++mod3+mod4+q++|
|`ℝ`|U+211D|DOUBLE-STRUCK CAPITAL R|++mod3+mod4+r++|
|`ℤ`|U+2124|DOUBLE-STRUCK CAPITAL Z|++mod3+mod4+z++|
|`ℵ`|U+2135|ALEF SYMBOL|++mod3+mod4+auml++|
|`←`|U+2190|LEFTWARDS ARROW|++mod3+num4++|
|`↑`|U+2191|UPWARDS ARROW|++mod3+num8++|
|`→`|U+2192|RIGHTWARDS ARROW|++mod3+mod4+7++  <br>++mod3+num6++|
|`↓`|U+2193|DOWNWARDS ARROW|++mod3+num2++|
|`↔`|U+2194|LEFT RIGHT ARROW|++mod3+num1++|
|`↕`|U+2195|UP DOWN ARROW|++mod3+num7++|
|`↦`|U+21A6|RIGHTWARDS ARROW FROM BAR|++mod3+mod4+period++|
|`⇌`|U+21CC|RIGHTWARDS HARPOON<br>OVER LEFTWARDS HARPOON|++mod3+num3++|
|`⇐`|U+21D0|LEFTWARDS DOUBLE ARROW|++mod3+mod4+b++|
|`⇒`|U+21D2|RIGHTWARDS DOUBLE ARROW|++mod3+mod4+comma++|
|`⇔`|U+21D4|LEFT RIGHT DOUBLE ARROW|++mod3+mod4+m++|
|`∀`|U+2200|FOR ALL|++mod3+mod4+a++|
|`∂`|U+2202|PARTIAL DIFFERENTIAL|++mod3+mod4+t++|
|`∃`|U+2203|THERE EXISTS|++mod3+mod4+e++|
|`∅`|U+2205|EMPTY SET|++mod3+mod4+0++|
|`∇`|U+2207|NABLA|++mod3+mod4+y++|
|`∈`|U+2208|ELEMENT OF|++mod3+mod4+o++|
|`−`|U+2212|MINUS SIGN|++mod4+eszett++  <br>++mod3+num-minus++|
|`∓`|U+2213|MINUS-OR-PLUS SIGN|++mod4+num-plus++|
|`∔`|U+2214|DOT PLUS|++mod3+mod4+num-plus++|
|`∖`|U+2216|SET MINUS|++mod4+num-minus++|
|`∘`|U+2218|RING OPERATOR|++mod3+mod4+eszett++|
|`√`|U+221A|SQUARE ROOT|++mod3+mod4+v++|
|`∝`|U+221D|PROPORTIONAL TO|++mod3+mod4+9++|
|`∞`|U+221E|INFINITY|++mod3+mod4+8++|
|`∡`|U+2221|MEASURED ANGLE|++mod3+mod4+5++|
|`∣`|U+2223|DIVIDES|++mod3+mod4+num-slash++|
|`∥`|U+2225|PARALLEL TO|++mod3+mod4+6++|
|`∧`|U+2227|LOGICAL AND|++mod3+mod4+3++|
|`∨`|U+2228|LOGICAL OR|++mod3+mod4+2++|
|`∩`|U+2229|INTERSECTION|++mod3+mod4+ouml++  <br>++shift+mod3+num8++|
|`∪`|U+222A|UNION|++mod3+mod4+uuml++  <br>++shift+mod3+num2++|
|`∫`|U+222B|INTEGRAL|++mod3+mod4+i++|
|`∸`|U+2238|DOT MINUS|++mod3+mod4+num-minus++|
|`≈`|U+2248|ALMOST EQUAL TO|++shift+mod3+num-lock++|
|`≠`|U+2260|NOT EQUAL TO|++mod4+num-lock++|
|`≡`|U+2261|IDENTICAL TO|++mod3+mod4+num-lock++|
|`≤`|U+2264|LESS-THAN OR EQUAL TO|++shift+mod3+num1++|
|`≥`|U+2265|GREATER-THAN OR EQUAL TO|++shift+mod3+num3++|
|`≪`|U+226A|MUCH LESS-THAN|++shift+mod3+num7++|
|`≫`|U+226B|MUCH GREATER-THAN|++shift+mod3+num9++|
|`⊂`|U+2282|SUBSET OF|++mod3+mod4+u++  <br>++shift+mod3+num4++|
|`⊃`|U+2283|SUPERSET O|++shift+mod3+num6++|
|`⊆`|U+2286|SUBSET OF OR EQUAL TO|++mod3+mod4+num4++|
|`⊇`|U+2287|SUPERSET OF OR EQUAL TO|++mod3+mod4+num6++|
|`⊕`|U+2295|CIRCLED PLUS|++shift+mod3+num-plus++|
|`⊖`|U+2296|CIRCLED MINUS|++shift+mod3+num-minus++|
|`⊗`|U+2297|CIRCLED TIMES|++mod3+mod4+num-asterisk++|
|`⊙`|U+2299|CIRCLED DOT OPERATOR|++shift+mod3+num-asterisk++|
|`⊥`|U+22A5|UP TACK|++mod3+mod4+4++|
|`⊶`|U+22B6|ORIGINAL OF|++shift+mod3+num5++|
|`⊷`|U+22B7|IMAGE OF|++mod3+mod4+num5++|
|`⋂`|U+22C2|N-ARY INTERSECTION|++mod3+mod4+num8++|
|`⋃`|U+22C3|N-ARY UNION|++mod3+mod4+num2++|
|`⋅`|U+22C5|DOT OPERATOR|++mod3+num-asterisk++|
|`⌀`|U+2300|DIAMETER SIGN|++shift+mod3+num-slash++|
|`⌈`|U+2308|LEFT CEILING|++mod3+mod4+num7++|
|`⌉`|U+2309|RIGHT CEILING|++mod3+mod4+num9++|
|`⌊`|U+230A|LEFT FLOOR|++mod3+mod4+num1++|
|`⌋`|U+230B|RIGHT FLOOR|++mod3+mod4+num3++|
|`␣`|U+2423|OPEN BOX|++shift+num0++|
|`□`|U+25A1|WHITE SQUARE|++mod3+mod4+num0++|
|`♠`|U+2660|BLACK SPADE SUIT|++shift+num3++|
|`♣`|U+2663|BLACK CLUB SUIT|++shift+num4++|
|`♥`|U+2665|BLACK HEART SUIT|++shift+num2++|
|`♦`|U+2666|BLACK DIAMOND SUIT|++shift+num1++|
|`♀`|U+2640|FEMALE SIGN|++shift+mod3+4++|
|`♂`|U+2642|MALE SIGN|++shift+mod3+5++|
|`⚥`|U+26A5|MALE AND FEMALE SIGN|++shift+mod3+6++|
|`✔`|U+2714|HEAVY CHECK MARK|++shift+num7++|
|`✘`|U+2718|HEAVY BALLOT X|++shift+num8++|
|`⟨`|U+27E8|MATHEMATICAL LEFT ANGLE BRACKET|++shift+mod3+8++|
|`⟩`|U+27E9|MATHEMATICAL RIGHT ANGLE BRACKET|++shift+mod3+9++|
