(use-modules (guix packages)
             ((guix licenses) #:prefix license:)
             (guix build-system python)
             (guix download)
             (gnu packages)
             (gnu packages pkg-config)
             (gnu packages python-xyz)
             (gnu packages python))

;; this file allows reproducible builds
;; execute `guix time-machine --commit=e534919c1e6c15bf38475060a59e1c1b7b68fdf3 -- environment -l guix.scm'
;; to get an working environment


(define-public python-mkdocs-material-6
  (package
    (name "python-mkdocs-material")
    (version "6.1.4")
    (source
     (origin
       (method url-fetch)
       (uri
        (pypi-uri "mkdocs-material" version))
       (sha256
        (base32 "10dppchwm2sb8a06352kra9igghw6d1k0mbdnrb0jc1mx9mh2nz1"))))
    (build-system python-build-system)
    (arguments
     `(#:phases
       (modify-phases %standard-phases
         ;; Requirement mkdocs-material-extensions
         ;; in-turn requires mkdocs-material. This causes
         ;; circular dependency, so we remove this requirement.
         (add-after 'unpack 'patch-requirements
           (lambda _
             (substitute* "requirements.txt"
               (("mkdocs-material-extensions.*$") "")))))))
    (propagated-inputs
     `(("python-markdown" ,python-markdown)
       ("python-mkdocs" ,python-mkdocs)
       ("python-pygments" ,python-pygments)
       ("python-pymdown-extensions"
        ,python-pymdown-extensions)))
    (home-page "https://squidfunk.github.io/mkdocs-material/")
    (synopsis "Material Design theme for MkDocs")
    (description "This package provides a theme plugin for the static site
generator MkDocs.")
    (license license:expat)))


(package
  (name "dokumentation")
  (version "0.1")
  (source #f)
  (build-system python-build-system)
  (propagated-inputs
    `(("python@3" ,python-3)
      ("python-mkdocs" ,python-mkdocs)
      ("python-mkdocs-material@6" ,python-mkdocs-material-6)))
  (synopsis "")
  (description "")
  (home-page "")
  (license #f))
