# Tote Tasten und Compose

!!! help "Noch Fragen?"
    Bei aufkommenden Fragen zu den vielen Abkürzungen hier im Artikel sei auf das [Glossar](https://neo-layout.org/FAQ/#glossar) und auf die [Kontaktseite](../Beitragen/Community.md) verwiesen. Am schnellsten bekommt man eine Antwort im [Neo-Chat](https://kiwiirc.com/nextclient/irc.libera.chat#neo).

## Tote Tasten

Tote Tasten (oder auch dead keys) modifizieren die nachfolgend gedrückte Taste. Das funktioniert gleich wie bei Qwertz: Erst tippt man z.B. auf die Tottaste mit dem Akut (´), dann auf das a, und erhält ein á. Darüber sind viele Akzente (sogenannte [Diakritische Zeichen](https://de.wikipedia.org/wiki/Diakritisches_Zeichen)) erreichbar; eine Tabelle mit allen unter Neo verfügbaren gibt es [unten](#erzeugbare-zeichen-mit-den-toten-tasten).

Unter Neo liegen die Tottasten auf allen Ebenen auf der gleichen Tastaturposition, mit jeweils unterschiedlicher Bedeutung. Diese Tasten werden als ++T1++ (links neben 1), ++T2++ (zweite rechts neben 0) und ++T3++ (rechts unterhalb von T2, links der Eingabetaste) bezeichnet.

## Compose

Compose (engl. *compose*: zusammensetzen, auch Multikey genannt) ist eine Taste oder Tastenkombination auf der Tastatur, *nach* deren Drücken und Loslassen die darauffolgenden Tastendrücke zusammengefasst werden, um ein in der Tastaturbelegung nicht vorhandenes Zeichen zu erzeugen. Das neue Zeichen ergibt sich üblicherweise durch eine relativ intuitive Überlagerung der Ursprungssymbole oder -buchstaben, z. B. entsteht aus a und e ein æ. Diese Funktion dürfte vor allem Unix/Linux-Nutzern bekannt sein. 

Unter Neo wird Compose durch die Tastenkombination ++mod3+Tab++ erreicht und oft durch das Symbol »♫« abgekürzt. Die zuvor erwähnte Compose-Kombination („Coko“) lässt sich darstellen als ♫ae → æ. Dabei werden drei Tasten(-kombinationen) nacheinander betätigt (jeweils drücken und loslassen): erst ++Mod3+Tab++ für Compose, dann ein ++a++ und schließlich ein ++e++. Das resultierende Zeichen »æ« wird automatisch angezeigt.

!!! tip "Hinweis"
    Eine Coko verwendet nicht unbedingt nur Zeichen aus der ersten Ebene (Kleinbuchstaben und Zahlen). Eine Kombination wie ♫"a → ä tippt sich als ++Mod3+Tab++, dann ein " über die Tastenkombination ++Mod3+comma++ und zuletzt das ++a++. Cokos können mehr als zwei nachfolgende Zeichen haben.

??? example "Weitere Beispiele"
    ++mod3+Tab++, dann …  

    | Zeichen 1             | Zeichen 2   | Ergebnis |
    | :---                  | :---        | :---     |
    | ++a++                 | ++e++       | æ        | Ligatur                        |
    | ++comma++             | ++c++       | ç        | Buchstabe mit Akzent (Cédille) |
    | ++s++                 | ++s++       | ß        | Eszett                         |
    | ++t++                 | ++h++       | þ        | Buchstabe Thorn                |
    | ++t1++                | ++7++       | ⁷        | hochgestellte Zahl             |
    | ++Mod3+comma++<br>→ " | ++a++       | ä        | Umlaut/Trema                   |
    | ++lt++                | ++3++       | ♥        | Herzsymbol                     |
    | ++plus++              | ++minus++   | ±        | Plus-Minus-Zeichen             |
    | ++Mod3+M++<br>→ %     | ++o++       | ‰        | Promille-Zeichen               |
    | ++D++                 | ++H++       | ð        |
    | ++Shift+D++           | ++Shift+H++ | Ð        |

Falls versucht wird, eine Kombination einzutippen, die kein kombiniertes Zeichen erzeugt, werden alle getippten einzelnen Zeichen ausgegeben. So ist ♫xy keine gültige Kombination und zeigt nach dem Drücken von ++y++ »xy« an.


## Installation
### Linux

Eine kurze Installationsanleitung befindet sich unter [Neo einrichten/Linux](../Einrichtung/Linux.md#installation-der-compose-dateien).

Die Änderungen werden sofort wirksam, allerdings nur für Programme, die nach dem Ändern der Compose gestartet wurden. Nach dem nächsten Anmelden sind jedoch überall die neuen Kombinationen möglich.

Wie man eine persönlich angepasste Compose-Datei erzeugt, wird [hier](#erzeugbare-zeichen-mit-compose) beschrieben.


### Windows
Unter Windows ist die Compose-Funktion bereits in die Treiber integriert. [NeoVars](../Einrichtung/neovars.md) enthält sogar einige [zusätzliche Cokos](../Einrichtung/neovars.md#compose-und-weitere-funktionen), die nur unter diesem Treiber verfügbar sind.

[kbdneo](../Einrichtung/kbdneo.md) unterstützt nur eine Teilmenge der Compose-Referenz, insbesondere nur die Cokos mit bis zu drei Buchstaben im »Schlüssel«. Diese Einschränkung entfällt bei Nutzung von  [ReNeo](https://github.com/Rojetto/ReNeo) anstelle des Autohotkey-Skripts.

### Andere Betriebssysteme
Unter anderen Treibern konnte die Compose-Funktionalität leider bisher noch nicht umgesetzt werden.


## Erzeugbare Zeichen mit den toten Tasten

Die folgenden Diakritika lassen sich direkt mit einer der drei Tottasten eingeben:

| Taste  | Ebene 1    | Ebene 2          | Ebene 3 | Ebene 4    | Ebene 5        | Ebene 6      |
| ---    | ---        | ---              | ---     | ---        | ---            | ---          |
| ++T1++ | ˆ          | ˇ                | ↻       | ˙          | ˞              | .            |
|        | Zirkumflex | Hatschek (Caron) | Drehen  | Punkt oben | Haken          | Punkt unten  |
|        |  | | | | | |
| ++T2++ | `          | ¸ oder ˛         | °       | ¨          | ῾              | ¯            |
|        | Gravis     | Cedille / Ogonek | Ring    | Trema      | Spiritus asper | Makron       |
|        |  | | | | | |
| ++T3++ | ´          | ˜                | /       | ˝          | ᾿              | ˘            |
|        | Akut       | Tilde            | Strich  | Doppelakut | Spiritus lenis | Breve/Brevis |

Die einzelnen Zeichen sind grob in verschiedene Gruppen aufgeteilt. So sind auf Ebene 1 die französischen Akzente zu finden, auf Ebene 2 die spanischen und auf Ebene 5 verschiedene Haken. Orthogonal dazu gehören vergleichbare Diakritika auf dieselben Taste, bspw. Zirkumflex und Hatschek auf ++T1++, Akut und Doppelakut auf ++T3++.

| Taste  | Ebene |     | Aa  | Bb  | Cc  | Dd  | Ee  | Ff  | Gg  | Hh  | Ii  | Jj  | Kk  | Ll  | Mm  | Nn  | Oo  | Pp  | Qq  | Rr  | Ss  | Tt  | Uu  | Vv  | Ww  | Xx  | Yy  | Zz  |
| ---    | ---   | --- | --- | --- | --- | --- | --- | --- | --- | --- | --- | --- | --- | --- | --- | --- | --- | --- | --- | --- | --- | --- | --- | --- | --- | --- | --- | --- |
| __T1__ | 1     | ˆ   | Ââ  |     | Ĉĉ  |     | Êê  |     | Ĝĝ  | Ĥĥ  | Îî  | Ĵĵ  |     |     |     |     | Ôô  |     |     |     | Ŝŝ  |     | Ûû  |     | Ŵŵ  |     | Ŷŷ  | Ẑẑ  |
|        | 2     | ˇ   | Ǎǎ  |     | Čč  | Ďď  | Ěě  |     | Ǧǧ  | Ȟȟ  | Ǐǐ  | ǰ   | Ǩǩ  | Ľľ  |     | Ňň  | Ǒǒ  |     |     | Řř  | Šš  | Ťť  | Ǔǔ  |     |     |     |     | Žž  |
|        | 3     | ↻   | ɐ   |     | Ɔɔ  |     | ɘ   |     |     | ɥ   |     |     |     |     | ɯ   |     |     |     |     | ʁɹ  | Ƨ   |     |     | Ʌʌ  | ʍ   |     | ʎ   |     |
|        | 4     | ˙   | Ȧȧ  | Ḃḃ  | Ċċ  | Ḋḋ  | Ėė  | Ḟḟ  | Ġġ  | Ḣḣ  | İı  |     |     | Ŀŀ  | Ṁṁ  | Ṅṅ  | Ȯȯ  | Ṗṗ  |     | Ṙṙ  | Ṡṡ  | Ṫṫ  |     |     | Ẇẇ  | Ẋẋ  | Ẏẏ  | Żż  |
|        | 5     | ˞   |     | Ɓɓ  | Ƈƈ  | Ɗɗ  |     | Ƒƒ  | Ɠɠ  | ɦ   | Ɩɩ  | ʝ   | Ƙƙ  | ɬ   | Ɱɱ  | Ŋŋ  | Ơơ  | Ƥƥ  |     | Ɽɽ  | ­ ʂ | Ƭƭ  | Ưư  | ⱱ   | Ⱳⱳ  | Ɣɣ  | Ƴƴ  | ʐ   |
|        | 6     | .   | Ạạ  | Ḅḅ  |     | Ḍḍ  | Ẹẹ  |     | Ġġ  | Ḥḥ  | Ịị  |     | Ḳḳ  | Ḷḷ  | Ṃṃ  | Ṇṇ  | Ọọ  |     |     | Ṛṛ  | Ṣṣ  | Ṭṭ  | Ụụ  | Ṿṿ  | Ẉẉ  |     | Ỵỵ  | Ẓẓ  |
| __T2__ | 1     | \`  | Àà  |     |     |     | Èè  |     |     |     | Ìì  |     |     |     |     | Ǹǹ  | Òò  |     |     |     |     |     | Ùù  |     | Ẁẁ  |     | Ỳỳ  |     |
|        | 2     | ¸   | Ąą  |     | Çç  | Ḑḑ  | Ęę  |     | Ģģ  | Ḩḩ  | Įį  |     | Ķķ  | Ļļ  |     | Ņņ  | Ǫǫ  |     |     | Ŗŗ  | Şş  | Ţţ  | Ųų  |     |     |     |     |     |
|        | 3     | ˚   | Åå  |     | ɕ   |     |     |     |     |     |     |     |     |     |     |     |     |     |     |     |     |     | Ůů  |     | ẘ   |     | ẙ   | ʑ   |
|        | 4     | ¨   | Ää  |     |     |     | Ëë  |     |     |     | Ïï  |     |     |     |     |     | Öö  |     |     |     |     |     | Üü  |     | Ẅẅ  | Ẍẍ  | Ÿÿ  |     |
|        | 5     | ῾   |     |     |     |     |     |     |     |     |     |     |     |     |     |     |     |     |     |     |     |     |     |     |     |     |     |     |
|        | 6     | ¯   | Āā  | Ḇḇ  |     | Ḏḏ  | Ēē  |     | Ḡḡ  | ẖ   | Īī  |     | Ḵḵ  | Ḻḻ  |     | Ṉṉ  | Ōō  |     |     | Ṟṟ  |     | Ṯṯ  | Ūū  |     |     |     | Ȳȳ  | Ẕẕ  |
| __T3__ | 1     | ´   | Áá  |     | Ćć  |     | Éé  |     | Ǵǵ  |     | Íí  |     | Ḱḱ  | Ĺĺ  | Ḿḿ  | Ńń  | Óó  | Ṕṕ  |     | Ŕŕ  | Śś  |     | Úú  |     | Ẃẃ  |     | Ýý  | Źź  |
|        | 2     | ˜   | Ãã  |     |     |     | Ẽẽ  |     |     |     | Ĩĩ  |     |     |     |     | Ññ  | Õõ  |     |     |     |     |     | Ũũ  | Ṽṽ  |     |     | Ỹỹ  |     |
|        | 3     | /   |     | ƀ   |     | Đđ  |     |     | Ǥǥ  | Ħħ  | Ɨɨ  | ɟɟ  |     | Łł  |     |     | Øø  |     |     |     |     | Ŧŧ  | Ʉʉ  |     |     |     |     | Ƶƶ  |
|        | 4     | ˝   |     |     |     |     |     |     |     |     |     |     |     |     |     |     | Őő  |     |     |     |     |     | Űű  |     |     |     |     |     |
|        | 5     | ᾿   | Ảả  |     |     |     | Ẻẻ  |     |     |     | Ỉỉ  |     |     |     |     |     | Ỏỏ  |     |     |     |     |     | Ủủ  |     |     |     | Ỷỷ  |     |
|        | 6     | ˘   | Ăă  |     |     |     | Ĕĕ  |     | Ğğ  | Ḫḫ  | Ĭĭ  |     |     |     |     |     | Ŏŏ  |     |     |     |     |     | Ŭŭ  |     |     |     |     |     |

Mit ↻ und Doppelakut ˝ lässt sich außerdem der Doppelgravis erzeugen:

| Taste | Aa  | Bb  | Cc  | Dd  | Ee  | Ff  | Gg  | Hh  | Ii  | Jj  | Kk  | Ll  | Mm  | Nn  | Oo  | Pp  | Qq  | Rr  | Ss  | Tt  | Uu  | Vv  | Ww  | Xx  | Yy  | Zz  |
| ---   | --- | --- | --- | --- | --- | --- | --- | --- | --- | --- | --- | --- | --- | --- | --- | --- | --- | --- | --- | --- | --- | --- | --- | --- | --- | --- |
| ˵     | Ȁȁ  |     |     |     | Ȅȅ  |     |     |     | Ȉȉ  |     |     |     |     |     | Ȍȍ  |     |     | Ȑȑ  |     |     | Ȕȕ  |     |     |     |     |     |


Hier noch die griechischen Zeichen:

| Taste  | Ebene |     | Αα  | Ββ  | Γγ  | Δδ  | Εε  | Ζζ  | Ηη  | Θϑ  | Ιι  | Κϰ  | Λλ  | Μμ  | Νν  | Ξξ  | Οο  | Ππ  | Ρρ  | Σσ  | Ττ  | Υυ  | Φφ  | Χχ  | Ψψ  | Ωω  |
| ---    | ---   | --- | --- | --- | --- | --- | --- | --- | --- | --- | --- | --- | --- | --- | --- | --- | --- | --- | --- | --- | --- | --- | --- | --- | --- | --- |
| __T1__ | 5     | ˞   |     |     |     |     |     |     |     |     |     | ϗϏ  |     |     |     |     |     |     |     |     | ­   | ϒ   |     |     |     |     |
| __T2__ | 1     | \`  | Ὰὰ  |     |     |     | Ὲὲ  |     | Ὴὴ  |     | Ὶὶ  |     |     |     |     |     | Ὸὸ  |     |     |     |     | Ὺὺ  |     |     |     | Ὼὼ  |
|        | 2     | ¸   | ᾼᾳ  |     |     |     |     |     | ῌῃ  |     |     |     |     |     |     |     |     |     |     |     |     |     |     |     |     | ῼῳ  |
|        | 4     | ¨   |     |     |     |     |     |     |     |     | Ϊϊ  |     |     |     |     |     |     |     |     |     |     | Ϋϋ  |     |     |     |     |
|        | 5     | ῾   | Ἁἁ  |     |     |     | Ἑἑ  |     | Ἡἡ  |     | Ἱἱ  |     |     |     |     |     | Ὁὁ  |     | ῥ   |     |     | ὑ   |     |     |     | Ὡὡ  |
|        | 6     | ¯   | Ᾱᾱ  |     |     |     |     |     |     |     | Ῑῑ  |     |     |     |     |     |     |     |     |     |     | Ῡῡ  |     |     |     |     |
| __T3__ | 1     | ´   | Άά  |     |     |     | Έέ  |     | Ήή  |     | Ίί  |     |     |     |     |     | Όό  |     |     |     |     | Ύύ  |     |     |     | Ώώ  |
|        | 2     | ˜   | ᾶ   |     |     |     |     |     |     |     | ῖ   |     |     |     |     |     |     |     |     |     |     | ῦ   |     |     |     | ῶ   |
|        | 5     | ᾿   | Ἀἀ  |     |     |     | Ἐἐ  |     | Ἠἠ  |     | Ἰἰ  |     |     |     |     |     | Ὀὀ  |     | ῤ   |     |     | ὐ   |     |     |     | Ὠὠ  |
|        | 6     | ˘   | Ᾰᾰ  |     |     |     |     |     |     |     | Ῐῐ  |     |     |     |     |     |     |     |     |     |     | Ῠῠ  |     |     |     |     |

## Erzeugbare Zeichen mit Compose

Die Compose-Sequenzen von Neo sind in mehrere Module aufgeteilt.
Nicht alle Module sind vollständig miteinander kompatibel (es gibt ein paar Überschneidungen von Sequenzen).
Konkret kann man die Konflikte an den .remove-Dateien im Ordner [Compose/src](https://git.neo-layout.org/neo/neo-layout/src/branch/master/Compose/src) erkennen. Die Eintrage in diesen Dateien geben an, welche Compose-Sequenzen aus anderen Dateien durch dieses Modul entfernt werden müssen.

Man kann sich aus den verschiedenen Modulen mit einem Makefile oder einem GUI-Werkzeug seine eigene Compose-Datei zusammenstellen ([siehe hier](https://git.neo-layout.org/neo/neo-layout/src/branch/master/Compose/)). Beachte, dass die Compose-Datei ebenfalls die „normalen“ toten Tasten steuert.

Standardmäßig (in der Compose-Datei auf der Download-Seite) sind die Module enUS, base, cyrillic, diacritics, lang, greek, math und math-font aktiviert. Die restlichen Module sind nicht aktiviert, da sie vermutlich ziemlich selten benutzt werden und sehr viele Einträge besitzen. Es gibt Software, die mit sehr großen Compose-Dateien Probleme haben.

Hier eine kurze Übersicht über die Module:

* **en_US.module** — Dies ist die [Compose-Datei](https://git.neo-layout.org/neo/neo-layout/src/branch/master/Compose/src/en_US.UTF-8), die bei den meisten Linux-Systemen mit dabei ist. Sie enthält bereits sehr viele Compose-Sequenzen für die verschiedensten Dinge. Anders als der Name vermuten lässt, wird sie für fast alle Sprachen benutzt.

* **base.module** – Hier befinden sich ein paar allgemeine Compose-Sequenzen für Neo, die mittlerweile aber auch teilweise in enUS.module vorhanden sind.

    ??? info "Tabelle der Sequenzen"

        | Eingabe | Ausgabe | Kommentar |
        | --- | --- | --- |
        | T1(3)T2(2)  | ˛ | OGONEK |
        | U02F5  | ˵ | MODIFIER LETTER MIDDLE DOUBLE GRAVE ACCENT |
        | T1(3)T3(4)  | ˵ | MODIFIER LETTER MIDDLE DOUBLE GRAVE ACCENT |
        | T1(3)  | ↻ | CLOCKWISE OPEN CIRCLE ARROW |
        | T1(5)  | ˞ | MODIFIER LETTER RHOTIC HOOK |
        | T1(3)T3(6)T3(6) | ̑ | COMBINING INVERTED BREVE |
        | T1(3)T2(2)T2(2) | ̨ | COMBINING OGONEK |
        | T1(3)T3(4)T3(4) | ̏ | COMBINING DOUBLE GRAVE ACCENT |
        | ♫’’ | ʼ | MODIFIER LETTER APOSTROPHE |
        | ♫o␣ | ◌ | DOTTED CIRCLE |
        | ♫…o | ◌ | DOTTED CIRCLE |
        | T3(5)␣ | ᾿ | GREEK PSILI |
        | T2(5)␣ | ῾ | GREEK DASIA |
        | T1(3)␣ | ↻ | CLOCKWISE OPEN CIRCLE ARROW |
        | T1(5)␣ | ˞ | MODIFIER LETTER RHOTIC HOOK |
        | T1(3)T2(2)␣ | ˛ | OGONEK |
        | T1(6)␣ | . | FULL STOP |
        | T2(2)A | Ą | LATIN CAPITAL LETTER A WITH OGONEK |
        | T2(2)a | ą | LATIN SMALL LETTER A WITH OGONEK |
        | T2(2)E | Ę | LATIN CAPITAL LETTER E WITH OGONEK |
        | T2(2)e | ę | LATIN SMALL LETTER E WITH OGONEK |
        | T2(2)I | Į | LATIN CAPITAL LETTER I WITH OGONEK |
        | T2(2)i | į | LATIN SMALL LETTER I WITH OGONEK |
        | T2(2)U | Ų | LATIN CAPITAL LETTER U WITH OGONEK |
        | T2(2)u | ų | LATIN SMALL LETTER U WITH OGONEK |
        | T2(2)O | Ǫ | LATIN CAPITAL LETTER O WITH OGONEK |
        | T2(2)o | ǫ | LATIN SMALL LETTER O WITH OGONEK |
        | T2(6)T2(2)O | Ǭ | LATIN CAPITAL LETTER O WITH OGONEK AND MACRON |
        | T2(6)T2(2)o | ǭ | LATIN SMALL LETTER O WITH OGONEK AND MACRON |
        | T1(3)T2(2)E | Ȩ | LATIN CAPITAL LETTER E WITH CEDILLA |
        | T1(3)T2(2)e | ȩ | LATIN SMALL LETTER E WITH CEDILLA |
        | T2(6)B | Ḇ | LATIN CAPITAL LETTER B WITH LINE BELOW |
        | T2(6)b | ḇ | LATIN SMALL LETTER B WITH LINE BELOW |
        | T2(6)D | Ḏ | LATIN CAPITAL LETTER D WITH LINE BELOW |
        | T2(6)d | ḏ | LATIN SMALL LETTER D WITH LINE BELOW |
        | T2(6)K | Ḵ | LATIN CAPITAL LETTER K WITH LINE BELOW |
        | T2(6)k | ḵ | LATIN SMALL LETTER K WITH LINE BELOW |
        | T2(6)L | Ḻ | LATIN CAPITAL LETTER L WITH LINE BELOW |
        | T2(6)l | ḻ | LATIN SMALL LETTER L WITH LINE BELOW |
        | T2(6)N | Ṉ | LATIN CAPITAL LETTER N WITH LINE BELOW |
        | T2(6)n | ṉ | LATIN SMALL LETTER N WITH LINE BELOW |
        | T2(6)R | Ṟ | LATIN CAPITAL LETTER R WITH LINE BELOW |
        | T2(6)r | ṟ | LATIN SMALL LETTER R WITH LINE BELOW |
        | T2(6)T | Ṯ | LATIN CAPITAL LETTER T WITH LINE BELOW |
        | T2(6)t | ṯ | LATIN SMALL LETTER T WITH LINE BELOW |
        | T2(6)Z | Ẕ | LATIN CAPITAL LETTER Z WITH LINE BELOW |
        | T2(6)z | ẕ | LATIN SMALL LETTER Z WITH LINE BELOW |
        | T2(6)h | ẖ | LATIN SMALL LETTER H WITH LINE BELOW |
        | T3(3)D | Đ | LATIN CAPITAL LETTER D WITH STROKE |
        | T3(3)d | đ | LATIN SMALL LETTER D WITH STROKE |
        | T3(3)H | Ħ | LATIN CAPITAL LETTER H WITH STROKE |
        | ♫-H | Ħ | LATIN CAPITAL LETTER H WITH STROKE |
        | T3(3)h | ħ | LATIN SMALL LETTER H WITH STROKE |
        | ♫-h | ħ | LATIN SMALL LETTER H WITH STROKE |
        | T3(3)L | Ł | LATIN CAPITAL LETTER L WITH STROKE |
        | T3(3)l | ł | LATIN SMALL LETTER L WITH STROKE |
        | T3(3)O | Ø | LATIN CAPITAL LETTER O WITH STROKE |
        | T3(3)o | ø | LATIN SMALL LETTER O WITH STROKE |
        | T3(1)T3(3)O | Ǿ | LATIN CAPITAL LETTER O WITH STROKE AND ACUTE |
        | T3(1)T3(3)o | ǿ | LATIN SMALL LETTER O WITH STROKE AND ACUTE |
        | U02F5A | Ȁ | LATIN CAPITAL LETTER A WITH DOUBLE GRAVE |
        | U02F5a | ȁ | LATIN SMALL LETTER A WITH DOUBLE GRAVE |
        | U02F5E | Ȅ | LATIN CAPITAL LETTER E WITH DOUBLE GRAVE |
        | U02F5e | ȅ | LATIN SMALL LETTER E WITH DOUBLE GRAVE |
        | U02F5I | Ȉ | LATIN CAPITAL LETTER I WITH DOUBLE GRAVE |
        | U02F5i | ȉ | LATIN SMALL LETTER I WITH DOUBLE GRAVE |
        | U02F5O | Ȍ | LATIN CAPITAL LETTER O WITH DOUBLE GRAVE |
        | U02F5o | ȍ | LATIN SMALL LETTER O WITH DOUBLE GRAVE |
        | U02F5R | Ȑ | LATIN CAPITAL LETTER R WITH DOUBLE GRAVE |
        | U02F5r | ȑ | LATIN SMALL LETTER R WITH DOUBLE GRAVE |
        | U02F5U | Ȕ | LATIN CAPITAL LETTER U WITH DOUBLE GRAVE |
        | U02F5u | ȕ | LATIN SMALL LETTER U WITH DOUBLE GRAVE |
        | T1(3)T3(4)A | Ȁ | LATIN CAPITAL LETTER A WITH DOUBLE GRAVE |
        | T1(3)T3(4)a | ȁ | LATIN SMALL LETTER A WITH DOUBLE GRAVE |
        | T1(3)T3(4)E | Ȅ | LATIN CAPITAL LETTER E WITH DOUBLE GRAVE |
        | T1(3)T3(4)e | ȅ | LATIN SMALL LETTER E WITH DOUBLE GRAVE |
        | T1(3)T3(4)I | Ȉ | LATIN CAPITAL LETTER I WITH DOUBLE GRAVE |
        | T1(3)T3(4)i | ȉ | LATIN SMALL LETTER I WITH DOUBLE GRAVE |
        | T1(3)T3(4)O | Ȍ | LATIN CAPITAL LETTER O WITH DOUBLE GRAVE |
        | T1(3)T3(4)o | ȍ | LATIN SMALL LETTER O WITH DOUBLE GRAVE |
        | T1(3)T3(4)R | Ȑ | LATIN CAPITAL LETTER R WITH DOUBLE GRAVE |
        | T1(3)T3(4)r | ȑ | LATIN SMALL LETTER R WITH DOUBLE GRAVE |
        | T1(3)T3(4)U | Ȕ | LATIN CAPITAL LETTER U WITH DOUBLE GRAVE |
        | T1(3)T3(4)u | ȕ | LATIN SMALL LETTER U WITH DOUBLE GRAVE |
        | ♫S, | Ș | LATIN CAPITAL LETTER S WITH COMMA BELOW |
        | ♫s, | ș | LATIN SMALL LETTER S WITH COMMA BELOW |
        | ♫T, | Ț | LATIN CAPITAL LETTER T WITH COMMA BELOW |
        | ♫t, | ț | LATIN SMALL LETTER T WITH COMMA BELOW |
        | T1(3)T3(6)A | Ȃ | LATIN CAPITAL LETTER A WITH INVERTED BREVE |
        | T1(3)T3(6)a | ȃ | LATIN SMALL LETTER A WITH INVERTED BREVE |
        | T1(3)T3(6)E | Ȇ | LATIN CAPITAL LETTER E WITH INVERTED BREVE |
        | T1(3)T3(6)e | ȇ | LATIN SMALL LETTER E WITH INVERTED BREVE |
        | T1(3)T3(6)I | Ȋ | LATIN CAPITAL LETTER I WITH INVERTED BREVE |
        | T1(3)T3(6)i | ȋ | LATIN SMALL LETTER I WITH INVERTED BREVE |
        | T1(3)T3(6)O | Ȏ | LATIN CAPITAL LETTER O WITH INVERTED BREVE |
        | T1(3)T3(6)o | ȏ | LATIN SMALL LETTER O WITH INVERTED BREVE |
        | T1(3)T3(6)R | Ȓ | LATIN CAPITAL LETTER R WITH INVERTED BREVE |
        | T1(3)T3(6)r | ȓ | LATIN SMALL LETTER R WITH INVERTED BREVE |
        | T1(3)T3(6)U | Ȗ | LATIN CAPITAL LETTER U WITH INVERTED BREVE |
        | T1(3)T3(6)u | ȗ | LATIN SMALL LETTER U WITH INVERTED BREVE |
        | ♫EE | Ə | LATIN CAPITAL LETTER SCHWA |
        | ♫L. | Ŀ | LATIN CAPITAL LETTER L WITH MIDDLE DOT |
        | ♫l. | ŀ | LATIN SMALL LETTER L WITH MIDDLE DOT |
        | T1(4)L | Ŀ | LATIN CAPITAL LETTER L WITH MIDDLE DOT |
        | T1(4)l | ŀ | LATIN SMALL LETTER L WITH MIDDLE DOT |
        | T3(2)L | Ɫ | LATIN CAPITAL LETTER L WITH MIDDLE TILDE |
        | T3(2)l | ɫ | LATIN SMALL LETTER L WITH MIDDLE TILDE |
        | T3(6)H | Ḫ | LATIN CAPITAL LETTER H WITH BREVE BELOW |
        | T3(6)h | ḫ | LATIN SMALL LETTER H WITH BREVE BELOW |
        | ♫ii | ı | LATIN SMALL LETTER DOTLESS I |
        | ♫II | İ | LATIN CAPITAL LETTER I WITH DOT ABOVE |
        | T1(4)j | ȷ | LATIN SMALL LETTER DOTLESS J |
        | T2(6)♫AE | Ǣ | LATIN CAPITAL LETTER AE WITH MACRON |
        | T2(6)♫ae | ǣ | LATIN SMALL LETTER AE WITH MACRON |
        | T3(1)♫AE | Ǽ | LATIN CAPITAL LETTER AE WITH ACUTE |
        | T3(1)♫ae | ǽ | LATIN SMALL LETTER AE WITH ACUTE |
        | ♫zh | ʒ | LATIN SMALL LETTER EZH |
        | ♫zz | ʒ | LATIN SMALL LETTER EZH |
        | ♫ff | ﬀ | LATIN SMALL LIGATURE FF |
        | ♫fi | ﬁ | LATIN SMALL LIGATURE FI |
        | ♫fl | ﬂ | LATIN SMALL LIGATURE FL |
        | ♫Fi | ﬃ | LATIN SMALL LIGATURE FFI |
        | ♫Fl | ﬄ | LATIN SMALL LIGATURE FFL |
        | ♫ſt | ﬅ | LATIN SMALL LIGATURE LONG S T |
        | ♫st | ﬆ | LATIN SMALL LIGATURE ST |
        | ♫IJ | Ĳ | LATIN CAPITAL LIGATURE IJ |
        | ♫ij | ĳ | LATIN SMALL LIGATURE IJ |
        | ♫DZ | Ǳ | LATIN CAPITAL LETTER DZ |
        | ♫Dz | ǲ | LATIN CAPITAL LETTER D WITH SMALL LETTER Z |
        | ♫dz | ǳ | LATIN SMALL LETTER DZ |
        | T1(2)♫DZ | Ǆ | LATIN CAPITAL LETTER DZ WITH CARON |
        | T1(2)♫Dz | ǅ | LATIN CAPITAL LETTER D WITH SMALL LETTER Z WITH CARON |
        | T1(2)♫dz | ǆ | LATIN SMALL LETTER DZ WITH CARON |
        | ♫LJ | Ǉ | LATIN CAPITAL LETTER LJ |
        | ♫Lj | ǈ | LATIN CAPITAL LETTER L WITH SMALL LETTER J |
        | ♫lj | ǉ | LATIN SMALL LETTER LJ |
        | ♫NJ | Ǌ | LATIN CAPITAL LETTER NJ |
        | ♫Nj | ǋ | LATIN CAPITAL LETTER N WITH SMALL LETTER J |
        | ♫nj | ǌ | LATIN SMALL LETTER NJ |
        | T1(2)0 | ₀ | SUBSCRIPT ZERO |
        | T1(2)KP_0 | ₀ | SUBSCRIPT ZERO |
        | T1(2)1 | ₁ | SUBSCRIPT ONE |
        | T1(2)KP_1 | ₁ | SUBSCRIPT ONE |
        | T1(2)2 | ₂ | SUBSCRIPT TWO |
        | T1(2)KP_2 | ₂ | SUBSCRIPT TWO |
        | T1(2)3 | ₃ | SUBSCRIPT THREE |
        | T1(2)KP_3 | ₃ | SUBSCRIPT THREE |
        | T1(2)4 | ₄ | SUBSCRIPT FOUR |
        | T1(2)KP_4 | ₄ | SUBSCRIPT FOUR |
        | T1(2)5 | ₅ | SUBSCRIPT FIVE |
        | T1(2)KP_5 | ₅ | SUBSCRIPT FIVE |
        | T1(2)6 | ₆ | SUBSCRIPT SIX |
        | T1(2)KP_6 | ₆ | SUBSCRIPT SIX |
        | T1(2)7 | ₇ | SUBSCRIPT SEVEN |
        | T1(2)KP_7 | ₇ | SUBSCRIPT SEVEN |
        | T1(2)8 | ₈ | SUBSCRIPT EIGHT |
        | T1(2)KP_8 | ₈ | SUBSCRIPT EIGHT |
        | T1(2)9 | ₉ | SUBSCRIPT NINE |
        | T1(2)KP_9 | ₉ | SUBSCRIPT NINE |
        | ♫2! | ‼ | DOUBLE EXCLAMATION MARK |
        | ♫!2 | ‼ | DOUBLE EXCLAMATION MARK |
        | ♫KP_2! | ‼ | DOUBLE EXCLAMATION MARK |
        | ♫!KP_2 | ‼ | DOUBLE EXCLAMATION MARK |
        | ♫2? | ⁇ | DOUBLE QUESTION MARK |
        | ♫?2 | ⁇ | DOUBLE QUESTION MARK |
        | ♫KP_2? | ⁇ | DOUBLE QUESTION MARK |
        | ♫?KP_2 | ⁇ | DOUBLE QUESTION MARK |
        | ♫?! | ⁈ | QUESTION EXCLAMATION MARK |
        | ♫!? | ⁉ | EXCLAMATION QUESTION MARK |
        | ♫1?! | ‽ | INTERROBANG |
        | ♫1!? | ‽ | INTERROBANG |
        | ♫KP_1?! | ‽ | INTERROBANG |
        | ♫KP_1!? | ‽ | INTERROBANG |
        | ♫1¿¡ | ⸘ | INVERTED INTERROBANG |
        | ♫1¡¿ | ⸘ | INVERTED INTERROBANG |
        | ♫KP_1¿¡ | ⸘ | INVERTED INTERROBANG |
        | ♫KP_1¡¿ | ⸘ | INVERTED INTERROBANG |
        | ♫†† | ‡ | DOUBLE DAGGER |
        | T1(3): | ‥ | TWO DOT LEADER |
        | T1(3)… | ⋮ | VERTICAL ELLIPSIS |
        | ♫   | - | HYPHEN-MINUS |
        | ♫77 | ⁊ | TIRONIAN SIGN ET |
        | ♫KP_7KP_7 | ⁊ | TIRONIAN SIGN ET |
        | ♫…… | […] |  |
        | ♫R1␣ | Ⅰ | ROMAN NUMERAL ONE |
        | ♫R2 | Ⅱ | ROMAN NUMERAL TWO |
        | ♫R3 | Ⅲ | ROMAN NUMERAL THREE |
        | ♫R4 | Ⅳ | ROMAN NUMERAL FOUR |
        | ♫R5 | Ⅴ | ROMAN NUMERAL FIVE |
        | ♫R6 | Ⅵ | ROMAN NUMERAL SIX |
        | ♫R7 | Ⅶ | ROMAN NUMERAL SEVEN |
        | ♫R8 | Ⅷ | ROMAN NUMERAL EIGHT |
        | ♫R9 | Ⅸ | ROMAN NUMERAL NINE |
        | ♫R10 | Ⅹ | ROMAN NUMERAL TEN |
        | ♫R11 | Ⅺ | ROMAN NUMERAL ELEVEN |
        | ♫R12 | Ⅻ | ROMAN NUMERAL TWELVE |
        | ♫RKP_1␣ | Ⅰ | ROMAN NUMERAL ONE |
        | ♫RKP_2 | Ⅱ | ROMAN NUMERAL TWO |
        | ♫RKP_3 | Ⅲ | ROMAN NUMERAL THREE |
        | ♫RKP_4 | Ⅳ | ROMAN NUMERAL FOUR |
        | ♫RKP_5 | Ⅴ | ROMAN NUMERAL FIVE |
        | ♫RKP_6 | Ⅵ | ROMAN NUMERAL SIX |
        | ♫RKP_7 | Ⅶ | ROMAN NUMERAL SEVEN |
        | ♫RKP_8 | Ⅷ | ROMAN NUMERAL EIGHT |
        | ♫RKP_9 | Ⅸ | ROMAN NUMERAL NINE |
        | ♫RKP_1KP_0 | Ⅹ | ROMAN NUMERAL TEN |
        | ♫RKP_1KP_1 | Ⅺ | ROMAN NUMERAL ELEVEN |
        | ♫RKP_1KP_2 | Ⅻ | ROMAN NUMERAL TWELVE |
        | ♫r1␣ | ⅰ | SMALL ROMAN NUMERAL ONE |
        | ♫r1. | ⅰ. |  |
        | ♫r1) | ⅰ) |  |
        | ♫r2 | ⅱ | SMALL ROMAN NUMERAL TWO |
        | ♫r3 | ⅲ | SMALL ROMAN NUMERAL THREE |
        | ♫r4 | ⅳ | SMALL ROMAN NUMERAL FOUR |
        | ♫r5 | ⅴ | SMALL ROMAN NUMERAL FIVE |
        | ♫r6 | ⅵ | SMALL ROMAN NUMERAL SIX |
        | ♫r7 | ⅶ | SMALL ROMAN NUMERAL SEVEN |
        | ♫r8 | ⅷ | SMALL ROMAN NUMERAL EIGHT |
        | ♫r9 | ⅸ | SMALL ROMAN NUMERAL NINE |
        | ♫r10 | ⅹ | SMALL ROMAN NUMERAL TEN |
        | ♫r11 | ⅺ | SMALL ROMAN NUMERAL ELEVEN |
        | ♫r12 | ⅻ | SMALL ROMAN NUMERAL TWELVE |
        | ♫rKP_1␣ | ⅰ | SMALL ROMAN NUMERAL ONE |
        | ♫rKP_2 | ⅱ | SMALL ROMAN NUMERAL TWO |
        | ♫rKP_3 | ⅲ | SMALL ROMAN NUMERAL THREE |
        | ♫rKP_4 | ⅳ | SMALL ROMAN NUMERAL FOUR |
        | ♫rKP_5 | ⅴ | SMALL ROMAN NUMERAL FIVE |
        | ♫rKP_6 | ⅵ | SMALL ROMAN NUMERAL SIX |
        | ♫rKP_7 | ⅶ | SMALL ROMAN NUMERAL SEVEN |
        | ♫rKP_8 | ⅷ | SMALL ROMAN NUMERAL EIGHT |
        | ♫rKP_9 | ⅸ | SMALL ROMAN NUMERAL NINE |
        | ♫rKP_1KP_0 | ⅹ | SMALL ROMAN NUMERAL TEN |
        | ♫rKP_1KP_1 | ⅺ | SMALL ROMAN NUMERAL ELEVEN |
        | ♫rKP_1KP_2 | ⅻ | SMALL ROMAN NUMERAL TWELVE |
        | ♫1st | 1ˢᵗ |  |
        | ♫KP_1st | 1ˢᵗ |  |
        | ♫2nd | 2ⁿᵈ |  |
        | ♫KP_2nd | 2ⁿᵈ |  |
        | ♫3rd | 3ʳᵈ |  |
        | ♫KP_3rd | 3ʳᵈ |  |
        | ♫4th | 4ᵗʰ |  |
        | ♫KP_4th | 4ᵗʰ |  |
        | ♫1er | 1ᵉʳ |  |
        | ♫KP_1er | 1ᵉʳ |  |
        | ♫1re | 1ʳᵉ |  |
        | ♫KP_1re | 1ʳᵉ |  |
        | ♫2e | 2ᵉ |  |
        | ♫KP_2e | 2ᵉ |  |
        | ♫13 | ⅓ | VULGAR FRACTION ONE THIRD |
        | ♫23 | ⅔ | VULGAR FRACTION TWO THIRDS |
        | ♫15 | ⅕ | VULGAR FRACTION ONE FIFTH |
        | ♫25 | ⅖ | VULGAR FRACTION TWO FIFTHS |
        | ♫35 | ⅗ | VULGAR FRACTION THREE FIFTHS |
        | ♫45 | ⅘ | VULGAR FRACTION FOUR FIFTHS |
        | ♫16 | ⅙ | VULGAR FRACTION ONE SIXTH |
        | ♫56 | ⅚ | VULGAR FRACTION FIVE SIXTHS |
        | ♫18 | ⅛ | VULGAR FRACTION ONE EIGHTH |
        | ♫38 | ⅜ | VULGAR FRACTION THREE EIGHTHS |
        | ♫58 | ⅝ | VULGAR FRACTION FIVE EIGHTHS |
        | ♫78 | ⅞ | VULGAR FRACTION SEVEN EIGHTHS |
        | ♫1/ | ⅟ | FRACTION NUMERATOR ONE |
        | ♫1KP_Divide | ⅟ | FRACTION NUMERATOR ONE |
        | ♫KP_1KP_3 | ⅓ | VULGAR FRACTION ONE THIRD |
        | ♫KP_2KP_3 | ⅔ | VULGAR FRACTION TWO THIRDS |
        | ♫KP_1KP_5 | ⅕ | VULGAR FRACTION ONE FIFTH |
        | ♫KP_2KP_5 | ⅖ | VULGAR FRACTION TWO FIFTHS |
        | ♫KP_3KP_5 | ⅗ | VULGAR FRACTION THREE FIFTHS |
        | ♫KP_4KP_5 | ⅘ | VULGAR FRACTION FOUR FIFTHS |
        | ♫KP_1KP_6 | ⅙ | VULGAR FRACTION ONE SIXTH |
        | ♫KP_5KP_6 | ⅚ | VULGAR FRACTION FIVE SIXTHS |
        | ♫KP_1KP_8 | ⅛ | VULGAR FRACTION ONE EIGHTHS |
        | ♫KP_3KP_8 | ⅜ | VULGAR FRACTION THREE EIGHTHS |
        | ♫KP_5KP_8 | ⅝ | VULGAR FRACTION FIVE EIGHTHS |
        | ♫KP_7KP_8 | ⅞ | VULGAR FRACTION SEVEN EIGHTHS |
        | ♫KP_1/ | ⅟ | FRACTION NUMERATOR ONE |
        | ♫KP_1KP_Divide | ⅟ | FRACTION NUMERATOR ONE |
        | ♫KP_1KP_4 | ¼ | VULGAR FRACTION ONE QUARTER |
        | ♫KP_1KP_2 | ½ | VULGAR FRACTION ONE HALF |
        | ♫KP_3KP_4 | ¾ | VULGAR FRACTION THREE QUARTERS |
        | ♫:) | ☺ | WHITE SMILING FACE |
        | ♫:( | ☹ | WHITE FROWNING FACE |
        | ♫tm | ™ | TRADE MARK SIGN |
        | ♫cKP_Divideo | ℅ | CARE OF |
        | ♫♀♀ | ⚢ | DOUBLED FEMALE SIGN |
        | ♫♂♂ | ⚣ | DOUBLED MALE SIGN |
        | ♫♀♂ | ⚤ | INTERLOCKED FEMALE AND MALE SIGN |
        | ♫♂♀ | ⚤ | INTERLOCKED FEMALE AND MALE SIGN |
        | T3(3)♂ | ⚦ | MALE WITH STROKE SIGN |
        | T3(3)⚥ | ⚧ | MALE WITH STROKE AND MALE AND FEMALE SIGN |
        | T3(6)♀ | ☿ | MERCURY |
        | T1(3)♀ | ♁ | EARTH |
        | ♫Tab | ♫ | BEAMED EIGHTH NOTE |
        | ♫♫ | ♫ | BEAMED EIGHTH NOTE |
        | T1(5)/ | ✔ | HEAVY CHECK MARK |
        | T1(5)KP_Divide | ✔ | HEAVY CHECK MARK |
        | T1(5)\ | ✔ | HEAVY CHECK MARK |
        | T3(3)/ | ✘ | HEAVY BALLOT X |
        | T3(3)KP_Divide | ✘ | HEAVY BALLOT X |
        | T3(3)\ | ✘ | HEAVY BALLOT X |
        | ♫<3 | ♥ | BLACK HEART SUIT |
        | ♫<KP_3 | ♥ | BLACK HEART SUIT |
        | ♫CND | ☮ | PEACE SYMBOL |
        | ♫[] | □ | WHITE SQUARE |
        | ♫□✔ | ☑ | BALLOT BOX WITH CHECK |
        | ♫✔□ | ☑ | BALLOT BOX WITH CHECK |
        | ♫□✘ | ☒ | BALLOT BOX WITH X |
        | ♫✘□ | ☒ | BALLOT BOX WITH X |
        | ♫Δ! | ⚠ | WARNING SIGN |
        | ♫!Δ | ⚠ | WARNING SIGN |
        | T1(3)] | ␣ | OPEN BOX |
        | ♫␣␣ | ⍽ | SHOULDERED OPEN BOX |
        | ♫pf | ₰ | GERMAN PENNY SIGN |
        | T3(3)£ | ₤ | LIRA SIGN |
        | ♫-£ | ₤ | LIRA SIGN |
        | ♫poi | ⌘ | PLACE OF INTEREST SIGN |
        | ♫opt | ⌥ | OPTION KEY |
        | ♫dag | † | DAGGER |
        | T1(3)⇌ | ⇋ | LEFTWARDS HARPOON OVER RIGHTWARDS HARPOON |
        | ♫./. | ⁒ | COMMERCIAL MINUS SIGN |
        | ♫.KP_Divide. | ⁒ | COMMERCIAL MINUS SIGN |
        | ♫•• | ‣ | TRIANGULAR BULLET |

* **diacritics.module** – Hier befinden sich die Akzente, die gegenüber zur Standard-Linux-Compose-Datei etwas verändert wurden.

    ??? info "Tabelle der Sequenzen"

        | Eingabe | Ausgabe | Kommentar |
        | --- | --- | --- |
        | T1(1)  | ˆ | MODIFIER LETTER CIRCUMFLEX ACCENT |
        | T1(2)  | ˇ | CARON |
        | T3(6)  | ˘ | BREVE |
        | T3(1)  | ´ | ACUTE ACCENT |
        | T2(1)  | ` | GRAVE ACCENT |
        | T2(2)  | ¸ | CEDILLA |
        | T1(4)  | ˙ | DOT ABOVE |
        | T2(3)  | ˚ | RING ABOVE |
        | T3(2)  | ˜ | SMALL TILDE |
        | T2(6)  | ¯ | MACRON |
        | T2(4)  | ¨ | DIAERESIS |
        | T3(3)  | / | SOLIDUS |
        | T3(4)  | ˝ | DOUBLE ACUTE ACCENT |
        | T3(5)  | ᾿ | GREEK PSILI |
        | T2(5)  | ῾ | GREEK DASIA |
        | T1(6)  | . | FULL STOP |
        | T1(1)T1(1) | ̂ | COMBINING CIRCUMFLEX ACCENT |
        | T1(2)T1(2) | ̌ | COMBINING CARON |
        | T3(6)T3(6) | ̆ | COMBINING BREVE |
        | T3(1)T3(1) | ́ | COMBINING ACUTE ACCENT |
        | T2(1)T2(1) | ̀ | COMBINING GRAVE ACCENT |
        | T2(2)T2(2) | ̧ | COMBINING CEDILLA |
        | T1(4)T1(4) | ̇ | COMBINING DOT ABOVE |
        | T2(3)T2(3) | ̊ | COMBINING RING ABOVE |
        | T3(2)T3(2) | ̃ | COMBINING TILDE |
        | T2(6)T2(6) | ̄ | COMBINING MACRON |
        | T2(4)T2(4) | ̈ | COMBINING DIAERESIS |
        | T3(3)T3(3) | ̷ | COMBINING SHORT SOLIDUS OVERLAY |
        | T3(4)T3(4) | ̋ | COMBINING DOUBLE ACUTE ACCENT |
        | T3(5)T3(5) | ̓ | COMBINING COMMA ABOVE |
        | T2(5)T2(5) | ̔ | COMBINING REVERSED COMMA ABOVE |
        | U02F5U02F5 | ̏ | COMBINING DOUBLE GRAVE ACCENT |
        | T1(5)T1(5) | ˞ | MODIFIER LETTER RHOTIC HOOK |
        | ♫__ | ̲ | COMBINING LOW LINE |

* **fast.module** – Dieses Modul enthält Abkürzungen für die häufigsten Wörter der Deutschen Sprache.

    ??? info "Tabelle der Sequenzen"

        | Eingabe | Ausgabe | Kommentar |
        | --- | --- | --- |
        | ♫r␣ | der  |  |
        | ♫e␣ | die  |  |
        | ♫u␣ | und  |  |
        | ♫n␣ | den  |  |
        | ♫v␣ | von  |  |
        | ♫s␣ | das  |  |
        | ♫m␣ | mit  |  |
        | ♫c␣ | sich  |  |
        | ♫f␣ | auf  |  |
        | ♫ü␣ | für  |  |
        | ♫i␣ | ist  |  |
        | ♫1␣ | ein  |  |
        | ♫E␣ | Die  |  |
        | ♫1e␣ | eine  |  |
        | ♫l␣ | als  |  |
        | ♫a␣ | auch  |  |
        | ♫wn␣ | werden  |  |
        | ♫h␣ | hat  |  |
        | ♫ß␣ | dass  |  |
        | ♫w␣ | wird  |  |
        | ♫b␣ | bei  |  |
        | ♫1r␣ | einer  |  |
        | ♫R␣ | Der  |  |
        | ♫d␣ | sind  |  |
        | ♫1m␣ | einem  |  |
        | ♫1n␣ | einen  |  |
        | ♫S␣ | Das  |  |
        | ♫z␣ | zum  |  |
        | ♫hn␣ | haben  |  |
        | ♫o␣ | oder  |  |
        | ♫ht␣ | hatte  |  |
        | ♫k␣ | kann  |  |
        | ♫kn␣ | können  |  |
        | ♫J␣ | Jahr  |  |
        | ♫j␣ | jetzt  |  |
        | ♫p␣ | später  |  |


* **cyrillic.module** – Dieses Modul enthält Sequenzen für Sprachen, die das kyrillische Alphabet nutzen. Da fast keine der für diese Compose-Sequenzen benötigten Zeichen in Neo direkt eingebar sind, ist dieses Modul für Neo nur beschränkt sinnvoll.

    ??? info "Tabelle der Sequenzen"

        | Eingabe | Ausgabe | Kommentar |
        | --- | --- | --- |
        | T1(1)Л | Љ | CYRILLIC CAPITAL LETTER LJE |
        | T1(1)л | љ | CYRILLIC SMALL LETTER LJE |
        | T1(1)Н | Њ | CYRILLIC CAPITAL LETTER NJE |
        | T1(1)н | њ | CYRILLIC SMALL LETTER NJE |
        | T1(1)І | Ы | CYRILLIC CAPITAL LETTER YERU |
        | T1(1)і | ы | CYRILLIC SMALL LETTER YERU |
        | T1(1)О | Ю | CYRILLIC CAPITAL LETTER YU |
        | T1(1)о | ю | CYRILLIC SMALL LETTER YU |
        | T1(1)А | Я | CYRILLIC CAPITAL LETTER YA |
        | T1(1)а | я | CYRILLIC SMALL LETTER YA |
        | T1(1)Е | Є | CYRILLIC CAPITAL LETTER UKRAINIAN IE |
        | T1(1)е | є | CYRILLIC SMALL LETTER UKRAINIAN IE |
        | T1(1)Ь | Ъ | CYRILLIC CAPITAL LETTER HARD SIGN |
        | T1(1)ь | ъ | CYRILLIC SMALL LETTER HARD SIGN |
        | T1(3)э | є | CYRILLIC SMALL LETTER UKRAINIAN IE |
        | T1(3)З | Ԑ | CYRILLIC CAPITAL LETTER REVERSED ZE |
        | T1(3)з | ԑ | CYRILLIC SMALL LETTER REVERSED ZE |
        | T1(3)Е | Ә | CYRILLIC CAPITAL LETTER SCHWA |
        | T1(3)е | ә | CYRILLIC SMALL LETTER SCHWA |
        | T1(3)Ч | Һ | CYRILLIC CAPITAL LETTER SHHA |
        | T1(3)ч | һ | CYRILLIC SMALL LETTER SHHA |
        | T1(3)П | Џ | CYRILLIC CAPITAL LETTER DZHE |
        | T1(3)п | џ | CYRILLIC SMALL LETTER DZHE |
        | T2(2)Ш | Щ | CYRILLIC CAPITAL LETTER SHCHA |
        | T2(2)ш | щ | CYRILLIC SMALL LETTER SHCHA |
        | T2(2)Ж | Җ | CYRILLIC CAPITAL LETTER ZHE WITH DESCENDER |
        | T2(2)ж | җ | CYRILLIC SMALL LETTER ZHE WITH DESCENDER |
        | T2(2)З | Ҙ | CYRILLIC CAPITAL LETTER ZE WITH DESCENDER |
        | T2(2)з | ҙ | CYRILLIC SMALL LETTER ZE WITH DESCENDER |
        | T2(2)К | Қ | CYRILLIC CAPITAL LETTER KA WITH DESCENDER |
        | T2(2)к | қ | CYRILLIC SMALL LETTER KA WITH DESCENDER |
        | T2(2)Н | Ң | CYRILLIC CAPITAL LETTER EN WITH DESCENDER |
        | T2(2)н | ң | CYRILLIC SMALL LETTER EN WITH DESCENDER |
        | T2(2)С | Ҫ | CYRILLIC CAPITAL LETTER ES WITH DESCENDER |
        | T2(2)с | ҫ | CYRILLIC SMALL LETTER ES WITH DESCENDER |
        | T2(2)Т | Ҭ | CYRILLIC CAPITAL LETTER TE WITH DESCENDER |
        | T2(2)т | ҭ | CYRILLIC SMALL LETTER TE WITH DESCENDER |
        | T2(2)Х | Ҳ | CYRILLIC CAPITAL LETTER HA WITH DESCENDER |
        | T2(2)х | ҳ | CYRILLIC SMALL LETTER HA WITH DESCENDER |
        | T2(2)Г | Ӷ | CYRILLIC CAPITAL LETTER GHE WITH DESCENDER |
        | T2(2)г | ӷ | CYRILLIC SMALL LETTER GHE WITH DESCENDER |
        | T2(2)Ч | Ҷ | CYRILLIC CAPITAL LETTER CHE WITH DESCENDER |
        | T2(2)ч | ҷ | CYRILLIC SMALL LETTER CHE WITH DESCENDER |
        | T1(3)T2(2)Г | Ґ | CYRILLIC CAPITAL LETTER GHE WITH UPTURN |
        | T1(3)T2(2)г | ґ | CYRILLIC SMALL LETTER GHE WITH UPTURN |
        | T1(3)T2(2)Ч | Ӌ | CYRILLIC CAPITAL LETTER KHAKASSIAN CHE |
        | T1(3)T2(2)ч | ӌ | CYRILLIC SMALL LETTER KHAKASSIAN CHE |
        | ♫,Ч | Ӌ | CYRILLIC CAPITAL LETTER KHAKASSIAN CHE |
        | ♫,ч | ӌ | CYRILLIC SMALL LETTER KHAKASSIAN CHE |
        | ♫Л, | Ӆ | CYRILLIC CAPITAL LETTER EL WITH TAIL |
        | ♫л, | ӆ | CYRILLIC SMALL LETTER EL WITH TAIL |
        | ♫Н, | Ӊ | CYRILLIC CAPITAL LETTER EN WITH TAIL |
        | ♫н, | ӊ | CYRILLIC SMALL LETTER EN WITH TAIL |
        | ♫М, | Ӎ | CYRILLIC CAPITAL LETTER EM WITH TAIL |
        | ♫м, | ӎ | CYRILLIC SMALL LETTER EM WITH TAIL |
        | T2(4)T1(3)Е | Ӛ | CYRILLIC CAPITAL LETTER SCHWA WITH DIAERESIS |
        | T2(4)T1(3)е | ӛ | CYRILLIC SMALL LETTER SCHWA WITH DIAERESIS |
        | T2(4)♫ЕЕ | Ӛ | CYRILLIC CAPITAL LETTER SCHWA WITH DIAERESIS |
        | T2(4)♫ее | ӛ | CYRILLIC SMALL LETTER SCHWA WITH DIAERESIS |
        | T2(4)T3(3)О | Ӫ | CYRILLIC CAPITAL LETTER BARRED O WITH DIAERESIS |
        | T2(4)T3(3)о | ӫ | CYRILLIC SMALL LETTER BARRED O WITH DIAERESIS |
        | T2(4)T1(1)І | Ӹ | CYRILLIC CAPITAL LETTER YERU WITH DIAERESIS |
        | T2(4)T1(1)і | ӹ | CYRILLIC SMALL LETTER YERU WITH DIAERESIS |
        | ♫-О | Ө | CYRILLIC CAPITAL LETTER BARRED O |
        | T3(3)о | ө | CYRILLIC SMALL LETTER BARRED O |
        | ♫-о | ө | CYRILLIC SMALL LETTER BARRED O |
        | T3(3)Г | Ғ | CYRILLIC CAPITAL LETTER GHE WITH STROKE |
        | ♫-Г | Ғ | CYRILLIC CAPITAL LETTER GHE WITH STROKE |
        | T3(3)г | ғ | CYRILLIC SMALL LETTER GHE WITH STROKE |
        | ♫-г | ғ | CYRILLIC SMALL LETTER GHE WITH STROKE |
        | T3(3)У | Ұ | CYRILLIC CAPITAL LETTER STRAIGHT U WITH STROKE |
        | ♫-У | Ұ | CYRILLIC CAPITAL LETTER STRAIGHT U WITH STROKE |
        | T3(3)у | ұ | CYRILLIC SMALL LETTER STRAIGHT U WITH STROKE |
        | ♫-у | ұ | CYRILLIC SMALL LETTER STRAIGHT U WITH STROKE |
        | T3(3)К | Ҟ | CYRILLIC CAPITAL LETTER KA WITH STROKE |
        | ♫-К | Ҟ | CYRILLIC CAPITAL LETTER KA WITH STROKE |
        | T3(3)к | ҟ | CYRILLIC SMALL LETTER KA WITH STROKE |
        | ♫-к | ҟ | CYRILLIC SMALL LETTER KA WITH STROKE |
        | T3(3)Х | Ӿ | CYRILLIC CAPITAL LETTER HA WITH STROKE |
        | ♫-Х | Ӿ | CYRILLIC CAPITAL LETTER HA WITH STROKE |
        | T3(3)х | ӿ | CYRILLIC SMALL LETTER HA WITH STROKE |
        | ♫-х | ӿ | CYRILLIC SMALL LETTER HA WITH STROKE |
        | T3(3)Ь | Ҍ | CYRILLIC CAPITAL LETTER SEMISOFT SIGN |
        | ♫-Ь | Ҍ | CYRILLIC CAPITAL LETTER SEMISOFT SIGN |
        | T3(3)ь | ҍ | CYRILLIC SMALL LETTER SEMISOFT SIGN |
        | ♫-ь | ҍ | CYRILLIC SMALL LETTER SEMISOFT SIGN |
        | T3(3)Ч | Ҹ | CYRILLIC CAPITAL LETTER CHE WITH VERTICAL STROKE |
        | ♫|Ч | Ҹ | CYRILLIC CAPITAL LETTER CHE WITH VERTICAL STROKE |
        | T3(3)ч | ҹ | CYRILLIC SMALL LETTER CHE WITH VERTICAL STROKE |
        | ♫|ч | ҹ | CYRILLIC SMALL LETTER CHE WITH VERTICAL STROKE |
        | T3(3)Р | Ҏ | CYRILLIC CAPITAL LETTER ER WITH TICK |
        | T3(3)р | ҏ | CYRILLIC SMALL LETTER ER WITH TICK |
        | ♫|К | Ҝ | CYRILLIC CAPITAL LETTER KA WITH VERTICAL STROKE |
        | ♫|к | ҝ | CYRILLIC SMALL LETTER KA WITH VERTICAL STROKE |
        | T3(6)T2(2)И | Ҋ | CYRILLIC CAPITAL LETTER SHORT I WITH TAIL |
        | T3(6)T2(2)и | ҋ | CYRILLIC SMALL LETTER SHORT I WITH TAIL |
        | T2(6)Ь | Ъ | CYRILLIC CAPITAL LETTER HARD SIGN |
        | T2(6)ь | ъ | CYRILLIC SMALL LETTER HARD SIGN |
        | T2(6)К | Ҡ | CYRILLIC CAPITAL LETTER BASHKIR KA |
        | T2(6)к | ҡ | CYRILLIC SMALL LETTER BASHKIR KA |
        | T1(5)Ћ | Ђ | CYRILLIC CAPITAL LETTER DJE |
        | T1(5)ћ | ђ | CYRILLIC SMALL LETTER DJE |
        | T1(5)К | Ӄ | CYRILLIC CAPITAL LETTER KA WITH HOOK |
        | T1(5)к | ӄ | CYRILLIC SMALL LETTER KA WITH HOOK |
        | T1(5)Н | Ӈ | CYRILLIC CAPITAL LETTER EN WITH HOOK |
        | T1(5)н | ӈ | CYRILLIC SMALL LETTER EN WITH HOOK |
        | T1(5)Х | Ӽ | CYRILLIC CAPITAL LETTER HA WITH HOOK |
        | T1(5)х | ӽ | CYRILLIC SMALL LETTER HA WITH HOOK |
        | T1(5)Л | Ԓ | CYRILLIC CAPITAL LETTER EL WITH HOOK |
        | T1(5)л | ԓ | CYRILLIC SMALL LETTER EL WITH HOOK |
        | T1(5)T3(3)Г | Ӻ | CYRILLIC CAPITAL LETTER GHE WITH STROKE AND HOOK |
        | T1(5)T3(3)г | ӻ | CYRILLIC SMALL LETTER GHE WITH STROKE AND HOOK |
        | T1(5)Т | Ꚍ | CYRILLIC CAPITAL LETTER TWE |
        | T1(5)т | ꚍ | CYRILLIC SMALL LETTER TWE |
        | T1(5)T1(3)Ч | Ꚕ | CYRILLIC CAPITAL LETTER HWE |
        | T1(5)T1(3)ч | ꚕ | CYRILLIC SMALL LETTER HWE |
        | ♫АЕ | Ӕ | CYRILLIC CAPITAL LIGATURE A IE |
        | ♫ае | ӕ | CYRILLIC SMALL LIGATURE A IE |
        | ♫ІО | Ю | CYRILLIC CAPITAL LETTER YU |
        | ♫іо | ю | CYRILLIC SMALL LETTER YU |
        | ♫ЛХ | Ԕ | CYRILLIC CAPITAL LETTER LHA |
        | ♫лх | ԕ | CYRILLIC SMALL LETTER LHA |
        | ♫РХ | Ԗ | CYRILLIC CAPITAL LETTER RHA |
        | ♫рх | ԗ | CYRILLIC SMALL LETTER RHA |
        | ♫T1(1)АЕ | Ԙ | CYRILLIC CAPITAL LETTER YAE |
        | ♫T1(1)ае | ԙ | CYRILLIC SMALL LETTER YAE |
        | ♫ТЦ | Ҵ | CYRILLIC CAPITAL LIGATURE TE TSE |
        | ♫тц | ҵ | CYRILLIC SMALL LIGATURE TE TSE |
        | ♫НГ | Ҥ | CYRILLIC CAPITAL LIGATURE EN GHE |
        | ♫нг | ҥ | CYRILLIC SMALL LIGATURE EN GHE |
        | T1(6)Ц | Џ | CYRILLIC CAPITAL LETTER DZHE |
        | T1(6)ц | џ | CYRILLIC SMALL LETTER DZHE |
        | ♫ГГ | Ґ | CYRILLIC CAPITAL LETTER GHE WITH UPTURN |
        | ♫гг | ґ | CYRILLIC SMALL LETTER GHE WITH UPTURN |
        | ♫ЗЗ | Ӡ | CYRILLIC CAPITAL LETTER ABKHASIAN DZE |
        | ♫зз | ӡ | CYRILLIC SMALL LETTER ABKHASIAN DZE |
        | ♫ЖЖ | Ԛ | CYRILLIC CAPITAL LETTER QA |
        | ♫жж | ԛ | CYRILLIC SMALL LETTER QA |
        | ♫ШШ | Ԝ | CYRILLIC CAPITAL LETTER WE |
        | ♫шш | ԝ | CYRILLIC SMALL LETTER WE |
        | ♫ІІ | Ӏ | CYRILLIC LETTER PALOCHKA |
        | ♫іі | ӏ | CYRILLIC SMALL LETTER PALOCHKA |
        | ♫УУ | Ү | CYRILLIC CAPITAL LETTER STRAIGHT U |
        | ♫уу | ү | CYRILLIC SMALL LETTER STRAIGHT U |
        | ♫ЕЕ | Ә | CYRILLIC CAPITAL LETTER SCHWA |
        | ♫ее | ә | CYRILLIC SMALL LETTER SCHWA |
        | ♫ЧЧ | Ҽ | CYRILLIC CAPITAL LETTER ABKHASIAN CHE |
        | ♫чч | ҽ | CYRILLIC SMALL LETTER ABKHASIAN CHE |
        | T2(2)♫ЧЧ | Ҿ | CYRILLIC CAPITAL LETTER ABKHASIAN CHE WITH DESCENDER |
        | T2(2)♫чч | ҿ | CYRILLIC SMALL LETTER ABKHASIAN CHE WITH DESCENDER |
        | ♫ОО | Ҩ | CYRILLIC CAPITAL LETTER ABKHASIAN HA |
        | ♫оо | ҩ | CYRILLIC SMALL LETTER ABKHASIAN HA |
        | ♫о␣ | ◌ | DOTTED CIRCLE |
        | ♫о∫ | ∮ | CONTOUR INTEGRAL |
        | ♫о2∫ | ∯ | SURFACE INTEGRAL |
        | ♫оKP_2∫ | ∯ | SURFACE INTEGRAL |
        | ♫о3∫ | ∰ | VOLUME U222E |
        | ♫оKP_3∫ | ∰ | VOLUME U222E |
        | ♫о+ | ⊕ | CIRCLED PLUS |
        | ♫оKP_Add | ⊕ | CIRCLED PLUS |
        | ♫о- | ⊖ | CIRCLED MINUS |
        | ♫оKP_Subtract | ⊖ | CIRCLED MINUS |
        | ♫о× | ⊗ | CIRCLED TIMES |
        | ♫о/ | ⊘ | CIRCLED DIVISION SLASH |
        | ♫оKP_Divide | ⊘ | CIRCLED DIVISION SLASH |
        | ♫о. | ⊙ | CIRCLED DOT OPERATOR |
        | ♫о∘ | ⊚ | CIRCLED RING OPERATOR |
        | ♫о° | ⊚ | CIRCLED RING OPERATOR |
        | ♫о* | ⊛ | CIRCLED ASTERISK OPERATOR |
        | ♫о= | ⊜ | CIRCLED EQUALS |
        | ♫оKP_Equal | ⊜ | CIRCLED EQUALS |

* **greek.module** – Dieses Modul enthält Sequenzen für die griechische Sprache.

    ??? info "Tabelle der Sequenzen"
        | Eingabe | Ausgabe | Kommentar |
        | --- | --- | --- |
        | ♫GA | Α | GREEK CAPITAL LETTER ALPHA |
        | ♫gA | Α | GREEK CAPITAL LETTER ALPHA |
        | ♫GB | Β | GREEK CAPITAL LETTER BETA |
        | ♫gB | Β | GREEK CAPITAL LETTER BETA |
        | ♫GE | Ε | GREEK CAPITAL LETTER EPSILON |
        | ♫gE | Ε | GREEK CAPITAL LETTER EPSILON |
        | ♫GZ | Ζ | GREEK CAPITAL LETTER ZETA |
        | ♫gZ | Ζ | GREEK CAPITAL LETTER ZETA |
        | ♫GH | Η | GREEK CAPITAL LETTER ETA |
        | ♫gH | Η | GREEK CAPITAL LETTER ETA |
        | ♫GÄ | Η | GREEK CAPITAL LETTER ETA |
        | ♫gÄ | Η | GREEK CAPITAL LETTER ETA |
        | ♫GI | Ι | GREEK CAPITAL LETTER IOTA |
        | ♫gI | Ι | GREEK CAPITAL LETTER IOTA |
        | ♫GK | Κ | GREEK CAPITAL LETTER KAPPA |
        | ♫gK | Κ | GREEK CAPITAL LETTER KAPPA |
        | ♫GM | Μ | GREEK CAPITAL LETTER MU |
        | ♫gM | Μ | GREEK CAPITAL LETTER MU |
        | ♫GN | Ν | GREEK CAPITAL LETTER NU |
        | ♫gN | Ν | GREEK CAPITAL LETTER NU |
        | ♫GO | Ο | GREEK CAPITAL LETTER OMICRON |
        | ♫gO | Ο | GREEK CAPITAL LETTER OMICRON |
        | ♫GP | Ρ | GREEK CAPITAL LETTER RHO |
        | ♫gP | Ρ | GREEK CAPITAL LETTER RHO |
        | ♫GR | Ρ | GREEK CAPITAL LETTER RHO |
        | ♫gR | Ρ | GREEK CAPITAL LETTER RHO |
        | ♫GT | Τ | GREEK CAPITAL LETTER TAU |
        | ♫gT | Τ | GREEK CAPITAL LETTER TAU |
        | ♫GY | Υ | GREEK CAPITAL LETTER UPSILON |
        | ♫gY | Υ | GREEK CAPITAL LETTER UPSILON |
        | ♫GX | Χ | GREEK CAPITAL LETTER CHI |
        | ♫gX | Χ | GREEK CAPITAL LETTER CHI |
        | T1(5)♫GY | ϒ | GREEK UPSILON WITH HOOK SYMBOL |
        | T1(5)♫gY | ϒ | GREEK UPSILON WITH HOOK SYMBOL |
        | T3(5)α | ἀ | GREEK SMALL LETTER ALPHA WITH PSILI |
        | T2(5)α | ἁ | GREEK SMALL LETTER ALPHA WITH DASIA |
        | T3(5)T2(1)α | ἂ | GREEK SMALL LETTER ALPHA WITH PSILI AND VARIA |
        | T2(1)T3(5)α | ἂ | GREEK SMALL LETTER ALPHA WITH PSILI AND VARIA |
        | T2(5)T2(1)α | ἃ | GREEK SMALL LETTER ALPHA WITH DASIA AND VARIA |
        | T2(1)T2(5)α | ἃ | GREEK SMALL LETTER ALPHA WITH DASIA AND VARIA |
        | T3(5)T3(1)α | ἄ | GREEK SMALL LETTER ALPHA WITH PSILI AND OXIA |
        | T3(1)T3(5)α | ἄ | GREEK SMALL LETTER ALPHA WITH PSILI AND OXIA |
        | T2(5)T3(1)α | ἅ | GREEK SMALL LETTER ALPHA WITH DASIA AND OXIA |
        | T3(1)T2(5)α | ἅ | GREEK SMALL LETTER ALPHA WITH DASIA AND OXIA |
        | T3(5)T3(2)α | ἆ | GREEK SMALL LETTER ALPHA WITH PSILI AND PERISPOMENI |
        | T3(2)T3(5)α | ἆ | GREEK SMALL LETTER ALPHA WITH PSILI AND PERISPOMENI |
        | T2(5)T3(2)α | ἇ | GREEK SMALL LETTER ALPHA WITH DASIA AND PERISPOMENI |
        | T3(2)T2(5)α | ἇ | GREEK SMALL LETTER ALPHA WITH DASIA AND PERISPOMENI |
        | T3(5)ε | ἐ | GREEK SMALL LETTER EPSILON WITH PSILI |
        | T2(5)ε | ἑ | GREEK SMALL LETTER EPSILON WITH DASIA |
        | T3(5)T2(1)ε | ἒ | GREEK SMALL LETTER EPSILON WITH PSILI AND VARIA |
        | T2(1)T3(5)ε | ἒ | GREEK SMALL LETTER EPSILON WITH PSILI AND VARIA |
        | T2(5)T2(1)ε | ἓ | GREEK SMALL LETTER EPSILON WITH DASIA AND VARIA |
        | T2(1)T2(5)ε | ἓ | GREEK SMALL LETTER EPSILON WITH DASIA AND VARIA |
        | T3(5)T3(1)ε | ἔ | GREEK SMALL LETTER EPSILON WITH PSILI AND OXIA |
        | T3(1)T3(5)ε | ἔ | GREEK SMALL LETTER EPSILON WITH PSILI AND OXIA |
        | T2(5)T3(1)ε | ἕ | GREEK SMALL LETTER EPSILON WITH DASIA AND OXIA |
        | T3(1)T2(5)ε | ἕ | GREEK SMALL LETTER EPSILON WITH DASIA AND OXIA |
        | T3(5)η | ἠ | GREEK SMALL LETTER ETA WITH PSILI |
        | T2(5)η | ἡ | GREEK SMALL LETTER ETA WITH DASIA |
        | T3(5)T2(1)η | ἢ | GREEK SMALL LETTER ETA WITH PSILI AND VARIA |
        | T2(1)T3(5)η | ἢ | GREEK SMALL LETTER ETA WITH PSILI AND VARIA |
        | T2(5)T2(1)η | ἣ | GREEK SMALL LETTER ETA WITH DASIA AND VARIA |
        | T2(1)T2(5)η | ἣ | GREEK SMALL LETTER ETA WITH DASIA AND VARIA |
        | T3(5)T3(1)η | ἤ | GREEK SMALL LETTER ETA WITH PSILI AND OXIA |
        | T3(1)T3(5)η | ἤ | GREEK SMALL LETTER ETA WITH PSILI AND OXIA |
        | T2(5)T3(1)η | ἥ | GREEK SMALL LETTER ETA WITH DASIA AND OXIA |
        | T3(1)T2(5)η | ἥ | GREEK SMALL LETTER ETA WITH DASIA AND OXIA |
        | T3(5)T3(2)η | ἦ | GREEK SMALL LETTER ETA WITH PSILI AND PERISPOMENI |
        | T3(2)T3(5)η | ἦ | GREEK SMALL LETTER ETA WITH PSILI AND PERISPOMENI |
        | T2(5)T3(2)η | ἧ | GREEK SMALL LETTER ETA WITH DASIA AND PERISPOMENI |
        | T3(2)T2(5)η | ἧ | GREEK SMALL LETTER ETA WITH DASIA AND PERISPOMENI |
        | T3(5)ι | ἰ | GREEK SMALL LETTER IOTA WITH PSILI |
        | T2(5)ι | ἱ | GREEK SMALL LETTER IOTA WITH DASIA |
        | T3(5)T2(1)ι | ἲ | GREEK SMALL LETTER IOTA WITH PSILI AND VARIA |
        | T2(1)T3(5)ι | ἲ | GREEK SMALL LETTER IOTA WITH PSILI AND VARIA |
        | T2(5)T2(1)ι | ἳ | GREEK SMALL LETTER IOTA WITH DASIA AND VARIA |
        | T2(1)T2(5)ι | ἳ | GREEK SMALL LETTER IOTA WITH DASIA AND VARIA |
        | T3(5)T3(1)ι | ἴ | GREEK SMALL LETTER IOTA WITH PSILI AND OXIA |
        | T3(1)T3(5)ι | ἴ | GREEK SMALL LETTER IOTA WITH PSILI AND OXIA |
        | T2(5)T3(1)ι | ἵ | GREEK SMALL LETTER IOTA WITH DASIA AND OXIA |
        | T3(1)T2(5)ι | ἵ | GREEK SMALL LETTER IOTA WITH DASIA AND OXIA |
        | T3(5)T3(2)ι | ἶ | GREEK SMALL LETTER IOTA WITH PSILI AND PERISPOMENI |
        | T3(2)T3(5)ι | ἶ | GREEK SMALL LETTER IOTA WITH PSILI AND PERISPOMENI |
        | T2(5)T3(2)ι | ἷ | GREEK SMALL LETTER IOTA WITH DASIA AND PERISPOMENI |
        | T3(2)T2(5)ι | ἷ | GREEK SMALL LETTER IOTA WITH DASIA AND PERISPOMENI |
        | T3(5)ο | ὀ | GREEK SMALL LETTER OMICRON WITH PSILI |
        | T2(5)ο | ὁ | GREEK SMALL LETTER OMICRON WITH DASIA |
        | T3(5)T2(1)ο | ὂ | GREEK SMALL LETTER OMICRON WITH PSILI AND VARIA |
        | T2(1)T3(5)ο | ὂ | GREEK SMALL LETTER OMICRON WITH PSILI AND VARIA |
        | T2(5)T2(1)ο | ὃ | GREEK SMALL LETTER OMICRON WITH DASIA AND VARIA |
        | T2(1)T2(5)ο | ὃ | GREEK SMALL LETTER OMICRON WITH DASIA AND VARIA |
        | T3(5)T3(1)ο | ὄ | GREEK SMALL LETTER OMICRON WITH PSILI AND OXIA |
        | T3(1)T3(5)ο | ὄ | GREEK SMALL LETTER OMICRON WITH PSILI AND OXIA |
        | T2(5)T3(1)ο | ὅ | GREEK SMALL LETTER OMICRON WITH DASIA AND OXIA |
        | T3(1)T2(5)ο | ὅ | GREEK SMALL LETTER OMICRON WITH DASIA AND OXIA |
        | T3(5)υ | ὐ | GREEK SMALL LETTER UPSILON WITH PSILI |
        | T2(5)υ | ὑ | GREEK SMALL LETTER UPSILON WITH DASIA |
        | T3(5)T2(1)υ | ὒ | GREEK SMALL LETTER UPSILON WITH PSILI AND VARIA |
        | T2(1)T3(5)υ | ὒ | GREEK SMALL LETTER UPSILON WITH PSILI AND VARIA |
        | T2(5)T2(1)υ | ὓ | GREEK SMALL LETTER UPSILON WITH DASIA AND VARIA |
        | T2(1)T2(5)υ | ὓ | GREEK SMALL LETTER UPSILON WITH DASIA AND VARIA |
        | T3(5)T3(1)υ | ὔ | GREEK SMALL LETTER UPSILON WITH PSILI AND OXIA |
        | T3(1)T3(5)υ | ὔ | GREEK SMALL LETTER UPSILON WITH PSILI AND OXIA |
        | T2(5)T3(1)υ | ὕ | GREEK SMALL LETTER UPSILON WITH DASIA AND OXIA |
        | T3(1)T2(5)υ | ὕ | GREEK SMALL LETTER UPSILON WITH DASIA AND OXIA |
        | T3(5)T3(2)υ | ὖ | GREEK SMALL LETTER UPSILON WITH PSILI AND PERISPOMENI |
        | T3(2)T3(5)υ | ὖ | GREEK SMALL LETTER UPSILON WITH PSILI AND PERISPOMENI |
        | T2(5)T3(2)υ | ὗ | GREEK SMALL LETTER UPSILON WITH DASIA AND PERISPOMENI |
        | T3(2)T2(5)υ | ὗ | GREEK SMALL LETTER UPSILON WITH DASIA AND PERISPOMENI |
        | T3(5)ω | ὠ | GREEK SMALL LETTER OMEGA WITH PSILI |
        | T2(5)ω | ὡ | GREEK SMALL LETTER OMEGA WITH DASIA |
        | T3(5)T2(1)ω | ὢ | GREEK SMALL LETTER OMEGA WITH PSILI AND VARIA |
        | T2(1)T3(5)ω | ὢ | GREEK SMALL LETTER OMEGA WITH PSILI AND VARIA |
        | T2(5)T2(1)ω | ὣ | GREEK SMALL LETTER OMEGA WITH DASIA AND VARIA |
        | T2(1)T2(5)ω | ὣ | GREEK SMALL LETTER OMEGA WITH DASIA AND VARIA |
        | T3(5)T3(1)ω | ὤ | GREEK SMALL LETTER OMEGA WITH PSILI AND OXIA |
        | T3(1)T3(5)ω | ὤ | GREEK SMALL LETTER OMEGA WITH PSILI AND OXIA |
        | T2(5)T3(1)ω | ὥ | GREEK SMALL LETTER OMEGA WITH DASIA AND OXIA |
        | T3(1)T2(5)ω | ὥ | GREEK SMALL LETTER OMEGA WITH DASIA AND OXIA |
        | T3(5)T3(2)ω | ὦ | GREEK SMALL LETTER OMEGA WITH PSILI AND PERISPOMENI |
        | T3(2)T3(5)ω | ὦ | GREEK SMALL LETTER OMEGA WITH PSILI AND PERISPOMENI |
        | T2(5)T3(2)ω | ὧ | GREEK SMALL LETTER OMEGA WITH DASIA AND PERISPOMENI |
        | T3(2)T2(5)ω | ὧ | GREEK SMALL LETTER OMEGA WITH DASIA AND PERISPOMENI |
        | T2(1)α | ὰ | GREEK SMALL LETTER ALPHA WITH VARIA |
        | T2(1)ε | ὲ | GREEK SMALL LETTER EPSILON WITH VARIA |
        | T2(1)η | ὴ | GREEK SMALL LETTER ETA WITH VARIA |
        | T2(1)ι | ὶ | GREEK SMALL LETTER IOTA WITH VARIA |
        | T2(1)ο | ὸ | GREEK SMALL LETTER OMICRON WITH VARIA |
        | T2(1)υ | ὺ | GREEK SMALL LETTER UPSILON WITH VARIA |
        | T2(1)ω | ὼ | GREEK SMALL LETTER OMEGA WITH VARIA |
        | T3(5)T2(2)α | ᾀ | GREEK SMALL LETTER ALPHA WITH PSILI AND YPOGEGRAMMENI |
        | T2(2)T3(5)α | ᾀ | GREEK SMALL LETTER ALPHA WITH PSILI AND YPOGEGRAMMENI |
        | T2(5)T2(2)α | ᾁ | GREEK SMALL LETTER ALPHA WITH DASIA AND YPOGEGRAMMENI |
        | T2(2)T2(5)α | ᾁ | GREEK SMALL LETTER ALPHA WITH DASIA AND YPOGEGRAMMENI |
        | T3(5)T2(1)T2(2)α | ᾂ | GREEK SMALL LETTER ALPHA WITH PSILI AND VARIA AND YPOGEGRAMMENI |
        | T3(5)T2(2)T2(1)α | ᾂ | GREEK SMALL LETTER ALPHA WITH PSILI AND VARIA AND YPOGEGRAMMENI |
        | T2(1)T3(5)T2(2)α | ᾂ | GREEK SMALL LETTER ALPHA WITH PSILI AND VARIA AND YPOGEGRAMMENI |
        | T2(1)T2(2)T3(5)α | ᾂ | GREEK SMALL LETTER ALPHA WITH PSILI AND VARIA AND YPOGEGRAMMENI |
        | T2(2)T3(5)T2(1)α | ᾂ | GREEK SMALL LETTER ALPHA WITH PSILI AND VARIA AND YPOGEGRAMMENI |
        | T2(2)T2(1)T3(5)α | ᾂ | GREEK SMALL LETTER ALPHA WITH PSILI AND VARIA AND YPOGEGRAMMENI |
        | T2(5)T2(1)T2(2)α | ᾃ | GREEK SMALL LETTER ALPHA WITH DASIA AND VARIA AND YPOGEGRAMMENI |
        | T2(5)T2(2)T2(1)α | ᾃ | GREEK SMALL LETTER ALPHA WITH DASIA AND VARIA AND YPOGEGRAMMENI |
        | T2(1)T2(5)T2(2)α | ᾃ | GREEK SMALL LETTER ALPHA WITH DASIA AND VARIA AND YPOGEGRAMMENI |
        | T2(1)T2(2)T2(5)α | ᾃ | GREEK SMALL LETTER ALPHA WITH DASIA AND VARIA AND YPOGEGRAMMENI |
        | T2(2)T2(5)T2(1)α | ᾃ | GREEK SMALL LETTER ALPHA WITH DASIA AND VARIA AND YPOGEGRAMMENI |
        | T2(2)T2(1)T2(5)α | ᾃ | GREEK SMALL LETTER ALPHA WITH DASIA AND VARIA AND YPOGEGRAMMENI |
        | T3(5)T3(1)T2(2)α | ᾄ | GREEK SMALL LETTER ALPHA WITH PSILI AND OXIA AND YPOGEGRAMMENI |
        | T3(5)T2(2)T3(1)α | ᾄ | GREEK SMALL LETTER ALPHA WITH PSILI AND OXIA AND YPOGEGRAMMENI |
        | T3(1)T3(5)T2(2)α | ᾄ | GREEK SMALL LETTER ALPHA WITH PSILI AND OXIA AND YPOGEGRAMMENI |
        | T3(1)T2(2)T3(5)α | ᾄ | GREEK SMALL LETTER ALPHA WITH PSILI AND OXIA AND YPOGEGRAMMENI |
        | T2(2)T3(5)T3(1)α | ᾄ | GREEK SMALL LETTER ALPHA WITH PSILI AND OXIA AND YPOGEGRAMMENI |
        | T2(2)T3(1)T3(5)α | ᾄ | GREEK SMALL LETTER ALPHA WITH PSILI AND OXIA AND YPOGEGRAMMENI |
        | T2(5)T3(1)T2(2)α | ᾅ | GREEK SMALL LETTER ALPHA WITH DASIA AND OXIA AND YPOGEGRAMMENI |
        | T2(5)T2(2)T3(1)α | ᾅ | GREEK SMALL LETTER ALPHA WITH DASIA AND OXIA AND YPOGEGRAMMENI |
        | T3(1)T2(5)T2(2)α | ᾅ | GREEK SMALL LETTER ALPHA WITH DASIA AND OXIA AND YPOGEGRAMMENI |
        | T3(1)T2(2)T2(5)α | ᾅ | GREEK SMALL LETTER ALPHA WITH DASIA AND OXIA AND YPOGEGRAMMENI |
        | T2(2)T2(5)T3(1)α | ᾅ | GREEK SMALL LETTER ALPHA WITH DASIA AND OXIA AND YPOGEGRAMMENI |
        | T2(2)T3(1)T2(5)α | ᾅ | GREEK SMALL LETTER ALPHA WITH DASIA AND OXIA AND YPOGEGRAMMENI |
        | T3(5)T3(2)T2(2)α | ᾆ | GREEK SMALL LETTER ALPHA WITH PSILI AND PERISPOMENI AND YPOGEGRAMMENI |
        | T3(5)T2(2)T3(2)α | ᾆ | GREEK SMALL LETTER ALPHA WITH PSILI AND PERISPOMENI AND YPOGEGRAMMENI |
        | T3(2)T3(5)T2(2)α | ᾆ | GREEK SMALL LETTER ALPHA WITH PSILI AND PERISPOMENI AND YPOGEGRAMMENI |
        | T3(2)T2(2)T3(5)α | ᾆ | GREEK SMALL LETTER ALPHA WITH PSILI AND PERISPOMENI AND YPOGEGRAMMENI |
        | T2(2)T3(5)T3(2)α | ᾆ | GREEK SMALL LETTER ALPHA WITH PSILI AND PERISPOMENI AND YPOGEGRAMMENI |
        | T2(2)T3(2)T3(5)α | ᾆ | GREEK SMALL LETTER ALPHA WITH PSILI AND PERISPOMENI AND YPOGEGRAMMENI |
        | T2(5)T3(2)T2(2)α | ᾇ | GREEK SMALL LETTER ALPHA WITH DASIA AND PERISPOMENI AND YPOGEGRAMMENI |
        | T2(5)T2(2)T3(2)α | ᾇ | GREEK SMALL LETTER ALPHA WITH DASIA AND PERISPOMENI AND YPOGEGRAMMENI |
        | T3(2)T2(5)T2(2)α | ᾇ | GREEK SMALL LETTER ALPHA WITH DASIA AND PERISPOMENI AND YPOGEGRAMMENI |
        | T3(2)T2(2)T2(5)α | ᾇ | GREEK SMALL LETTER ALPHA WITH DASIA AND PERISPOMENI AND YPOGEGRAMMENI |
        | T2(2)T2(5)T3(2)α | ᾇ | GREEK SMALL LETTER ALPHA WITH DASIA AND PERISPOMENI AND YPOGEGRAMMENI |
        | T2(2)T3(2)T2(5)α | ᾇ | GREEK SMALL LETTER ALPHA WITH DASIA AND PERISPOMENI AND YPOGEGRAMMENI |
        | T3(5)T2(2)η | ᾐ | GREEK SMALL LETTER ETA WITH PSILI AND YPOGEGRAMMENI |
        | T2(2)T3(5)η | ᾐ | GREEK SMALL LETTER ETA WITH PSILI AND YPOGEGRAMMENI |
        | T2(5)T2(2)η | ᾑ | GREEK SMALL LETTER ETA WITH DASIA AND YPOGEGRAMMENI |
        | T2(2)T2(5)η | ᾑ | GREEK SMALL LETTER ETA WITH DASIA AND YPOGEGRAMMENI |
        | T3(5)T2(1)T2(2)η | ᾒ | GREEK SMALL LETTER ETA WITH PSILI AND VARIA AND YPOGEGRAMMENI |
        | T3(5)T2(2)T2(1)η | ᾒ | GREEK SMALL LETTER ETA WITH PSILI AND VARIA AND YPOGEGRAMMENI |
        | T2(1)T3(5)T2(2)η | ᾒ | GREEK SMALL LETTER ETA WITH PSILI AND VARIA AND YPOGEGRAMMENI |
        | T2(1)T2(2)T3(5)η | ᾒ | GREEK SMALL LETTER ETA WITH PSILI AND VARIA AND YPOGEGRAMMENI |
        | T2(2)T3(5)T2(1)η | ᾒ | GREEK SMALL LETTER ETA WITH PSILI AND VARIA AND YPOGEGRAMMENI |
        | T2(2)T2(1)T3(5)η | ᾒ | GREEK SMALL LETTER ETA WITH PSILI AND VARIA AND YPOGEGRAMMENI |
        | T2(5)T2(1)T2(2)η | ᾓ | GREEK SMALL LETTER ETA WITH DASIA AND VARIA AND YPOGEGRAMMENI |
        | T2(5)T2(2)T2(1)η | ᾓ | GREEK SMALL LETTER ETA WITH DASIA AND VARIA AND YPOGEGRAMMENI |
        | T2(1)T2(5)T2(2)η | ᾓ | GREEK SMALL LETTER ETA WITH DASIA AND VARIA AND YPOGEGRAMMENI |
        | T2(1)T2(2)T2(5)η | ᾓ | GREEK SMALL LETTER ETA WITH DASIA AND VARIA AND YPOGEGRAMMENI |
        | T2(2)T2(5)T2(1)η | ᾓ | GREEK SMALL LETTER ETA WITH DASIA AND VARIA AND YPOGEGRAMMENI |
        | T2(2)T2(1)T2(5)η | ᾓ | GREEK SMALL LETTER ETA WITH DASIA AND VARIA AND YPOGEGRAMMENI |
        | T3(5)T3(1)T2(2)η | ᾔ | GREEK SMALL LETTER ETA WITH PSILI AND OXIA AND YPOGEGRAMMENI |
        | T3(5)T2(2)T3(1)η | ᾔ | GREEK SMALL LETTER ETA WITH PSILI AND OXIA AND YPOGEGRAMMENI |
        | T3(1)T3(5)T2(2)η | ᾔ | GREEK SMALL LETTER ETA WITH PSILI AND OXIA AND YPOGEGRAMMENI |
        | T3(1)T2(2)T3(5)η | ᾔ | GREEK SMALL LETTER ETA WITH PSILI AND OXIA AND YPOGEGRAMMENI |
        | T2(2)T3(5)T3(1)η | ᾔ | GREEK SMALL LETTER ETA WITH PSILI AND OXIA AND YPOGEGRAMMENI |
        | T2(2)T3(1)T3(5)η | ᾔ | GREEK SMALL LETTER ETA WITH PSILI AND OXIA AND YPOGEGRAMMENI |
        | T2(5)T3(1)T2(2)η | ᾕ | GREEK SMALL LETTER ETA WITH DASIA AND OXIA AND YPOGEGRAMMENI |
        | T2(5)T2(2)T3(1)η | ᾕ | GREEK SMALL LETTER ETA WITH DASIA AND OXIA AND YPOGEGRAMMENI |
        | T3(1)T2(5)T2(2)η | ᾕ | GREEK SMALL LETTER ETA WITH DASIA AND OXIA AND YPOGEGRAMMENI |
        | T3(1)T2(2)T2(5)η | ᾕ | GREEK SMALL LETTER ETA WITH DASIA AND OXIA AND YPOGEGRAMMENI |
        | T2(2)T2(5)T3(1)η | ᾕ | GREEK SMALL LETTER ETA WITH DASIA AND OXIA AND YPOGEGRAMMENI |
        | T2(2)T3(1)T2(5)η | ᾕ | GREEK SMALL LETTER ETA WITH DASIA AND OXIA AND YPOGEGRAMMENI |
        | T3(5)T3(2)T2(2)η | ᾖ | GREEK SMALL LETTER ETA WITH PSILI AND PERISPOMENI AND YPOGEGRAMMENI |
        | T3(5)T2(2)T3(2)η | ᾖ | GREEK SMALL LETTER ETA WITH PSILI AND PERISPOMENI AND YPOGEGRAMMENI |
        | T3(2)T3(5)T2(2)η | ᾖ | GREEK SMALL LETTER ETA WITH PSILI AND PERISPOMENI AND YPOGEGRAMMENI |
        | T3(2)T2(2)T3(5)η | ᾖ | GREEK SMALL LETTER ETA WITH PSILI AND PERISPOMENI AND YPOGEGRAMMENI |
        | T2(2)T3(5)T3(2)η | ᾖ | GREEK SMALL LETTER ETA WITH PSILI AND PERISPOMENI AND YPOGEGRAMMENI |
        | T2(2)T3(2)T3(5)η | ᾖ | GREEK SMALL LETTER ETA WITH PSILI AND PERISPOMENI AND YPOGEGRAMMENI |
        | T2(5)T3(2)T2(2)η | ᾗ | GREEK SMALL LETTER ETA WITH DASIA AND PERISPOMENI AND YPOGEGRAMMENI |
        | T2(5)T2(2)T3(2)η | ᾗ | GREEK SMALL LETTER ETA WITH DASIA AND PERISPOMENI AND YPOGEGRAMMENI |
        | T3(2)T2(5)T2(2)η | ᾗ | GREEK SMALL LETTER ETA WITH DASIA AND PERISPOMENI AND YPOGEGRAMMENI |
        | T3(2)T2(2)T2(5)η | ᾗ | GREEK SMALL LETTER ETA WITH DASIA AND PERISPOMENI AND YPOGEGRAMMENI |
        | T2(2)T2(5)T3(2)η | ᾗ | GREEK SMALL LETTER ETA WITH DASIA AND PERISPOMENI AND YPOGEGRAMMENI |
        | T2(2)T3(2)T2(5)η | ᾗ | GREEK SMALL LETTER ETA WITH DASIA AND PERISPOMENI AND YPOGEGRAMMENI |
        | T3(5)T2(2)ω | ᾠ | GREEK SMALL LETTER OMEGA WITH PSILI AND YPOGEGRAMMENI |
        | T2(2)T3(5)ω | ᾠ | GREEK SMALL LETTER OMEGA WITH PSILI AND YPOGEGRAMMENI |
        | T2(5)T2(2)ω | ᾡ | GREEK SMALL LETTER OMEGA WITH DASIA AND YPOGEGRAMMENI |
        | T2(2)T2(5)ω | ᾡ | GREEK SMALL LETTER OMEGA WITH DASIA AND YPOGEGRAMMENI |
        | T3(5)T2(1)T2(2)ω | ᾢ | GREEK SMALL LETTER OMEGA WITH PSILI AND VARIA AND YPOGEGRAMMENI |
        | T3(5)T2(2)T2(1)ω | ᾢ | GREEK SMALL LETTER OMEGA WITH PSILI AND VARIA AND YPOGEGRAMMENI |
        | T2(1)T3(5)T2(2)ω | ᾢ | GREEK SMALL LETTER OMEGA WITH PSILI AND VARIA AND YPOGEGRAMMENI |
        | T2(1)T2(2)T3(5)ω | ᾢ | GREEK SMALL LETTER OMEGA WITH PSILI AND VARIA AND YPOGEGRAMMENI |
        | T2(2)T3(5)T2(1)ω | ᾢ | GREEK SMALL LETTER OMEGA WITH PSILI AND VARIA AND YPOGEGRAMMENI |
        | T2(2)T2(1)T3(5)ω | ᾢ | GREEK SMALL LETTER OMEGA WITH PSILI AND VARIA AND YPOGEGRAMMENI |
        | T2(5)T2(1)T2(2)ω | ᾣ | GREEK SMALL LETTER OMEGA WITH DASIA AND VARIA AND YPOGEGRAMMENI |
        | T2(5)T2(2)T2(1)ω | ᾣ | GREEK SMALL LETTER OMEGA WITH DASIA AND VARIA AND YPOGEGRAMMENI |
        | T2(1)T2(5)T2(2)ω | ᾣ | GREEK SMALL LETTER OMEGA WITH DASIA AND VARIA AND YPOGEGRAMMENI |
        | T2(1)T2(2)T2(5)ω | ᾣ | GREEK SMALL LETTER OMEGA WITH DASIA AND VARIA AND YPOGEGRAMMENI |
        | T2(2)T2(5)T2(1)ω | ᾣ | GREEK SMALL LETTER OMEGA WITH DASIA AND VARIA AND YPOGEGRAMMENI |
        | T2(2)T2(1)T2(5)ω | ᾣ | GREEK SMALL LETTER OMEGA WITH DASIA AND VARIA AND YPOGEGRAMMENI |
        | T3(5)T3(1)T2(2)ω | ᾤ | GREEK SMALL LETTER OMEGA WITH PSILI AND OXIA AND YPOGEGRAMMENI |
        | T3(5)T2(2)T3(1)ω | ᾤ | GREEK SMALL LETTER OMEGA WITH PSILI AND OXIA AND YPOGEGRAMMENI |
        | T3(1)T3(5)T2(2)ω | ᾤ | GREEK SMALL LETTER OMEGA WITH PSILI AND OXIA AND YPOGEGRAMMENI |
        | T3(1)T2(2)T3(5)ω | ᾤ | GREEK SMALL LETTER OMEGA WITH PSILI AND OXIA AND YPOGEGRAMMENI |
        | T2(2)T3(5)T3(1)ω | ᾤ | GREEK SMALL LETTER OMEGA WITH PSILI AND OXIA AND YPOGEGRAMMENI |
        | T2(2)T3(1)T3(5)ω | ᾤ | GREEK SMALL LETTER OMEGA WITH PSILI AND OXIA AND YPOGEGRAMMENI |
        | T2(5)T3(1)T2(2)ω | ᾥ | GREEK SMALL LETTER OMEGA WITH DASIA AND OXIA AND YPOGEGRAMMENI |
        | T2(5)T2(2)T3(1)ω | ᾥ | GREEK SMALL LETTER OMEGA WITH DASIA AND OXIA AND YPOGEGRAMMENI |
        | T3(1)T2(5)T2(2)ω | ᾥ | GREEK SMALL LETTER OMEGA WITH DASIA AND OXIA AND YPOGEGRAMMENI |
        | T3(1)T2(2)T2(5)ω | ᾥ | GREEK SMALL LETTER OMEGA WITH DASIA AND OXIA AND YPOGEGRAMMENI |
        | T2(2)T2(5)T3(1)ω | ᾥ | GREEK SMALL LETTER OMEGA WITH DASIA AND OXIA AND YPOGEGRAMMENI |
        | T2(2)T3(1)T2(5)ω | ᾥ | GREEK SMALL LETTER OMEGA WITH DASIA AND OXIA AND YPOGEGRAMMENI |
        | T3(5)T3(2)T2(2)ω | ᾦ | GREEK SMALL LETTER OMEGA WITH PSILI AND PERISPOMENI AND YPOGEGRAMMENI |
        | T3(5)T2(2)T3(2)ω | ᾦ | GREEK SMALL LETTER OMEGA WITH PSILI AND PERISPOMENI AND YPOGEGRAMMENI |
        | T3(2)T3(5)T2(2)ω | ᾦ | GREEK SMALL LETTER OMEGA WITH PSILI AND PERISPOMENI AND YPOGEGRAMMENI |
        | T3(2)T2(2)T3(5)ω | ᾦ | GREEK SMALL LETTER OMEGA WITH PSILI AND PERISPOMENI AND YPOGEGRAMMENI |
        | T2(2)T3(5)T3(2)ω | ᾦ | GREEK SMALL LETTER OMEGA WITH PSILI AND PERISPOMENI AND YPOGEGRAMMENI |
        | T2(2)T3(2)T3(5)ω | ᾦ | GREEK SMALL LETTER OMEGA WITH PSILI AND PERISPOMENI AND YPOGEGRAMMENI |
        | T2(5)T3(2)T2(2)ω | ᾧ | GREEK SMALL LETTER OMEGA WITH DASIA AND PERISPOMENI AND YPOGEGRAMMENI |
        | T2(5)T2(2)T3(2)ω | ᾧ | GREEK SMALL LETTER OMEGA WITH DASIA AND PERISPOMENI AND YPOGEGRAMMENI |
        | T3(2)T2(5)T2(2)ω | ᾧ | GREEK SMALL LETTER OMEGA WITH DASIA AND PERISPOMENI AND YPOGEGRAMMENI |
        | T3(2)T2(2)T2(5)ω | ᾧ | GREEK SMALL LETTER OMEGA WITH DASIA AND PERISPOMENI AND YPOGEGRAMMENI |
        | T2(2)T2(5)T3(2)ω | ᾧ | GREEK SMALL LETTER OMEGA WITH DASIA AND PERISPOMENI AND YPOGEGRAMMENI |
        | T2(2)T3(2)T2(5)ω | ᾧ | GREEK SMALL LETTER OMEGA WITH DASIA AND PERISPOMENI AND YPOGEGRAMMENI |
        | T3(6)α | ᾰ | GREEK SMALL LETTER ALPHA WITH VRACHY |
        | T2(6)α | ᾱ | GREEK SMALL LETTER ALPHA WITH MACRON |
        | T2(1)T2(2)α | ᾲ | GREEK SMALL LETTER ALPHA WITH VARIA AND YPOGEGRAMMENI |
        | T2(2)T2(1)α | ᾲ | GREEK SMALL LETTER ALPHA WITH VARIA AND YPOGEGRAMMENI |
        | T2(2)α | ᾳ | GREEK SMALL LETTER ALPHA WITH YPOGEGRAMMENI |
        | T3(1)T2(2)α | ᾴ | GREEK SMALL LETTER ALPHA WITH OXIA AND YPOGEGRAMMENI |
        | T2(2)T3(1)α | ᾴ | GREEK SMALL LETTER ALPHA WITH OXIA AND YPOGEGRAMMENI |
        | T3(2)α | ᾶ | GREEK SMALL LETTER ALPHA WITH PERISPOMENI |
        | T3(2)T2(2)α | ᾷ | GREEK SMALL LETTER ALPHA WITH PERISPOMENI AND YPOGEGRAMMENI |
        | T2(2)T3(2)α | ᾷ | GREEK SMALL LETTER ALPHA WITH PERISPOMENI AND YPOGEGRAMMENI |
        | T2(1)T2(2)η | ῂ | GREEK SMALL LETTER ETA WITH VARIA AND YPOGEGRAMMENI |
        | T2(2)T2(1)η | ῂ | GREEK SMALL LETTER ETA WITH VARIA AND YPOGEGRAMMENI |
        | T2(2)η | ῃ | GREEK SMALL LETTER ETA WITH YPOGEGRAMMENI |
        | T3(1)T2(2)η | ῄ | GREEK SMALL LETTER ETA WITH OXIA AND YPOGEGRAMMENI |
        | T2(2)T3(1)η | ῄ | GREEK SMALL LETTER ETA WITH OXIA AND YPOGEGRAMMENI |
        | T3(2)η | ῆ | GREEK SMALL LETTER ETA WITH PERISPOMENI |
        | T3(2)T2(2)η | ῇ | GREEK SMALL LETTER ETA WITH PERISPOMENI AND YPOGEGRAMMENI |
        | T2(2)T3(2)η | ῇ | GREEK SMALL LETTER ETA WITH PERISPOMENI AND YPOGEGRAMMENI |
        | T3(6)ι | ῐ | GREEK SMALL LETTER IOTA WITH VRACHY |
        | T2(6)ι | ῑ | GREEK SMALL LETTER IOTA WITH MACRON |
        | T2(4)T2(1)ι | ῒ | GREEK SMALL LETTER IOTA WITH DIALYTIKA AND VARIA |
        | T2(1)T2(4)ι | ῒ | GREEK SMALL LETTER IOTA WITH DIALYTIKA AND VARIA |
        | T3(2)ι | ῖ | GREEK SMALL LETTER IOTA WITH PERISPOMENI |
        | T2(4)T3(2)ι | ῗ | GREEK SMALL LETTER IOTA WITH DIALYTIKA AND PERISPOMENI |
        | T3(2)T2(4)ι | ῗ | GREEK SMALL LETTER IOTA WITH DIALYTIKA AND PERISPOMENI |
        | T3(6)υ | ῠ | GREEK SMALL LETTER UPSILON WITH VRACHY |
        | T2(6)υ | ῡ | GREEK SMALL LETTER UPSILON WITH MACRON |
        | T2(4)T2(1)υ | ῢ | GREEK SMALL LETTER UPSILON WITH DIALYTIKA AND VARIA |
        | T2(1)T2(4)υ | ῢ | GREEK SMALL LETTER UPSILON WITH DIALYTIKA AND VARIA |
        | T3(5)ρ | ῤ | GREEK SMALL LETTER RHO WITH PSILI |
        | T2(5)ρ | ῥ | GREEK SMALL LETTER RHO WITH DASIA |
        | T3(2)υ | ῦ | GREEK SMALL LETTER UPSILON WITH PERISPOMENI |
        | T2(4)T3(2)υ | ῧ | GREEK SMALL LETTER UPSILON WITH DIALYTIKA AND PERISPOMENI |
        | T3(2)T2(4)υ | ῧ | GREEK SMALL LETTER UPSILON WITH DIALYTIKA AND PERISPOMENI |
        | T2(1)T2(2)ω | ῲ | GREEK SMALL LETTER OMEGA WITH VARIA AND YPOGEGRAMMENI |
        | T2(2)T2(1)ω | ῲ | GREEK SMALL LETTER OMEGA WITH VARIA AND YPOGEGRAMMENI |
        | T2(2)ω | ῳ | GREEK SMALL LETTER OMEGA WITH YPOGEGRAMMENI |
        | T3(1)T2(2)ω | ῴ | GREEK SMALL LETTER OMEGA WITH OXIA AND YPOGEGRAMMENI |
        | T2(2)T3(1)ω | ῴ | GREEK SMALL LETTER OMEGA WITH OXIA AND YPOGEGRAMMENI |
        | T3(2)ω | ῶ | GREEK SMALL LETTER OMEGA WITH PERISPOMENI |
        | T3(2)T2(2)ω | ῷ | GREEK SMALL LETTER OMEGA WITH PERISPOMENI AND YPOGEGRAMMENI |
        | T2(2)T3(2)ω | ῷ | GREEK SMALL LETTER OMEGA WITH PERISPOMENI AND YPOGEGRAMMENI |
        | T3(5)♫gA | Ἀ | GREEK CAPITAL LETTER ALPHA WITH PSILI |
        | T3(5)♫GA | Ἀ | GREEK CAPITAL LETTER ALPHA WITH PSILI |
        | T2(5)♫gA | Ἁ | GREEK CAPITAL LETTER ALPHA WITH DASIA |
        | T2(5)♫GA | Ἁ | GREEK CAPITAL LETTER ALPHA WITH DASIA |
        | T3(5)T2(1)♫gA | Ἂ | GREEK CAPITAL LETTER ALPHA WITH PSILI AND VARIA |
        | T3(5)T2(1)♫GA | Ἂ | GREEK CAPITAL LETTER ALPHA WITH PSILI AND VARIA |
        | T2(1)T3(5)♫GA | Ἂ | GREEK CAPITAL LETTER ALPHA WITH PSILI AND VARIA |
        | T2(5)T2(1)♫gA | Ἃ | GREEK CAPITAL LETTER ALPHA WITH DASIA AND VARIA |
        | T2(5)T2(1)♫GA | Ἃ | GREEK CAPITAL LETTER ALPHA WITH DASIA AND VARIA |
        | T2(1)T2(5)♫GA | Ἃ | GREEK CAPITAL LETTER ALPHA WITH DASIA AND VARIA |
        | T3(5)T3(1)♫gA | Ἄ | GREEK CAPITAL LETTER ALPHA WITH PSILI AND OXIA |
        | T3(5)T3(1)♫GA | Ἄ | GREEK CAPITAL LETTER ALPHA WITH PSILI AND OXIA |
        | T3(1)T3(5)♫GA | Ἄ | GREEK CAPITAL LETTER ALPHA WITH PSILI AND OXIA |
        | T2(5)T3(1)♫gA | Ἅ | GREEK CAPITAL LETTER ALPHA WITH DASIA AND OXIA |
        | T2(5)T3(1)♫GA | Ἅ | GREEK CAPITAL LETTER ALPHA WITH DASIA AND OXIA |
        | T3(1)T2(5)♫GA | Ἅ | GREEK CAPITAL LETTER ALPHA WITH DASIA AND OXIA |
        | T3(5)T3(2)♫gA | Ἆ | GREEK CAPITAL LETTER ALPHA WITH PSILI AND PERISPOMENI |
        | T3(5)T3(2)♫GA | Ἆ | GREEK CAPITAL LETTER ALPHA WITH PSILI AND PERISPOMENI |
        | T3(2)T3(5)♫GA | Ἆ | GREEK CAPITAL LETTER ALPHA WITH PSILI AND PERISPOMENI |
        | T2(5)T3(2)♫gA | Ἇ | GREEK CAPITAL LETTER ALPHA WITH DASIA AND PERISPOMENI |
        | T2(5)T3(2)♫GA | Ἇ | GREEK CAPITAL LETTER ALPHA WITH DASIA AND PERISPOMENI |
        | T3(2)T2(5)♫GA | Ἇ | GREEK CAPITAL LETTER ALPHA WITH DASIA AND PERISPOMENI |
        | T3(5)♫gE | Ἐ | GREEK CAPITAL LETTER EPSILON WITH PSILI |
        | T3(5)♫GE | Ἐ | GREEK CAPITAL LETTER EPSILON WITH PSILI |
        | T2(5)♫gE | Ἑ | GREEK CAPITAL LETTER EPSILON WITH DASIA |
        | T2(5)♫GE | Ἑ | GREEK CAPITAL LETTER EPSILON WITH DASIA |
        | T3(5)T2(1)♫gE | Ἒ | GREEK CAPITAL LETTER EPSILON WITH PSILI AND VARIA |
        | T3(5)T2(1)♫GE | Ἒ | GREEK CAPITAL LETTER EPSILON WITH PSILI AND VARIA |
        | T2(1)T3(5)♫GE | Ἒ | GREEK CAPITAL LETTER EPSILON WITH PSILI AND VARIA |
        | T2(5)T2(1)♫gE | Ἓ | GREEK CAPITAL LETTER EPSILON WITH DASIA AND VARIA |
        | T2(5)T2(1)♫GE | Ἓ | GREEK CAPITAL LETTER EPSILON WITH DASIA AND VARIA |
        | T2(1)T2(5)♫GE | Ἓ | GREEK CAPITAL LETTER EPSILON WITH DASIA AND VARIA |
        | T3(5)T3(1)♫gE | Ἔ | GREEK CAPITAL LETTER EPSILON WITH PSILI AND OXIA |
        | T3(5)T3(1)♫GE | Ἔ | GREEK CAPITAL LETTER EPSILON WITH PSILI AND OXIA |
        | T3(1)T3(5)♫GE | Ἔ | GREEK CAPITAL LETTER EPSILON WITH PSILI AND OXIA |
        | T2(5)T3(1)♫gE | Ἕ | GREEK CAPITAL LETTER EPSILON WITH DASIA AND OXIA |
        | T2(5)T3(1)♫GE | Ἕ | GREEK CAPITAL LETTER EPSILON WITH DASIA AND OXIA |
        | T3(1)T2(5)♫GE | Ἕ | GREEK CAPITAL LETTER EPSILON WITH DASIA AND OXIA |
        | T3(5)♫gH | Ἠ | GREEK CAPITAL LETTER ETA WITH PSILI |
        | T3(5)♫GH | Ἠ | GREEK CAPITAL LETTER ETA WITH PSILI |
        | T2(5)♫gH | Ἡ | GREEK CAPITAL LETTER ETA WITH DASIA |
        | T2(5)♫GH | Ἡ | GREEK CAPITAL LETTER ETA WITH DASIA |
        | T3(5)T2(1)♫gH | Ἢ | GREEK CAPITAL LETTER ETA WITH PSILI AND VARIA |
        | T3(5)T2(1)♫GH | Ἢ | GREEK CAPITAL LETTER ETA WITH PSILI AND VARIA |
        | T2(1)T3(5)♫GH | Ἢ | GREEK CAPITAL LETTER ETA WITH PSILI AND VARIA |
        | T2(5)T2(1)♫gH | Ἣ | GREEK CAPITAL LETTER ETA WITH DASIA AND VARIA |
        | T2(5)T2(1)♫GH | Ἣ | GREEK CAPITAL LETTER ETA WITH DASIA AND VARIA |
        | T2(1)T2(5)♫GH | Ἣ | GREEK CAPITAL LETTER ETA WITH DASIA AND VARIA |
        | T3(5)T3(1)♫gH | Ἤ | GREEK CAPITAL LETTER ETA WITH PSILI AND OXIA |
        | T3(5)T3(1)♫GH | Ἤ | GREEK CAPITAL LETTER ETA WITH PSILI AND OXIA |
        | T3(1)T3(5)♫GH | Ἤ | GREEK CAPITAL LETTER ETA WITH PSILI AND OXIA |
        | T2(5)T3(1)♫gH | Ἥ | GREEK CAPITAL LETTER ETA WITH DASIA AND OXIA |
        | T2(5)T3(1)♫GH | Ἥ | GREEK CAPITAL LETTER ETA WITH DASIA AND OXIA |
        | T3(1)T2(5)♫GH | Ἥ | GREEK CAPITAL LETTER ETA WITH DASIA AND OXIA |
        | T3(5)T3(2)♫gH | Ἦ | GREEK CAPITAL LETTER ETA WITH PSILI AND PERISPOMENI |
        | T3(5)T3(2)♫GH | Ἦ | GREEK CAPITAL LETTER ETA WITH PSILI AND PERISPOMENI |
        | T3(2)T3(5)♫GH | Ἦ | GREEK CAPITAL LETTER ETA WITH PSILI AND PERISPOMENI |
        | T2(5)T3(2)♫gH | Ἧ | GREEK CAPITAL LETTER ETA WITH DASIA AND PERISPOMENI |
        | T2(5)T3(2)♫GH | Ἧ | GREEK CAPITAL LETTER ETA WITH DASIA AND PERISPOMENI |
        | T3(2)T2(5)♫GH | Ἧ | GREEK CAPITAL LETTER ETA WITH DASIA AND PERISPOMENI |
        | T3(5)♫gÄ | Ἠ | GREEK CAPITAL LETTER ETA WITH PSILI |
        | T3(5)♫GÄ | Ἠ | GREEK CAPITAL LETTER ETA WITH PSILI |
        | T2(5)♫gÄ | Ἡ | GREEK CAPITAL LETTER ETA WITH DASIA |
        | T2(5)♫GÄ | Ἡ | GREEK CAPITAL LETTER ETA WITH DASIA |
        | T3(5)T2(1)♫gÄ | Ἢ | GREEK CAPITAL LETTER ETA WITH PSILI AND VARIA |
        | T3(5)T2(1)♫GÄ | Ἢ | GREEK CAPITAL LETTER ETA WITH PSILI AND VARIA |
        | T2(1)T3(5)♫GÄ | Ἢ | GREEK CAPITAL LETTER ETA WITH PSILI AND VARIA |
        | T2(5)T2(1)♫gÄ | Ἣ | GREEK CAPITAL LETTER ETA WITH DASIA AND VARIA |
        | T2(5)T2(1)♫GÄ | Ἣ | GREEK CAPITAL LETTER ETA WITH DASIA AND VARIA |
        | T2(1)T2(5)♫GÄ | Ἣ | GREEK CAPITAL LETTER ETA WITH DASIA AND VARIA |
        | T3(5)T3(1)♫gÄ | Ἤ | GREEK CAPITAL LETTER ETA WITH PSILI AND OXIA |
        | T3(5)T3(1)♫GÄ | Ἤ | GREEK CAPITAL LETTER ETA WITH PSILI AND OXIA |
        | T3(1)T3(5)♫GÄ | Ἤ | GREEK CAPITAL LETTER ETA WITH PSILI AND OXIA |
        | T2(5)T3(1)♫gÄ | Ἥ | GREEK CAPITAL LETTER ETA WITH DASIA AND OXIA |
        | T2(5)T3(1)♫GÄ | Ἥ | GREEK CAPITAL LETTER ETA WITH DASIA AND OXIA |
        | T3(1)T2(5)♫GÄ | Ἥ | GREEK CAPITAL LETTER ETA WITH DASIA AND OXIA |
        | T3(5)T3(2)♫gÄ | Ἦ | GREEK CAPITAL LETTER ETA WITH PSILI AND PERISPOMENI |
        | T3(5)T3(2)♫GÄ | Ἦ | GREEK CAPITAL LETTER ETA WITH PSILI AND PERISPOMENI |
        | T3(2)T3(5)♫GÄ | Ἦ | GREEK CAPITAL LETTER ETA WITH PSILI AND PERISPOMENI |
        | T2(5)T3(2)♫gÄ | Ἧ | GREEK CAPITAL LETTER ETA WITH DASIA AND PERISPOMENI |
        | T2(5)T3(2)♫GÄ | Ἧ | GREEK CAPITAL LETTER ETA WITH DASIA AND PERISPOMENI |
        | T3(2)T2(5)♫GÄ | Ἧ | GREEK CAPITAL LETTER ETA WITH DASIA AND PERISPOMENI |
        | T3(5)♫gI | Ἰ | GREEK CAPITAL LETTER IOTA WITH PSILI |
        | T3(5)♫GI | Ἰ | GREEK CAPITAL LETTER IOTA WITH PSILI |
        | T2(5)♫gI | Ἱ | GREEK CAPITAL LETTER IOTA WITH DASIA |
        | T2(5)♫GI | Ἱ | GREEK CAPITAL LETTER IOTA WITH DASIA |
        | T3(5)T2(1)♫gI | Ἲ | GREEK CAPITAL LETTER IOTA WITH PSILI AND VARIA |
        | T3(5)T2(1)♫GI | Ἲ | GREEK CAPITAL LETTER IOTA WITH PSILI AND VARIA |
        | T2(1)T3(5)♫GI | Ἲ | GREEK CAPITAL LETTER IOTA WITH PSILI AND VARIA |
        | T2(5)T2(1)♫gI | Ἳ | GREEK CAPITAL LETTER IOTA WITH DASIA AND VARIA |
        | T2(5)T2(1)♫GI | Ἳ | GREEK CAPITAL LETTER IOTA WITH DASIA AND VARIA |
        | T2(1)T2(5)♫GI | Ἳ | GREEK CAPITAL LETTER IOTA WITH DASIA AND VARIA |
        | T3(5)T3(1)♫gI | Ἴ | GREEK CAPITAL LETTER IOTA WITH PSILI AND OXIA |
        | T3(5)T3(1)♫GI | Ἴ | GREEK CAPITAL LETTER IOTA WITH PSILI AND OXIA |
        | T3(1)T3(5)♫GI | Ἴ | GREEK CAPITAL LETTER IOTA WITH PSILI AND OXIA |
        | T2(5)T3(1)♫gI | Ἵ | GREEK CAPITAL LETTER IOTA WITH DASIA AND OXIA |
        | T2(5)T3(1)♫GI | Ἵ | GREEK CAPITAL LETTER IOTA WITH DASIA AND OXIA |
        | T3(1)T2(5)♫GI | Ἵ | GREEK CAPITAL LETTER IOTA WITH DASIA AND OXIA |
        | T3(5)T3(2)♫gI | Ἶ | GREEK CAPITAL LETTER IOTA WITH PSILI AND PERISPOMENI |
        | T3(5)T3(2)♫GI | Ἶ | GREEK CAPITAL LETTER IOTA WITH PSILI AND PERISPOMENI |
        | T3(2)T3(5)♫GI | Ἶ | GREEK CAPITAL LETTER IOTA WITH PSILI AND PERISPOMENI |
        | T2(5)T3(2)♫gI | Ἷ | GREEK CAPITAL LETTER IOTA WITH DASIA AND PERISPOMENI |
        | T2(5)T3(2)♫GI | Ἷ | GREEK CAPITAL LETTER IOTA WITH DASIA AND PERISPOMENI |
        | T3(2)T2(5)♫GI | Ἷ | GREEK CAPITAL LETTER IOTA WITH DASIA AND PERISPOMENI |
        | T3(5)♫gO | Ὀ | GREEK CAPITAL LETTER OMICRON WITH PSILI |
        | T3(5)♫GO | Ὀ | GREEK CAPITAL LETTER OMICRON WITH PSILI |
        | T2(5)♫gO | Ὁ | GREEK CAPITAL LETTER OMICRON WITH DASIA |
        | T2(5)♫GO | Ὁ | GREEK CAPITAL LETTER OMICRON WITH DASIA |
        | T3(5)T2(1)♫gO | Ὂ | GREEK CAPITAL LETTER OMICRON WITH PSILI AND VARIA |
        | T3(5)T2(1)♫GO | Ὂ | GREEK CAPITAL LETTER OMICRON WITH PSILI AND VARIA |
        | T2(1)T3(5)♫GO | Ὂ | GREEK CAPITAL LETTER OMICRON WITH PSILI AND VARIA |
        | T2(5)T2(1)♫gO | Ὃ | GREEK CAPITAL LETTER OMICRON WITH DASIA AND VARIA |
        | T2(5)T2(1)♫GO | Ὃ | GREEK CAPITAL LETTER OMICRON WITH DASIA AND VARIA |
        | T2(1)T2(5)♫GO | Ὃ | GREEK CAPITAL LETTER OMICRON WITH DASIA AND VARIA |
        | T3(5)T3(1)♫gO | Ὄ | GREEK CAPITAL LETTER OMICRON WITH PSILI AND OXIA |
        | T3(5)T3(1)♫GO | Ὄ | GREEK CAPITAL LETTER OMICRON WITH PSILI AND OXIA |
        | T3(1)T3(5)♫GO | Ὄ | GREEK CAPITAL LETTER OMICRON WITH PSILI AND OXIA |
        | T2(5)T3(1)♫gO | Ὅ | GREEK CAPITAL LETTER OMICRON WITH DASIA AND OXIA |
        | T2(5)T3(1)♫GO | Ὅ | GREEK CAPITAL LETTER OMICRON WITH DASIA AND OXIA |
        | T3(1)T2(5)♫GO | Ὅ | GREEK CAPITAL LETTER OMICRON WITH DASIA AND OXIA |
        | T2(5)♫gY | Ὑ | GREEK CAPITAL LETTER UPSILON WITH DASIA |
        | T2(5)♫GY | Ὑ | GREEK CAPITAL LETTER UPSILON WITH DASIA |
        | T2(5)T2(1)♫gY | Ὓ | GREEK CAPITAL LETTER UPSILON WITH DASIA AND VARIA |
        | T2(5)T2(1)♫GY | Ὓ | GREEK CAPITAL LETTER UPSILON WITH DASIA AND VARIA |
        | T2(1)T2(5)♫GY | Ὓ | GREEK CAPITAL LETTER UPSILON WITH DASIA AND VARIA |
        | T2(5)T3(1)♫gY | Ὕ | GREEK CAPITAL LETTER UPSILON WITH DASIA AND OXIA |
        | T2(5)T3(1)♫GY | Ὕ | GREEK CAPITAL LETTER UPSILON WITH DASIA AND OXIA |
        | T3(1)T2(5)♫GY | Ὕ | GREEK CAPITAL LETTER UPSILON WITH DASIA AND OXIA |
        | T2(5)T3(2)♫gY | Ὗ | GREEK CAPITAL LETTER UPSILON WITH DASIA AND PERISPOMENI |
        | T2(5)T3(2)♫GY | Ὗ | GREEK CAPITAL LETTER UPSILON WITH DASIA AND PERISPOMENI |
        | T3(2)T2(5)♫GY | Ὗ | GREEK CAPITAL LETTER UPSILON WITH DASIA AND PERISPOMENI |
        | T3(5)Ω | Ὠ | GREEK CAPITAL LETTER OMEGA WITH PSILI |
        | T2(5)Ω | Ὡ | GREEK CAPITAL LETTER OMEGA WITH DASIA |
        | T3(5)T2(1)Ω | Ὢ | GREEK CAPITAL LETTER OMEGA WITH PSILI AND VARIA |
        | T2(1)T3(5)Ω | Ὢ | GREEK CAPITAL LETTER OMEGA WITH PSILI AND VARIA |
        | T2(5)T2(1)Ω | Ὣ | GREEK CAPITAL LETTER OMEGA WITH DASIA AND VARIA |
        | T2(1)T2(5)Ω | Ὣ | GREEK CAPITAL LETTER OMEGA WITH DASIA AND VARIA |
        | T3(5)T3(1)Ω | Ὤ | GREEK CAPITAL LETTER OMEGA WITH PSILI AND OXIA |
        | T3(1)T3(5)Ω | Ὤ | GREEK CAPITAL LETTER OMEGA WITH PSILI AND OXIA |
        | T2(5)T3(1)Ω | Ὥ | GREEK CAPITAL LETTER OMEGA WITH DASIA AND OXIA |
        | T3(1)T2(5)Ω | Ὥ | GREEK CAPITAL LETTER OMEGA WITH DASIA AND OXIA |
        | T3(5)T3(2)Ω | Ὦ | GREEK CAPITAL LETTER OMEGA WITH PSILI AND PERISPOMENI |
        | T3(2)T3(5)Ω | Ὦ | GREEK CAPITAL LETTER OMEGA WITH PSILI AND PERISPOMENI |
        | T2(5)T3(2)Ω | Ὧ | GREEK CAPITAL LETTER OMEGA WITH DASIA AND PERISPOMENI |
        | T3(2)T2(5)Ω | Ὧ | GREEK CAPITAL LETTER OMEGA WITH DASIA AND PERISPOMENI |
        | T3(5)T2(2)♫gA | ᾈ | GREEK CAPITAL LETTER ALPHA WITH PSILI AND PROSGEGRAMMENI |
        | T3(5)T2(2)♫GA | ᾈ | GREEK CAPITAL LETTER ALPHA WITH PSILI AND PROSGEGRAMMENI |
        | T2(2)T3(5)♫GA | ᾈ | GREEK CAPITAL LETTER ALPHA WITH PSILI AND PROSGEGRAMMENI |
        | T2(5)T2(2)♫gA | ᾉ | GREEK CAPITAL LETTER ALPHA WITH DASIA AND PROSGEGRAMMENI |
        | T2(5)T2(2)♫GA | ᾉ | GREEK CAPITAL LETTER ALPHA WITH DASIA AND PROSGEGRAMMENI |
        | T2(2)T2(5)♫GA | ᾉ | GREEK CAPITAL LETTER ALPHA WITH DASIA AND PROSGEGRAMMENI |
        | T3(5)T2(1)T2(2)♫gA | ᾊ | GREEK CAPITAL LETTER ALPHA WITH PSILI AND VARIA AND PROSGEGRAMMENI |
        | T3(5)T2(1)T2(2)♫GA | ᾊ | GREEK CAPITAL LETTER ALPHA WITH PSILI AND VARIA AND PROSGEGRAMMENI |
        | T3(5)T2(2)T2(1)♫gA | ᾊ | GREEK CAPITAL LETTER ALPHA WITH PSILI AND VARIA AND PROSGEGRAMMENI |
        | T3(5)T2(2)T2(1)♫GA | ᾊ | GREEK CAPITAL LETTER ALPHA WITH PSILI AND VARIA AND PROSGEGRAMMENI |
        | T2(1)T3(5)T2(2)♫gA | ᾊ | GREEK CAPITAL LETTER ALPHA WITH PSILI AND VARIA AND PROSGEGRAMMENI |
        | T2(1)T3(5)T2(2)♫GA | ᾊ | GREEK CAPITAL LETTER ALPHA WITH PSILI AND VARIA AND PROSGEGRAMMENI |
        | T2(1)T2(2)T3(5)♫gA | ᾊ | GREEK CAPITAL LETTER ALPHA WITH PSILI AND VARIA AND PROSGEGRAMMENI |
        | T2(1)T2(2)T3(5)♫GA | ᾊ | GREEK CAPITAL LETTER ALPHA WITH PSILI AND VARIA AND PROSGEGRAMMENI |
        | T2(2)T3(5)T2(1)♫gA | ᾊ | GREEK CAPITAL LETTER ALPHA WITH PSILI AND VARIA AND PROSGEGRAMMENI |
        | T2(2)T3(5)T2(1)♫GA | ᾊ | GREEK CAPITAL LETTER ALPHA WITH PSILI AND VARIA AND PROSGEGRAMMENI |
        | T2(2)T2(1)T3(5)♫gA | ᾊ | GREEK CAPITAL LETTER ALPHA WITH PSILI AND VARIA AND PROSGEGRAMMENI |
        | T2(2)T2(1)T3(5)♫GA | ᾊ | GREEK CAPITAL LETTER ALPHA WITH PSILI AND VARIA AND PROSGEGRAMMENI |
        | T2(5)T2(1)T2(2)♫gA | ᾋ | GREEK CAPITAL LETTER ALPHA WITH DASIA AND VARIA AND PROSGEGRAMMENI |
        | T2(5)T2(1)T2(2)♫GA | ᾋ | GREEK CAPITAL LETTER ALPHA WITH DASIA AND VARIA AND PROSGEGRAMMENI |
        | T2(5)T2(2)T2(1)♫gA | ᾋ | GREEK CAPITAL LETTER ALPHA WITH DASIA AND VARIA AND PROSGEGRAMMENI |
        | T2(5)T2(2)T2(1)♫GA | ᾋ | GREEK CAPITAL LETTER ALPHA WITH DASIA AND VARIA AND PROSGEGRAMMENI |
        | T2(1)T2(5)T2(2)♫gA | ᾋ | GREEK CAPITAL LETTER ALPHA WITH DASIA AND VARIA AND PROSGEGRAMMENI |
        | T2(1)T2(5)T2(2)♫GA | ᾋ | GREEK CAPITAL LETTER ALPHA WITH DASIA AND VARIA AND PROSGEGRAMMENI |
        | T2(1)T2(2)T2(5)♫gA | ᾋ | GREEK CAPITAL LETTER ALPHA WITH DASIA AND VARIA AND PROSGEGRAMMENI |
        | T2(1)T2(2)T2(5)♫GA | ᾋ | GREEK CAPITAL LETTER ALPHA WITH DASIA AND VARIA AND PROSGEGRAMMENI |
        | T2(2)T2(5)T2(1)♫gA | ᾋ | GREEK CAPITAL LETTER ALPHA WITH DASIA AND VARIA AND PROSGEGRAMMENI |
        | T2(2)T2(5)T2(1)♫GA | ᾋ | GREEK CAPITAL LETTER ALPHA WITH DASIA AND VARIA AND PROSGEGRAMMENI |
        | T2(2)T2(1)T2(5)♫gA | ᾋ | GREEK CAPITAL LETTER ALPHA WITH DASIA AND VARIA AND PROSGEGRAMMENI |
        | T2(2)T2(1)T2(5)♫GA | ᾋ | GREEK CAPITAL LETTER ALPHA WITH DASIA AND VARIA AND PROSGEGRAMMENI |
        | T3(5)T3(1)T2(2)♫gA | ᾌ | GREEK CAPITAL LETTER ALPHA WITH PSILI AND OXIA AND PROSGEGRAMMENI |
        | T3(5)T3(1)T2(2)♫GA | ᾌ | GREEK CAPITAL LETTER ALPHA WITH PSILI AND OXIA AND PROSGEGRAMMENI |
        | T3(5)T2(2)T3(1)♫gA | ᾌ | GREEK CAPITAL LETTER ALPHA WITH PSILI AND OXIA AND PROSGEGRAMMENI |
        | T3(5)T2(2)T3(1)♫GA | ᾌ | GREEK CAPITAL LETTER ALPHA WITH PSILI AND OXIA AND PROSGEGRAMMENI |
        | T3(1)T3(5)T2(2)♫gA | ᾌ | GREEK CAPITAL LETTER ALPHA WITH PSILI AND OXIA AND PROSGEGRAMMENI |
        | T3(1)T3(5)T2(2)♫GA | ᾌ | GREEK CAPITAL LETTER ALPHA WITH PSILI AND OXIA AND PROSGEGRAMMENI |
        | T3(1)T2(2)T3(5)♫gA | ᾌ | GREEK CAPITAL LETTER ALPHA WITH PSILI AND OXIA AND PROSGEGRAMMENI |
        | T3(1)T2(2)T3(5)♫GA | ᾌ | GREEK CAPITAL LETTER ALPHA WITH PSILI AND OXIA AND PROSGEGRAMMENI |
        | T2(2)T3(5)T3(1)♫gA | ᾌ | GREEK CAPITAL LETTER ALPHA WITH PSILI AND OXIA AND PROSGEGRAMMENI |
        | T2(2)T3(5)T3(1)♫GA | ᾌ | GREEK CAPITAL LETTER ALPHA WITH PSILI AND OXIA AND PROSGEGRAMMENI |
        | T2(2)T3(1)T3(5)♫gA | ᾌ | GREEK CAPITAL LETTER ALPHA WITH PSILI AND OXIA AND PROSGEGRAMMENI |
        | T2(2)T3(1)T3(5)♫GA | ᾌ | GREEK CAPITAL LETTER ALPHA WITH PSILI AND OXIA AND PROSGEGRAMMENI |
        | T2(5)T3(1)T2(2)♫gA | ᾍ | GREEK CAPITAL LETTER ALPHA WITH DASIA AND OXIA AND PROSGEGRAMMENI |
        | T2(5)T3(1)T2(2)♫GA | ᾍ | GREEK CAPITAL LETTER ALPHA WITH DASIA AND OXIA AND PROSGEGRAMMENI |
        | T2(5)T2(2)T3(1)♫gA | ᾍ | GREEK CAPITAL LETTER ALPHA WITH DASIA AND OXIA AND PROSGEGRAMMENI |
        | T2(5)T2(2)T3(1)♫GA | ᾍ | GREEK CAPITAL LETTER ALPHA WITH DASIA AND OXIA AND PROSGEGRAMMENI |
        | T3(1)T2(5)T2(2)♫gA | ᾍ | GREEK CAPITAL LETTER ALPHA WITH DASIA AND OXIA AND PROSGEGRAMMENI |
        | T3(1)T2(5)T2(2)♫GA | ᾍ | GREEK CAPITAL LETTER ALPHA WITH DASIA AND OXIA AND PROSGEGRAMMENI |
        | T3(1)T2(2)T2(5)♫gA | ᾍ | GREEK CAPITAL LETTER ALPHA WITH DASIA AND OXIA AND PROSGEGRAMMENI |
        | T3(1)T2(2)T2(5)♫GA | ᾍ | GREEK CAPITAL LETTER ALPHA WITH DASIA AND OXIA AND PROSGEGRAMMENI |
        | T2(2)T2(5)T3(1)♫gA | ᾍ | GREEK CAPITAL LETTER ALPHA WITH DASIA AND OXIA AND PROSGEGRAMMENI |
        | T2(2)T2(5)T3(1)♫GA | ᾍ | GREEK CAPITAL LETTER ALPHA WITH DASIA AND OXIA AND PROSGEGRAMMENI |
        | T2(2)T3(1)T2(5)♫gA | ᾍ | GREEK CAPITAL LETTER ALPHA WITH DASIA AND OXIA AND PROSGEGRAMMENI |
        | T2(2)T3(1)T2(5)♫GA | ᾍ | GREEK CAPITAL LETTER ALPHA WITH DASIA AND OXIA AND PROSGEGRAMMENI |
        | T3(5)T3(2)T2(2)♫gA | ᾎ | GREEK CAPITAL LETTER ALPHA WITH PSILI AND PERISPOMENI AND PROSGEGRAMMENI |
        | T3(5)T3(2)T2(2)♫GA | ᾎ | GREEK CAPITAL LETTER ALPHA WITH PSILI AND PERISPOMENI AND PROSGEGRAMMENI |
        | T3(5)T2(2)T3(2)♫gA | ᾎ | GREEK CAPITAL LETTER ALPHA WITH PSILI AND PERISPOMENI AND PROSGEGRAMMENI |
        | T3(5)T2(2)T3(2)♫GA | ᾎ | GREEK CAPITAL LETTER ALPHA WITH PSILI AND PERISPOMENI AND PROSGEGRAMMENI |
        | T3(2)T3(5)T2(2)♫gA | ᾎ | GREEK CAPITAL LETTER ALPHA WITH PSILI AND PERISPOMENI AND PROSGEGRAMMENI |
        | T3(2)T3(5)T2(2)♫GA | ᾎ | GREEK CAPITAL LETTER ALPHA WITH PSILI AND PERISPOMENI AND PROSGEGRAMMENI |
        | T3(2)T2(2)T3(5)♫gA | ᾎ | GREEK CAPITAL LETTER ALPHA WITH PSILI AND PERISPOMENI AND PROSGEGRAMMENI |
        | T3(2)T2(2)T3(5)♫GA | ᾎ | GREEK CAPITAL LETTER ALPHA WITH PSILI AND PERISPOMENI AND PROSGEGRAMMENI |
        | T2(2)T3(5)T3(2)♫gA | ᾎ | GREEK CAPITAL LETTER ALPHA WITH PSILI AND PERISPOMENI AND PROSGEGRAMMENI |
        | T2(2)T3(5)T3(2)♫GA | ᾎ | GREEK CAPITAL LETTER ALPHA WITH PSILI AND PERISPOMENI AND PROSGEGRAMMENI |
        | T2(2)T3(2)T3(5)♫gA | ᾎ | GREEK CAPITAL LETTER ALPHA WITH PSILI AND PERISPOMENI AND PROSGEGRAMMENI |
        | T2(2)T3(2)T3(5)♫GA | ᾎ | GREEK CAPITAL LETTER ALPHA WITH PSILI AND PERISPOMENI AND PROSGEGRAMMENI |
        | T2(5)T3(2)T2(2)♫gA | ᾏ | GREEK CAPITAL LETTER ALPHA WITH DASIA AND PERISPOMENI AND PROSGEGRAMMENI |
        | T2(5)T3(2)T2(2)♫GA | ᾏ | GREEK CAPITAL LETTER ALPHA WITH DASIA AND PERISPOMENI AND PROSGEGRAMMENI |
        | T2(5)T2(2)T3(2)♫gA | ᾏ | GREEK CAPITAL LETTER ALPHA WITH DASIA AND PERISPOMENI AND PROSGEGRAMMENI |
        | T2(5)T2(2)T3(2)♫GA | ᾏ | GREEK CAPITAL LETTER ALPHA WITH DASIA AND PERISPOMENI AND PROSGEGRAMMENI |
        | T3(2)T2(5)T2(2)♫gA | ᾏ | GREEK CAPITAL LETTER ALPHA WITH DASIA AND PERISPOMENI AND PROSGEGRAMMENI |
        | T3(2)T2(5)T2(2)♫GA | ᾏ | GREEK CAPITAL LETTER ALPHA WITH DASIA AND PERISPOMENI AND PROSGEGRAMMENI |
        | T3(2)T2(2)T2(5)♫gA | ᾏ | GREEK CAPITAL LETTER ALPHA WITH DASIA AND PERISPOMENI AND PROSGEGRAMMENI |
        | T3(2)T2(2)T2(5)♫GA | ᾏ | GREEK CAPITAL LETTER ALPHA WITH DASIA AND PERISPOMENI AND PROSGEGRAMMENI |
        | T2(2)T2(5)T3(2)♫gA | ᾏ | GREEK CAPITAL LETTER ALPHA WITH DASIA AND PERISPOMENI AND PROSGEGRAMMENI |
        | T2(2)T2(5)T3(2)♫GA | ᾏ | GREEK CAPITAL LETTER ALPHA WITH DASIA AND PERISPOMENI AND PROSGEGRAMMENI |
        | T2(2)T3(2)T2(5)♫gA | ᾏ | GREEK CAPITAL LETTER ALPHA WITH DASIA AND PERISPOMENI AND PROSGEGRAMMENI |
        | T2(2)T3(2)T2(5)♫GA | ᾏ | GREEK CAPITAL LETTER ALPHA WITH DASIA AND PERISPOMENI AND PROSGEGRAMMENI |
        | T3(5)T2(2)♫gH | ᾘ | GREEK CAPITAL LETTER ETA WITH PSILI AND PROSGEGRAMMENI |
        | T3(5)T2(2)♫GH | ᾘ | GREEK CAPITAL LETTER ETA WITH PSILI AND PROSGEGRAMMENI |
        | T2(2)T3(5)♫GH | ᾘ | GREEK CAPITAL LETTER ETA WITH PSILI AND PROSGEGRAMMENI |
        | T2(5)T2(2)♫gH | ᾙ | GREEK CAPITAL LETTER ETA WITH DASIA AND PROSGEGRAMMENI |
        | T2(5)T2(2)♫GH | ᾙ | GREEK CAPITAL LETTER ETA WITH DASIA AND PROSGEGRAMMENI |
        | T2(2)T2(5)♫GH | ᾙ | GREEK CAPITAL LETTER ETA WITH DASIA AND PROSGEGRAMMENI |
        | T3(5)T2(1)T2(2)♫gH | ᾚ | GREEK CAPITAL LETTER ETA WITH PSILI AND VARIA AND PROSGEGRAMMENI |
        | T3(5)T2(1)T2(2)♫GH | ᾚ | GREEK CAPITAL LETTER ETA WITH PSILI AND VARIA AND PROSGEGRAMMENI |
        | T3(5)T2(2)T2(1)♫gH | ᾚ | GREEK CAPITAL LETTER ETA WITH PSILI AND VARIA AND PROSGEGRAMMENI |
        | T3(5)T2(2)T2(1)♫GH | ᾚ | GREEK CAPITAL LETTER ETA WITH PSILI AND VARIA AND PROSGEGRAMMENI |
        | T2(1)T3(5)T2(2)♫gH | ᾚ | GREEK CAPITAL LETTER ETA WITH PSILI AND VARIA AND PROSGEGRAMMENI |
        | T2(1)T3(5)T2(2)♫GH | ᾚ | GREEK CAPITAL LETTER ETA WITH PSILI AND VARIA AND PROSGEGRAMMENI |
        | T2(1)T2(2)T3(5)♫gH | ᾚ | GREEK CAPITAL LETTER ETA WITH PSILI AND VARIA AND PROSGEGRAMMENI |
        | T2(1)T2(2)T3(5)♫GH | ᾚ | GREEK CAPITAL LETTER ETA WITH PSILI AND VARIA AND PROSGEGRAMMENI |
        | T2(2)T3(5)T2(1)♫gH | ᾚ | GREEK CAPITAL LETTER ETA WITH PSILI AND VARIA AND PROSGEGRAMMENI |
        | T2(2)T3(5)T2(1)♫GH | ᾚ | GREEK CAPITAL LETTER ETA WITH PSILI AND VARIA AND PROSGEGRAMMENI |
        | T2(2)T2(1)T3(5)♫gH | ᾚ | GREEK CAPITAL LETTER ETA WITH PSILI AND VARIA AND PROSGEGRAMMENI |
        | T2(2)T2(1)T3(5)♫GH | ᾚ | GREEK CAPITAL LETTER ETA WITH PSILI AND VARIA AND PROSGEGRAMMENI |
        | T2(5)T2(1)T2(2)♫gH | ᾛ | GREEK CAPITAL LETTER ETA WITH DASIA AND VARIA AND PROSGEGRAMMENI |
        | T2(5)T2(1)T2(2)♫GH | ᾛ | GREEK CAPITAL LETTER ETA WITH DASIA AND VARIA AND PROSGEGRAMMENI |
        | T2(5)T2(2)T2(1)♫gH | ᾛ | GREEK CAPITAL LETTER ETA WITH DASIA AND VARIA AND PROSGEGRAMMENI |
        | T2(5)T2(2)T2(1)♫GH | ᾛ | GREEK CAPITAL LETTER ETA WITH DASIA AND VARIA AND PROSGEGRAMMENI |
        | T2(1)T2(5)T2(2)♫gH | ᾛ | GREEK CAPITAL LETTER ETA WITH DASIA AND VARIA AND PROSGEGRAMMENI |
        | T2(1)T2(5)T2(2)♫GH | ᾛ | GREEK CAPITAL LETTER ETA WITH DASIA AND VARIA AND PROSGEGRAMMENI |
        | T2(1)T2(2)T2(5)♫gH | ᾛ | GREEK CAPITAL LETTER ETA WITH DASIA AND VARIA AND PROSGEGRAMMENI |
        | T2(1)T2(2)T2(5)♫GH | ᾛ | GREEK CAPITAL LETTER ETA WITH DASIA AND VARIA AND PROSGEGRAMMENI |
        | T2(2)T2(5)T2(1)♫gH | ᾛ | GREEK CAPITAL LETTER ETA WITH DASIA AND VARIA AND PROSGEGRAMMENI |
        | T2(2)T2(5)T2(1)♫GH | ᾛ | GREEK CAPITAL LETTER ETA WITH DASIA AND VARIA AND PROSGEGRAMMENI |
        | T2(2)T2(1)T2(5)♫gH | ᾛ | GREEK CAPITAL LETTER ETA WITH DASIA AND VARIA AND PROSGEGRAMMENI |
        | T2(2)T2(1)T2(5)♫GH | ᾛ | GREEK CAPITAL LETTER ETA WITH DASIA AND VARIA AND PROSGEGRAMMENI |
        | T3(5)T3(1)T2(2)♫gH | ᾜ | GREEK CAPITAL LETTER ETA WITH PSILI AND OXIA AND PROSGEGRAMMENI |
        | T3(5)T3(1)T2(2)♫GH | ᾜ | GREEK CAPITAL LETTER ETA WITH PSILI AND OXIA AND PROSGEGRAMMENI |
        | T3(5)T2(2)T3(1)♫gH | ᾜ | GREEK CAPITAL LETTER ETA WITH PSILI AND OXIA AND PROSGEGRAMMENI |
        | T3(5)T2(2)T3(1)♫GH | ᾜ | GREEK CAPITAL LETTER ETA WITH PSILI AND OXIA AND PROSGEGRAMMENI |
        | T3(1)T3(5)T2(2)♫gH | ᾜ | GREEK CAPITAL LETTER ETA WITH PSILI AND OXIA AND PROSGEGRAMMENI |
        | T3(1)T3(5)T2(2)♫GH | ᾜ | GREEK CAPITAL LETTER ETA WITH PSILI AND OXIA AND PROSGEGRAMMENI |
        | T3(1)T2(2)T3(5)♫gH | ᾜ | GREEK CAPITAL LETTER ETA WITH PSILI AND OXIA AND PROSGEGRAMMENI |
        | T3(1)T2(2)T3(5)♫GH | ᾜ | GREEK CAPITAL LETTER ETA WITH PSILI AND OXIA AND PROSGEGRAMMENI |
        | T2(2)T3(5)T3(1)♫gH | ᾜ | GREEK CAPITAL LETTER ETA WITH PSILI AND OXIA AND PROSGEGRAMMENI |
        | T2(2)T3(5)T3(1)♫GH | ᾜ | GREEK CAPITAL LETTER ETA WITH PSILI AND OXIA AND PROSGEGRAMMENI |
        | T2(2)T3(1)T3(5)♫gH | ᾜ | GREEK CAPITAL LETTER ETA WITH PSILI AND OXIA AND PROSGEGRAMMENI |
        | T2(2)T3(1)T3(5)♫GH | ᾜ | GREEK CAPITAL LETTER ETA WITH PSILI AND OXIA AND PROSGEGRAMMENI |
        | T2(5)T3(1)T2(2)♫gH | ᾝ | GREEK CAPITAL LETTER ETA WITH DASIA AND OXIA AND PROSGEGRAMMENI |
        | T2(5)T3(1)T2(2)♫GH | ᾝ | GREEK CAPITAL LETTER ETA WITH DASIA AND OXIA AND PROSGEGRAMMENI |
        | T2(5)T2(2)T3(1)♫gH | ᾝ | GREEK CAPITAL LETTER ETA WITH DASIA AND OXIA AND PROSGEGRAMMENI |
        | T2(5)T2(2)T3(1)♫GH | ᾝ | GREEK CAPITAL LETTER ETA WITH DASIA AND OXIA AND PROSGEGRAMMENI |
        | T3(1)T2(5)T2(2)♫gH | ᾝ | GREEK CAPITAL LETTER ETA WITH DASIA AND OXIA AND PROSGEGRAMMENI |
        | T3(1)T2(5)T2(2)♫GH | ᾝ | GREEK CAPITAL LETTER ETA WITH DASIA AND OXIA AND PROSGEGRAMMENI |
        | T3(1)T2(2)T2(5)♫gH | ᾝ | GREEK CAPITAL LETTER ETA WITH DASIA AND OXIA AND PROSGEGRAMMENI |
        | T3(1)T2(2)T2(5)♫GH | ᾝ | GREEK CAPITAL LETTER ETA WITH DASIA AND OXIA AND PROSGEGRAMMENI |
        | T2(2)T2(5)T3(1)♫gH | ᾝ | GREEK CAPITAL LETTER ETA WITH DASIA AND OXIA AND PROSGEGRAMMENI |
        | T2(2)T2(5)T3(1)♫GH | ᾝ | GREEK CAPITAL LETTER ETA WITH DASIA AND OXIA AND PROSGEGRAMMENI |
        | T2(2)T3(1)T2(5)♫gH | ᾝ | GREEK CAPITAL LETTER ETA WITH DASIA AND OXIA AND PROSGEGRAMMENI |
        | T2(2)T3(1)T2(5)♫GH | ᾝ | GREEK CAPITAL LETTER ETA WITH DASIA AND OXIA AND PROSGEGRAMMENI |
        | T3(5)T3(2)T2(2)♫gH | ᾞ | GREEK CAPITAL LETTER ETA WITH PSILI AND PERISPOMENI AND PROSGEGRAMMENI |
        | T3(5)T3(2)T2(2)♫GH | ᾞ | GREEK CAPITAL LETTER ETA WITH PSILI AND PERISPOMENI AND PROSGEGRAMMENI |
        | T3(5)T2(2)T3(2)♫gH | ᾞ | GREEK CAPITAL LETTER ETA WITH PSILI AND PERISPOMENI AND PROSGEGRAMMENI |
        | T3(5)T2(2)T3(2)♫GH | ᾞ | GREEK CAPITAL LETTER ETA WITH PSILI AND PERISPOMENI AND PROSGEGRAMMENI |
        | T3(2)T3(5)T2(2)♫gH | ᾞ | GREEK CAPITAL LETTER ETA WITH PSILI AND PERISPOMENI AND PROSGEGRAMMENI |
        | T3(2)T3(5)T2(2)♫GH | ᾞ | GREEK CAPITAL LETTER ETA WITH PSILI AND PERISPOMENI AND PROSGEGRAMMENI |
        | T3(2)T2(2)T3(5)♫gH | ᾞ | GREEK CAPITAL LETTER ETA WITH PSILI AND PERISPOMENI AND PROSGEGRAMMENI |
        | T3(2)T2(2)T3(5)♫GH | ᾞ | GREEK CAPITAL LETTER ETA WITH PSILI AND PERISPOMENI AND PROSGEGRAMMENI |
        | T2(2)T3(5)T3(2)♫gH | ᾞ | GREEK CAPITAL LETTER ETA WITH PSILI AND PERISPOMENI AND PROSGEGRAMMENI |
        | T2(2)T3(5)T3(2)♫GH | ᾞ | GREEK CAPITAL LETTER ETA WITH PSILI AND PERISPOMENI AND PROSGEGRAMMENI |
        | T2(2)T3(2)T3(5)♫gH | ᾞ | GREEK CAPITAL LETTER ETA WITH PSILI AND PERISPOMENI AND PROSGEGRAMMENI |
        | T2(2)T3(2)T3(5)♫GH | ᾞ | GREEK CAPITAL LETTER ETA WITH PSILI AND PERISPOMENI AND PROSGEGRAMMENI |
        | T2(5)T3(2)T2(2)♫gH | ᾟ | GREEK CAPITAL LETTER ETA WITH DASIA AND PERISPOMENI AND PROSGEGRAMMENI |
        | T2(5)T3(2)T2(2)♫GH | ᾟ | GREEK CAPITAL LETTER ETA WITH DASIA AND PERISPOMENI AND PROSGEGRAMMENI |
        | T2(5)T2(2)T3(2)♫gH | ᾟ | GREEK CAPITAL LETTER ETA WITH DASIA AND PERISPOMENI AND PROSGEGRAMMENI |
        | T2(5)T2(2)T3(2)♫GH | ᾟ | GREEK CAPITAL LETTER ETA WITH DASIA AND PERISPOMENI AND PROSGEGRAMMENI |
        | T3(2)T2(5)T2(2)♫gH | ᾟ | GREEK CAPITAL LETTER ETA WITH DASIA AND PERISPOMENI AND PROSGEGRAMMENI |
        | T3(2)T2(5)T2(2)♫GH | ᾟ | GREEK CAPITAL LETTER ETA WITH DASIA AND PERISPOMENI AND PROSGEGRAMMENI |
        | T3(2)T2(2)T2(5)♫gH | ᾟ | GREEK CAPITAL LETTER ETA WITH DASIA AND PERISPOMENI AND PROSGEGRAMMENI |
        | T3(2)T2(2)T2(5)♫GH | ᾟ | GREEK CAPITAL LETTER ETA WITH DASIA AND PERISPOMENI AND PROSGEGRAMMENI |
        | T2(2)T2(5)T3(2)♫gH | ᾟ | GREEK CAPITAL LETTER ETA WITH DASIA AND PERISPOMENI AND PROSGEGRAMMENI |
        | T2(2)T2(5)T3(2)♫GH | ᾟ | GREEK CAPITAL LETTER ETA WITH DASIA AND PERISPOMENI AND PROSGEGRAMMENI |
        | T2(2)T3(2)T2(5)♫gH | ᾟ | GREEK CAPITAL LETTER ETA WITH DASIA AND PERISPOMENI AND PROSGEGRAMMENI |
        | T2(2)T3(2)T2(5)♫GH | ᾟ | GREEK CAPITAL LETTER ETA WITH DASIA AND PERISPOMENI AND PROSGEGRAMMENI |
        | T3(5)T2(2)♫gÄ | ᾘ | GREEK CAPITAL LETTER ETA WITH PSILI AND PROSGEGRAMMENI |
        | T3(5)T2(2)♫GÄ | ᾘ | GREEK CAPITAL LETTER ETA WITH PSILI AND PROSGEGRAMMENI |
        | T2(2)T3(5)♫GÄ | ᾘ | GREEK CAPITAL LETTER ETA WITH PSILI AND PROSGEGRAMMENI |
        | T2(5)T2(2)♫gÄ | ᾙ | GREEK CAPITAL LETTER ETA WITH DASIA AND PROSGEGRAMMENI |
        | T2(5)T2(2)♫GÄ | ᾙ | GREEK CAPITAL LETTER ETA WITH DASIA AND PROSGEGRAMMENI |
        | T2(2)T2(5)♫GÄ | ᾙ | GREEK CAPITAL LETTER ETA WITH DASIA AND PROSGEGRAMMENI |
        | T3(5)T2(1)T2(2)♫gÄ | ᾚ | GREEK CAPITAL LETTER ETA WITH PSILI AND VARIA AND PROSGEGRAMMENI |
        | T3(5)T2(1)T2(2)♫GÄ | ᾚ | GREEK CAPITAL LETTER ETA WITH PSILI AND VARIA AND PROSGEGRAMMENI |
        | T3(5)T2(2)T2(1)♫gÄ | ᾚ | GREEK CAPITAL LETTER ETA WITH PSILI AND VARIA AND PROSGEGRAMMENI |
        | T3(5)T2(2)T2(1)♫GÄ | ᾚ | GREEK CAPITAL LETTER ETA WITH PSILI AND VARIA AND PROSGEGRAMMENI |
        | T2(1)T3(5)T2(2)♫gÄ | ᾚ | GREEK CAPITAL LETTER ETA WITH PSILI AND VARIA AND PROSGEGRAMMENI |
        | T2(1)T3(5)T2(2)♫GÄ | ᾚ | GREEK CAPITAL LETTER ETA WITH PSILI AND VARIA AND PROSGEGRAMMENI |
        | T2(1)T2(2)T3(5)♫gÄ | ᾚ | GREEK CAPITAL LETTER ETA WITH PSILI AND VARIA AND PROSGEGRAMMENI |
        | T2(1)T2(2)T3(5)♫GÄ | ᾚ | GREEK CAPITAL LETTER ETA WITH PSILI AND VARIA AND PROSGEGRAMMENI |
        | T2(2)T3(5)T2(1)♫gÄ | ᾚ | GREEK CAPITAL LETTER ETA WITH PSILI AND VARIA AND PROSGEGRAMMENI |
        | T2(2)T3(5)T2(1)♫GÄ | ᾚ | GREEK CAPITAL LETTER ETA WITH PSILI AND VARIA AND PROSGEGRAMMENI |
        | T2(2)T2(1)T3(5)♫gÄ | ᾚ | GREEK CAPITAL LETTER ETA WITH PSILI AND VARIA AND PROSGEGRAMMENI |
        | T2(2)T2(1)T3(5)♫GÄ | ᾚ | GREEK CAPITAL LETTER ETA WITH PSILI AND VARIA AND PROSGEGRAMMENI |
        | T2(5)T2(1)T2(2)♫gÄ | ᾛ | GREEK CAPITAL LETTER ETA WITH DASIA AND VARIA AND PROSGEGRAMMENI |
        | T2(5)T2(1)T2(2)♫GÄ | ᾛ | GREEK CAPITAL LETTER ETA WITH DASIA AND VARIA AND PROSGEGRAMMENI |
        | T2(5)T2(2)T2(1)♫gÄ | ᾛ | GREEK CAPITAL LETTER ETA WITH DASIA AND VARIA AND PROSGEGRAMMENI |
        | T2(5)T2(2)T2(1)♫GÄ | ᾛ | GREEK CAPITAL LETTER ETA WITH DASIA AND VARIA AND PROSGEGRAMMENI |
        | T2(1)T2(5)T2(2)♫gÄ | ᾛ | GREEK CAPITAL LETTER ETA WITH DASIA AND VARIA AND PROSGEGRAMMENI |
        | T2(1)T2(5)T2(2)♫GÄ | ᾛ | GREEK CAPITAL LETTER ETA WITH DASIA AND VARIA AND PROSGEGRAMMENI |
        | T2(1)T2(2)T2(5)♫gÄ | ᾛ | GREEK CAPITAL LETTER ETA WITH DASIA AND VARIA AND PROSGEGRAMMENI |
        | T2(1)T2(2)T2(5)♫GÄ | ᾛ | GREEK CAPITAL LETTER ETA WITH DASIA AND VARIA AND PROSGEGRAMMENI |
        | T2(2)T2(5)T2(1)♫gÄ | ᾛ | GREEK CAPITAL LETTER ETA WITH DASIA AND VARIA AND PROSGEGRAMMENI |
        | T2(2)T2(5)T2(1)♫GÄ | ᾛ | GREEK CAPITAL LETTER ETA WITH DASIA AND VARIA AND PROSGEGRAMMENI |
        | T2(2)T2(1)T2(5)♫gÄ | ᾛ | GREEK CAPITAL LETTER ETA WITH DASIA AND VARIA AND PROSGEGRAMMENI |
        | T2(2)T2(1)T2(5)♫GÄ | ᾛ | GREEK CAPITAL LETTER ETA WITH DASIA AND VARIA AND PROSGEGRAMMENI |
        | T3(5)T3(1)T2(2)♫gÄ | ᾜ | GREEK CAPITAL LETTER ETA WITH PSILI AND OXIA AND PROSGEGRAMMENI |
        | T3(5)T3(1)T2(2)♫GÄ | ᾜ | GREEK CAPITAL LETTER ETA WITH PSILI AND OXIA AND PROSGEGRAMMENI |
        | T3(5)T2(2)T3(1)♫gÄ | ᾜ | GREEK CAPITAL LETTER ETA WITH PSILI AND OXIA AND PROSGEGRAMMENI |
        | T3(5)T2(2)T3(1)♫GÄ | ᾜ | GREEK CAPITAL LETTER ETA WITH PSILI AND OXIA AND PROSGEGRAMMENI |
        | T3(1)T3(5)T2(2)♫gÄ | ᾜ | GREEK CAPITAL LETTER ETA WITH PSILI AND OXIA AND PROSGEGRAMMENI |
        | T3(1)T3(5)T2(2)♫GÄ | ᾜ | GREEK CAPITAL LETTER ETA WITH PSILI AND OXIA AND PROSGEGRAMMENI |
        | T3(1)T2(2)T3(5)♫gÄ | ᾜ | GREEK CAPITAL LETTER ETA WITH PSILI AND OXIA AND PROSGEGRAMMENI |
        | T3(1)T2(2)T3(5)♫GÄ | ᾜ | GREEK CAPITAL LETTER ETA WITH PSILI AND OXIA AND PROSGEGRAMMENI |
        | T2(2)T3(5)T3(1)♫gÄ | ᾜ | GREEK CAPITAL LETTER ETA WITH PSILI AND OXIA AND PROSGEGRAMMENI |
        | T2(2)T3(5)T3(1)♫GÄ | ᾜ | GREEK CAPITAL LETTER ETA WITH PSILI AND OXIA AND PROSGEGRAMMENI |
        | T2(2)T3(1)T3(5)♫gÄ | ᾜ | GREEK CAPITAL LETTER ETA WITH PSILI AND OXIA AND PROSGEGRAMMENI |
        | T2(2)T3(1)T3(5)♫GÄ | ᾜ | GREEK CAPITAL LETTER ETA WITH PSILI AND OXIA AND PROSGEGRAMMENI |
        | T2(5)T3(1)T2(2)♫gÄ | ᾝ | GREEK CAPITAL LETTER ETA WITH DASIA AND OXIA AND PROSGEGRAMMENI |
        | T2(5)T3(1)T2(2)♫GÄ | ᾝ | GREEK CAPITAL LETTER ETA WITH DASIA AND OXIA AND PROSGEGRAMMENI |
        | T2(5)T2(2)T3(1)♫gÄ | ᾝ | GREEK CAPITAL LETTER ETA WITH DASIA AND OXIA AND PROSGEGRAMMENI |
        | T2(5)T2(2)T3(1)♫GÄ | ᾝ | GREEK CAPITAL LETTER ETA WITH DASIA AND OXIA AND PROSGEGRAMMENI |
        | T3(1)T2(5)T2(2)♫gÄ | ᾝ | GREEK CAPITAL LETTER ETA WITH DASIA AND OXIA AND PROSGEGRAMMENI |
        | T3(1)T2(5)T2(2)♫GÄ | ᾝ | GREEK CAPITAL LETTER ETA WITH DASIA AND OXIA AND PROSGEGRAMMENI |
        | T3(1)T2(2)T2(5)♫gÄ | ᾝ | GREEK CAPITAL LETTER ETA WITH DASIA AND OXIA AND PROSGEGRAMMENI |
        | T3(1)T2(2)T2(5)♫GÄ | ᾝ | GREEK CAPITAL LETTER ETA WITH DASIA AND OXIA AND PROSGEGRAMMENI |
        | T2(2)T2(5)T3(1)♫gÄ | ᾝ | GREEK CAPITAL LETTER ETA WITH DASIA AND OXIA AND PROSGEGRAMMENI |
        | T2(2)T2(5)T3(1)♫GÄ | ᾝ | GREEK CAPITAL LETTER ETA WITH DASIA AND OXIA AND PROSGEGRAMMENI |
        | T2(2)T3(1)T2(5)♫gÄ | ᾝ | GREEK CAPITAL LETTER ETA WITH DASIA AND OXIA AND PROSGEGRAMMENI |
        | T2(2)T3(1)T2(5)♫GÄ | ᾝ | GREEK CAPITAL LETTER ETA WITH DASIA AND OXIA AND PROSGEGRAMMENI |
        | T3(5)T3(2)T2(2)♫gÄ | ᾞ | GREEK CAPITAL LETTER ETA WITH PSILI AND PERISPOMENI AND PROSGEGRAMMENI |
        | T3(5)T3(2)T2(2)♫GÄ | ᾞ | GREEK CAPITAL LETTER ETA WITH PSILI AND PERISPOMENI AND PROSGEGRAMMENI |
        | T3(5)T2(2)T3(2)♫gÄ | ᾞ | GREEK CAPITAL LETTER ETA WITH PSILI AND PERISPOMENI AND PROSGEGRAMMENI |
        | T3(5)T2(2)T3(2)♫GÄ | ᾞ | GREEK CAPITAL LETTER ETA WITH PSILI AND PERISPOMENI AND PROSGEGRAMMENI |
        | T3(2)T3(5)T2(2)♫gÄ | ᾞ | GREEK CAPITAL LETTER ETA WITH PSILI AND PERISPOMENI AND PROSGEGRAMMENI |
        | T3(2)T3(5)T2(2)♫GÄ | ᾞ | GREEK CAPITAL LETTER ETA WITH PSILI AND PERISPOMENI AND PROSGEGRAMMENI |
        | T3(2)T2(2)T3(5)♫gÄ | ᾞ | GREEK CAPITAL LETTER ETA WITH PSILI AND PERISPOMENI AND PROSGEGRAMMENI |
        | T3(2)T2(2)T3(5)♫GÄ | ᾞ | GREEK CAPITAL LETTER ETA WITH PSILI AND PERISPOMENI AND PROSGEGRAMMENI |
        | T2(2)T3(5)T3(2)♫gÄ | ᾞ | GREEK CAPITAL LETTER ETA WITH PSILI AND PERISPOMENI AND PROSGEGRAMMENI |
        | T2(2)T3(5)T3(2)♫GÄ | ᾞ | GREEK CAPITAL LETTER ETA WITH PSILI AND PERISPOMENI AND PROSGEGRAMMENI |
        | T2(2)T3(2)T3(5)♫gÄ | ᾞ | GREEK CAPITAL LETTER ETA WITH PSILI AND PERISPOMENI AND PROSGEGRAMMENI |
        | T2(2)T3(2)T3(5)♫GÄ | ᾞ | GREEK CAPITAL LETTER ETA WITH PSILI AND PERISPOMENI AND PROSGEGRAMMENI |
        | T2(5)T3(2)T2(2)♫gÄ | ᾟ | GREEK CAPITAL LETTER ETA WITH DASIA AND PERISPOMENI AND PROSGEGRAMMENI |
        | T2(5)T3(2)T2(2)♫GÄ | ᾟ | GREEK CAPITAL LETTER ETA WITH DASIA AND PERISPOMENI AND PROSGEGRAMMENI |
        | T2(5)T2(2)T3(2)♫gÄ | ᾟ | GREEK CAPITAL LETTER ETA WITH DASIA AND PERISPOMENI AND PROSGEGRAMMENI |
        | T2(5)T2(2)T3(2)♫GÄ | ᾟ | GREEK CAPITAL LETTER ETA WITH DASIA AND PERISPOMENI AND PROSGEGRAMMENI |
        | T3(2)T2(5)T2(2)♫gÄ | ᾟ | GREEK CAPITAL LETTER ETA WITH DASIA AND PERISPOMENI AND PROSGEGRAMMENI |
        | T3(2)T2(5)T2(2)♫GÄ | ᾟ | GREEK CAPITAL LETTER ETA WITH DASIA AND PERISPOMENI AND PROSGEGRAMMENI |
        | T3(2)T2(2)T2(5)♫gÄ | ᾟ | GREEK CAPITAL LETTER ETA WITH DASIA AND PERISPOMENI AND PROSGEGRAMMENI |
        | T3(2)T2(2)T2(5)♫GÄ | ᾟ | GREEK CAPITAL LETTER ETA WITH DASIA AND PERISPOMENI AND PROSGEGRAMMENI |
        | T2(2)T2(5)T3(2)♫gÄ | ᾟ | GREEK CAPITAL LETTER ETA WITH DASIA AND PERISPOMENI AND PROSGEGRAMMENI |
        | T2(2)T2(5)T3(2)♫GÄ | ᾟ | GREEK CAPITAL LETTER ETA WITH DASIA AND PERISPOMENI AND PROSGEGRAMMENI |
        | T2(2)T3(2)T2(5)♫gÄ | ᾟ | GREEK CAPITAL LETTER ETA WITH DASIA AND PERISPOMENI AND PROSGEGRAMMENI |
        | T2(2)T3(2)T2(5)♫GÄ | ᾟ | GREEK CAPITAL LETTER ETA WITH DASIA AND PERISPOMENI AND PROSGEGRAMMENI |
        | T3(5)T2(2)Ω | ᾨ | GREEK CAPITAL LETTER OMEGA WITH PSILI AND PROSGEGRAMMENI |
        | T2(2)T3(5)Ω | ᾨ | GREEK CAPITAL LETTER OMEGA WITH PSILI AND PROSGEGRAMMENI |
        | T2(5)T2(2)Ω | ᾩ | GREEK CAPITAL LETTER OMEGA WITH DASIA AND PROSGEGRAMMENI |
        | T2(2)T2(5)Ω | ᾩ | GREEK CAPITAL LETTER OMEGA WITH DASIA AND PROSGEGRAMMENI |
        | T3(5)T2(1)T2(2)Ω | ᾪ | GREEK CAPITAL LETTER OMEGA WITH PSILI AND VARIA AND PROSGEGRAMMENI |
        | T3(5)T2(2)T2(1)Ω | ᾪ | GREEK CAPITAL LETTER OMEGA WITH PSILI AND VARIA AND PROSGEGRAMMENI |
        | T2(1)T3(5)T2(2)Ω | ᾪ | GREEK CAPITAL LETTER OMEGA WITH PSILI AND VARIA AND PROSGEGRAMMENI |
        | T2(1)T2(2)T3(5)Ω | ᾪ | GREEK CAPITAL LETTER OMEGA WITH PSILI AND VARIA AND PROSGEGRAMMENI |
        | T2(2)T3(5)T2(1)Ω | ᾪ | GREEK CAPITAL LETTER OMEGA WITH PSILI AND VARIA AND PROSGEGRAMMENI |
        | T2(2)T2(1)T3(5)Ω | ᾪ | GREEK CAPITAL LETTER OMEGA WITH PSILI AND VARIA AND PROSGEGRAMMENI |
        | T2(5)T2(1)T2(2)Ω | ᾫ | GREEK CAPITAL LETTER OMEGA WITH DASIA AND VARIA AND PROSGEGRAMMENI |
        | T2(5)T2(2)T2(1)Ω | ᾫ | GREEK CAPITAL LETTER OMEGA WITH DASIA AND VARIA AND PROSGEGRAMMENI |
        | T2(1)T2(5)T2(2)Ω | ᾫ | GREEK CAPITAL LETTER OMEGA WITH DASIA AND VARIA AND PROSGEGRAMMENI |
        | T2(1)T2(2)T2(5)Ω | ᾫ | GREEK CAPITAL LETTER OMEGA WITH DASIA AND VARIA AND PROSGEGRAMMENI |
        | T2(2)T2(5)T2(1)Ω | ᾫ | GREEK CAPITAL LETTER OMEGA WITH DASIA AND VARIA AND PROSGEGRAMMENI |
        | T2(2)T2(1)T2(5)Ω | ᾫ | GREEK CAPITAL LETTER OMEGA WITH DASIA AND VARIA AND PROSGEGRAMMENI |
        | T3(5)T3(1)T2(2)Ω | ᾬ | GREEK CAPITAL LETTER OMEGA WITH PSILI AND OXIA AND PROSGEGRAMMENI |
        | T3(5)T2(2)T3(1)Ω | ᾬ | GREEK CAPITAL LETTER OMEGA WITH PSILI AND OXIA AND PROSGEGRAMMENI |
        | T3(1)T3(5)T2(2)Ω | ᾬ | GREEK CAPITAL LETTER OMEGA WITH PSILI AND OXIA AND PROSGEGRAMMENI |
        | T3(1)T2(2)T3(5)Ω | ᾬ | GREEK CAPITAL LETTER OMEGA WITH PSILI AND OXIA AND PROSGEGRAMMENI |
        | T2(2)T3(5)T3(1)Ω | ᾬ | GREEK CAPITAL LETTER OMEGA WITH PSILI AND OXIA AND PROSGEGRAMMENI |
        | T2(2)T3(1)T3(5)Ω | ᾬ | GREEK CAPITAL LETTER OMEGA WITH PSILI AND OXIA AND PROSGEGRAMMENI |
        | T2(5)T3(1)T2(2)Ω | ᾭ | GREEK CAPITAL LETTER OMEGA WITH DASIA AND OXIA AND PROSGEGRAMMENI |
        | T2(5)T2(2)T3(1)Ω | ᾭ | GREEK CAPITAL LETTER OMEGA WITH DASIA AND OXIA AND PROSGEGRAMMENI |
        | T3(1)T2(5)T2(2)Ω | ᾭ | GREEK CAPITAL LETTER OMEGA WITH DASIA AND OXIA AND PROSGEGRAMMENI |
        | T3(1)T2(2)T2(5)Ω | ᾭ | GREEK CAPITAL LETTER OMEGA WITH DASIA AND OXIA AND PROSGEGRAMMENI |
        | T2(2)T2(5)T3(1)Ω | ᾭ | GREEK CAPITAL LETTER OMEGA WITH DASIA AND OXIA AND PROSGEGRAMMENI |
        | T2(2)T3(1)T2(5)Ω | ᾭ | GREEK CAPITAL LETTER OMEGA WITH DASIA AND OXIA AND PROSGEGRAMMENI |
        | T3(5)T3(2)T2(2)Ω | ᾮ | GREEK CAPITAL LETTER OMEGA WITH PSILI AND PERISPOMENI AND PROSGEGRAMMENI |
        | T3(5)T2(2)T3(2)Ω | ᾮ | GREEK CAPITAL LETTER OMEGA WITH PSILI AND PERISPOMENI AND PROSGEGRAMMENI |
        | T3(2)T3(5)T2(2)Ω | ᾮ | GREEK CAPITAL LETTER OMEGA WITH PSILI AND PERISPOMENI AND PROSGEGRAMMENI |
        | T3(2)T2(2)T3(5)Ω | ᾮ | GREEK CAPITAL LETTER OMEGA WITH PSILI AND PERISPOMENI AND PROSGEGRAMMENI |
        | T2(2)T3(5)T3(2)Ω | ᾮ | GREEK CAPITAL LETTER OMEGA WITH PSILI AND PERISPOMENI AND PROSGEGRAMMENI |
        | T2(2)T3(2)T3(5)Ω | ᾮ | GREEK CAPITAL LETTER OMEGA WITH PSILI AND PERISPOMENI AND PROSGEGRAMMENI |
        | T2(5)T3(2)T2(2)Ω | ᾯ | GREEK CAPITAL LETTER OMEGA WITH DASIA AND PERISPOMENI AND PROSGEGRAMMENI |
        | T2(5)T2(2)T3(2)Ω | ᾯ | GREEK CAPITAL LETTER OMEGA WITH DASIA AND PERISPOMENI AND PROSGEGRAMMENI |
        | T3(2)T2(5)T2(2)Ω | ᾯ | GREEK CAPITAL LETTER OMEGA WITH DASIA AND PERISPOMENI AND PROSGEGRAMMENI |
        | T3(2)T2(2)T2(5)Ω | ᾯ | GREEK CAPITAL LETTER OMEGA WITH DASIA AND PERISPOMENI AND PROSGEGRAMMENI |
        | T2(2)T2(5)T3(2)Ω | ᾯ | GREEK CAPITAL LETTER OMEGA WITH DASIA AND PERISPOMENI AND PROSGEGRAMMENI |
        | T2(2)T3(2)T2(5)Ω | ᾯ | GREEK CAPITAL LETTER OMEGA WITH DASIA AND PERISPOMENI AND PROSGEGRAMMENI |
        | T3(6)♫gA | Ᾰ | GREEK CAPITAL LETTER ALPHA WITH VRACHY |
        | T3(6)♫GA | Ᾰ | GREEK CAPITAL LETTER ALPHA WITH VRACHY |
        | T2(6)♫gA | Ᾱ | GREEK CAPITAL LETTER ALPHA WITH MACRON |
        | T2(6)♫GA | Ᾱ | GREEK CAPITAL LETTER ALPHA WITH MACRON |
        | T2(1)♫gA | Ὰ | GREEK CAPITAL LETTER ALPHA WITH VARIA |
        | T2(1)♫GA | Ὰ | GREEK CAPITAL LETTER ALPHA WITH VARIA |
        | T2(2)♫gA | ᾼ | GREEK CAPITAL LETTER ALPHA WITH PROSGEGRAMMENI |
        | T2(2)♫GA | ᾼ | GREEK CAPITAL LETTER ALPHA WITH PROSGEGRAMMENI |
        | T2(1)♫gE | Ὲ | GREEK CAPITAL LETTER EPSILON WITH VARIA |
        | T2(1)♫GE | Ὲ | GREEK CAPITAL LETTER EPSILON WITH VARIA |
        | T2(1)♫gH | Ὴ | GREEK CAPITAL LETTER ETA WITH VARIA |
        | T2(1)♫GH | Ὴ | GREEK CAPITAL LETTER ETA WITH VARIA |
        | T2(2)♫gH | ῌ | GREEK CAPITAL LETTER ETA WITH PROSGEGRAMMENI |
        | T2(2)♫GH | ῌ | GREEK CAPITAL LETTER ETA WITH PROSGEGRAMMENI |
        | T2(1)♫gÄ | Ὴ | GREEK CAPITAL LETTER ETA WITH VARIA |
        | T2(1)♫GÄ | Ὴ | GREEK CAPITAL LETTER ETA WITH VARIA |
        | T2(2)♫gÄ | ῌ | GREEK CAPITAL LETTER ETA WITH PROSGEGRAMMENI |
        | T2(2)♫GÄ | ῌ | GREEK CAPITAL LETTER ETA WITH PROSGEGRAMMENI |
        | T3(6)♫gI | Ῐ | GREEK CAPITAL LETTER IOTA WITH VRACHY |
        | T3(6)♫GI | Ῐ | GREEK CAPITAL LETTER IOTA WITH VRACHY |
        | T2(6)♫gI | Ῑ | GREEK CAPITAL LETTER IOTA WITH MACRON |
        | T2(6)♫GI | Ῑ | GREEK CAPITAL LETTER IOTA WITH MACRON |
        | T2(1)♫gI | Ὶ | GREEK CAPITAL LETTER IOTA WITH VARIA |
        | T2(1)♫GI | Ὶ | GREEK CAPITAL LETTER IOTA WITH VARIA |
        | T3(6)♫gY | Ῠ | GREEK CAPITAL LETTER UPSILON WITH VRACHY |
        | T3(6)♫GY | Ῠ | GREEK CAPITAL LETTER UPSILON WITH VRACHY |
        | T2(6)♫gY | Ῡ | GREEK CAPITAL LETTER UPSILON WITH MACRON |
        | T2(6)♫GY | Ῡ | GREEK CAPITAL LETTER UPSILON WITH MACRON |
        | T2(1)♫gY | Ὺ | GREEK CAPITAL LETTER UPSILON WITH VARIA |
        | T2(1)♫GY | Ὺ | GREEK CAPITAL LETTER UPSILON WITH VARIA |
        | T3(1)T1(5)♫gY | ϓ | GREEK UPSILON WITH ACUTE AND HOOK SYMBOL |
        | T3(1)T1(5)♫GY | ϓ | GREEK UPSILON WITH ACUTE AND HOOK SYMBOL |
        | T2(5)♫gΡ | Ῥ | GREEK CAPITAL LETTER RHO WITH DASIA |
        | T2(5)♫GΡ | Ῥ | GREEK CAPITAL LETTER RHO WITH DASIA |
        | T2(1)♫gO | Ὸ | GREEK CAPITAL LETTER OMICRON WITH VARIA |
        | T2(1)♫GO | Ὸ | GREEK CAPITAL LETTER OMICRON WITH VARIA |
        | T2(1)Ω | Ὼ | GREEK CAPITAL LETTER OMEGA WITH VARIA |
        | T2(2)Ω | ῼ | GREEK CAPITAL LETTER OMEGA WITH PROSGEGRAMMENI |
        | T2(4)♫gI | Ϊ | GREEK CAPITAL LETTER IOTA WITH DIALYTIKA |
        | T2(4)♫GI | Ϊ | GREEK CAPITAL LETTER IOTA WITH DIALYTIKA |
        | T2(4)♫gY | Ϋ | GREEK CAPITAL LETTER UPSILON WITH DIALYTIKA |
        | T2(4)♫GY | Ϋ | GREEK CAPITAL LETTER UPSILON WITH DIALYTIKA |
        | T3(1)α | ά | GREEK SMALL LETTER ALPHA WITH TONOS |
        | T3(1)ε | έ | GREEK SMALL LETTER EPSILON WITH TONOS |
        | T3(1)η | ή | GREEK SMALL LETTER ETA WITH TONOS |
        | T3(1)ι | ί | GREEK SMALL LETTER IOTA WITH TONOS |
        | T3(1)ο | ό | GREEK SMALL LETTER OMICRON WITH TONOS |
        | T3(1)υ | ύ | GREEK SMALL LETTER UPSILON WITH TONOS |
        | T3(1)ω | ώ | GREEK SMALL LETTER OMEGA WITH TONOS |
        | T3(1)♫gA | Ά | GREEK CAPITAL LETTER ALPHA WITH TONOS |
        | T3(1)♫GA | Ά | GREEK CAPITAL LETTER ALPHA WITH TONOS |
        | T3(1)♫gE | Έ | GREEK CAPITAL LETTER EPSILON WITH TONOS |
        | T3(1)♫GE | Έ | GREEK CAPITAL LETTER EPSILON WITH TONOS |
        | T3(1)♫gH | Ή | GREEK CAPITAL LETTER ETA WITH TONOS |
        | T3(1)♫GH | Ή | GREEK CAPITAL LETTER ETA WITH TONOS |
        | T3(1)♫gÄ | Ή | GREEK CAPITAL LETTER ETA WITH TONOS |
        | T3(1)♫GÄ | Ή | GREEK CAPITAL LETTER ETA WITH TONOS |
        | T3(1)♫gI | Ί | GREEK CAPITAL LETTER IOTA WITH TONOS |
        | T3(1)♫GI | Ί | GREEK CAPITAL LETTER IOTA WITH TONOS |
        | T3(1)♫gO | Ό | GREEK CAPITAL LETTER OMICRON WITH TONOS |
        | T3(1)♫GO | Ό | GREEK CAPITAL LETTER OMICRON WITH TONOS |
        | T3(1)♫gY | Ύ | GREEK CAPITAL LETTER UPSILON WITH TONOS |
        | T3(1)♫GY | Ύ | GREEK CAPITAL LETTER UPSILON WITH TONOS |
        | T3(1)Ω | Ώ | GREEK CAPITAL LETTER OMEGA WITH TONOS |
        | T1(5)κ | ϗ | GREEK KAI SYMBOL |
        | T1(5)ϰ | ϗ | GREEK KAI SYMBOL |
        | T1(5)Κ | Ϗ | GREEK CAPITAL KAI SYMBOL |
        | T1(5)♫gK | Ϗ | GREEK CAPITAL KAI SYMBOL |
        | T1(5)♫GK | Ϗ | GREEK CAPITAL KAI SYMBOL |
        | ♫Στ | Ϛ | GREEK LETTER STIGMA |
        | ♫ΣΤ | Ϛ | GREEK LETTER STIGMA |
        | ♫στ | ϛ | GREEK SMALL LETTER STIGMA |
        | ♫ββ | ϐ | GREEK BETA SYMBOL |
        | ♫ωπ | ϖ | GREEK PI SYMBOL |
        | ♫πω | ϖ | GREEK PI SYMBOL |
        | T3(3)ρ | ϼ | GREEK RHO WITH STROKE SYMBOL |
        | T1(3)ϵ | ϶ | GREEK REVERSED LUNATE EPSILON SYMBOL |
        | ♫gF | Ϝ | GREEK LETTER DIGAMMA |
        | ♫GF | Ϝ | GREEK LETTER DIGAMMA |
        | ♫gf | ϝ | GREEK SMALL LETTER DIGAMMA |
        | ♫gQ | Ϙ | GREEK LETTER ARCHAIC KOPPA |
        | ♫GQ | Ϙ | GREEK LETTER ARCHAIC KOPPA |
        | ♫gq | ϙ | GREEK SMALL LETTER ARCHAIC KOPPA |
        | ♫gj | ϳ | GREEK LETTER YOT |
        | ♫gC | Ϲ | GREEK CAPITAL LUNATE SIGMA SYMBOL |
        | ♫GC | Ϲ | GREEK CAPITAL LUNATE SIGMA SYMBOL |
        | ♫gc | ϲ | GREEK LUNATE SIGMA SYMBOL |
        | T1(3)U03F2 | ͻ | GREEK SMALL REVERSED LUNATE SIGMA SYMBOL |
        | T1(3)♫gc | ͻ | GREEK SMALL REVERSED LUNATE SIGMA SYMBOL |
        | T1(4)U03F2 | ͼ | GREEK SMALL DOTTED LUNATE SIGMA SYMBOL |
        | T1(4)♫gc | ͼ | GREEK SMALL DOTTED LUNATE SIGMA SYMBOL |
        | T1(4)T1(3)U03F2 | ͽ | GREEK SMALL REVERSED DOTTED LUNATE SIGMA SYMBOL |
        | T1(4)T1(3)♫gc | ͽ | GREEK SMALL REVERSED DOTTED LUNATE SIGMA SYMBOL |
        | T1(3)U03F9 | Ͻ | GREEK CAPITAL REVERSED LUNATE SIGMA SYMBOL |
        | T1(3)♫gC | Ͻ | GREEK CAPITAL REVERSED LUNATE SIGMA SYMBOL |
        | T1(3)♫GC | Ͻ | GREEK CAPITAL REVERSED LUNATE SIGMA SYMBOL |
        | T1(4)U03F9 | Ͼ | GREEK CAPITAL DOTTED LUNATE SIGMA SYMBOL |
        | T1(4)♫gC | Ͼ | GREEK CAPITAL DOTTED LUNATE SIGMA SYMBOL |
        | T1(4)♫GC | Ͼ | GREEK CAPITAL DOTTED LUNATE SIGMA SYMBOL |
        | T1(4)T1(3)U03F9 | Ͽ | GREEK CAPITAL REVERSED DOTTED LUNATE SIGMA SYMBOL |
        | T1(4)T1(3)♫gC | Ͽ | GREEK CAPITAL REVERSED DOTTED LUNATE SIGMA SYMBOL |
        | T1(4)T1(3)♫GC | Ͽ | GREEK CAPITAL REVERSED DOTTED LUNATE SIGMA SYMBOL |
        | T1(3)U0374 | ͵ | GREEK LOWER NUMERAL SIGN |
        | ♫U03DEU03DE | Ϙ | GREEK LETTER ARCHAIC KOPPA |
        | ♫U03DFU03DF | ϙ | GREEK SMALL LETTER ARCHAIC KOPPA |
        | ♫U03DCU03DC | Ͷ | GREEK CAPITAL LETTER PAMPHYLIAN DIGAMMA |
        | ♫U03DDU03DD | ͷ | GREEK SMALL LETTER PAMPHYLIAN DIGAMMA |
        | ♫U03E0U03E0 | Ͳ | GREEK CAPITAL LETTER ARCHAIC SAMPI |
        | ♫U03E1U03E1 | ͳ | GREEK SMALL LETTER ARCHAIC SAMPI |

* **greek-oxia.module** – Dieses Modul kann man zusätzlich zu greek.module laden, wenn man statt dem Tonos-Akzent lieber ein Oxia benutzen möchte.

    ??? info "Tabelle der Sequenzen"

        | Eingabe | Ausgabe | Kommentar |
        | --- | --- | --- |
        | T3(1)♫gA | Ά | GREEK CAPITAL LETTER ALPHA WITH OXIA |
        | T3(1)♫GA | Ά | GREEK CAPITAL LETTER ALPHA WITH OXIA |
        | T3(1)♫gE | Έ | GREEK CAPITAL LETTER EPSILON WITH OXIA |
        | T3(1)♫GE | Έ | GREEK CAPITAL LETTER EPSILON WITH OXIA |
        | T3(1)♫gH | Ή | GREEK CAPITAL LETTER ETA WITH OXIA |
        | T3(1)♫GH | Ή | GREEK CAPITAL LETTER ETA WITH OXIA |
        | T3(1)♫gÄ | Ή | GREEK CAPITAL LETTER ETA WITH OXIA |
        | T3(1)♫GÄ | Ή | GREEK CAPITAL LETTER ETA WITH OXIA |
        | T3(1)♫gI | Ί | GREEK CAPITAL LETTER IOTA WITH OXIA |
        | T3(1)♫GI | Ί | GREEK CAPITAL LETTER IOTA WITH OXIA |
        | T3(1)♫gY | Ύ | GREEK CAPITAL LETTER UPSILON WITH OXIA |
        | T3(1)♫GY | Ύ | GREEK CAPITAL LETTER UPSILON WITH OXIA |
        | T3(1)♫gO | Ό | GREEK CAPITAL LETTER OMICRON WITH OXIA |
        | T3(1)♫GO | Ό | GREEK CAPITAL LETTER OMICRON WITH OXIA |
        | T3(1)Ω | Ώ | GREEK CAPITAL LETTER OMEGA WITH OXIA |
        | T2(4)T3(1)ι | ΐ | GREEK SMALL LETTER IOTA WITH DIALYTIKA AND OXIA |
        | T3(1)T2(4)ι | ΐ | GREEK SMALL LETTER IOTA WITH DIALYTIKA AND OXIA |
        | T3(1)T2(4)υ | ΰ | GREEK SMALL LETTER UPSILON WITH DIALYTIKA AND OXIA |
        | T2(4)T3(1)υ | ΰ | GREEK SMALL LETTER UPSILON WITH DIALYTIKA AND OXIA |


* **lang.module** – Dieses Modul enthält Sequenzen für seltsames Sprachgedöns.

    ??? info "Tabelle der Sequenzen"

        | Eingabe | Ausgabe | Kommentar |
        | --- | --- | --- |
        | T1(3)a | ɐ | LATIN SMALL LETTER TURNED A |
        | T1(3)C | Ɔ | LATIN CAPITAL LETTER OPEN O |
        | T1(3)c | ɔ | LATIN SMALL LETTER OPEN O |
        | T1(3)e | ɘ | LATIN SMALL LETTER REVERSED E |
        | T1(3)h | ɥ | LATIN SMALL LETTER TURNED H |
        | T1(3)m | ɯ | LATIN SMALL LETTER TURNED M |
        | T1(3)R | ʁ | LATIN LETTER SMALL CAPITAL INVERTED R |
        | T1(3)r | ɹ | LATIN SMALL LETTER TURNED R |
        | T1(3)♫rr | ɺ | LATIN SMALL LETTER TURNED R WITH LONG LEG |
        | T1(3)S | Ƨ | LATIN CAPITAL LETTER TONE TWO |
        | T1(3)V | Ʌ | LATIN CAPITAL LETTER TURNED V |
        | T1(3)v | ʌ | LATIN SMALL LETTER TURNED V |
        | T1(3)w | ʍ | LATIN SMALL LETTER TURNED W |
        | T1(3)y | ʎ | LATIN SMALL LETTER TURNED Y |
        | T1(3)λ | ʎ | LATIN SMALL LETTER TURNED Y |
        | T1(3)3 | Ɛ | LATIN CAPITAL LETTER OPEN E |
        | T1(3)α | ɒ | LATIN SMALL LETTER TURNED ALPHA |
        | T1(3)♫aa | ɒ | LATIN SMALL LETTER TURNED ALPHA |
        | T1(3)♫αα | ɒ | LATIN SMALL LETTER TURNED ALPHA |
        | T1(3)Ω | Ʊ | LATIN CAPITAL LETTER UPSILON |
        | T1(3)♫hn | ɰ | LATIN SMALL LETTER TURNED M WITH LONG LEG |
        | ♫NE | Ǝ | LATIN CAPITAL LETTER REVERSED E |
        | ♫ne | ǝ | LATIN SMALL LETTER TURNED E |
        | T1(5)B | Ɓ | LATIN CAPITAL LETTER B WITH HOOK |
        | T1(5)b | ɓ | LATIN SMALL LETTER B WITH HOOK |
        | T1(5)C | Ƈ | LATIN CAPITAL LETTER C WITH HOOK |
        | T1(5)c | ƈ | LATIN SMALL LETTER C WITH HOOK |
        | T1(5)D | Ɗ | LATIN CAPITAL LETTER D WITH HOOK |
        | T1(5)d | ɗ | LATIN SMALL LETTER D WITH HOOK |
        | T1(5)F | Ƒ | LATIN CAPITAL LETTER F WITH HOOK |
        | T1(5)f | ƒ | LATIN SMALL LETTER F WITH HOOK |
        | T1(5)♫GG | ʛ | LATIN LETTER SMALL CAPITAL G WITH HOOK |
        | T1(5)G | Ɠ | LATIN CAPITAL LETTER G WITH HOOK |
        | T1(5)g | ɠ | LATIN SMALL LETTER G WITH HOOK |
        | T1(5)h | ɦ | LATIN SMALL LETTER H WITH HOOK |
        | T1(5)I | Ɩ | LATIN CAPITAL LETTER IOTA |
        | T1(5)i | ɩ | LATIN SMALL LETTER IOTA |
        | T1(5)j | ʝ | LATIN SMALL LETTER J WITH CROSSED-TAIL |
        | T1(5)K | Ƙ | LATIN CAPITAL LETTER K WITH HOOK |
        | T1(5)k | ƙ | LATIN SMALL LETTER K WITH HOOK |
        | T1(5)l | ɬ | LATIN SMALL LETTER L WITH BELT |
        | T1(5)M | Ɱ | LATIN CAPITAL LETTER M WITH HOOK |
        | T1(5)m | ɱ | LATIN SMALL LETTER M WITH HOOK |
        | T1(5)N | Ŋ | LATIN CAPITAL LETTER ENG |
        | T1(5)n | ŋ | LATIN SMALL LETTER ENG |
        | T1(5)P | Ƥ | LATIN CAPITAL LETTER P WITH HOOK |
        | T1(5)p | ƥ | LATIN SMALL LETTER P WITH HOOK |
        | T1(5)R | Ɽ | LATIN CAPITAL LETTER R WITH TAIL |
        | T1(5)r | ɽ | LATIN SMALL LETTER R WITH TAIL |
        | T1(5)s | ʂ | LATIN SMALL LETTER S WITH HOOK |
        | T1(5)T | Ƭ | LATIN CAPITAL LETTER T WITH HOOK |
        | T1(5)t | ƭ | LATIN SMALL LETTER T WITH HOOK |
        | T1(5)v | ⱱ | LATIN SMALL LETTER V WITH RIGHT HOOK |
        | T1(5)W | Ⱳ | LATIN CAPITAL LETTER W WITH HOOK |
        | T1(5)w | ⱳ | LATIN SMALL LETTER W WITH HOOK |
        | T1(5)X | Ɣ | LATIN CAPITAL LETTER GAMMA |
        | T1(5)x | ɣ | LATIN SMALL LETTER GAMMA |
        | ♫γγ | ɣ | LATIN SMALL LETTER GAMMA |
        | T1(5)Y | Ƴ | LATIN CAPITAL LETTER Y WITH HOOK |
        | T1(5)y | ƴ | LATIN SMALL LETTER Y WITH HOOK |
        | T1(5)z | ʐ | LATIN SMALL LETTER Z WITH RETROFLEX HOOK |
        | T1(5)♫ee | ɚ | LATIN SMALL LETTER SCHWA WITH HOOK |
        | T1(5)3 | ɝ | LATIN SMALL LETTER REVERSED OPEN E WITH HOOK |
        | ♫V) | Ʋ | LATIN CAPITAL LETTER V WITH HOOK |
        | ♫v) | ʋ | LATIN SMALL LETTER V WITH HOOK |
        | ♫nl | ɳ | LATIN SMALL LETTER N WITH RETROFLEX HOOK |
        | ♫ll | ɭ | LATIN SMALL LETTER L WITH RETROFLEX HOOK |
        | ♫Tl | Ʈ | LATIN CAPITAL LETTER T WITH RETROFLEX HOOK |
        | ♫TL | Ʈ | LATIN CAPITAL LETTER T WITH RETROFLEX HOOK |
        | ♫tl | ʈ | LATIN SMALL LETTER T WITH RETROFLEX HOOK |
        | T1(5)T1(3)r | ɻ | LATIN SMALL LETTER TURNED R WITH HOOK |
        | ♫jN | Ɲ | LATIN CAPITAL LETTER N WITH LEFT HOOK |
        | ♫JN | Ɲ | LATIN CAPITAL LETTER N WITH LEFT HOOK |
        | ♫jn | ɲ | LATIN SMALL LETTER N WITH LEFT HOOK |
        | ♫Dl | Ɖ | LATIN CAPITAL LETTER AFRICAN D |
        | ♫DL | Ɖ | LATIN CAPITAL LETTER AFRICAN D |
        | ♫dl | ɖ | LATIN SMALL LETTER D WITH TAIL |
        | ♫T1(5)hj | ɧ | LATIN SMALL LETTER HENG WITH HOOK |
        | ♫T1(5)hg | ɧ | LATIN SMALL LETTER HENG WITH HOOK |
        | ♫/A | Ⱥ | LATIN CAPITAL LETTER A WITH STROKE |
        | ♫KP_DivideA | Ⱥ | LATIN CAPITAL LETTER A WITH STROKE |
        | T3(3)a | ⱥ | LATIN SMALL LETTER A WITH STROKE |
        | ♫/a | ⱥ | LATIN SMALL LETTER A WITH STROKE |
        | ♫KP_Dividea | ⱥ | LATIN SMALL LETTER A WITH STROKE |
        | T3(3)B | Ƀ | LATIN CAPITAL LETTER B WITH STROKE |
        | ♫-B | Ƀ | LATIN CAPITAL LETTER B WITH STROKE |
        | T3(3)C | Ȼ | LATIN CAPITAL LETTER C WITH STROKE |
        | ♫/C | Ȼ | LATIN CAPITAL LETTER C WITH STROKE |
        | ♫KP_DivideC | Ȼ | LATIN CAPITAL LETTER C WITH STROKE |
        | T3(3)c | ȼ | LATIN SMALL LETTER C WITH STROKE |
        | ♫/c | ȼ | LATIN SMALL LETTER C WITH STROKE |
        | ♫KP_Dividec | ȼ | LATIN SMALL LETTER C WITH STROKE |
        | T3(3)E | Ɇ | LATIN CAPITAL LETTER E WITH STROKE |
        | ♫/E | Ɇ | LATIN CAPITAL LETTER E WITH STROKE |
        | ♫KP_DivideE | Ɇ | LATIN CAPITAL LETTER E WITH STROKE |
        | T3(3)e | ɇ | LATIN SMALL LETTER E WITH STROKE |
        | ♫/e | ɇ | LATIN SMALL LETTER E WITH STROKE |
        | ♫KP_Dividee | ɇ | LATIN SMALL LETTER E WITH STROKE |
        | T3(3)I | Ɨ | LATIN CAPITAL LETTER I WITH STROKE |
        | ♫-I | Ɨ | LATIN CAPITAL LETTER I WITH STROKE |
        | T3(3)♫II | ᵻ | LATIN SMALL CAPITAL LETTER I WITH STROKE |
        | ♫-J | Ɉ | LATIN CAPITAL LETTER J WITH STROKE |
        | ♫-j | ɉ | LATIN SMALL LETTER J WITH STROKE |
        | T3(3)J | ɟ | LATIN SMALL LETTER DOTLESS J WITH STROKE |
        | T3(3)j | ɟ | LATIN SMALL LETTER DOTLESS J WITH STROKE |
        | T3(3)T1(4)j | ɟ | LATIN SMALL LETTER DOTLESS J WITH STROKE |
        | T1(5)T3(3)J | ʄ | LATIN SMALL LETTER DOTLESS J WITH STROKE AND HOOK |
        | ♫jf | ʄ | LATIN SMALL LETTER DOTLESS J WITH STROKE AND HOOK |
        | ♫-L | Ƚ | LATIN CAPITAL LETTER L WITH BAR |
        | ♫-l | ƚ | LATIN SMALL LETTER L WITH BAR |
        | ♫=L | Ⱡ | LATIN CAPITAL LETTER L WITH DOUBLE BAR |
        | ♫=l | ⱡ | LATIN SMALL LETTER L WITH DOUBLE BAR |
        | ♫-o | ɵ | LATIN SMALL LETTER BARRED O |
        | ♫-O | Ɵ | LATIN CAPITAL LETTER O WITH MIDDLE TILDE |
        | T3(3)P | Ᵽ | LATIN CAPITAL LETTER P WITH STROKE |
        | ♫-P | Ᵽ | LATIN CAPITAL LETTER P WITH STROKE |
        | T3(3)p | ᵽ | LATIN SMALL LETTER P WITH STROKE |
        | ♫-p | ᵽ | LATIN SMALL LETTER P WITH STROKE |
        | T3(3)R | Ɍ | LATIN CAPITAL LETTER R WITH STROKE |
        | ♫-R | Ɍ | LATIN CAPITAL LETTER R WITH STROKE |
        | T3(3)r | ɍ | LATIN SMALL LETTER R WITH STROKE |
        | ♫-r | ɍ | LATIN SMALL LETTER R WITH STROKE |
        | ♫/T | Ⱦ | LATIN CAPITAL LETTER T WITH DIAGONAL STROKE |
        | ♫KP_DivideT | Ⱦ | LATIN CAPITAL LETTER T WITH DIAGONAL STROKE |
        | ♫/t | ⱦ | LATIN SMALL LETTER T WITH DIAGONAL STROKE |
        | ♫KP_Dividet | ⱦ | LATIN SMALL LETTER T WITH DIAGONAL STROKE |
        | T3(3)u | ʉ | LATIN SMALL LETTER U BAR |
        | ♫-u | ʉ | LATIN SMALL LETTER U BAR |
        | T3(3)U | Ʉ | LATIN CAPITAL LETTER U BAR |
        | ♫-U | Ʉ | LATIN CAPITAL LETTER U BAR |
        | T3(3)Y | Ɏ | LATIN CAPITAL LETTER Y WITH STROKE |
        | ♫-Y | Ɏ | LATIN CAPITAL LETTER Y WITH STROKE |
        | T3(3)y | ɏ | LATIN SMALL LETTER Y WITH STROKE |
        | ♫-y | ɏ | LATIN SMALL LETTER Y WITH STROKE |
        | T3(3)λ | ƛ | LATIN SMALL LETTER LAMBDA WITH STROKE |
        | ♫/λ | ƛ | LATIN SMALL LETTER LAMBDA WITH STROKE |
        | ♫KP_Divideλ | ƛ | LATIN SMALL LETTER LAMBDA WITH STROKE |
        | ♫-2 | ƻ | LATIN LETTER TWO WITH STROKE |
        | T3(3)ι | ᵼ | LATIN SMALL LETTER IOTA WITH STROKE |
        | ♫-ι | ᵼ | LATIN SMALL LETTER IOTA WITH STROKE |
        | T3(3)υ | ᵿ | LATIN SMALL LETTER UPSILON WITH STROKE |
        | ♫-υ | ᵿ | LATIN SMALL LETTER UPSILON WITH STROKE |
        | T3(3)♫UU | ᵾ | LATIN SMALL CAPITAL LETTER U WITH STROKE |
        | ♫lz | ɮ | LATIN SMALL LETTER LEZH |
        | ♫ZH | Ʒ | LATIN CAPITAL LETTER EZH |
        | ♫ZZ | Ʒ | LATIN CAPITAL LETTER EZH |
        | T1(2)♫ZH | Ǯ | LATIN CAPITAL LETTER EZH WITH CARON |
        | T1(2)♫zh | ǯ | LATIN SMALL LETTER EZH WITH CARON |
        | T1(3)♫ZZ | Ƹ | LATIN CAPITAL LETTER EZH REVERSED |
        | T1(3)♫zz | ƹ | LATIN SMALL LETTER EZH REVERSED |
        | ♫SH | Ʃ | LATIN CAPITAL LETTER ESH |
        | ♫sh | ʃ | LATIN SMALL LETTER ESH |
        | ♫BB | ʙ | LATIN LETTER SMALL CAPITAL B |
        | ♫GG | ɢ | LATIN LETTER SMALL CAPITAL G |
        | ♫HH | ʜ | LATIN LETTER SMALL CAPITAL H |
        | ♫II | ɪ | LATIN LETTER SMALL CAPITAL I |
        | ♫LL | ʟ | LATIN LETTER SMALL CAPITAL L |
        | ♫NN | ɴ | LATIN LETTER SMALL CAPITAL N |
        | ♫RR | ʀ | LATIN LETTER SMALL CAPITAL R |
        | ♫YY | ʏ | LATIN LETTER SMALL CAPITAL Y |
        | ♫OOE | ɶ | LATIN LETTER SMALL CAPITAL OE |
        | ♫C| | Ɑ | LATIN CAPITAL LETTER ALPHA |
        | ♫aa | ɑ | LATIN SMALL LETTER ALPHA |
        | ♫αα | ɑ | LATIN SMALL LETTER ALPHA |
        | ♫εε | ɛ | LATIN SMALL LETTER OPEN E |
        | ♫φφ | ɸ | LATIN SMALL LETTER PHI |
        | ♫ϕϕ | ɸ | LATIN SMALL LETTER PHI |
        | ♫υυ | ʊ | LATIN SMALL LETTER UPSILON |
        | ♫33 | ɜ | LATIN SMALL LETTER REVERSED OPEN E |
        | ♫KP_3KP_3 | ɜ | LATIN SMALL LETTER REVERSED OPEN E |
        | T2(3)c | ɕ | LATIN SMALL LETTER C WITH CURL |
        | T2(3)z | ʑ | LATIN SMALL LETTER Z WITH CURL |
        | T2(3)d | ȡ | LATIN SMALL LETTER D WITH CURL |
        | T2(3)l | ȴ | LATIN SMALL LETTER L WITH CURL |
        | T2(3)n | ȵ | LATIN SMALL LETTER N WITH CURL |
        | T2(3)t | ȶ | LATIN SMALL LETTER T WITH CURL |
        | ♫i? | ʔ | LATIN LETTER GLOTTAL STOP |
        | T3(3)♫i? | ʡ | LATIN LETTER GLOTTAL STOP WITH STROKE |
        | T1(3)♫i? | ʕ | LATIN LETTER PHARYNGEAL VOICED FRICATIVE |
        | T3(3)T1(3)? | ʢ | LATIN LETTER REVERSED GLOTTAL STOP WITH STROKE |
        | T3(3)T1(3)♫i? | ʢ | LATIN LETTER REVERSED GLOTTAL STOP WITH STROKE |
        | ♫gg | ɡ | LATIN SMALL LETTER SCRIPT G |
        | T1(3)τ | ɾ | LATIN SMALL LETTER R WITH FISHHOOK |
        | ♫r_ | ɾ | LATIN SMALL LETTER R WITH FISHHOOK |
        | ♫rr | ɼ | LATIN SMALL LETTER R WITH LONG LEG |
        | ♫(3␣ | ɞ | LATIN SMALL LETTER CLOSED REVERSED OPEN E |
        | ♫(KP_3␣ | ɞ | LATIN SMALL LETTER CLOSED REVERSED OPEN E |
        | ♫x_ | ɤ | LATIN SMALL LETTER RAMS HORN |
        | ♫=| | ǂ | LATIN LETTER ALVEOLAR CLICK |
        | ♫KP_Equal| | ǂ | LATIN LETTER ALVEOLAR CLICK |
        | ♫i|␣ | ǀ | LATIN LETTER DENTAL CLICK |
        | ♫i|| | ǁ | LATIN LETTER LATERAL CLICK |
        | ♫i! | ǃ | LATIN LETTER RETROFLEX CLICK |
        | ♫0. | ʘ | LATIN LETTER BILABIAL CLICK |
        | ♫KP_0. | ʘ | LATIN LETTER BILABIAL CLICK |
        | ♫.0 | ʘ | LATIN LETTER BILABIAL CLICK |
        | ♫.KP_0 | ʘ | LATIN LETTER BILABIAL CLICK |
        | T1(4)0 | ʘ | LATIN LETTER BILABIAL CLICK |
        | T1(4)KP_0 | ʘ | LATIN LETTER BILABIAL CLICK |
        | ♫:: | ː | MODIFIER LETTER TRIANGULAR COLON |
        | ♫·· | ˑ | MODIFIER LETTER HALF TRIANGULAR COLON |
        | ♫'' | ˈ | MODIFIER LETTER VERTICAL LINE |
        | ♫_' | ˌ | MODIFIER LETTER LOW VERTICAL LINE |
        | T1(3)♫'' | ˌ | MODIFIER LETTER LOW VERTICAL LINE |
        | T1(3)) | ‿ | UNDERTIE |
        | T1(3)( | ͡ | COMBINING DOUBLE INVERTED BREVE |
        | ♫t5 | ˥ | MODIFIER LETTER EXTRA-HIGH TONE BAR |
        | ♫t4 | ˦ | MODIFIER LETTER HIGH TONE BAR |
        | ♫t3 | ˧ | MODIFIER LETTER MID TONE BAR |
        | ♫t2 | ˨ | MODIFIER LETTER LOW TONE BAR |
        | ♫t1 | ˩ | MODIFIER LETTER EXTRA-LOW TONE BAR |
        | ♫m1 | ˥˥ |  |
        | ♫m2 | ˧˥ |  |
        | ♫m3 | ˨˩˦ |  |
        | ♫m4 | ˥˩ |  |
        | T1(1)♫|^ | ꜛ | MODIFIER LETTER RAISED UP ARROW |
        | T1(1)♫v| | ꜜ | MODIFIER LETTER RAISED DOWN ARROW |
        | T1(1)T1(3)L | ̚ | COMBINING LEFT ANGLE ABOVE |
        | T1(1)× | ̽ | COMBINING X ABOVE |
        | ♫^× | ̽ | COMBINING X ABOVE |
        | T1(3)T2(3)T2(3) | ̥ | COMBINING RING BELOW |
        | ♫_T2(3) | ̥ | COMBINING RING BELOW |
        | T1(3)T2(4)T2(4) | ̤ | COMBINING DIAERESIS BELOW |
        | ♫_T2(4) | ̤ | COMBINING DIAERESIS BELOW |
        | T1(3)T3(2)T3(2) | ̰ | COMBINING TILDE BELOW |
        | ♫_T3(2) | ̰ | COMBINING TILDE BELOW |
        | ♫_T3(6) | ̯ | COMBINING INVERTED BREVE BELOW |
        | ♫_T1(1)T1(1) | ̭ | COMBINING CIRCUMFLEX ACCENT BELOW |
        | ♫_T1(2) | ̬ | COMBINING CARON BELOW |
        | ♫_m | ̼ | COMBINING SEAGULL BELOW |
        | ♫i+ | ̟ | COMBINING PLUS SIGN BELOW |
        | ♫i- | ̠ | COMBINING MINUS SIGN BELOW |
        | ♫_| | ̩ | COMBINING VERTICAL LINE BELOW |
        | ♫_T2(6) | ̱ | COMBINING MACRON BELOW |
        | ♫_⊥ | ̝ | COMBINING UP TACK BELOW |
        | ♫_T1(3)⊥ | ̞ | COMBINING DOWN TACK BELOW |
        | ♫_c | ̜ | COMBINING LEFT HALF RING BELOW |
        | ♫_T1(3)c | ̹ | COMBINING RIGHT HALF RING BELOW |
        | ♫_□ | ̻ | COMBINING SQUARE BELOW |
        | ♫_T1(3)] | ̺ | COMBINING INVERTED BRIDGE BELOW |
        | ♫_T1(3)[ | ̪ | COMBINING BRIDGE BELOW |
        | ♫T2(6)T3(1) | ᷄ | COMBINING MACRON-ACUTE |
        | ♫T2(1)T2(6) | ᷅ | COMBINING GRAVE-MACRON |
        | ♫T3(1)T2(6) | ᷇ | COMBINING ACUTE-MACRON |
        | ♫T2(6)T2(1) | ᷆ | COMBINING MACRON-GRAVE |
        | T1(1)T1(5)m | ᶬ | MODIFIER LETTER SMALL M WITH HOOK |
        | T1(1)♫nl | ᶯ | MODIFIER LETTER SMALL N WITH RETROFLEX HOOK |
        | T1(1)♫jn | ᶮ | MODIFIER LETTER SMALL N WITH LEFT HOOK |
        | T1(1)T1(5)n | ᵑ | MODIFIER LETTER SMALL ENG |
        | T1(1)♫ng | ᵑ | MODIFIER LETTER SMALL ENG |
        | T1(1)♫NN | ᶰ | MODIFIER LETTER SMALL CAPITAL N |
        | T1(1)T3(3)j | ᶡ | MODIFIER LETTER SMALL DOTLESS J WITH STROKE |
        | T1(1)T3(3)J | ᶡ | MODIFIER LETTER SMALL DOTLESS J WITH STROKE |
        | T1(1)♫gg | ᶢ | MODIFIER LETTER SMALL SCRIPT G |
        | T1(1)? | ˀ | MODIFIER LETTER GLOTTAL STOP |
        | T1(1)ϕ | ᶲ | MODIFIER LETTER SMALL PHI |
        | T1(1)♫dh | ᶞ | MODIFIER LETTER SMALL ETH |
        | T1(1)♫sh | ᶴ | MODIFIER LETTER SMALL ESH |
        | T1(1)♫zh | ᶾ | MODIFIER LETTER SMALL EZH |
        | T1(1)♫zz | ᶾ | MODIFIER LETTER SMALL EZH |
        | T1(1)T1(5)s | ᶳ | MODIFIER LETTER SMALL S WITH HOOK |
        | T1(1)T1(5)z | ᶼ | MODIFIER LETTER SMALL Z WITH RETROFLEX HOOK |
        | T1(1)T1(5)j | ᶨ | MODIFIER LETTER SMALL J WITH CROSSED-TAIL |
        | T1(1)T1(5)x | ˠ | MODIFIER LETTER SMALL GAMMA |
        | T1(1)T1(3)R | ʶ | MODIFIER LETTER SMALL CAPITAL INVERTED R |
        | T1(1)T1(3)? | ˁ | MODIFIER LETTER REVERSED GLOTTAL STOP |
        | T1(1)T1(5)h | ʱ | MODIFIER LETTER SMALL H WITH HOOK |
        | T1(1)♫v) | ᶹ | MODIFIER LETTER SMALL V WITH HOOK |
        | T1(1)T1(3)r | ʴ | MODIFIER LETTER SMALL TURNED R |
        | T1(1)T1(5)T1(3)r | ʵ | MODIFIER LETTER SMALL TURNED R WITH HOOK |
        | T1(1)T1(3)♫hn | ᶭ | MODIFIER LETTER SMALL TURNED M WITH LONG LEG |
        | T1(1)♫ll | ᶩ | MODIFIER LETTER SMALL L WITH RETROFLEX HOOK |
        | T1(1)♫LL | ᶫ | MODIFIER LETTER SMALL CAPITAL L |
        | T1(1)T1(3)h | ᶣ | MODIFIER LETTER SMALL TURNED H |
        | T1(1)T2(3)c | ᶝ | MODIFIER LETTER SMALL C WITH CURL |
        | T1(1)T2(3)z | ᶽ | MODIFIER LETTER SMALL Z WITH CURL |
        | T1(1)T3(3)i | ᶤ | MODIFIER LETTER SMALL I WITH STROKE |
        | T1(1)♫-i | ᶤ | MODIFIER LETTER SMALL I WITH STROKE |
        | T1(1)T3(3)u | ᶶ | MODIFIER LETTER SMALL U BAR |
        | T1(1)♫-u | ᶶ | MODIFIER LETTER SMALL U BAR |
        | T1(1)T1(3)m | ᵚ | MODIFIER LETTER SMALL TURNED M |
        | T1(1)♫II | ᶦ | MODIFIER LETTER SMALL CAPITAL I |
        | T1(1)υ | ᶷ | MODIFIER LETTER SMALL UPSILON |
        | T1(1)♫-o | ᶱ | MODIFIER LETTER SMALL BARRED O |
        | T1(1)♫ee | ᵊ | MODIFIER LETTER SMALL SCHWA |
        | T1(1)ε | ᵋ | MODIFIER LETTER SMALL OPEN E |
        | T1(1)♫33 | ᶟ | MODIFIER LETTER SMALL REVERSED OPEN E |
        | T1(1)T1(3)v | ᶺ | MODIFIER LETTER SMALL TURNED V |
        | T1(1)T1(3)c | ᵓ | MODIFIER LETTER SMALL OPEN O |
        | T1(1)T1(3)a | ᵄ | MODIFIER LETTER SMALL TURNED A |
        | T1(1)α | ᵅ | MODIFIER LETTER SMALL ALPHA |
        | T1(1)T1(3)α | ᶛ | MODIFIER LETTER SMALL TURNED ALPHA |
        | T1(1)T3(3)I | ᶧ | MODIFIER LETTER SMALL CAPITAL I WITH STROKE |
        | T1(1)♫-I | ᶧ | MODIFIER LETTER SMALL CAPITAL I WITH STROKE |
        | T1(1)T3(3)♫II | ᶧ | MODIFIER LETTER SMALL CAPITAL I WITH STROKE |
        | T1(3)♫r_ | ɿ | LATIN SMALL LETTER REVERSED R WITH FISHHOOK |
        | T1(3)♫sh | ʅ | LATIN SMALL LETTER SQUAT REVERSED ESH |
        | dead_hookT1(3)h | ʮ | LATIN SMALL LETTER TURNED H WITH FISHHOOK |
        | T2(5)dead_hookT1(3)h | ʯ | LATIN SMALL LETTER TURNED H WITH FISHHOOK AND TAIL |
        | T3(5)A | Ả | LATIN CAPITAL LETTER A WITH HOOK ABOVE |
        | T3(5)a | ả | LATIN SMALL LETTER A WITH HOOK ABOVE |
        | T3(5)E | Ẻ | LATIN CAPITAL LETTER E WITH HOOK ABOVE |
        | T3(5)e | ẻ | LATIN SMALL LETTER E WITH HOOK ABOVE |
        | T3(5)I | Ỉ | LATIN CAPITAL LETTER I WITH HOOK ABOVE |
        | T3(5)i | ỉ | LATIN SMALL LETTER I WITH HOOK ABOVE |
        | T3(5)O | Ỏ | LATIN CAPITAL LETTER O WITH HOOK ABOVE |
        | T3(5)o | ỏ | LATIN SMALL LETTER O WITH HOOK ABOVE |
        | T3(5)U | Ủ | LATIN CAPITAL LETTER U WITH HOOK ABOVE |
        | T3(5)u | ủ | LATIN SMALL LETTER U WITH HOOK ABOVE |
        | T3(5)Y | Ỷ | LATIN CAPITAL LETTER Y WITH HOOK ABOVE |
        | T3(5)y | ỷ | LATIN SMALL LETTER Y WITH HOOK ABOVE |
        | T3(5)T3(6)A | Ẳ | LATIN CAPITAL LETTER A WITH BREVE AND HOOK ABOVE |
        | T3(5)T3(6)a | ẳ | LATIN SMALL LETTER A WITH BREVE AND HOOK ABOVE |
        | T3(5)T1(1)A | Ẩ | LATIN CAPITAL LETTER A WITH CIRCUMFLEX AND HOOK ABOVE |
        | T3(5)T1(1)a | ẩ | LATIN SMALL LETTER A WITH CIRCUMFLEX AND HOOK ABOVE |
        | T3(5)T1(1)E | Ể | LATIN CAPITAL LETTER E WITH CIRCUMFLEX AND HOOK ABOVE |
        | T3(5)T1(1)e | ể | LATIN SMALL LETTER E WITH CIRCUMFLEX AND HOOK ABOVE |
        | T3(5)T1(1)O | Ổ | LATIN CAPITAL LETTER O WITH CIRCUMFLEX AND HOOK ABOVE |
        | T3(5)T1(1)o | ổ | LATIN SMALL LETTER O WITH CIRCUMFLEX AND HOOK ABOVE |
        | T1(5)O | Ơ | LATIN CAPITAL LETTER O WITH HORN |
        | T1(5)o | ơ | LATIN SMALL LETTER O WITH HORN |
        | T3(1)T1(5)O | Ớ | LATIN CAPITAL LETTER O WITH HORN AND ACUTE |
        | T3(1)T1(5)o | ớ | LATIN SMALL LETTER O WITH HORN AND ACUTE |
        | T2(1)T1(5)O | Ờ | LATIN CAPITAL LETTER O WITH HORN AND GRAVE |
        | T2(1)T1(5)o | ờ | LATIN SMALL LETTER O WITH HORN AND GRAVE |
        | T3(5)T1(5)O | Ở | LATIN CAPITAL LETTER O WITH HORN AND HOOK ABOVE |
        | T3(5)T1(5)o | ở | LATIN SMALL LETTER O WITH HORN AND HOOK ABOVE |
        | T3(2)T1(5)O | Ỡ | LATIN CAPITAL LETTER O WITH HORN AND TILDE |
        | T3(2)T1(5)o | ỡ | LATIN SMALL LETTER O WITH HORN AND TILDE |
        | T1(6)T1(5)O | Ợ | LATIN CAPITAL LETTER O WITH HORN AND DOT BELOW |
        | T1(6)T1(5)o | ợ | LATIN SMALL LETTER O WITH HORN AND DOT BELOW |
        | T1(5)U | Ư | LATIN CAPITAL LETTER U WITH HORN |
        | T1(5)u | ư | LATIN SMALL LETTER U WITH HORN |
        | T3(1)T1(5)U | Ứ | LATIN CAPITAL LETTER U WITH HORN AND ACUTE |
        | T3(1)T1(5)u | ứ | LATIN SMALL LETTER U WITH HORN AND ACUTE |
        | T2(1)T1(5)U | Ừ | LATIN CAPITAL LETTER U WITH HORN AND GRAVE |
        | T2(1)T1(5)u | ừ | LATIN SMALL LETTER U WITH HORN AND GRAVE |
        | T3(5)T1(5)U | Ử | LATIN CAPITAL LETTER U WITH HORN AND HOOK ABOVE |
        | T3(5)T1(5)u | ử | LATIN SMALL LETTER U WITH HORN AND HOOK ABOVE |
        | T3(2)T1(5)U | Ữ | LATIN CAPITAL LETTER U WITH HORN AND TILDE |
        | T3(2)T1(5)u | ữ | LATIN SMALL LETTER U WITH HORN AND TILDE |
        | T1(6)T1(5)U | Ự | LATIN CAPITAL LETTER U WITH HORN AND DOT BELOW |
        | T1(6)T1(5)u | ự | LATIN SMALL LETTER U WITH HORN AND DOT BELOW |
        | ♫_T1(1)D | Ḓ | LATIN CAPITAL LETTER D WITH CIRCUMFLEX BELOW |
        | ♫_T1(1)d | ḓ | LATIN SMALL LETTER D WITH CIRCUMFLEX BELOW |
        | ♫_T1(1)L | Ḽ | LATIN CAPITAL LETTER L WITH CIRCUMFLEX BELOW |
        | ♫_T1(1)l | ḽ | LATIN SMALL LETTER L WITH CIRCUMFLEX BELOW |
        | ♫_T1(1)N | Ṋ | LATIN CAPITAL LETTER N WITH CIRCUMFLEX BELOW |
        | ♫_T1(1)n | ṋ | LATIN SMALL LETTER N WITH CIRCUMFLEX BELOW |
        | ♫_T1(1)T | Ṱ | LATIN CAPITAL LETTER T WITH CIRCUMFLEX BELOW |
        | ♫_T1(1)t | ṱ | LATIN SMALL LETTER T WITH CIRCUMFLEX BELOW |
        | ♫_T1(1)E | Ḙ | LATIN CAPITAL LETTER E WITH CIRCUMFLEX BELOW |
        | ♫_T1(1)e | ḙ | LATIN SMALL LETTER E WITH CIRCUMFLEX BELOW |
        | ♫_T1(1)U | Ṷ | LATIN CAPITAL LETTER U WITH CIRCUMFLEX BELOW |
        | ♫_T1(1)u | ṷ | LATIN SMALL LETTER U WITH CIRCUMFLEX BELOW |
        | T1(3)T2(3)A | Ḁ | LATIN CAPITAL LETTER A WITH RING BELOW |
        | T1(3)T2(3)a | ḁ | LATIN SMALL LETTER A WITH RING BELOW |
        | T1(3)T2(4)U | Ṳ | LATIN CAPITAL LETTER U WITH DIAERESIS BELOW |
        | T1(3)T2(4)u | ṳ | LATIN SMALL LETTER U WITH DIAERESIS BELOW |
        | T1(3)T3(2)E | Ḛ | LATIN CAPITAL LETTER E WITH TILDE BELOW |
        | T1(3)T3(2)e | ḛ | LATIN SMALL LETTER E WITH TILDE BELOW |
        | T1(3)T3(2)I | Ḭ | LATIN CAPITAL LETTER I WITH TILDE BELOW |
        | T1(3)T3(2)i | ḭ | LATIN SMALL LETTER I WITH TILDE BELOW |
        | T1(3)T3(2)U | Ṵ | LATIN CAPITAL LETTER U WITH TILDE BELOW |
        | T1(3)T3(2)u | ṵ | LATIN SMALL LETTER U WITH TILDE BELOW |
        | ♫’n | ŉ | LATIN SMALL LETTER N PRECEDED BY APOSTROPHE |
        | ♫n| | ƞ | LATIN SMALL LETTER N WITH LONG RIGHT LEG |
        | ♫N| | Ƞ | LATIN CAPITAL LETTER N WITH LONG RIGHT LEG |
        | ♫gU | Ȣ | LATIN CAPITAL LETTER OU |
        | ♫GU | Ȣ | LATIN CAPITAL LETTER OU |
        | ♫OU | Ȣ | LATIN CAPITAL LETTER OU |
        | ♫ΟΥ | Ȣ | LATIN CAPITAL LETTER OU |
        | ♫ου | ȣ | LATIN SMALL LETTER OU |
        | ♫gu | ȣ | LATIN SMALL LETTER OU |
        | T1(3)∝ | ȣ | LATIN SMALL LETTER OU |
        | ♫Oo | ⱺ | LATIN SMALL LETTER O WITH LOW RING INSIDE |
        | ♫X? | Ɂ | LATIN CAPITAL LETTER GLOTTAL STOP |
        | ♫x? | ɂ | LATIN SMALL LETTER GLOTTAL STOP |
        | ♫a0 | ٠ | ARABIC-INDIC DIGIT ZERO |
        | ♫a1 | ١ | ARABIC-INDIC DIGIT ONE |
        | ♫a2 | ٢ | ARABIC-INDIC DIGIT TWO |
        | ♫a3 | ٣ | ARABIC-INDIC DIGIT THREE |
        | ♫a4 | ٤ | ARABIC-INDIC DIGIT FOUR |
        | ♫a5 | ٥ | ARABIC-INDIC DIGIT FIVE |
        | ♫a6 | ٦ | ARABIC-INDIC DIGIT SIX |
        | ♫a7 | ٧ | ARABIC-INDIC DIGIT SEVEN |
        | ♫a8 | ٨ | ARABIC-INDIC DIGIT EIGHT |
        | ♫a9 | ٩ | ARABIC-INDIC DIGIT NINE |
        | ♫aKP_0 | ٠ | ARABIC-INDIC DIGIT ZERO |
        | ♫aKP_1 | ١ | ARABIC-INDIC DIGIT ONE |
        | ♫aKP_2 | ٢ | ARABIC-INDIC DIGIT TWO |
        | ♫aKP_3 | ٣ | ARABIC-INDIC DIGIT THREE |
        | ♫aKP_4 | ٤ | ARABIC-INDIC DIGIT FOUR |
        | ♫aKP_5 | ٥ | ARABIC-INDIC DIGIT FIVE |
        | ♫aKP_6 | ٦ | ARABIC-INDIC DIGIT SIX |
        | ♫aKP_7 | ٧ | ARABIC-INDIC DIGIT SEVEN |
        | ♫aKP_8 | ٨ | ARABIC-INDIC DIGIT EIGHT |
        | ♫aKP_9 | ٩ | ARABIC-INDIC DIGIT NINE |
        | ♫/ſ | ẜ | LATIN SMALL LETTER LONG S WITH DIAGONAL STROKE |
        | ♫HV | Ƕ | LATIN CAPITAL LETTER HWAIR |
        | ♫Hv | Ƕ | LATIN CAPITAL LETTER HWAIR |
        | ♫hv | ƕ | LATIN SMALL LETTER HV |
        | ♫WY | Ƿ | LATIN CAPITAL LETTER WYNN |
        | ♫Wy | Ƿ | LATIN CAPITAL LETTER WYNN |
        | ♫wy | ƿ | LATIN LETTER WYNN |
        | ♫YG | Ȝ | LATIN CAPITAL LETTER YOGH |
        | ♫Yg | Ȝ | LATIN CAPITAL LETTER YOGH |
        | ♫yg | ȝ | LATIN SMALL LETTER YOGH |

* **math.module** – Dieses Modul enthält Sequenzen für das Setzen von Zeichen, die in der Mathematik häufig benötigt werden.

    ??? info "Tabelle der Sequenzen"

        | Eingabe | Ausgabe | Kommentar |
        | --- | --- | --- |
        | ♫3√ | ∛ | CUBE ROOT |
        | ♫√3 | ∛ | CUBE ROOT |
        | ♫KP_3√ | ∛ | CUBE ROOT |
        | ♫√KP_3 | ∛ | CUBE ROOT |
        | ♫4√ | ∜ | FOURTH ROOT |
        | ♫√4 | ∜ | FOURTH ROOT |
        | ♫KP_4√ | ∜ | FOURTH ROOT |
        | ♫√KP_4 | ∜ | FOURTH ROOT |
        | ♫∫2 | ∬ | DOUBLE INTEGRAL |
        | ♫2∫ | ∬ | DOUBLE INTEGRAL |
        | ♫∫∫ | ∬ | DOUBLE INTEGRAL |
        | ♫∫KP_2 | ∬ | DOUBLE INTEGRAL |
        | ♫KP_2∫ | ∬ | DOUBLE INTEGRAL |
        | ♫∫3 | ∭ | TRIPLE INTEGRAL |
        | ♫3∫ | ∭ | TRIPLE INTEGRAL |
        | ♫∫KP_3 | ∭ | TRIPLE INTEGRAL |
        | ♫KP_3∫ | ∭ | TRIPLE INTEGRAL |
        | ♫∫4 | ⨌ | QUADRUPLE INTEGRAL OPERATOR |
        | ♫4∫ | ⨌ | QUADRUPLE INTEGRAL OPERATOR |
        | ♫∫KP_4 | ⨌ | QUADRUPLE INTEGRAL OPERATOR |
        | ♫KP_4∫ | ⨌ | QUADRUPLE INTEGRAL OPERATOR |
        | T2(3)∫ | ∮ | CONTOUR INTEGRAL |
        | ♫o∫ | ∮ | CONTOUR INTEGRAL |
        | ♫∘∫ | ∮ | CONTOUR INTEGRAL |
        | T2(3)2∫ | ∯ | SURFACE INTEGRAL |
        | T2(3)KP_2∫ | ∯ | SURFACE INTEGRAL |
        | ♫o2∫ | ∯ | SURFACE INTEGRAL |
        | ♫oKP_2∫ | ∯ | SURFACE INTEGRAL |
        | ♫∘2∫ | ∯ | SURFACE INTEGRAL |
        | ♫∘KP_2∫ | ∯ | SURFACE INTEGRAL |
        | T2(3)3∫ | ∰ | VOLUME U222E |
        | T2(3)KP_3∫ | ∰ | VOLUME U222E |
        | ♫o3∫ | ∰ | VOLUME U222E |
        | ♫oKP_3∫ | ∰ | VOLUME U222E |
        | ♫∘3∫ | ∰ | VOLUME U222E |
        | ♫∘KP_3∫ | ∰ | VOLUME U222E |
        | ♫^[ | ⌈ | LEFT CEILING |
        | ♫_[ | ⌊ | LEFT FLOOR |
        | ♫^] | ⌉ | RIGHT CEILING |
        | ♫_] | ⌋ | RIGHT FLOOR |
        | ♫>. | ∴ | THEREFORE |
        | ♫…∧ | ∴ | THEREFORE |
        | ♫<. | ∵ | BECAUSE |
        | ♫…∨ | ∵ | BECAUSE |
        | ♫2: | ∷ | PROPORTION |
        | ♫KP_2: | ∷ | PROPORTION |
        | ♫~= | ≅ | APPROXIMATELY EQUAL TO |
        | ♫=~ | ≅ | APPROXIMATELY EQUAL TO |
        | T3(2)= | ≅ | APPROXIMATELY EQUAL TO |
        | ♫~~ | ≈ | ~ ~ ALMOST EQUAL TO |
        | T3(2)~ | ≈ | ALMOST EQUAL TO |
        | T2(6)~ | ≃ | ASYMPTOTICALLY EQUAL TO |
        | T3(2)- | ≃ | ASYMPTOTICALLY EQUAL TO |
        | ♫== | ≡ | IDENTICAL TO |
        | T1(4)≡ | ⩧ | IDENTICAL WITH DOT ABOVE |
        | ♫:= | ≔ | COLON EQUALS |
        | ♫=: | ≕ | EQUALS COLON |
        | ♫KP_Equal: | ≕ | EQUALS COLON |
        | ♫>= | ≥ | GREATER-THAN OR EQUAL TO |
        | ♫=> | ≥ | GREATER-THAN OR EQUAL TO |
        | ♫<= | ≤ | LESS-THAN OR EQUAL TO |
        | ♫=< | ≤ | LESS-THAN OR EQUAL TO |
        | T2(6)< | ≤ | LESS-THAN OR EQUAL TO |
        | T2(6)> | ≥ | GREATER-THAN OR EQUAL TO |
        | ♫=° | ≗ | RING EQUAL TO |
        | ♫°= | ≗ | RING EQUAL TO |
        | T2(3)= | ≗ | RING EQUAL TO |
        | T1(2)= | ≚ | EQUIANGULAR TO |
        | T1(1)= | ≙ | ESTIMATES |
        | ♫=^ | ≙ | ESTIMATES |
        | ♫Δ= | ≜ | DELTA EQUAL TO |
        | ♫=Δ | ≜ | DELTA EQUAL TO |
        | ♫=? | ≟ | QUESTIONED EQUAL TO |
        | ♫?= | ≟ | QUESTIONED EQUAL TO |
        | T1(4)= | ≐ | APPROACHES THE LIMIT |
        | T1(6)= | ⩦ | EQUALS SIGN WITH DOT BELOW |
        | ♫KP_AddKP_Subtract | ± | PLUS-MINUS SIGN |
        | ♫KP_SubtractKP_Add | ∓ | MINUS-OR-PLUS SIGN |
        | ♫-+ | ∓ | MINUS-OR-PLUS SIGN |
        | T1(3)± | ∓ | MINUS-OR-PLUS SIGN |
        | T1(3)∓ | ± | PLUS-MINUS SIGN |
        | ♫sum | ∑ | N-ARY SUMMATION |
        | ♫int | ∫ | INTEGRAL |
        | ♫prod | ∏ | N-ARY PRODUCT |
        | T1(3)Π | ∐ | N-ARY COPRODUCT |
        | ♫prop | ∝ | PROPORTIONAL TO |
        | ♫ax | ∝ | PROPORTIONAL TO |
        | ♫Re | ℜ | BLACK-LETTER CAPITAL R |
        | ♫re | ℜ | BLACK-LETTER CAPITAL R |
        | ♫Im | ℑ | BLACK-LETTER CAPITAL I |
        | ♫im | ℑ | BLACK-LETTER CAPITAL I |
        | T1(3)∈ | ∋ | CONTAINS AS MEMBER |
        | ♫∈∈ | ∋ | CONTAINS AS MEMBER |
        | T1(4)∈ | ⋵ | ELEMENT OF WITH DOT ABOVE |
        | ♫ha | ℵ | ALEF SYMBOL |
        | ♫hb | ℶ | BET SYMBOL |
        | ♫hg | ℷ | GIMEL SYMBOL |
        | ♫hd | ℸ | DALET SYMBOL |
        | T1(4)∧ | ⩑ | LOGICAL AND WITH DOT ABOVE |
        | T1(4)∨ | ⩒ | LOGICAL OR WITH DOT ABOVE |
        | T2(6)∧ | ⊼ | NAND |
        | T2(6)∨ | ⊽ | NOR |
        | ♫∨_ | ⊻ | XOR |
        | ♫∨underbar | ⊻ | XOR |
        | ♫∧_ | ⩟ | LOGICAL AND WITH UNDERBAR |
        | ♫∧underbar | ⩟ | LOGICAL AND WITH UNDERBAR |
        | ♫∨∨ | ⋁ | N-ARY LOGICAL OR |
        | ♫∧∧ | ⋀ | N-ARY LOGICAL AND |
        | ♫∪∪ | ⋃ | N-ARY UNION |
        | ♫∩∩ | ⋂ | N-ARY INTERSECTION |
        | ♫ΣΣ | ∑ | N-ARY SUMMATION |
        | ♫ΠΠ | ∏ | N-ARY PRODUCT |
        | ♫⊙⊙ | ⨀ | N-ARY CIRCLED DOT OPERATOR |
        | ♫⊕⊕ | ⨁ | N-ARY CIRCLED PLUS OPERATOR |
        | ♫⊗⊗ | ⨂ | N-ARY CIRCLED TIMES OPERATOR |
        | T2(6)⊂ | ⊆ | SUBSET OF OR EQUAL TO |
        | ♫⊂= | ⊆ | SUBSET OF OR EQUAL TO |
        | ♫=⊂ | ⊆ | SUBSET OF OR EQUAL TO |
        | T2(6)⊃ | ⊇ | SUPERSET OF OR EQUAL TO |
        | T1(3)⊂ | ⊃ | SUPERSET OF |
        | T1(3)⊃ | ⊂ | SUBSET OF |
        | T1(3)⊆ | ⊇ | SUPERSET OF OR EQUAL TO |
        | T1(3)⊇ | ⊆ | SUBSET OF OR EQUAL TO |
        | T1(4)⊆ | ⫃ | SUBSET OF OR EQUAL TO WITH DOT ABOVE |
        | T1(4)⊇ | ⫄ | SUPERSET OF OR EQUAL TO WITH DOT ABOVE |
        | T1(4)~ | ⩪ | TILDE OPERATOR WITH DOT ABOVE |
        | T1(4)- | ∸ | DOT MINUS |
        | T1(1)≅ | ⩯ | ALMOST EQUAL TO WITH CIRCUMFLEX ACCENT |
        | T2(3)+ | ⨢ | PLUS SIGN WITH SMALL CIRCLE ABOVE |
        | T1(1)+ | ⨣ | PLUS SIGN WITH CIRCUMFLEX ACCENT ABOVE |
        | T3(2)+ | ⨤ | PLUS SIGN WITH TILDE ABOVE |
        | T1(4)+ | ∔ | DOT PLUS |
        | T1(4)× | ⨰ | MULTIPLICATION SIGN WITH DOT ABOVE |
        | ♫<\| | ⊲ | NORMAL SUBGROUP OF |
        | ♫\|< | ⊲ | NORMAL SUBGROUP OF |
        | ♫\|> | ⊳ | CONTAINS AS NORMAL SUBGROUP |
        | ♫=|< | ⊴ | NORMAL SUBGROUP OF OR EQUAL TO |
        | ♫KP_Equal|< | ⊴ | NORMAL SUBGROUP OF OR EQUAL TO |
        | ♫=|> | ⊵ | CONTAINS AS NORMAL SUBGROUP OR EQUAL TO |
        | ♫KP_Equal|> | ⊵ | CONTAINS AS NORMAL SUBGROUP OR EQUAL TO |
        | ♫\\ | ∖ | SET MINUS |
        | ♫\|␣ | ∣ | DIVIDES |
        | ♫\|\| | ‖ | DOUBLE VERTICAL LINE |
        | ♫\|- | ⊢ | RIGHT TACK |
        | ♫-\| | ⊣ | LEFT TACK |
        | ♫\|= | ⊨ | TRUE |
        | ♫\|KP_Equal | ⊨ | TRUE |
        | ♫⊥⊥ | ⊤ | DOWN TACK |
        | T1(3)⊥ | ⊤ | DOWN TACK |
        | ♫/0 | ∅ | EMPTY SET |
        | T3(3)0 | ∅ | EMPTY SET |
        | T2(3)∅ | ⦲ | EMPTY SET WITH SMALL CIRCLE ABOVE |
        | T1(3)∅ | ⦰ | REVERSED EMPTY SET |
        | T2(6)∅ | ⦱ | EMPTY SET WITH OVERBAR |
        | ♫** | ∗ | ASTERISK OPERATOR |
        | ♫KP_MultiplyKP_Multiply | ∗ | ASTERISK OPERATOR |
        | ♫2> | ≫ | MUCH GREATER-THAN |
        | ♫KP_2> | ≫ | MUCH GREATER-THAN |
        | ♫2< | ≪ | MUCH LESS-THAN |
        | ♫KP_2< | ≪ | MUCH LESS-THAN |
        | ♫3> | ⋙ | VERY MUCH GREATER-THAN |
        | ♫KP_3> | ⋙ | VERY MUCH GREATER-THAN |
        | ♫3< | ⋘ | VERY MUCH LESS-THAN |
        | ♫KP_3< | ⋘ | VERY MUCH LESS-THAN |
        | ♫>> | ≫ | MUCH GREATER-THAN |
        | ♫<< | ≪ | MUCH LESS-THAN |
        | ♫2= | ⩵ | TWO CONSECUTIVE EQUALS SIGNS |
        | ♫KP_2= | ⩵ | TWO CONSECUTIVE EQUALS SIGNS |
        | ♫3= | ⩶ | THREE CONSECUTIVE EQUALS SIGNS |
        | ♫KP_3= | ⩶ | THREE CONSECUTIVE EQUALS SIGNS |
        | ♫o+ | ⊕ | CIRCLED PLUS |
        | ♫oKP_Add | ⊕ | CIRCLED PLUS |
        | ♫o- | ⊖ | CIRCLED MINUS |
        | ♫oKP_Subtract | ⊖ | CIRCLED MINUS |
        | ♫o× | ⊗ | CIRCLED TIMES |
        | ♫o/ | ⊘ | CIRCLED DIVISION SLASH |
        | ♫oKP_Divide | ⊘ | CIRCLED DIVISION SLASH |
        | ♫o. | ⊙ | CIRCLED DOT OPERATOR |
        | ♫o∘ | ⊚ | CIRCLED RING OPERATOR |
        | ♫o° | ⊚ | CIRCLED RING OPERATOR |
        | ♫o* | ⊛ | CIRCLED ASTERISK OPERATOR |
        | ♫o= | ⊜ | CIRCLED EQUALS |
        | ♫oKP_Equal | ⊜ | CIRCLED EQUALS |
        | ♫o⊥ | ⦹ | CIRCLED PERPENDICULAR |
        | ♫o∥ | ⦷ | CIRCLED PARALLEL |
        | ♫o< | ⧀ | CIRCLED LESS-THAN |
        | ♫o> | ⧁ | CIRCLED GREATER-THAN |
        | ♫Δ+ | ⨹ | PLUS SIGN IN TRIANGLE |
        | ♫+Δ | ⨹ | PLUS SIGN IN TRIANGLE |
        | ♫Δ- | ⨺ | MINUS SIGN IN TRIANGLE |
        | ♫-Δ | ⨺ | MINUS SIGN IN TRIANGLE |
        | ♫Δ× | ⨻ | MULTIPLICATION SIGN IN TRIANGLE |
        | ♫×Δ | ⨻ | MULTIPLICATION SIGN IN TRIANGLE |
        | T1(6)∧ | ⟑ | AND WITH DOT |
        | ♫-∫ | ⨍ | FINITE PART INTEGRAL |
        | ♫=∫ | ⨎ | INTEGRAL WITH DOUBLE STROKE |
        | ♫∫= | ⨎ | INTEGRAL WITH DOUBLE STROKE |
        | ♫×∫ | ⨘ | INTEGRAL WITH TIMES SIGN |
        | ♫∫× | ⨘ | INTEGRAL WITH TIMES SIGN |
        | ♫∩∫ | ⨙ | INTEGRAL WITH INTERSECTION |
        | ♫∫∩ | ⨙ | INTEGRAL WITH INTERSECTION |
        | ♫∪∫ | ⨚ | INTEGRAL WITH UNION |
        | ♫∫∪ | ⨚ | INTEGRAL WITH UNION |
        | T2(6)∫ | ⨛ | INTEGRAL WITH OVERBAR |
        | ♫_∫ | ⨜ | INTEGRAL WITH UNDERBAR |
        | ♫underbar∫ | ⨜ | INTEGRAL WITH UNDERBAR |
        | ♫/∫ | ⨏ | INTEGRAL AVERAGE WITH SLASH |
        | T3(3)∫ | ⨏ | INTEGRAL AVERAGE WITH SLASH |
        | ♫_× | ⨱ | MULTIPLICATION SIGN WITH UNDERBAR |
        | ♫underbar× | ⨱ | MULTIPLICATION SIGN WITH UNDERBAR |
        | T2(6)∪ | ⩂ | UNION WITH OVERBAR |
        | T2(6)∩ | ⩃ | INTERSECTION WITH OVERBAR |
        | ♫<) | ⪦ | LESS-THAN CLOSED BY CURVE |
        | ♫(> | ⪧ | GREATER-THAN CLOSED BY CURVE |
        | ♫×× | ⨯ | VECTOR OR CROSS PRODUCT |
        | ♫?< | ⩻ | LESS-THAN WITH QUESTION MARK ABOVE |
        | ♫<? | ⩻ | LESS-THAN WITH QUESTION MARK ABOVE |
        | ♫?> | ⩼ | GREATER-THAN WITH QUESTION MARK ABOVE |
        | ♫>? | ⩼ | GREATER-THAN WITH QUESTION MARK ABOVE |
        | ♫\|×\| | ⋈ | BOWTIE |
        | ♫\|×␣ | ⋉ | LEFT NORMAL FACTOR SEMIDIRECT PRODUCT |
        | ♫×\| | ⋊ | RIGHT NORMAL FACTOR SEMIDIRECT PRODUCT |
        | T1(3)~ | ≀ | WREATH PRODUCT |
        | T1(3)∡ | ∢ | SPHERICAL ANGLE |
        | T1(3)& | ⅋ | TURNED AMPERSAND |
        | ♫-: | ∹ | EXCESS |
        | T1(3)# | ⨳ | SMASH PRODUCT |
        | T1(4)Δ | ⧊ | TRIANGLE WITH DOT ABOVE |
        | ♫/= | ≠ | NOT EQUAL TO |
        | T3(3)= | ≠ | NOT EQUAL TO |
        | ♫=T3(3)T3(3) | ≠ | NOT EQUAL TO |
        | ♫KP_DivideKP_Equal | ≠ | NOT EQUAL TO |
        | T3(3)KP_Equal | ≠ | NOT EQUAL TO |
        | ♫KP_EqualT3(3)T3(3) | ≠ | NOT EQUAL TO |
        | ♫<> | ≠ | NOT EQUAL TO |
        | T3(3)⇒ | ⇏ | RIGHTWARDS DOUBLE ARROW WITH STROKE |
        | ♫/⇒ | ⇏ | RIGHTWARDS DOUBLE ARROW WITH STROKE |
        | T3(3)⇐ | ⇍ | LEFTWARDS DOUBLE ARROW WITH STROKE |
        | ♫/⇐ | ⇍ | LEFTWARDS DOUBLE ARROW WITH STROKE |
        | T3(3)⇔ | ⇎ | LEFT RIGHT DOUBLE ARROW WITH STROKE |
        | ♫/⇔ | ⇎ | LEFT RIGHT DOUBLE ARROW WITH STROKE |
        | T3(3)← | ↚ | LEFTWARDS ARROW WITH STROKE |
        | ♫/← | ↚ | LEFTWARDS ARROW WITH STROKE |
        | T3(3)→ | ↛ | RIGHTWARDS ARROW WITH STROKE |
        | ♫/→ | ↛ | RIGHTWARDS ARROW WITH STROKE |
        | T3(3)↔ | ↮ | LEFT RIGHT ARROW WITH STROKE |
        | ♫/↔ | ↮ | LEFT RIGHT ARROW WITH STROKE |
        | ♫/∃ | ∄ | THERE DOES NOT EXIST |
        | T3(3)∃ | ∄ | THERE DOES NOT EXIST |
        | ♫∃T3(3)T3(3) | ∄ | THERE DOES NOT EXIST |
        | ♫/∈ | ∉ | NOT AN ELEMENT OF |
        | T3(3)∈ | ∉ | NOT AN ELEMENT OF |
        | ♫∈T3(3)T3(3) | ∉ | NOT AN ELEMENT OF |
        | T3(3)T1(3)∈ | ∌ | DOES NOT CONTAIN AS MEMBER |
        | T3(3)♫∈∈ | ∌ | DOES NOT CONTAIN AS MEMBER |
        | ♫/\| | ∤ | DOES NOT DIVIDE |
        | T3(3)\| | ∤ | DOES NOT DIVIDE |
        | ♫\|T3(3)T3(3) | ∤ | DOES NOT DIVIDE |
        | ♫/U2223 | ∤ | DOES NOT DIVIDE |
        | T3(3)U2223 | ∤ | DOES NOT DIVIDE |
        | ♫U2223T3(3)T3(3) | ∤ | DOES NOT DIVIDE |
        | ♫/∥ | ∦ | NOT PARALLEL TO |
        | T3(3)∥ | ∦ | NOT PARALLEL TO |
        | ♫∥T3(3)T3(3) | ∦ | NOT PARALLEL TO |
        | ♫/~ | ≁ | NOT TILDE |
        | T3(3)~ | ≁ | NOT TILDE |
        | ♫~T3(3)T3(3) | ≁ | NOT TILDE |
        | ♫/< | ≮ | NOT LESS-THAN |
        | T3(3)< | ≮ | NOT LESS-THAN |
        | ♫<T3(3)T3(3) | ≮ | NOT LESS-THAN |
        | ♫/> | ≯ | NOT GREATER-THAN |
        | T3(3)> | ≯ | NOT GREATER-THAN |
        | ♫>T3(3)T3(3) | ≯ | NOT GREATER-THAN |
        | ♫/≤ | ≰ | NEITHER LESS-THAN NOR EQUAL TO |
        | T3(3)≤ | ≰ | NEITHER LESS-THAN NOR EQUAL TO |
        | ♫≤T3(3)T3(3) | ≰ | NEITHER LESS-THAN NOR EQUAL TO |
        | ♫/≥ | ≱ | NEITHER GREATER-THAN NOR EQUAL TO |
        | T3(3)≥ | ≱ | NEITHER GREATER-THAN NOR EQUAL TO |
        | ♫≥T3(3)T3(3) | ≱ | NEITHER GREATER-THAN NOR EQUAL TO |
        | ♫/⊂ | ⊄ | NOT A SUBSET OF |
        | T3(3)⊂ | ⊄ | NOT A SUBSET OF |
        | ♫⊂T3(3)T3(3) | ⊄ | NOT A SUBSET OF |
        | ♫/⊃ | ⊅ | NOT A SUPERSET OF |
        | T3(3)⊃ | ⊅ | NOT A SUPERSET OF |
        | ♫⊃T3(3)T3(3) | ⊅ | NOT A SUPERSET OF |
        | T3(3)♫<\| | ⋪ | NOT NORMAL SUBGROUP OF |
        | T3(3)♫\|> | ⋫ | DOES NOT CONTAIN AS NORMAL SUBGROUP |
        | T3(3)♫=<\| | ⋬ | NOT NORMAL SUBGROUP OF OR EQUAL TO |
        | T3(3)♫KP_Equal<\| | ⋬ | NOT NORMAL SUBGROUP OF OR EQUAL TO |
        | T3(3)♫=\|> | ⋭ | DOES NOT CONTAIN AS NORMAL SUBGROUP OR EQUAL |
        | T3(3)♫KP_Equal\|> | ⋭ | DOES NOT CONTAIN AS NORMAL SUBGROUP OR EQUAL |
        | T3(3)♫\|- | ⊬ | DOES NOT PROVE |
        | T3(3)♫\|= | ⊭ | NOT TRUE |
        | T3(3)♫\|KP_Equal | ⊭ | NOT TRUE |
        | ♫<- | ← | LEFTWARDS ARROW |
        | T1(3)→ | ← | LEFTWARDS ARROW |
        | ♫\|^ | ↑ | UPWARDS ARROW |
        | ♫-> | → | RIGHTWARDS ARROW |
        | ♫v\| | ↓ | DOWNWARDS ARROW |
        | ♫<→ | ↔ | LEFT RIGHT ARROW |
        | ♫←> | ↔ | LEFT RIGHT ARROW |
        | ♫^\|v | ↕ | UP DOWN ARROW |
        | ♫\^ | ↖ | NORTH WEST ARROW |
        | ♫/^ | ↗ | NORTH EAST ARROW |
        | ♫\v | ↘ | SOUTH EAST ARROW |
        | ♫/v | ↙ | SOUTH WEST ARROW |
        | ♫^\v | ⤡ | NORTH WEST AND SOUTH EAST ARROW |
        | ♫v/^ | ⤢ | NORTH EAST AND SOUTH WEST ARROW |
        | ♫←\| | ↤ | LEFTWARDS ARROW FROM BAR |
        | T1(3)↦ | ↤ | LEFTWARDS ARROW FROM BAR |
        | ♫↑\| | ↥ | UPWARDS ARROW FROM BAR |
        | ♫\|→ | ↦ | RIGHTWARDS ARROW FROM BAR |
        | ♫↓\| | ↧ | DOWNWARDS ARROW FROM BAR |
        | ♫→\| | ⇥ | RIGHTWARDS ARROW TO BAR |
        | ♫\|← | ⇤ | LEFTWARDS ARROW TO BAR |
        | ♫\|T1(3)→ | ⇤ | LEFTWARDS ARROW TO BAR |
        | ♫↕\| | ↨ | UP DOWN ARROW WITH BASE |
        | ♫→← | ⇄ | RIGHTWARDS ARROW OVER LEFTWARDS ARROW |
        | ♫↑↓ | ⇅ | UPWARDS ARROW LEFTWARDS OF DOWNWARDS ARROW |
        | ♫←→ | ⇆ | LEFTWARDS ARROW OVER RIGHTWARDS ARROW |
        | ♫←← | ⇇ | LEFTWARDS PAIRED ARROWS |
        | ♫↑↑ | ⇈ | UPWARDS PAIRED ARROWS |
        | ♫→→ | ⇉ | RIGHTWARDS PAIRED ARROWS |
        | ♫↓↓ | ⇊ | DOWNWARDS PAIRED ARROWS |
        | ♫↓↑ | ⇵ | DOWNWARDS ARROW LEFTWARDS OF UPWARDS ARROW |
        | ♫wid | ↯ | DOWNWARDS ZIGZAG ARROW |
        | ♫z→ | ↯ | DOWNWARDS ZIGZAG ARROW |
        | T1(3)⇔ | ⇕ | UP DOWN DOUBLE ARROW |
        | ♫\|↑ | ⇑ | UPWARDS DOUBLE ARROW |
        | ♫\|↓ | ⇓ | DOWNWARDS DOUBLE ARROW |
        | ♫\|\^ | ⇖ | NORTH WEST DOUBLE ARROW |
        | ♫\|/^ | ⇗ | NORTH EAST DOUBLE ARROW |
        | ♫\|\v | ⇘ | SOUTH EAST DOUBLE ARROW |
        | ♫\|/v | ⇙ | SOUTH WEST DOUBLE ARROW |
        | ♫\|⇒ | ⤇ | RIGHTWARDS DOUBLE ARROW FROM BAR |
        | ♫⇐\| | ⤆ | LEFTWARDS DOUBLE ARROW FROM BAR |
        | T1(5)→ | ↪ | RIGHTWARDS ARROW WITH HOOK |
        | T1(5)♫-> | ↪ | RIGHTWARDS ARROW WITH HOOK |
        | T1(5)← | ↩ | LEFTWARDS ARROW WITH HOOK |
        | T1(5)♫<- | ↩ | LEFTWARDS ARROW WITH HOOK |
        | T1(5)T1(3)→ | ↩ | LEFTWARDS ARROW WITH HOOK |
        | T1(3)T1(5)→ | ↩ | LEFTWARDS ARROW WITH HOOK |
        | T1(5)♫\^ | ⤣ | NORTH WEST ARROW WITH HOOK |
        | T1(5)♫/^ | ⤤ | NORTH EAST ARROW WITH HOOK |
        | T1(5)♫\v | ⤥ | SOUTH EAST ARROW WITH HOOK |
        | T1(5)♫/v | ⤦ | SOUTH WEST ARROW WITH HOOK |
        | ♫…↑ | ⇡ | UPWARDS DASHED ARROW |
        | ♫…\|^ | ⇡ | UPWARDS DASHED ARROW |
        | ♫…↓ | ⇣ | DOWNWARDS DASHED ARROW |
        | ♫…v\| | ⇣ | DOWNWARDS DASHED ARROW |
        | ♫…→ | ⇢ | RIGHTWARDS DASHED ARROW |
        | ♫…-> | ⇢ | RIGHTWARDS DASHED ARROW |
        | ♫…← | ⇠ | LEFTWARDS DASHED ARROW |
        | ♫…<- | ⇠ | LEFTWARDS DASHED ARROW |
        | ♫…T1(3)→ | ⇠ | LEFTWARDS DASHED ARROW |
        | ♫-→ | ⟶ | LONG RIGHTWARDS ARROW |
        | ♫←- | ⟵ | LONG LEFTWARDS ARROW |
        | ♫T1(3)→- | ⟵ | LONG LEFTWARDS ARROW |
        | ♫=⇒ | ⟹ | LONG RIGHTWARDS DOUBLE ARROW |
        | ♫⇐= | ⟸ | LONG LEFTWARDS DOUBLE ARROW |
        | ♫⇐⇒ | ⟺ | LONG LEFT RIGHT DOUBLE ARROW |
        | ♫=↑ | ⇞ | UPWARDS ARROW WITH DOUBLE STROKE |
        | ♫=↓ | ⇟ | DOWNWARDS ARROW WITH DOUBLE STROKE |
        | T1(1)← | ↞ | LEFTWARDS TWO HEADED ARROW |
        | T1(1)T1(3)→ | ↞ | LEFTWARDS TWO HEADED ARROW |
        | ♫«- | ↞ | LEFTWARDS TWO HEADED ARROW |
        | T1(1)↑ | ↟ | UPWARDS TWO HEADED ARROW |
        | ♫«\| | ↟ | UPWARDS TWO HEADED ARROW |
        | T1(1)→ | ↠ | RIGHTWARDS TWO HEADED ARROW |
        | ♫-» | ↠ | RIGHTWARDS TWO HEADED ARROW |
        | T1(1)↓ | ↡ | DOWNWARDS TWO HEADED ARROW |
        | ♫\|» | ↡ | DOWNWARDS TWO HEADED ARROW |
        | ♫>→ | ↣ | RIGHTWARDS ARROW WITH TAIL |
        | T1(2)→ | ↣ | RIGHTWARDS ARROW WITH TAIL |
        | ♫←< | ↢ | LEFTWARDS ARROW WITH TAIL |
        | ♫T1(3)→< | ↢ | LEFTWARDS ARROW WITH TAIL |
        | T1(2)← | ↢ | LEFTWARDS ARROW WITH TAIL |
        | ♫-< | ⤙ | LEFTWARDS ARROW-TAIL |
        | ♫>- | ⤚ | RIGHTWARDS ARROW-TAIL |
        | ♫-« | ⤛ | LEFTWARDS DOUBLE ARROW-TAIL |
        | ♫»- | ⤜ | RIGHTWARDS DOUBLE ARROW-TAIL |
        | T3(1)← | ↼ | LEFTWARDS HARPOON WITH BARB UPWARDS |
        | T3(1)↑ | ↿ | UPWARDS HARPOON WITH BARB LEFTWARDS |
        | T3(1)→ | ⇁ | RIGHTWARDS HARPOON WITH BARB DOWNWARDS |
        | T3(1)↓ | ⇂ | DOWNWARDS HARPOON WITH BARB RIGHTWARDS |
        | T2(1)← | ↽ | LEFTWARDS HARPOON WITH BARB DOWNWARDS |
        | T2(1)↑ | ↾ | UPWARDS HARPOON WITH BARB RIGHTWARDS |
        | T2(1)→ | ⇀ | RIGHTWARDS HARPOON WITH BARB UPWARDS |
        | T2(1)↓ | ⇃ | DOWNWARDS HARPOON WITH BARB LEFTWARDS |
        | T3(2)← | ↜ | LEFTWARDS WAVE ARROW |
        | T3(2)T1(3)→ | ↜ | LEFTWARDS WAVE ARROW |
        | T3(2)→ | ↝ | RIGHTWARDS WAVE ARROW |
        | T3(2)↔ | ↭ | LEFT RIGHT WAVE ARROW |
        | T2(3)← | ↫ | LEFTWARDS ARROW WITH LOOP |
        | T2(3)T1(3)→ | ↫ | LEFTWARDS ARROW WITH LOOP |
        | T2(3)→ | ↬ | RIGHTWARDS ARROW WITH LOOP |
        | ♫:→ | ⧴ | RULE-DELAYED |
        | T1(1)> | ⃗ | COMBINING RIGHT ARROW ABOVE |
        | ♫^> | ⃗ | COMBINING RIGHT ARROW ABOVE |
        | ♫^→ | ⃗ | COMBINING RIGHT ARROW ABOVE |
        | T1(3)⃗ | ⃖ | COMBINING LEFT ARROW ABOVE |
        | T1(1)< | ⃖ | COMBINING LEFT ARROW ABOVE |
        | ♫^< | ⃖ | COMBINING LEFT ARROW ABOVE |
        | ♫^← | ⃖ | COMBINING LEFT ARROW ABOVE |
        | ♫^T1(3)→ | ⃖ | COMBINING LEFT ARROW ABOVE |
        | T1(1)- | ⁻ | SUPERSCRIPT MINUS |
        | ♫^- | ⁻ | SUPERSCRIPT MINUS |
        | T1(1)KP_Subtract | ⁻ | SUPERSCRIPT MINUS |
        | ♫^KP_Subtract | ⁻ | SUPERSCRIPT MINUS |
        | ♫_- | ₋ | SUBSCRIPT MINUS |
        | ♫underbar- | ₋ | SUBSCRIPT MINUS |
        | ♫_KP_Subtract | ₋ | SUBSCRIPT MINUS |
        | ♫underbarKP_Subtract | ₋ | SUBSCRIPT MINUS |
        | ♫^= | ⁼ | SUPERSCRIPT EQUALS SIGN |
        | ♫^a | ᵃ | MODIFIER LETTER SMALL A |
        | ♫^b | ᵇ | MODIFIER LETTER SMALL B |
        | ♫^c | ᶜ | MODIFIER LETTER SMALL C |
        | ♫^d | ᵈ | MODIFIER LETTER SMALL D |
        | ♫^e | ᵉ | MODIFIER LETTER SMALL E |
        | ♫^f | ᶠ | MODIFIER LETTER SMALL F |
        | ♫^g | ᵍ | MODIFIER LETTER SMALL G |
        | ♫^h | ʰ | MODIFIER LETTER SMALL H |
        | ♫^i | ⁱ | SUPERSCRIPT LATIN SMALL LETTER I |
        | ♫^j | ʲ | MODIFIER LETTER SMALL J |
        | ♫^k | ᵏ | MODIFIER LETTER SMALL K |
        | ♫^l | ˡ | MODIFIER LETTER SMALL L |
        | ♫^m | ᵐ | MODIFIER LETTER SMALL M |
        | ♫^n | ⁿ | SUPERSCRIPT LATIN SMALL LETTER N |
        | ♫^o | ᵒ | MODIFIER LETTER SMALL O |
        | ♫^p | ᵖ | MODIFIER LETTER SMALL P |
        | ♫^r | ʳ | MODIFIER LETTER SMALL R |
        | ♫^s | ˢ | MODIFIER LETTER SMALL S |
        | ♫^t | ᵗ | MODIFIER LETTER SMALL T |
        | ♫^u | ᵘ | MODIFIER LETTER SMALL U |
        | ♫^v | ᵛ | MODIFIER LETTER SMALL V |
        | ♫^w | ʷ | MODIFIER LETTER SMALL W |
        | ♫^x | ˣ | MODIFIER LETTER SMALL X |
        | ♫^y | ʸ | MODIFIER LETTER SMALL Y |
        | ♫^z | ᶻ | MODIFIER LETTER SMALL Z |
        | ♫^A | ᴬ | MODIFIER LETTER CAPITAL A |
        | ♫^B | ᴮ | MODIFIER LETTER CAPITAL B |
        | ♫^D | ᴰ | MODIFIER LETTER CAPITAL D |
        | ♫^E | ᴱ | MODIFIER LETTER CAPITAL E |
        | ♫^G | ᴳ | MODIFIER LETTER CAPITAL G |
        | ♫^H | ᴴ | MODIFIER LETTER CAPITAL H |
        | ♫^I | ᴵ | MODIFIER LETTER CAPITAL I |
        | ♫^J | ᴶ | MODIFIER LETTER CAPITAL J |
        | ♫^K | ᴷ | MODIFIER LETTER CAPITAL K |
        | ♫^L | ᴸ | MODIFIER LETTER CAPITAL L |
        | ♫^M | ᴹ | MODIFIER LETTER CAPITAL M |
        | ♫^N | ᴺ | MODIFIER LETTER CAPITAL N |
        | ♫^O | ᴼ | MODIFIER LETTER CAPITAL O |
        | ♫^P | ᴾ | MODIFIER LETTER CAPITAL P |
        | ♫^R | ᴿ | MODIFIER LETTER CAPITAL R |
        | ♫^T | ᵀ | MODIFIER LETTER CAPITAL T |
        | ♫^U | ᵁ | MODIFIER LETTER CAPITAL U |
        | ♫^V | ⱽ | MODIFIER LETTER CAPITAL V |
        | ♫^W | ᵂ | MODIFIER LETTER CAPITAL W |
        | ♫^α | ᵅ | MODIFIER LETTER SMALL ALPHA |
        | ♫^β | ᵝ | MODIFIER LETTER SMALL BETA |
        | ♫^γ | ᵞ | MODIFIER LETTER SMALL GREEK GAMMA |
        | ♫^δ | ᵟ | MODIFIER LETTER SMALL DELTA |
        | ♫^ε | ᵋ | MODIFIER LETTER SMALL OPEN E |
        | ♫^φ | ᵠ | MODIFIER LETTER SMALL GREEK PHI |
        | ♫^ϕ | ᶲ | MODIFIER LETTER SMALL PHI |
        | ♫^χ | ᵡ | MODIFIER LETTER SMALL CHI |
        | ♫^θ | ᶿ | MODIFIER LETTER SMALL THETA |
        | ♫^υ | ᶷ | MODIFIER LETTER SMALL UPSILON |
        | ♫_a | ₐ | LATIN SUBSCRIPT SMALL LETTER A |
        | ♫underbara | ₐ | LATIN SUBSCRIPT SMALL LETTER A |
        | ♫_e | ₑ | LATIN SUBSCRIPT SMALL LETTER E |
        | ♫underbare | ₑ | LATIN SUBSCRIPT SMALL LETTER E |
        | ♫_h | ₕ | LATIN SUBSCRIPT SMALL LETTER H |
        | ♫underbarh | ₕ | LATIN SUBSCRIPT SMALL LETTER H |
        | ♫_i | ᵢ | LATIN SUBSCRIPT SMALL LETTER I |
        | ♫underbari | ᵢ | LATIN SUBSCRIPT SMALL LETTER I |
        | ♫_j | ⱼ | LATIN SUBSCRIPT SMALL LETTER J |
        | ♫underbarj | ⱼ | LATIN SUBSCRIPT SMALL LETTER J |
        | ♫_k | ₖ | LATIN SUBSCRIPT SMALL LETTER K |
        | ♫underbark | ₖ | LATIN SUBSCRIPT SMALL LETTER K |
        | ♫_l | ₗ | LATIN SUBSCRIPT SMALL LETTER L |
        | ♫underbarl | ₗ | LATIN SUBSCRIPT SMALL LETTER L |
        | ♫_m | ₘ | LATIN SUBSCRIPT SMALL LETTER M |
        | ♫underbarm | ₘ | LATIN SUBSCRIPT SMALL LETTER M |
        | ♫_n | ₙ | LATIN SUBSCRIPT SMALL LETTER N |
        | ♫underbarn | ₙ | LATIN SUBSCRIPT SMALL LETTER N |
        | ♫_o | ₒ | LATIN SUBSCRIPT SMALL LETTER O |
        | ♫underbaro | ₒ | LATIN SUBSCRIPT SMALL LETTER O |
        | ♫_p | ₚ | LATIN SUBSCRIPT SMALL LETTER P |
        | ♫underbarp | ₚ | LATIN SUBSCRIPT SMALL LETTER P |
        | ♫_r | ᵣ | LATIN SUBSCRIPT SMALL LETTER R |
        | ♫underbarr | ᵣ | LATIN SUBSCRIPT SMALL LETTER R |
        | ♫_s | ₛ | LATIN SUBSCRIPT SMALL LETTER S |
        | ♫underbars | ₛ | LATIN SUBSCRIPT SMALL LETTER S |
        | ♫_t | ₜ | LATIN SUBSCRIPT SMALL LETTER T |
        | ♫underbart | ₜ | LATIN SUBSCRIPT SMALL LETTER T |
        | ♫_u | ᵤ | LATIN SUBSCRIPT SMALL LETTER U |
        | ♫underbaru | ᵤ | LATIN SUBSCRIPT SMALL LETTER U |
        | ♫_v | ᵥ | LATIN SUBSCRIPT SMALL LETTER V |
        | ♫underbarv | ᵥ | LATIN SUBSCRIPT SMALL LETTER V |
        | ♫_x | ₓ | LATIN SUBSCRIPT SMALL LETTER X |
        | ♫underbarx | ₓ | LATIN SUBSCRIPT SMALL LETTER X |
        | ♫_β | ᵦ | GREEK SUBSCRIPT SMALL LETTER BETA |
        | ♫underbarβ | ᵦ | GREEK SUBSCRIPT SMALL LETTER BETA |
        | ♫_γ | ᵧ | GREEK SUBSCRIPT SMALL LETTER GAMMA |
        | ♫underbarγ | ᵧ | GREEK SUBSCRIPT SMALL LETTER GAMMA |
        | ♫_ρ | ᵨ | GREEK SUBSCRIPT SMALL LETTER RHO |
        | ♫underbarρ | ᵨ | GREEK SUBSCRIPT SMALL LETTER RHO |
        | ♫_φ | ᵩ | GREEK SUBSCRIPT SMALL LETTER PHI |
        | ♫underbarφ | ᵩ | GREEK SUBSCRIPT SMALL LETTER PHI |
        | ♫_χ | ᵪ | GREEK SUBSCRIPT SMALL LETTER CHI |
        | ♫underbarχ | ᵪ | GREEK SUBSCRIPT SMALL LETTER CHI |
        | ♫scg | ℊ | SCRIPT SMALL G |
        | ♫scH | ℋ | SCRIPT CAPITAL H |
        | ♫scI | ℐ | SCRIPT CAPITAL I |
        | ♫scL | ℒ | SCRIPT CAPITAL L |
        | ♫scl | ℓ | SCRIPT SMALL L |
        | ♫ell | ℓ | SCRIPT SMALL L |
        | ♫scP | ℘ | SCRIPT CAPITAL P |
        | ♫wp | ℘ | SCRIPT CAPITAL P |
        | ♫scR | ℛ | SCRIPT CAPITAL R |
        | ♫scB | ℬ | SCRIPT CAPITAL B |
        | ♫sce | ℯ | SCRIPT SMALL E |
        | ♫scE | ℰ | SCRIPT CAPITAL E |
        | ♫scF | ℱ | SCRIPT CAPITAL F |
        | ♫scM | ℳ | SCRIPT CAPITAL M |
        | ♫sco | ℴ | SCRIPT SMALL O |
        | ♫\|A | 𝔸 | MATHEMATICAL DOUBLE-STRUCK CAPITAL A |
        | ♫\|B | 𝔹 | MATHEMATICAL DOUBLE-STRUCK CAPITAL B |
        | ♫\|C | ℂ | DOUBLE-STRUCK CAPITAL C |
        | ♫\|D | 𝔻 | MATHEMATICAL DOUBLE-STRUCK CAPITAL D |
        | ♫\|E | 𝔼 | MATHEMATICAL DOUBLE-STRUCK CAPITAL E |
        | ♫\|F | 𝔽 | MATHEMATICAL DOUBLE-STRUCK CAPITAL F |
        | ♫\|G | 𝔾 | MATHEMATICAL DOUBLE-STRUCK CAPITAL G |
        | ♫\|H | ℍ | DOUBLE-STRUCK CAPITAL H |
        | ♫\|I | 𝕀 | MATHEMATICAL DOUBLE-STRUCK CAPITAL I |
        | ♫\|J | 𝕁 | MATHEMATICAL DOUBLE-STRUCK CAPITAL J |
        | ♫\|K | 𝕂 | MATHEMATICAL DOUBLE-STRUCK CAPITAL K |
        | ♫\|L | 𝕃 | MATHEMATICAL DOUBLE-STRUCK CAPITAL L |
        | ♫\|M | 𝕄 | MATHEMATICAL DOUBLE-STRUCK CAPITAL M |
        | ♫\|N | ℕ | DOUBLE-STRUCK CAPITAL N |
        | ♫\|O | 𝕆 | MATHEMATICAL DOUBLE-STRUCK CAPITAL O |
        | ♫\|P | ℙ | DOUBLE-STRUCK CAPITAL P |
        | ♫\|Q | ℚ | DOUBLE-STRUCK CAPITAL Q |
        | ♫\|R | ℝ | DOUBLE-STRUCK CAPITAL R |
        | ♫\|S | 𝕊 | MATHEMATICAL DOUBLE-STRUCK CAPITAL S |
        | ♫\|T | 𝕋 | MATHEMATICAL DOUBLE-STRUCK CAPITAL T |
        | ♫\|U | 𝕌 | MATHEMATICAL DOUBLE-STRUCK CAPITAL U |
        | ♫\|V | 𝕍 | MATHEMATICAL DOUBLE-STRUCK CAPITAL V |
        | ♫\|W | 𝕎 | MATHEMATICAL DOUBLE-STRUCK CAPITAL W |
        | ♫\|X | 𝕏 | MATHEMATICAL DOUBLE-STRUCK CAPITAL X |
        | ♫\|Y | 𝕐 | MATHEMATICAL DOUBLE-STRUCK CAPITAL Y |
        | ♫\|Z | ℤ | DOUBLE-STRUCK CAPITAL Z |
        | ♫\|a | 𝕒 | MATHEMATICAL DOUBLE-STRUCK SMALL A |
        | ♫\|b | 𝕓 | MATHEMATICAL DOUBLE-STRUCK SMALL B |
        | ♫\|c | 𝕔 | MATHEMATICAL DOUBLE-STRUCK SMALL C |
        | ♫\|d | 𝕕 | MATHEMATICAL DOUBLE-STRUCK SMALL D |
        | ♫\|e | 𝕖 | MATHEMATICAL DOUBLE-STRUCK SMALL E |
        | ♫\|f | 𝕗 | MATHEMATICAL DOUBLE-STRUCK SMALL F |
        | ♫\|g | 𝕘 | MATHEMATICAL DOUBLE-STRUCK SMALL G |
        | ♫\|h | 𝕙 | MATHEMATICAL DOUBLE-STRUCK SMALL H |
        | ♫\|i | 𝕚 | MATHEMATICAL DOUBLE-STRUCK SMALL I |
        | ♫\|j | 𝕛 | MATHEMATICAL DOUBLE-STRUCK SMALL J |
        | ♫\|k | 𝕜 | MATHEMATICAL DOUBLE-STRUCK SMALL K |
        | ♫\|l | 𝕝 | MATHEMATICAL DOUBLE-STRUCK SMALL L |
        | ♫\|m | 𝕞 | MATHEMATICAL DOUBLE-STRUCK SMALL M |
        | ♫\|n | 𝕟 | MATHEMATICAL DOUBLE-STRUCK SMALL N |
        | ♫\|o | 𝕠 | MATHEMATICAL DOUBLE-STRUCK SMALL O |
        | ♫\|p | 𝕡 | MATHEMATICAL DOUBLE-STRUCK SMALL P |
        | ♫\|q | 𝕢 | MATHEMATICAL DOUBLE-STRUCK SMALL Q |
        | ♫\|r | 𝕣 | MATHEMATICAL DOUBLE-STRUCK SMALL R |
        | ♫\|s | 𝕤 | MATHEMATICAL DOUBLE-STRUCK SMALL S |
        | ♫\|t | 𝕥 | MATHEMATICAL DOUBLE-STRUCK SMALL T |
        | ♫\|u | 𝕦 | MATHEMATICAL DOUBLE-STRUCK SMALL U |
        | ♫\|v | 𝕧 | MATHEMATICAL DOUBLE-STRUCK SMALL V |
        | ♫\|w | 𝕨 | MATHEMATICAL DOUBLE-STRUCK SMALL W |
        | ♫\|x | 𝕩 | MATHEMATICAL DOUBLE-STRUCK SMALL X |
        | ♫\|y | 𝕪 | MATHEMATICAL DOUBLE-STRUCK SMALL Y |
        | ♫\|z | 𝕫 | MATHEMATICAL DOUBLE-STRUCK SMALL Z |
        | ♫\|0 | 𝟘 | MATHEMATICAL DOUBLE-STRUCK DIGIT ZERO |
        | ♫\|KP_0 | 𝟘 | MATHEMATICAL DOUBLE-STRUCK DIGIT ZERO |
        | ♫\|1 | 𝟙 | MATHEMATICAL DOUBLE-STRUCK DIGIT ONE |
        | ♫\|KP_1 | 𝟙 | MATHEMATICAL DOUBLE-STRUCK DIGIT ONE |
        | ♫\|2 | 𝟚 | MATHEMATICAL DOUBLE-STRUCK DIGIT TWO |
        | ♫\|KP_2 | 𝟚 | MATHEMATICAL DOUBLE-STRUCK DIGIT TWO |
        | ♫\|3 | 𝟛 | MATHEMATICAL DOUBLE-STRUCK DIGIT THREE |
        | ♫\|KP_3 | 𝟛 | MATHEMATICAL DOUBLE-STRUCK DIGIT THREE |
        | ♫\|4 | 𝟜 | MATHEMATICAL DOUBLE-STRUCK DIGIT FOUR |
        | ♫\|KP_4 | 𝟜 | MATHEMATICAL DOUBLE-STRUCK DIGIT FOUR |
        | ♫\|5 | 𝟝 | MATHEMATICAL DOUBLE-STRUCK DIGIT FIVE |
        | ♫\|KP_5 | 𝟝 | MATHEMATICAL DOUBLE-STRUCK DIGIT FIVE |
        | ♫\|6 | 𝟞 | MATHEMATICAL DOUBLE-STRUCK DIGIT SIX |
        | ♫\|KP_6 | 𝟞 | MATHEMATICAL DOUBLE-STRUCK DIGIT SIX |
        | ♫\|7 | 𝟟 | MATHEMATICAL DOUBLE-STRUCK DIGIT SEVEN |
        | ♫\|KP_7 | 𝟟 | MATHEMATICAL DOUBLE-STRUCK DIGIT SEVEN |
        | ♫\|8 | 𝟠 | MATHEMATICAL DOUBLE-STRUCK DIGIT EIGHT |
        | ♫\|KP_8 | 𝟠 | MATHEMATICAL DOUBLE-STRUCK DIGIT EIGHT |
        | ♫\|9 | 𝟡 | MATHEMATICAL DOUBLE-STRUCK DIGIT NINE |
        | ♫\|KP_9 | 𝟡 | MATHEMATICAL DOUBLE-STRUCK DIGIT NINE |
        | ♫\|γ | ℽ | DOUBLE-STRUCK SMALL GAMMA |
        | ♫\|Γ | ℾ | DOUBLE-STRUCK CAPITAL GAMMA |
        | ♫\|π | ℼ | DOUBLE-STRUCK SMALL PI |
        | ♫\|Π | ℿ | DOUBLE-STRUCK CAPITAL PI |
        | ♫\|¬ | ⫬ | DOUBLE STROKE NOT SIGN |
        | ♫\|Σ | ⅀ | DOUBLE-STRUCK N-ARY SUMMATION |
        | ♫\|( | ⦅ | LEFT WHITE PARENTHESIS |
        | ♫(( | ⦅ | LEFT WHITE PARENTHESIS |
        | ♫\|) | ⦆ | RIGHT WHITE PARENTHESIS |
        | ♫)) | ⦆ | RIGHT WHITE PARENTHESIS |
        | ♫\|[ | ⟦ | MATHEMATICAL LEFT WHITE SQUARE BRACKET |
        | ♫[[ | ⟦ | MATHEMATICAL LEFT WHITE SQUARE BRACKET |
        | ♫\|] | ⟧ | MATHEMATICAL RIGHT WHITE SQUARE BRACKET |
        | ♫]] | ⟧ | MATHEMATICAL RIGHT WHITE SQUARE BRACKET |
        | ♫\|{ | ⦃ | LEFT WHITE CURLY BRACKET |
        | ♫{{ | ⦃ | LEFT WHITE CURLY BRACKET |
        | ♫\|} | ⦄ | RIGHT WHITE CURLY BRACKET |
        | ♫}} | ⦄ | RIGHT WHITE CURLY BRACKET |
        | ♫x(2 | ⎛⎞\n⎝⎠ |  |
        | ♫x(3 | ⎛⎞\n⎜⎟\n⎝⎠ |  |
        | ♫x(4 | ⎛⎞\n⎜⎟\n⎜⎟\n⎝⎠ |  |
        | ♫x(5 | ⎛⎞\n⎜⎟\n⎜⎟\n⎜⎟\n⎝⎠ |  |
        | ♫x[2 | ⎡⎤\n⎣⎦ |  |
        | ♫x[3 | ⎡⎤\n⎢⎥\n⎣⎦ |  |
        | ♫x[4 | ⎡⎤\n⎢⎥\n⎢⎥\n⎣⎦ |  |
        | ♫x[5 | ⎡⎤\n⎢⎥\n⎢⎥\n⎢⎥\n⎣⎦ |  |
        | ♫x{2 | ⎧⎫\n⎩⎭ |  |
        | ♫x{3 | ⎧⎫\n⎨⎬\n⎩⎭ |  |
        | ♫x{4 | ⎧⎫\n⎨⎬\n⎪⎪\n⎩⎭ |  |
        | ♫x{5 | ⎧⎫\n⎪⎪\n⎨⎬\n⎪⎪\n⎩⎭ |  |
        | ♫…/ | ⋰ | UP RIGHT DIAGONAL ELLIPSIS |
        | ♫…\ | ⋱ | DOWN RIGHT DIAGONAL ELLIPSIS |
        | ♫…— | ⋯ | MIDLINE HORIZONTAL ELLIPSIS |
        | ♫…– | ⋯ | MIDLINE HORIZONTAL ELLIPSIS |
        | T1(1)… | ⋯ | MIDLINE HORIZONTAL ELLIPSIS |
        | ♫ph␣ | ℎ | PLANCK CONSTANT |
        | ♫-ph | ℏ | PLANCK CONSTANT OVER TWO PI |
        | ♫ph- | ℏ | PLANCK CONSTANT OVER TWO PI |
        | ♫KP_Subtractph | ℏ | PLANCK CONSTANT OVER TWO PI |
        | ♫phKP_Subtract | ℏ | PLANCK CONSTANT OVER TWO PI |
        | T2(6)ph | ℏ | PLANCK CONSTANT OVER TWO PI |
        | T3(3)ph | ℏ | PLANCK CONSTANT OVER TWO PI |
        | ♫micro | µ | MICRO SIGN |
        | ♫μμ | µ | MICRO SIGN |
        | ♫°C | ℃ | DEGREE CELSIUS |
        | ♫°F | ℉ | DEGREE FAHRENHEIT |
        | ♫w° | ° | DEGREE SIGN |
        | ♫w' | ′ | PRIME |
        | ♫w" | ″ | DOUBLE PRIME |
        | ♫w3 | ‴ | TRIPLE PRIME |
        | ♫wKP_3 | ‴ | TRIPLE PRIME |
        | ♫w4 | ⁗ | QUADRUPLE PRIME |
        | ♫wKP_4 | ⁗ | QUADRUPLE PRIME |
        | T1(3)U2032 | ‵ | REVERSED PRIME |
        | T1(3)♫w' | ‵ | REVERSED PRIME |
        | T1(3)U2033 | ‶ | REVERSED DOUBLE PRIME |
        | T1(3)♫w" | ‶ | REVERSED DOUBLE PRIME |
        | T1(3)♫w3 | ‷ | REVERSED TRIPLE PRIME |
        | T1(3)♫wKP_3 | ‷ | REVERSED TRIPLE PRIME |

* **math-font.module** – Dieses Modul enthält Sequenzen für das Setzen von Zeichen in verschiedenen in der Mathematik häufig verwendeten Schriften.

    ??? info "Tabelle der Sequenzen"

        | Eingabe | Ausgabe | Kommentar |
        | --- | --- | --- |
        | ♫scA | 𝒜 | MATHEMATICAL SCRIPT CAPITAL A |
        | ♫scC | 𝒞 | MATHEMATICAL SCRIPT CAPITAL C |
        | ♫scD | 𝒟 | MATHEMATICAL SCRIPT CAPITAL D |
        | ♫scG | 𝒢 | MATHEMATICAL SCRIPT CAPITAL G |
        | ♫scJ | 𝒥 | MATHEMATICAL SCRIPT CAPITAL J |
        | ♫scK | 𝒦 | MATHEMATICAL SCRIPT CAPITAL K |
        | ♫scN | 𝒩 | MATHEMATICAL SCRIPT CAPITAL N |
        | ♫scO | 𝒪 | MATHEMATICAL SCRIPT CAPITAL O |
        | ♫scP | 𝒫 | MATHEMATICAL SCRIPT CAPITAL P |
        | ♫scQ | 𝒬 | MATHEMATICAL SCRIPT CAPITAL Q |
        | ♫scS | 𝒮 | MATHEMATICAL SCRIPT CAPITAL S |
        | ♫scT | 𝒯 | MATHEMATICAL SCRIPT CAPITAL T |
        | ♫scU | 𝒰 | MATHEMATICAL SCRIPT CAPITAL U |
        | ♫scV | 𝒱 | MATHEMATICAL SCRIPT CAPITAL V |
        | ♫scW | 𝒲 | MATHEMATICAL SCRIPT CAPITAL W |
        | ♫scX | 𝒳 | MATHEMATICAL SCRIPT CAPITAL X |
        | ♫scY | 𝒴 | MATHEMATICAL SCRIPT CAPITAL Y |
        | ♫scZ | 𝒵 | MATHEMATICAL SCRIPT CAPITAL Z |
        | ♫SCA | 𝒜 | MATHEMATICAL SCRIPT CAPITAL A |
        | ♫SCC | 𝒞 | MATHEMATICAL SCRIPT CAPITAL C |
        | ♫SCD | 𝒟 | MATHEMATICAL SCRIPT CAPITAL D |
        | ♫SCG | 𝒢 | MATHEMATICAL SCRIPT CAPITAL G |
        | ♫SCJ | 𝒥 | MATHEMATICAL SCRIPT CAPITAL J |
        | ♫SCK | 𝒦 | MATHEMATICAL SCRIPT CAPITAL K |
        | ♫SCN | 𝒩 | MATHEMATICAL SCRIPT CAPITAL N |
        | ♫SCO | 𝒪 | MATHEMATICAL SCRIPT CAPITAL O |
        | ♫SCP | 𝒫 | MATHEMATICAL SCRIPT CAPITAL P |
        | ♫SCQ | 𝒬 | MATHEMATICAL SCRIPT CAPITAL Q |
        | ♫SCS | 𝒮 | MATHEMATICAL SCRIPT CAPITAL S |
        | ♫SCT | 𝒯 | MATHEMATICAL SCRIPT CAPITAL T |
        | ♫SCU | 𝒰 | MATHEMATICAL SCRIPT CAPITAL U |
        | ♫SCV | 𝒱 | MATHEMATICAL SCRIPT CAPITAL V |
        | ♫SCW | 𝒲 | MATHEMATICAL SCRIPT CAPITAL W |
        | ♫SCX | 𝒳 | MATHEMATICAL SCRIPT CAPITAL X |
        | ♫SCY | 𝒴 | MATHEMATICAL SCRIPT CAPITAL Y |
        | ♫SCZ | 𝒵 | MATHEMATICAL SCRIPT CAPITAL Z |
        | ♫sca | 𝒶 | MATHEMATICAL SCRIPT SMALL A |
        | ♫scb | 𝒷 | MATHEMATICAL SCRIPT SMALL B |
        | ♫scc | 𝒸 | MATHEMATICAL SCRIPT SMALL C |
        | ♫scd | 𝒹 | MATHEMATICAL SCRIPT SMALL D |
        | ♫scf | 𝒻 | MATHEMATICAL SCRIPT SMALL F |
        | ♫sch | 𝒽 | MATHEMATICAL SCRIPT SMALL H |
        | ♫sci | 𝒾 | MATHEMATICAL SCRIPT SMALL I |
        | ♫scj | 𝒿 | MATHEMATICAL SCRIPT SMALL J |
        | ♫sck | 𝓀 | MATHEMATICAL SCRIPT SMALL K |
        | ♫scl | 𝓁 | MATHEMATICAL SCRIPT SMALL L |
        | ♫scm | 𝓂 | MATHEMATICAL SCRIPT SMALL M |
        | ♫scn | 𝓃 | MATHEMATICAL SCRIPT SMALL N |
        | ♫scp | 𝓅 | MATHEMATICAL SCRIPT SMALL P |
        | ♫scq | 𝓆 | MATHEMATICAL SCRIPT SMALL Q |
        | ♫scr | 𝓇 | MATHEMATICAL SCRIPT SMALL R |
        | ♫scs | 𝓈 | MATHEMATICAL SCRIPT SMALL S |
        | ♫sct | 𝓉 | MATHEMATICAL SCRIPT SMALL T |
        | ♫scu | 𝓊 | MATHEMATICAL SCRIPT SMALL U |
        | ♫scv | 𝓋 | MATHEMATICAL SCRIPT SMALL V |
        | ♫scw | 𝓌 | MATHEMATICAL SCRIPT SMALL W |
        | ♫scx | 𝓍 | MATHEMATICAL SCRIPT SMALL X |
        | ♫scy | 𝓎 | MATHEMATICAL SCRIPT SMALL Y |
        | ♫scz | 𝓏 | MATHEMATICAL SCRIPT SMALL Z |
        | ♫bdA | 𝐀 | MATHEMATICAL BOLD CAPITAL A |
        | ♫bdB | 𝐁 | MATHEMATICAL BOLD CAPITAL B |
        | ♫bdC | 𝐂 | MATHEMATICAL BOLD CAPITAL C |
        | ♫bdD | 𝐃 | MATHEMATICAL BOLD CAPITAL D |
        | ♫bdE | 𝐄 | MATHEMATICAL BOLD CAPITAL E |
        | ♫bdF | 𝐅 | MATHEMATICAL BOLD CAPITAL F |
        | ♫bdG | 𝐆 | MATHEMATICAL BOLD CAPITAL G |
        | ♫bdH | 𝐇 | MATHEMATICAL BOLD CAPITAL H |
        | ♫bdI | 𝐈 | MATHEMATICAL BOLD CAPITAL I |
        | ♫bdJ | 𝐉 | MATHEMATICAL BOLD CAPITAL J |
        | ♫bdK | 𝐊 | MATHEMATICAL BOLD CAPITAL K |
        | ♫bdL | 𝐋 | MATHEMATICAL BOLD CAPITAL L |
        | ♫bdM | 𝐌 | MATHEMATICAL BOLD CAPITAL M |
        | ♫bdN | 𝐍 | MATHEMATICAL BOLD CAPITAL N |
        | ♫bdO | 𝐎 | MATHEMATICAL BOLD CAPITAL O |
        | ♫bdP | 𝐏 | MATHEMATICAL BOLD CAPITAL P |
        | ♫bdQ | 𝐐 | MATHEMATICAL BOLD CAPITAL Q |
        | ♫bdR | 𝐑 | MATHEMATICAL BOLD CAPITAL R |
        | ♫bdS | 𝐒 | MATHEMATICAL BOLD CAPITAL S |
        | ♫bdT | 𝐓 | MATHEMATICAL BOLD CAPITAL T |
        | ♫bdU | 𝐔 | MATHEMATICAL BOLD CAPITAL U |
        | ♫bdV | 𝐕 | MATHEMATICAL BOLD CAPITAL V |
        | ♫bdW | 𝐖 | MATHEMATICAL BOLD CAPITAL W |
        | ♫bdX | 𝐗 | MATHEMATICAL BOLD CAPITAL X |
        | ♫bdY | 𝐘 | MATHEMATICAL BOLD CAPITAL Y |
        | ♫bdZ | 𝐙 | MATHEMATICAL BOLD CAPITAL Z |
        | ♫BDA | 𝐀 | MATHEMATICAL BOLD CAPITAL A |
        | ♫BDB | 𝐁 | MATHEMATICAL BOLD CAPITAL B |
        | ♫BDC | 𝐂 | MATHEMATICAL BOLD CAPITAL C |
        | ♫BDD | 𝐃 | MATHEMATICAL BOLD CAPITAL D |
        | ♫BDE | 𝐄 | MATHEMATICAL BOLD CAPITAL E |
        | ♫BDF | 𝐅 | MATHEMATICAL BOLD CAPITAL F |
        | ♫BDG | 𝐆 | MATHEMATICAL BOLD CAPITAL G |
        | ♫BDH | 𝐇 | MATHEMATICAL BOLD CAPITAL H |
        | ♫BDI | 𝐈 | MATHEMATICAL BOLD CAPITAL I |
        | ♫BDJ | 𝐉 | MATHEMATICAL BOLD CAPITAL J |
        | ♫BDK | 𝐊 | MATHEMATICAL BOLD CAPITAL K |
        | ♫BDL | 𝐋 | MATHEMATICAL BOLD CAPITAL L |
        | ♫BDM | 𝐌 | MATHEMATICAL BOLD CAPITAL M |
        | ♫BDN | 𝐍 | MATHEMATICAL BOLD CAPITAL N |
        | ♫BDO | 𝐎 | MATHEMATICAL BOLD CAPITAL O |
        | ♫BDP | 𝐏 | MATHEMATICAL BOLD CAPITAL P |
        | ♫BDQ | 𝐐 | MATHEMATICAL BOLD CAPITAL Q |
        | ♫BDR | 𝐑 | MATHEMATICAL BOLD CAPITAL R |
        | ♫BDS | 𝐒 | MATHEMATICAL BOLD CAPITAL S |
        | ♫BDT | 𝐓 | MATHEMATICAL BOLD CAPITAL T |
        | ♫BDU | 𝐔 | MATHEMATICAL BOLD CAPITAL U |
        | ♫BDV | 𝐕 | MATHEMATICAL BOLD CAPITAL V |
        | ♫BDW | 𝐖 | MATHEMATICAL BOLD CAPITAL W |
        | ♫BDX | 𝐗 | MATHEMATICAL BOLD CAPITAL X |
        | ♫BDY | 𝐘 | MATHEMATICAL BOLD CAPITAL Y |
        | ♫BDZ | 𝐙 | MATHEMATICAL BOLD CAPITAL Z |
        | ♫bda | 𝐚 | MATHEMATICAL BOLD SMALL A |
        | ♫bdb | 𝐛 | MATHEMATICAL BOLD SMALL B |
        | ♫bdc | 𝐜 | MATHEMATICAL BOLD SMALL C |
        | ♫bdd | 𝐝 | MATHEMATICAL BOLD SMALL D |
        | ♫bde | 𝐞 | MATHEMATICAL BOLD SMALL E |
        | ♫bdf | 𝐟 | MATHEMATICAL BOLD SMALL F |
        | ♫bdg | 𝐠 | MATHEMATICAL BOLD SMALL G |
        | ♫bdh | 𝐡 | MATHEMATICAL BOLD SMALL H |
        | ♫bdi | 𝐢 | MATHEMATICAL BOLD SMALL I |
        | ♫bdj | 𝐣 | MATHEMATICAL BOLD SMALL J |
        | ♫bdk | 𝐤 | MATHEMATICAL BOLD SMALL K |
        | ♫bdl | 𝐥 | MATHEMATICAL BOLD SMALL L |
        | ♫bdm | 𝐦 | MATHEMATICAL BOLD SMALL M |
        | ♫bdn | 𝐧 | MATHEMATICAL BOLD SMALL N |
        | ♫bdo | 𝐨 | MATHEMATICAL BOLD SMALL O |
        | ♫bdp | 𝐩 | MATHEMATICAL BOLD SMALL P |
        | ♫bdq | 𝐪 | MATHEMATICAL BOLD SMALL Q |
        | ♫bdr | 𝐫 | MATHEMATICAL BOLD SMALL R |
        | ♫bds | 𝐬 | MATHEMATICAL BOLD SMALL S |
        | ♫bdt | 𝐭 | MATHEMATICAL BOLD SMALL T |
        | ♫bdu | 𝐮 | MATHEMATICAL BOLD SMALL U |
        | ♫bdv | 𝐯 | MATHEMATICAL BOLD SMALL V |
        | ♫bdw | 𝐰 | MATHEMATICAL BOLD SMALL W |
        | ♫bdx | 𝐱 | MATHEMATICAL BOLD SMALL X |
        | ♫bdy | 𝐲 | MATHEMATICAL BOLD SMALL Y |
        | ♫bdz | 𝐳 | MATHEMATICAL BOLD SMALL Z |
        | ♫bd0 | 𝟎 | MATHEMATICAL BOLD DIGIT ZERO |
        | ♫bdKP_0 | 𝟎 | MATHEMATICAL BOLD DIGIT ZERO |
        | ♫bd1 | 𝟏 | MATHEMATICAL BOLD DIGIT ONE |
        | ♫bdKP_1 | 𝟏 | MATHEMATICAL BOLD DIGIT ONE |
        | ♫bd2 | 𝟐 | MATHEMATICAL BOLD DIGIT TWO |
        | ♫bdKP_2 | 𝟐 | MATHEMATICAL BOLD DIGIT TWO |
        | ♫bd3 | 𝟑 | MATHEMATICAL BOLD DIGIT THREE |
        | ♫bdKP_3 | 𝟑 | MATHEMATICAL BOLD DIGIT THREE |
        | ♫bd4 | 𝟒 | MATHEMATICAL BOLD DIGIT FOUR |
        | ♫bdKP_4 | 𝟒 | MATHEMATICAL BOLD DIGIT FOUR |
        | ♫bd5 | 𝟓 | MATHEMATICAL BOLD DIGIT FIVE |
        | ♫bdKP_5 | 𝟓 | MATHEMATICAL BOLD DIGIT FIVE |
        | ♫bd6 | 𝟔 | MATHEMATICAL BOLD DIGIT SIX |
        | ♫bdKP_6 | 𝟔 | MATHEMATICAL BOLD DIGIT SIX |
        | ♫bd7 | 𝟕 | MATHEMATICAL BOLD DIGIT SEVEN |
        | ♫bdKP_7 | 𝟕 | MATHEMATICAL BOLD DIGIT SEVEN |
        | ♫bd8 | 𝟖 | MATHEMATICAL BOLD DIGIT EIGHT |
        | ♫bdKP_8 | 𝟖 | MATHEMATICAL BOLD DIGIT EIGHT |
        | ♫bd9 | 𝟗 | MATHEMATICAL BOLD DIGIT NINE |
        | ♫bdKP_9 | 𝟗 | MATHEMATICAL BOLD DIGIT NINE |
        | ♫bdΒ | 𝚩 | MATHEMATICAL BOLD CAPITAL BETA |
        | ♫bdΓ | 𝚪 | MATHEMATICAL BOLD CAPITAL GAMMA |
        | ♫bdΔ | 𝚫 | MATHEMATICAL BOLD CAPITAL DELTA |
        | ♫bdΕ | 𝚬 | MATHEMATICAL BOLD CAPITAL EPSILON |
        | ♫bdΖ | 𝚭 | MATHEMATICAL BOLD CAPITAL ZETA |
        | ♫bdΗ | 𝚮 | MATHEMATICAL BOLD CAPITAL ETA |
        | ♫bdΘ | 𝚯 | MATHEMATICAL BOLD CAPITAL THETA |
        | ♫bdΙ | 𝚰 | MATHEMATICAL BOLD CAPITAL IOTA |
        | ♫bdΚ | 𝚱 | MATHEMATICAL BOLD CAPITAL KAPPA |
        | ♫bdΛ | 𝚲 | MATHEMATICAL BOLD CAPITAL LAMBDA |
        | ♫bdΜ | 𝚳 | MATHEMATICAL BOLD CAPITAL MU |
        | ♫bdΝ | 𝚴 | MATHEMATICAL BOLD CAPITAL NU |
        | ♫bdΞ | 𝚵 | MATHEMATICAL BOLD CAPITAL XI |
        | ♫bdΟ | 𝚶 | MATHEMATICAL BOLD CAPITAL OMICRON |
        | ♫bdΠ | 𝚷 | MATHEMATICAL BOLD CAPITAL PI |
        | ♫bdΡ | 𝚸 | MATHEMATICAL BOLD CAPITAL RHO |
        | ♫bdΤ | 𝚻 | MATHEMATICAL BOLD CAPITAL TAU |
        | ♫bdΥ | 𝚼 | MATHEMATICAL BOLD CAPITAL UPSILON |
        | ♫bdΦ | 𝚽 | MATHEMATICAL BOLD CAPITAL PHI |
        | ♫bdΧ | 𝚾 | MATHEMATICAL BOLD CAPITAL CHI |
        | ♫bdΨ | 𝚿 | MATHEMATICAL BOLD CAPITAL PSI |
        | ♫bdΩ | 𝛀 | MATHEMATICAL BOLD CAPITAL OMEGA |
        | ♫bdα | 𝛂 | MATHEMATICAL BOLD SMALL ALPHA |
        | ♫bdβ | 𝛃 | MATHEMATICAL BOLD SMALL BETA |
        | ♫bdγ | 𝛄 | MATHEMATICAL BOLD SMALL GAMMA |
        | ♫bdδ | 𝛅 | MATHEMATICAL BOLD SMALL DELTA |
        | ♫bdε | 𝛆 | MATHEMATICAL BOLD SMALL EPSILON |
        | ♫bdζ | 𝛇 | MATHEMATICAL BOLD SMALL ZETA |
        | ♫bdη | 𝛈 | MATHEMATICAL BOLD SMALL ETA |
        | ♫bdθ | 𝛉 | MATHEMATICAL BOLD SMALL THETA |
        | ♫bdι | 𝛊 | MATHEMATICAL BOLD SMALL IOTA |
        | ♫bdκ | 𝛋 | MATHEMATICAL BOLD SMALL KAPPA |
        | ♫bdλ | 𝛌 | MATHEMATICAL BOLD SMALL LAMBDA |
        | ♫bdμ | 𝛍 | MATHEMATICAL BOLD SMALL MU |
        | ♫bdν | 𝛎 | MATHEMATICAL BOLD SMALL NU |
        | ♫bdξ | 𝛏 | MATHEMATICAL BOLD SMALL XI |
        | ♫bdο | 𝛐 | MATHEMATICAL BOLD SMALL OMICRON |
        | ♫bdπ | 𝛑 | MATHEMATICAL BOLD SMALL PI |
        | ♫bdρ | 𝛒 | MATHEMATICAL BOLD SMALL RHO |
        | ♫bdς | 𝛓 | MATHEMATICAL BOLD SMALL FINAL SIGMA |
        | ♫bdσ | 𝛔 | MATHEMATICAL BOLD SMALL SIGMA |
        | ♫bdτ | 𝛕 | MATHEMATICAL BOLD SMALL TAU |
        | ♫bdυ | 𝛖 | MATHEMATICAL BOLD SMALL UPSILON |
        | ♫bdφ | 𝛗 | MATHEMATICAL BOLD SMALL PHI |
        | ♫bdχ | 𝛘 | MATHEMATICAL BOLD SMALL CHI |
        | ♫bdψ | 𝛙 | MATHEMATICAL BOLD SMALL PSI |
        | ♫bdω | 𝛚 | MATHEMATICAL BOLD SMALL OMEGA |
        | ♫bdϱ | 𝛠 | MATHEMATICAL BOLD RHO SYMBOL |
        | ♫bdϑ | 𝛝 | MATHEMATICAL BOLD THETA SYMBOL |
        | ♫bdϵ | 𝛜 | MATHEMATICAL BOLD EPSILON SYMBOL |
        | ♫bdϕ | 𝛟 | MATHEMATICAL BOLD PHI SYMBOL |
        | ♫bdϰ | 𝛞 | MATHEMATICAL BOLD KAPPA SYMBOL |
        | ♫bdU03D6 | 𝛡 | MATHEMATICAL BOLD PI SYMBOL |
        | ♫bd∂ | 𝛛 | MATHEMATICAL BOLD PARTIAL DIFFERENTIAL |
        | ♫bd∇ | 𝛁 | MATHEMATICAL BOLD NABLA |
        | ♫sbU03DC | 𝟊 | MATHEMATICAL BOLD CAPITAL DIGAMMA |
        | ♫sbU03DD | 𝟋 | MATHEMATICAL BOLD SMALL DIGAMMA |
        | ♫gbA | 𝚨 | MATHEMATICAL BOLD CAPITAL ALPHA |
        | ♫GBA | 𝚨 | MATHEMATICAL BOLD CAPITAL ALPHA |
        | ♫GBB | 𝚩 | MATHEMATICAL BOLD CAPITAL BETA |
        | ♫gbB | 𝚩 | MATHEMATICAL BOLD CAPITAL BETA |
        | ♫GBE | 𝚬 | MATHEMATICAL BOLD CAPITAL EPSILON |
        | ♫gbE | 𝚬 | MATHEMATICAL BOLD CAPITAL EPSILON |
        | ♫GBZ | 𝚭 | MATHEMATICAL BOLD CAPITAL ZETA |
        | ♫gbZ | 𝚭 | MATHEMATICAL BOLD CAPITAL ZETA |
        | ♫GBH | 𝚮 | MATHEMATICAL BOLD CAPITAL ETA |
        | ♫gbH | 𝚮 | MATHEMATICAL BOLD CAPITAL ETA |
        | ♫GBÄ | 𝚮 | MATHEMATICAL BOLD CAPITAL ETA |
        | ♫gbÄ | 𝚮 | MATHEMATICAL BOLD CAPITAL ETA |
        | ♫GBI | 𝚰 | MATHEMATICAL BOLD CAPITAL IOTA |
        | ♫gbI | 𝚰 | MATHEMATICAL BOLD CAPITAL IOTA |
        | ♫GBK | 𝚱 | MATHEMATICAL BOLD CAPITAL KAPPA |
        | ♫gbK | 𝚱 | MATHEMATICAL BOLD CAPITAL KAPPA |
        | ♫GBM | 𝚳 | MATHEMATICAL BOLD CAPITAL MU |
        | ♫gbM | 𝚳 | MATHEMATICAL BOLD CAPITAL MU |
        | ♫GBN | 𝚴 | MATHEMATICAL BOLD CAPITAL NU |
        | ♫gbN | 𝚴 | MATHEMATICAL BOLD CAPITAL NU |
        | ♫GBO | 𝚶 | MATHEMATICAL BOLD CAPITAL OMICRON |
        | ♫gbO | 𝚶 | MATHEMATICAL BOLD CAPITAL OMICRON |
        | ♫GBP | 𝚸 | MATHEMATICAL BOLD CAPITAL RHO |
        | ♫gbP | 𝚸 | MATHEMATICAL BOLD CAPITAL RHO |
        | ♫GBR | 𝚸 | MATHEMATICAL BOLD CAPITAL RHO |
        | ♫gbR | 𝚸 | MATHEMATICAL BOLD CAPITAL RHO |
        | ♫GBT | 𝚻 | MATHEMATICAL BOLD CAPITAL TAU |
        | ♫gbT | 𝚻 | MATHEMATICAL BOLD CAPITAL TAU |
        | ♫GBY | 𝚼 | MATHEMATICAL BOLD CAPITAL UPSILON |
        | ♫gbY | 𝚼 | MATHEMATICAL BOLD CAPITAL UPSILON |
        | ♫GBX | 𝚾 | MATHEMATICAL BOLD CAPITAL CHI |
        | ♫gbX | 𝚾 | MATHEMATICAL BOLD CAPITAL CHI |
        | ♫GBF | 𝟊 | MATHEMATICAL BOLD CAPITAL DIGAMMA |
        | ♫gbF | 𝟊 | MATHEMATICAL BOLD CAPITAL DIGAMMA |
        | ♫gbf | 𝟋 | MATHEMATICAL BOLD SMALL DIGAMMA |
        | ♫bsA | 𝓐 | MATHEMATICAL BOLD SCRIPT CAPITAL A |
        | ♫bsB | 𝓑 | MATHEMATICAL BOLD SCRIPT CAPITAL B |
        | ♫bsC | 𝓒 | MATHEMATICAL BOLD SCRIPT CAPITAL C |
        | ♫bsD | 𝓓 | MATHEMATICAL BOLD SCRIPT CAPITAL D |
        | ♫bsE | 𝓔 | MATHEMATICAL BOLD SCRIPT CAPITAL E |
        | ♫bsF | 𝓕 | MATHEMATICAL BOLD SCRIPT CAPITAL F |
        | ♫bsG | 𝓖 | MATHEMATICAL BOLD SCRIPT CAPITAL G |
        | ♫bsH | 𝓗 | MATHEMATICAL BOLD SCRIPT CAPITAL H |
        | ♫bsI | 𝓘 | MATHEMATICAL BOLD SCRIPT CAPITAL I |
        | ♫bsJ | 𝓙 | MATHEMATICAL BOLD SCRIPT CAPITAL J |
        | ♫bsK | 𝓚 | MATHEMATICAL BOLD SCRIPT CAPITAL K |
        | ♫bsL | 𝓛 | MATHEMATICAL BOLD SCRIPT CAPITAL L |
        | ♫bsM | 𝓜 | MATHEMATICAL BOLD SCRIPT CAPITAL M |
        | ♫bsN | 𝓝 | MATHEMATICAL BOLD SCRIPT CAPITAL N |
        | ♫bsO | 𝓞 | MATHEMATICAL BOLD SCRIPT CAPITAL O |
        | ♫bsP | 𝓟 | MATHEMATICAL BOLD SCRIPT CAPITAL P |
        | ♫bsQ | 𝓠 | MATHEMATICAL BOLD SCRIPT CAPITAL Q |
        | ♫bsR | 𝓡 | MATHEMATICAL BOLD SCRIPT CAPITAL R |
        | ♫bsS | 𝓢 | MATHEMATICAL BOLD SCRIPT CAPITAL S |
        | ♫bsT | 𝓣 | MATHEMATICAL BOLD SCRIPT CAPITAL T |
        | ♫bsU | 𝓤 | MATHEMATICAL BOLD SCRIPT CAPITAL U |
        | ♫bsV | 𝓥 | MATHEMATICAL BOLD SCRIPT CAPITAL V |
        | ♫bsW | 𝓦 | MATHEMATICAL BOLD SCRIPT CAPITAL W |
        | ♫bsX | 𝓧 | MATHEMATICAL BOLD SCRIPT CAPITAL X |
        | ♫bsY | 𝓨 | MATHEMATICAL BOLD SCRIPT CAPITAL Y |
        | ♫bsZ | 𝓩 | MATHEMATICAL BOLD SCRIPT CAPITAL Z |
        | ♫BSA | 𝓐 | MATHEMATICAL BOLD SCRIPT CAPITAL A |
        | ♫BSB | 𝓑 | MATHEMATICAL BOLD SCRIPT CAPITAL B |
        | ♫BSC | 𝓒 | MATHEMATICAL BOLD SCRIPT CAPITAL C |
        | ♫BSD | 𝓓 | MATHEMATICAL BOLD SCRIPT CAPITAL D |
        | ♫BSE | 𝓔 | MATHEMATICAL BOLD SCRIPT CAPITAL E |
        | ♫BSF | 𝓕 | MATHEMATICAL BOLD SCRIPT CAPITAL F |
        | ♫BSG | 𝓖 | MATHEMATICAL BOLD SCRIPT CAPITAL G |
        | ♫BSH | 𝓗 | MATHEMATICAL BOLD SCRIPT CAPITAL H |
        | ♫BSI | 𝓘 | MATHEMATICAL BOLD SCRIPT CAPITAL I |
        | ♫BSJ | 𝓙 | MATHEMATICAL BOLD SCRIPT CAPITAL J |
        | ♫BSK | 𝓚 | MATHEMATICAL BOLD SCRIPT CAPITAL K |
        | ♫BSL | 𝓛 | MATHEMATICAL BOLD SCRIPT CAPITAL L |
        | ♫BSM | 𝓜 | MATHEMATICAL BOLD SCRIPT CAPITAL M |
        | ♫BSN | 𝓝 | MATHEMATICAL BOLD SCRIPT CAPITAL N |
        | ♫BSO | 𝓞 | MATHEMATICAL BOLD SCRIPT CAPITAL O |
        | ♫BSP | 𝓟 | MATHEMATICAL BOLD SCRIPT CAPITAL P |
        | ♫BSQ | 𝓠 | MATHEMATICAL BOLD SCRIPT CAPITAL Q |
        | ♫BSR | 𝓡 | MATHEMATICAL BOLD SCRIPT CAPITAL R |
        | ♫BSS | 𝓢 | MATHEMATICAL BOLD SCRIPT CAPITAL S |
        | ♫BST | 𝓣 | MATHEMATICAL BOLD SCRIPT CAPITAL T |
        | ♫BSU | 𝓤 | MATHEMATICAL BOLD SCRIPT CAPITAL U |
        | ♫BSV | 𝓥 | MATHEMATICAL BOLD SCRIPT CAPITAL V |
        | ♫BSW | 𝓦 | MATHEMATICAL BOLD SCRIPT CAPITAL W |
        | ♫BSX | 𝓧 | MATHEMATICAL BOLD SCRIPT CAPITAL X |
        | ♫BSY | 𝓨 | MATHEMATICAL BOLD SCRIPT CAPITAL Y |
        | ♫BSZ | 𝓩 | MATHEMATICAL BOLD SCRIPT CAPITAL Z |
        | ♫bsa | 𝓪 | MATHEMATICAL BOLD SCRIPT SMALL A |
        | ♫bsb | 𝓫 | MATHEMATICAL BOLD SCRIPT SMALL B |
        | ♫bsc | 𝓬 | MATHEMATICAL BOLD SCRIPT SMALL C |
        | ♫bsd | 𝓭 | MATHEMATICAL BOLD SCRIPT SMALL D |
        | ♫bse | 𝓮 | MATHEMATICAL BOLD SCRIPT SMALL E |
        | ♫bsf | 𝓯 | MATHEMATICAL BOLD SCRIPT SMALL F |
        | ♫bsg | 𝓰 | MATHEMATICAL BOLD SCRIPT SMALL G |
        | ♫bsh | 𝓱 | MATHEMATICAL BOLD SCRIPT SMALL H |
        | ♫bsi | 𝓲 | MATHEMATICAL BOLD SCRIPT SMALL I |
        | ♫bsj | 𝓳 | MATHEMATICAL BOLD SCRIPT SMALL J |
        | ♫bsk | 𝓴 | MATHEMATICAL BOLD SCRIPT SMALL K |
        | ♫bsl | 𝓵 | MATHEMATICAL BOLD SCRIPT SMALL L |
        | ♫bsm | 𝓶 | MATHEMATICAL BOLD SCRIPT SMALL M |
        | ♫bsn | 𝓷 | MATHEMATICAL BOLD SCRIPT SMALL N |
        | ♫bso | 𝓸 | MATHEMATICAL BOLD SCRIPT SMALL O |
        | ♫bsp | 𝓹 | MATHEMATICAL BOLD SCRIPT SMALL P |
        | ♫bsq | 𝓺 | MATHEMATICAL BOLD SCRIPT SMALL Q |
        | ♫bsr | 𝓻 | MATHEMATICAL BOLD SCRIPT SMALL R |
        | ♫bss | 𝓼 | MATHEMATICAL BOLD SCRIPT SMALL S |
        | ♫bst | 𝓽 | MATHEMATICAL BOLD SCRIPT SMALL T |
        | ♫bsu | 𝓾 | MATHEMATICAL BOLD SCRIPT SMALL U |
        | ♫bsv | 𝓿 | MATHEMATICAL BOLD SCRIPT SMALL V |
        | ♫bsw | 𝔀 | MATHEMATICAL BOLD SCRIPT SMALL W |
        | ♫bsx | 𝔁 | MATHEMATICAL BOLD SCRIPT SMALL X |
        | ♫bsy | 𝔂 | MATHEMATICAL BOLD SCRIPT SMALL Y |
        | ♫bsz | 𝔃 | MATHEMATICAL BOLD SCRIPT SMALL Z |
        | ♫frA | 𝔄 | MATHEMATICAL FRAKTUR CAPITAL A |
        | ♫frB | 𝔅 | MATHEMATICAL FRAKTUR CAPITAL B |
        | ♫frC | ℭ | BLACK-LETTER CAPITAL C |
        | ♫frD | 𝔇 | MATHEMATICAL FRAKTUR CAPITAL D |
        | ♫frE | 𝔈 | MATHEMATICAL FRAKTUR CAPITAL E |
        | ♫frF | 𝔉 | MATHEMATICAL FRAKTUR CAPITAL F |
        | ♫frG | 𝔊 | MATHEMATICAL FRAKTUR CAPITAL G |
        | ♫frH | ℌ | BLACK-LETTER CAPITAL H |
        | ♫frI | ℑ | BLACK-LETTER CAPITAL I |
        | ♫frJ | 𝔍 | MATHEMATICAL FRAKTUR CAPITAL J |
        | ♫frK | 𝔎 | MATHEMATICAL FRAKTUR CAPITAL K |
        | ♫frL | 𝔏 | MATHEMATICAL FRAKTUR CAPITAL L |
        | ♫frM | 𝔐 | MATHEMATICAL FRAKTUR CAPITAL M |
        | ♫frN | 𝔑 | MATHEMATICAL FRAKTUR CAPITAL N |
        | ♫frO | 𝔒 | MATHEMATICAL FRAKTUR CAPITAL O |
        | ♫frP | 𝔓 | MATHEMATICAL FRAKTUR CAPITAL P |
        | ♫frQ | 𝔔 | MATHEMATICAL FRAKTUR CAPITAL Q |
        | ♫frR | ℜ | BLACK-LETTER CAPITAL R |
        | ♫frS | 𝔖 | MATHEMATICAL FRAKTUR CAPITAL S |
        | ♫frT | 𝔗 | MATHEMATICAL FRAKTUR CAPITAL T |
        | ♫frU | 𝔘 | MATHEMATICAL FRAKTUR CAPITAL U |
        | ♫frV | 𝔙 | MATHEMATICAL FRAKTUR CAPITAL V |
        | ♫frW | 𝔚 | MATHEMATICAL FRAKTUR CAPITAL W |
        | ♫frX | 𝔛 | MATHEMATICAL FRAKTUR CAPITAL X |
        | ♫frY | 𝔜 | MATHEMATICAL FRAKTUR CAPITAL Y |
        | ♫frZ | ℨ | BLACK-LETTER CAPITAL Z |
        | ♫FRA | 𝔄 | MATHEMATICAL FRAKTUR CAPITAL A |
        | ♫FRB | 𝔅 | MATHEMATICAL FRAKTUR CAPITAL B |
        | ♫FRC | ℭ | BLACK-LETTER CAPITAL C |
        | ♫FRD | 𝔇 | MATHEMATICAL FRAKTUR CAPITAL D |
        | ♫FRE | 𝔈 | MATHEMATICAL FRAKTUR CAPITAL E |
        | ♫FRF | 𝔉 | MATHEMATICAL FRAKTUR CAPITAL F |
        | ♫FRG | 𝔊 | MATHEMATICAL FRAKTUR CAPITAL G |
        | ♫FRH | ℌ | BLACK-LETTER CAPITAL H |
        | ♫FRI | ℑ | BLACK-LETTER CAPITAL I |
        | ♫FRJ | 𝔍 | MATHEMATICAL FRAKTUR CAPITAL J |
        | ♫FRK | 𝔎 | MATHEMATICAL FRAKTUR CAPITAL K |
        | ♫FRL | 𝔏 | MATHEMATICAL FRAKTUR CAPITAL L |
        | ♫FRM | 𝔐 | MATHEMATICAL FRAKTUR CAPITAL M |
        | ♫FRN | 𝔑 | MATHEMATICAL FRAKTUR CAPITAL N |
        | ♫FRO | 𝔒 | MATHEMATICAL FRAKTUR CAPITAL O |
        | ♫FRP | 𝔓 | MATHEMATICAL FRAKTUR CAPITAL P |
        | ♫FRQ | 𝔔 | MATHEMATICAL FRAKTUR CAPITAL Q |
        | ♫FRR | ℜ | BLACK-LETTER CAPITAL R |
        | ♫FRS | 𝔖 | MATHEMATICAL FRAKTUR CAPITAL S |
        | ♫FRT | 𝔗 | MATHEMATICAL FRAKTUR CAPITAL T |
        | ♫FRU | 𝔘 | MATHEMATICAL FRAKTUR CAPITAL U |
        | ♫FRV | 𝔙 | MATHEMATICAL FRAKTUR CAPITAL V |
        | ♫FRW | 𝔚 | MATHEMATICAL FRAKTUR CAPITAL W |
        | ♫FRX | 𝔛 | MATHEMATICAL FRAKTUR CAPITAL X |
        | ♫FRY | 𝔜 | MATHEMATICAL FRAKTUR CAPITAL Y |
        | ♫FRZ | ℨ | BLACK-LETTER CAPITAL Z |
        | ♫fra | 𝔞 | MATHEMATICAL FRAKTUR SMALL A |
        | ♫frb | 𝔟 | MATHEMATICAL FRAKTUR SMALL B |
        | ♫frc | 𝔠 | MATHEMATICAL FRAKTUR SMALL C |
        | ♫frd | 𝔡 | MATHEMATICAL FRAKTUR SMALL D |
        | ♫fre | 𝔢 | MATHEMATICAL FRAKTUR SMALL E |
        | ♫frf | 𝔣 | MATHEMATICAL FRAKTUR SMALL F |
        | ♫frg | 𝔤 | MATHEMATICAL FRAKTUR SMALL G |
        | ♫frh | 𝔥 | MATHEMATICAL FRAKTUR SMALL H |
        | ♫fri | 𝔦 | MATHEMATICAL FRAKTUR SMALL I |
        | ♫frj | 𝔧 | MATHEMATICAL FRAKTUR SMALL J |
        | ♫frk | 𝔨 | MATHEMATICAL FRAKTUR SMALL K |
        | ♫frl | 𝔩 | MATHEMATICAL FRAKTUR SMALL L |
        | ♫frm | 𝔪 | MATHEMATICAL FRAKTUR SMALL M |
        | ♫frn | 𝔫 | MATHEMATICAL FRAKTUR SMALL N |
        | ♫fro | 𝔬 | MATHEMATICAL FRAKTUR SMALL O |
        | ♫frp | 𝔭 | MATHEMATICAL FRAKTUR SMALL P |
        | ♫frq | 𝔮 | MATHEMATICAL FRAKTUR SMALL Q |
        | ♫frr | 𝔯 | MATHEMATICAL FRAKTUR SMALL R |
        | ♫frs | 𝔰 | MATHEMATICAL FRAKTUR SMALL S |
        | ♫frt | 𝔱 | MATHEMATICAL FRAKTUR SMALL T |
        | ♫fru | 𝔲 | MATHEMATICAL FRAKTUR SMALL U |
        | ♫frv | 𝔳 | MATHEMATICAL FRAKTUR SMALL V |
        | ♫frw | 𝔴 | MATHEMATICAL FRAKTUR SMALL W |
        | ♫frx | 𝔵 | MATHEMATICAL FRAKTUR SMALL X |
        | ♫fry | 𝔶 | MATHEMATICAL FRAKTUR SMALL Y |
        | ♫frz | 𝔷 | MATHEMATICAL FRAKTUR SMALL Z |
        | ♫bfA | 𝕬 | MATHEMATICAL BOLD FRAKTUR CAPITAL A |
        | ♫bfB | 𝕭 | MATHEMATICAL BOLD FRAKTUR CAPITAL B |
        | ♫bfC | 𝕮 | MATHEMATICAL BOLD FRAKTUR CAPITAL C |
        | ♫bfD | 𝕯 | MATHEMATICAL BOLD FRAKTUR CAPITAL D |
        | ♫bfE | 𝕰 | MATHEMATICAL BOLD FRAKTUR CAPITAL E |
        | ♫bfF | 𝕱 | MATHEMATICAL BOLD FRAKTUR CAPITAL F |
        | ♫bfG | 𝕲 | MATHEMATICAL BOLD FRAKTUR CAPITAL G |
        | ♫bfH | 𝕳 | MATHEMATICAL BOLD FRAKTUR CAPITAL H |
        | ♫bfI | 𝕴 | MATHEMATICAL BOLD FRAKTUR CAPITAL I |
        | ♫bfJ | 𝕵 | MATHEMATICAL BOLD FRAKTUR CAPITAL J |
        | ♫bfK | 𝕶 | MATHEMATICAL BOLD FRAKTUR CAPITAL K |
        | ♫bfL | 𝕷 | MATHEMATICAL BOLD FRAKTUR CAPITAL L |
        | ♫bfM | 𝕸 | MATHEMATICAL BOLD FRAKTUR CAPITAL M |
        | ♫bfN | 𝕹 | MATHEMATICAL BOLD FRAKTUR CAPITAL N |
        | ♫bfO | 𝕺 | MATHEMATICAL BOLD FRAKTUR CAPITAL O |
        | ♫bfP | 𝕻 | MATHEMATICAL BOLD FRAKTUR CAPITAL P |
        | ♫bfQ | 𝕼 | MATHEMATICAL BOLD FRAKTUR CAPITAL Q |
        | ♫bfR | 𝕽 | MATHEMATICAL BOLD FRAKTUR CAPITAL R |
        | ♫bfS | 𝕾 | MATHEMATICAL BOLD FRAKTUR CAPITAL S |
        | ♫bfT | 𝕿 | MATHEMATICAL BOLD FRAKTUR CAPITAL T |
        | ♫bfU | 𝖀 | MATHEMATICAL BOLD FRAKTUR CAPITAL U |
        | ♫bfV | 𝖁 | MATHEMATICAL BOLD FRAKTUR CAPITAL V |
        | ♫bfW | 𝖂 | MATHEMATICAL BOLD FRAKTUR CAPITAL W |
        | ♫bfX | 𝖃 | MATHEMATICAL BOLD FRAKTUR CAPITAL X |
        | ♫bfY | 𝖄 | MATHEMATICAL BOLD FRAKTUR CAPITAL Y |
        | ♫bfZ | 𝖅 | MATHEMATICAL BOLD FRAKTUR CAPITAL Z |
        | ♫BFA | 𝕬 | MATHEMATICAL BOLD FRAKTUR CAPITAL A |
        | ♫BFB | 𝕭 | MATHEMATICAL BOLD FRAKTUR CAPITAL B |
        | ♫BFC | 𝕮 | MATHEMATICAL BOLD FRAKTUR CAPITAL C |
        | ♫BFD | 𝕯 | MATHEMATICAL BOLD FRAKTUR CAPITAL D |
        | ♫BFE | 𝕰 | MATHEMATICAL BOLD FRAKTUR CAPITAL E |
        | ♫BFF | 𝕱 | MATHEMATICAL BOLD FRAKTUR CAPITAL F |
        | ♫BFG | 𝕲 | MATHEMATICAL BOLD FRAKTUR CAPITAL G |
        | ♫BFH | 𝕳 | MATHEMATICAL BOLD FRAKTUR CAPITAL H |
        | ♫BFI | 𝕴 | MATHEMATICAL BOLD FRAKTUR CAPITAL I |
        | ♫BFJ | 𝕵 | MATHEMATICAL BOLD FRAKTUR CAPITAL J |
        | ♫BFK | 𝕶 | MATHEMATICAL BOLD FRAKTUR CAPITAL K |
        | ♫BFL | 𝕷 | MATHEMATICAL BOLD FRAKTUR CAPITAL L |
        | ♫BFM | 𝕸 | MATHEMATICAL BOLD FRAKTUR CAPITAL M |
        | ♫BFN | 𝕹 | MATHEMATICAL BOLD FRAKTUR CAPITAL N |
        | ♫BFO | 𝕺 | MATHEMATICAL BOLD FRAKTUR CAPITAL O |
        | ♫BFP | 𝕻 | MATHEMATICAL BOLD FRAKTUR CAPITAL P |
        | ♫BFQ | 𝕼 | MATHEMATICAL BOLD FRAKTUR CAPITAL Q |
        | ♫BFR | 𝕽 | MATHEMATICAL BOLD FRAKTUR CAPITAL R |
        | ♫BFS | 𝕾 | MATHEMATICAL BOLD FRAKTUR CAPITAL S |
        | ♫BFT | 𝕿 | MATHEMATICAL BOLD FRAKTUR CAPITAL T |
        | ♫BFU | 𝖀 | MATHEMATICAL BOLD FRAKTUR CAPITAL U |
        | ♫BFV | 𝖁 | MATHEMATICAL BOLD FRAKTUR CAPITAL V |
        | ♫BFW | 𝖂 | MATHEMATICAL BOLD FRAKTUR CAPITAL W |
        | ♫BFX | 𝖃 | MATHEMATICAL BOLD FRAKTUR CAPITAL X |
        | ♫BFY | 𝖄 | MATHEMATICAL BOLD FRAKTUR CAPITAL Y |
        | ♫BFZ | 𝖅 | MATHEMATICAL BOLD FRAKTUR CAPITAL Z |
        | ♫bfa | 𝖆 | MATHEMATICAL BOLD FRAKTUR SMALL A |
        | ♫bfb | 𝖇 | MATHEMATICAL BOLD FRAKTUR SMALL B |
        | ♫bfc | 𝖈 | MATHEMATICAL BOLD FRAKTUR SMALL C |
        | ♫bfd | 𝖉 | MATHEMATICAL BOLD FRAKTUR SMALL D |
        | ♫bfe | 𝖊 | MATHEMATICAL BOLD FRAKTUR SMALL E |
        | ♫bff | 𝖋 | MATHEMATICAL BOLD FRAKTUR SMALL F |
        | ♫bfg | 𝖌 | MATHEMATICAL BOLD FRAKTUR SMALL G |
        | ♫bfh | 𝖍 | MATHEMATICAL BOLD FRAKTUR SMALL H |
        | ♫bfi | 𝖎 | MATHEMATICAL BOLD FRAKTUR SMALL I |
        | ♫bfj | 𝖏 | MATHEMATICAL BOLD FRAKTUR SMALL J |
        | ♫bfk | 𝖐 | MATHEMATICAL BOLD FRAKTUR SMALL K |
        | ♫bfl | 𝖑 | MATHEMATICAL BOLD FRAKTUR SMALL L |
        | ♫bfm | 𝖒 | MATHEMATICAL BOLD FRAKTUR SMALL M |
        | ♫bfn | 𝖓 | MATHEMATICAL BOLD FRAKTUR SMALL N |
        | ♫bfo | 𝖔 | MATHEMATICAL BOLD FRAKTUR SMALL O |
        | ♫bfp | 𝖕 | MATHEMATICAL BOLD FRAKTUR SMALL P |
        | ♫bfq | 𝖖 | MATHEMATICAL BOLD FRAKTUR SMALL Q |
        | ♫bfr | 𝖗 | MATHEMATICAL BOLD FRAKTUR SMALL R |
        | ♫bfs | 𝖘 | MATHEMATICAL BOLD FRAKTUR SMALL S |
        | ♫bft | 𝖙 | MATHEMATICAL BOLD FRAKTUR SMALL T |
        | ♫bfu | 𝖚 | MATHEMATICAL BOLD FRAKTUR SMALL U |
        | ♫bfv | 𝖛 | MATHEMATICAL BOLD FRAKTUR SMALL V |
        | ♫bfw | 𝖜 | MATHEMATICAL BOLD FRAKTUR SMALL W |
        | ♫bfx | 𝖝 | MATHEMATICAL BOLD FRAKTUR SMALL X |
        | ♫bfy | 𝖞 | MATHEMATICAL BOLD FRAKTUR SMALL Y |
        | ♫bfz | 𝖟 | MATHEMATICAL BOLD FRAKTUR SMALL Z |
        | ♫sfA | 𝖠 | MATHEMATICAL SANS-SERIF CAPITAL A |
        | ♫sfB | 𝖡 | MATHEMATICAL SANS-SERIF CAPITAL B |
        | ♫sfC | 𝖢 | MATHEMATICAL SANS-SERIF CAPITAL C |
        | ♫sfD | 𝖣 | MATHEMATICAL SANS-SERIF CAPITAL D |
        | ♫sfE | 𝖤 | MATHEMATICAL SANS-SERIF CAPITAL E |
        | ♫sfF | 𝖥 | MATHEMATICAL SANS-SERIF CAPITAL F |
        | ♫sfG | 𝖦 | MATHEMATICAL SANS-SERIF CAPITAL G |
        | ♫sfH | 𝖧 | MATHEMATICAL SANS-SERIF CAPITAL H |
        | ♫sfI | 𝖨 | MATHEMATICAL SANS-SERIF CAPITAL I |
        | ♫sfJ | 𝖩 | MATHEMATICAL SANS-SERIF CAPITAL J |
        | ♫sfK | 𝖪 | MATHEMATICAL SANS-SERIF CAPITAL K |
        | ♫sfL | 𝖫 | MATHEMATICAL SANS-SERIF CAPITAL L |
        | ♫sfM | 𝖬 | MATHEMATICAL SANS-SERIF CAPITAL M |
        | ♫sfN | 𝖭 | MATHEMATICAL SANS-SERIF CAPITAL N |
        | ♫sfO | 𝖮 | MATHEMATICAL SANS-SERIF CAPITAL O |
        | ♫sfP | 𝖯 | MATHEMATICAL SANS-SERIF CAPITAL P |
        | ♫sfQ | 𝖰 | MATHEMATICAL SANS-SERIF CAPITAL Q |
        | ♫sfR | 𝖱 | MATHEMATICAL SANS-SERIF CAPITAL R |
        | ♫sfS | 𝖲 | MATHEMATICAL SANS-SERIF CAPITAL S |
        | ♫sfT | 𝖳 | MATHEMATICAL SANS-SERIF CAPITAL T |
        | ♫sfU | 𝖴 | MATHEMATICAL SANS-SERIF CAPITAL U |
        | ♫sfV | 𝖵 | MATHEMATICAL SANS-SERIF CAPITAL V |
        | ♫sfW | 𝖶 | MATHEMATICAL SANS-SERIF CAPITAL W |
        | ♫sfX | 𝖷 | MATHEMATICAL SANS-SERIF CAPITAL X |
        | ♫sfY | 𝖸 | MATHEMATICAL SANS-SERIF CAPITAL Y |
        | ♫sfZ | 𝖹 | MATHEMATICAL SANS-SERIF CAPITAL Z |
        | ♫SFA | 𝖠 | MATHEMATICAL SANS-SERIF CAPITAL A |
        | ♫SFB | 𝖡 | MATHEMATICAL SANS-SERIF CAPITAL B |
        | ♫SFC | 𝖢 | MATHEMATICAL SANS-SERIF CAPITAL C |
        | ♫SFD | 𝖣 | MATHEMATICAL SANS-SERIF CAPITAL D |
        | ♫SFE | 𝖤 | MATHEMATICAL SANS-SERIF CAPITAL E |
        | ♫SFF | 𝖥 | MATHEMATICAL SANS-SERIF CAPITAL F |
        | ♫SFG | 𝖦 | MATHEMATICAL SANS-SERIF CAPITAL G |
        | ♫SFH | 𝖧 | MATHEMATICAL SANS-SERIF CAPITAL H |
        | ♫SFI | 𝖨 | MATHEMATICAL SANS-SERIF CAPITAL I |
        | ♫SFJ | 𝖩 | MATHEMATICAL SANS-SERIF CAPITAL J |
        | ♫SFK | 𝖪 | MATHEMATICAL SANS-SERIF CAPITAL K |
        | ♫SFL | 𝖫 | MATHEMATICAL SANS-SERIF CAPITAL L |
        | ♫SFM | 𝖬 | MATHEMATICAL SANS-SERIF CAPITAL M |
        | ♫SFN | 𝖭 | MATHEMATICAL SANS-SERIF CAPITAL N |
        | ♫SFO | 𝖮 | MATHEMATICAL SANS-SERIF CAPITAL O |
        | ♫SFP | 𝖯 | MATHEMATICAL SANS-SERIF CAPITAL P |
        | ♫SFQ | 𝖰 | MATHEMATICAL SANS-SERIF CAPITAL Q |
        | ♫SFR | 𝖱 | MATHEMATICAL SANS-SERIF CAPITAL R |
        | ♫SFS | 𝖲 | MATHEMATICAL SANS-SERIF CAPITAL S |
        | ♫SFT | 𝖳 | MATHEMATICAL SANS-SERIF CAPITAL T |
        | ♫SFU | 𝖴 | MATHEMATICAL SANS-SERIF CAPITAL U |
        | ♫SFV | 𝖵 | MATHEMATICAL SANS-SERIF CAPITAL V |
        | ♫SFW | 𝖶 | MATHEMATICAL SANS-SERIF CAPITAL W |
        | ♫SFX | 𝖷 | MATHEMATICAL SANS-SERIF CAPITAL X |
        | ♫SFY | 𝖸 | MATHEMATICAL SANS-SERIF CAPITAL Y |
        | ♫SFZ | 𝖹 | MATHEMATICAL SANS-SERIF CAPITAL Z |
        | ♫sfa | 𝖺 | MATHEMATICAL SANS-SERIF SMALL A |
        | ♫sfb | 𝖻 | MATHEMATICAL SANS-SERIF SMALL B |
        | ♫sfc | 𝖼 | MATHEMATICAL SANS-SERIF SMALL C |
        | ♫sfd | 𝖽 | MATHEMATICAL SANS-SERIF SMALL D |
        | ♫sfe | 𝖾 | MATHEMATICAL SANS-SERIF SMALL E |
        | ♫sff | 𝖿 | MATHEMATICAL SANS-SERIF SMALL F |
        | ♫sfg | 𝗀 | MATHEMATICAL SANS-SERIF SMALL G |
        | ♫sfh | 𝗁 | MATHEMATICAL SANS-SERIF SMALL H |
        | ♫sfi | 𝗂 | MATHEMATICAL SANS-SERIF SMALL I |
        | ♫sfj | 𝗃 | MATHEMATICAL SANS-SERIF SMALL J |
        | ♫sfk | 𝗄 | MATHEMATICAL SANS-SERIF SMALL K |
        | ♫sfl | 𝗅 | MATHEMATICAL SANS-SERIF SMALL L |
        | ♫sfm | 𝗆 | MATHEMATICAL SANS-SERIF SMALL M |
        | ♫sfn | 𝗇 | MATHEMATICAL SANS-SERIF SMALL N |
        | ♫sfo | 𝗈 | MATHEMATICAL SANS-SERIF SMALL O |
        | ♫sfp | 𝗉 | MATHEMATICAL SANS-SERIF SMALL P |
        | ♫sfq | 𝗊 | MATHEMATICAL SANS-SERIF SMALL Q |
        | ♫sfr | 𝗋 | MATHEMATICAL SANS-SERIF SMALL R |
        | ♫sfs | 𝗌 | MATHEMATICAL SANS-SERIF SMALL S |
        | ♫sft | 𝗍 | MATHEMATICAL SANS-SERIF SMALL T |
        | ♫sfu | 𝗎 | MATHEMATICAL SANS-SERIF SMALL U |
        | ♫sfv | 𝗏 | MATHEMATICAL SANS-SERIF SMALL V |
        | ♫sfw | 𝗐 | MATHEMATICAL SANS-SERIF SMALL W |
        | ♫sfx | 𝗑 | MATHEMATICAL SANS-SERIF SMALL X |
        | ♫sfy | 𝗒 | MATHEMATICAL SANS-SERIF SMALL Y |
        | ♫sfz | 𝗓 | MATHEMATICAL SANS-SERIF SMALL Z |
        | ♫sf0 | 𝟢 | MATHEMATICAL SANS-SERIF DIGIT ZERO |
        | ♫sfKP_0 | 𝟢 | MATHEMATICAL SANS-SERIF DIGIT ZERO |
        | ♫sf1 | 𝟣 | MATHEMATICAL SANS-SERIF DIGIT ONE |
        | ♫sfKP_1 | 𝟣 | MATHEMATICAL SANS-SERIF DIGIT ONE |
        | ♫sf2 | 𝟤 | MATHEMATICAL SANS-SERIF DIGIT TWO |
        | ♫sfKP_2 | 𝟤 | MATHEMATICAL SANS-SERIF DIGIT TWO |
        | ♫sf3 | 𝟥 | MATHEMATICAL SANS-SERIF DIGIT THREE |
        | ♫sfKP_3 | 𝟥 | MATHEMATICAL SANS-SERIF DIGIT THREE |
        | ♫sf4 | 𝟦 | MATHEMATICAL SANS-SERIF DIGIT FOUR |
        | ♫sfKP_4 | 𝟦 | MATHEMATICAL SANS-SERIF DIGIT FOUR |
        | ♫sf5 | 𝟧 | MATHEMATICAL SANS-SERIF DIGIT FIVE |
        | ♫sfKP_5 | 𝟧 | MATHEMATICAL SANS-SERIF DIGIT FIVE |
        | ♫sf6 | 𝟨 | MATHEMATICAL SANS-SERIF DIGIT SIX |
        | ♫sfKP_6 | 𝟨 | MATHEMATICAL SANS-SERIF DIGIT SIX |
        | ♫sf7 | 𝟩 | MATHEMATICAL SANS-SERIF DIGIT SEVEN |
        | ♫sfKP_7 | 𝟩 | MATHEMATICAL SANS-SERIF DIGIT SEVEN |
        | ♫sf8 | 𝟪 | MATHEMATICAL SANS-SERIF DIGIT EIGHT |
        | ♫sfKP_8 | 𝟪 | MATHEMATICAL SANS-SERIF DIGIT EIGHT |
        | ♫sf9 | 𝟫 | MATHEMATICAL SANS-SERIF DIGIT NINE |
        | ♫sfKP_9 | 𝟫 | MATHEMATICAL SANS-SERIF DIGIT NINE |
        | ♫sbB | 𝗕 | MATHEMATICAL SANS-SERIF BOLD CAPITAL B |
        | ♫sbC | 𝗖 | MATHEMATICAL SANS-SERIF BOLD CAPITAL C |
        | ♫sbD | 𝗗 | MATHEMATICAL SANS-SERIF BOLD CAPITAL D |
        | ♫sbE | 𝗘 | MATHEMATICAL SANS-SERIF BOLD CAPITAL E |
        | ♫sbF | 𝗙 | MATHEMATICAL SANS-SERIF BOLD CAPITAL F |
        | ♫sbG | 𝗚 | MATHEMATICAL SANS-SERIF BOLD CAPITAL G |
        | ♫sbH | 𝗛 | MATHEMATICAL SANS-SERIF BOLD CAPITAL H |
        | ♫sbI | 𝗜 | MATHEMATICAL SANS-SERIF BOLD CAPITAL I |
        | ♫sbJ | 𝗝 | MATHEMATICAL SANS-SERIF BOLD CAPITAL J |
        | ♫sbK | 𝗞 | MATHEMATICAL SANS-SERIF BOLD CAPITAL K |
        | ♫sbL | 𝗟 | MATHEMATICAL SANS-SERIF BOLD CAPITAL L |
        | ♫sbM | 𝗠 | MATHEMATICAL SANS-SERIF BOLD CAPITAL M |
        | ♫sbN | 𝗡 | MATHEMATICAL SANS-SERIF BOLD CAPITAL N |
        | ♫sbO | 𝗢 | MATHEMATICAL SANS-SERIF BOLD CAPITAL O |
        | ♫sbP | 𝗣 | MATHEMATICAL SANS-SERIF BOLD CAPITAL P |
        | ♫sbQ | 𝗤 | MATHEMATICAL SANS-SERIF BOLD CAPITAL Q |
        | ♫sbR | 𝗥 | MATHEMATICAL SANS-SERIF BOLD CAPITAL R |
        | ♫sbS | 𝗦 | MATHEMATICAL SANS-SERIF BOLD CAPITAL S |
        | ♫sbT | 𝗧 | MATHEMATICAL SANS-SERIF BOLD CAPITAL T |
        | ♫sbU | 𝗨 | MATHEMATICAL SANS-SERIF BOLD CAPITAL U |
        | ♫sbV | 𝗩 | MATHEMATICAL SANS-SERIF BOLD CAPITAL V |
        | ♫sbW | 𝗪 | MATHEMATICAL SANS-SERIF BOLD CAPITAL W |
        | ♫sbX | 𝗫 | MATHEMATICAL SANS-SERIF BOLD CAPITAL X |
        | ♫sbY | 𝗬 | MATHEMATICAL SANS-SERIF BOLD CAPITAL Y |
        | ♫sbZ | 𝗭 | MATHEMATICAL SANS-SERIF BOLD CAPITAL Z |
        | ♫SBA | 𝗔 | MATHEMATICAL SANS-SERIF BOLD CAPITAL A |
        | ♫SBB | 𝗕 | MATHEMATICAL SANS-SERIF BOLD CAPITAL B |
        | ♫SBC | 𝗖 | MATHEMATICAL SANS-SERIF BOLD CAPITAL C |
        | ♫SBD | 𝗗 | MATHEMATICAL SANS-SERIF BOLD CAPITAL D |
        | ♫SBE | 𝗘 | MATHEMATICAL SANS-SERIF BOLD CAPITAL E |
        | ♫SBF | 𝗙 | MATHEMATICAL SANS-SERIF BOLD CAPITAL F |
        | ♫SBG | 𝗚 | MATHEMATICAL SANS-SERIF BOLD CAPITAL G |
        | ♫SBH | 𝗛 | MATHEMATICAL SANS-SERIF BOLD CAPITAL H |
        | ♫SBI | 𝗜 | MATHEMATICAL SANS-SERIF BOLD CAPITAL I |
        | ♫SBJ | 𝗝 | MATHEMATICAL SANS-SERIF BOLD CAPITAL J |
        | ♫SBK | 𝗞 | MATHEMATICAL SANS-SERIF BOLD CAPITAL K |
        | ♫SBL | 𝗟 | MATHEMATICAL SANS-SERIF BOLD CAPITAL L |
        | ♫SBM | 𝗠 | MATHEMATICAL SANS-SERIF BOLD CAPITAL M |
        | ♫SBN | 𝗡 | MATHEMATICAL SANS-SERIF BOLD CAPITAL N |
        | ♫SBO | 𝗢 | MATHEMATICAL SANS-SERIF BOLD CAPITAL O |
        | ♫SBP | 𝗣 | MATHEMATICAL SANS-SERIF BOLD CAPITAL P |
        | ♫SBQ | 𝗤 | MATHEMATICAL SANS-SERIF BOLD CAPITAL Q |
        | ♫SBR | 𝗥 | MATHEMATICAL SANS-SERIF BOLD CAPITAL R |
        | ♫SBS | 𝗦 | MATHEMATICAL SANS-SERIF BOLD CAPITAL S |
        | ♫SBT | 𝗧 | MATHEMATICAL SANS-SERIF BOLD CAPITAL T |
        | ♫SBU | 𝗨 | MATHEMATICAL SANS-SERIF BOLD CAPITAL U |
        | ♫SBV | 𝗩 | MATHEMATICAL SANS-SERIF BOLD CAPITAL V |
        | ♫SBW | 𝗪 | MATHEMATICAL SANS-SERIF BOLD CAPITAL W |
        | ♫SBX | 𝗫 | MATHEMATICAL SANS-SERIF BOLD CAPITAL X |
        | ♫SBY | 𝗬 | MATHEMATICAL SANS-SERIF BOLD CAPITAL Y |
        | ♫SBZ | 𝗭 | MATHEMATICAL SANS-SERIF BOLD CAPITAL Z |
        | ♫sba | 𝗮 | MATHEMATICAL SANS-SERIF BOLD SMALL A |
        | ♫sbb | 𝗯 | MATHEMATICAL SANS-SERIF BOLD SMALL B |
        | ♫sbc | 𝗰 | MATHEMATICAL SANS-SERIF BOLD SMALL C |
        | ♫sbd | 𝗱 | MATHEMATICAL SANS-SERIF BOLD SMALL D |
        | ♫sbe | 𝗲 | MATHEMATICAL SANS-SERIF BOLD SMALL E |
        | ♫sbf | 𝗳 | MATHEMATICAL SANS-SERIF BOLD SMALL F |
        | ♫sbg | 𝗴 | MATHEMATICAL SANS-SERIF BOLD SMALL G |
        | ♫sbh | 𝗵 | MATHEMATICAL SANS-SERIF BOLD SMALL H |
        | ♫sbi | 𝗶 | MATHEMATICAL SANS-SERIF BOLD SMALL I |
        | ♫sbj | 𝗷 | MATHEMATICAL SANS-SERIF BOLD SMALL J |
        | ♫sbk | 𝗸 | MATHEMATICAL SANS-SERIF BOLD SMALL K |
        | ♫sbl | 𝗹 | MATHEMATICAL SANS-SERIF BOLD SMALL L |
        | ♫sbm | 𝗺 | MATHEMATICAL SANS-SERIF BOLD SMALL M |
        | ♫sbn | 𝗻 | MATHEMATICAL SANS-SERIF BOLD SMALL N |
        | ♫sbo | 𝗼 | MATHEMATICAL SANS-SERIF BOLD SMALL O |
        | ♫sbp | 𝗽 | MATHEMATICAL SANS-SERIF BOLD SMALL P |
        | ♫sbq | 𝗾 | MATHEMATICAL SANS-SERIF BOLD SMALL Q |
        | ♫sbr | 𝗿 | MATHEMATICAL SANS-SERIF BOLD SMALL R |
        | ♫sbs | 𝘀 | MATHEMATICAL SANS-SERIF BOLD SMALL S |
        | ♫sbt | 𝘁 | MATHEMATICAL SANS-SERIF BOLD SMALL T |
        | ♫sbu | 𝘂 | MATHEMATICAL SANS-SERIF BOLD SMALL U |
        | ♫sbv | 𝘃 | MATHEMATICAL SANS-SERIF BOLD SMALL V |
        | ♫sbw | 𝘄 | MATHEMATICAL SANS-SERIF BOLD SMALL W |
        | ♫sbx | 𝘅 | MATHEMATICAL SANS-SERIF BOLD SMALL X |
        | ♫sby | 𝘆 | MATHEMATICAL SANS-SERIF BOLD SMALL Y |
        | ♫sbz | 𝘇 | MATHEMATICAL SANS-SERIF BOLD SMALL Z |
        | ♫sb0 | 𝟬 | MATHEMATICAL SANS-SERIF BOLD DIGIT ZERO |
        | ♫sbKP_0 | 𝟬 | MATHEMATICAL SANS-SERIF BOLD DIGIT ZERO |
        | ♫sb1 | 𝟭 | MATHEMATICAL SANS-SERIF BOLD DIGIT ONE |
        | ♫sbKP_1 | 𝟭 | MATHEMATICAL SANS-SERIF BOLD DIGIT ONE |
        | ♫sb2 | 𝟮 | MATHEMATICAL SANS-SERIF BOLD DIGIT TWO |
        | ♫sbKP_2 | 𝟮 | MATHEMATICAL SANS-SERIF BOLD DIGIT TWO |
        | ♫sb3 | 𝟯 | MATHEMATICAL SANS-SERIF BOLD DIGIT THREE |
        | ♫sbKP_3 | 𝟯 | MATHEMATICAL SANS-SERIF BOLD DIGIT THREE |
        | ♫sb4 | 𝟰 | MATHEMATICAL SANS-SERIF BOLD DIGIT FOUR |
        | ♫sbKP_4 | 𝟰 | MATHEMATICAL SANS-SERIF BOLD DIGIT FOUR |
        | ♫sb5 | 𝟱 | MATHEMATICAL SANS-SERIF BOLD DIGIT FIVE |
        | ♫sbKP_5 | 𝟱 | MATHEMATICAL SANS-SERIF BOLD DIGIT FIVE |
        | ♫sb6 | 𝟲 | MATHEMATICAL SANS-SERIF BOLD DIGIT SIX |
        | ♫sbKP_6 | 𝟲 | MATHEMATICAL SANS-SERIF BOLD DIGIT SIX |
        | ♫sb7 | 𝟳 | MATHEMATICAL SANS-SERIF BOLD DIGIT SEVEN |
        | ♫sbKP_7 | 𝟳 | MATHEMATICAL SANS-SERIF BOLD DIGIT SEVEN |
        | ♫sb8 | 𝟴 | MATHEMATICAL SANS-SERIF BOLD DIGIT EIGHT |
        | ♫sbKP_8 | 𝟴 | MATHEMATICAL SANS-SERIF BOLD DIGIT EIGHT |
        | ♫sb9 | 𝟵 | MATHEMATICAL SANS-SERIF BOLD DIGIT NINE |
        | ♫sbKP_9 | 𝟵 | MATHEMATICAL SANS-SERIF BOLD DIGIT NINE |
        | ♫sbΑ | 𝝖 | MATHEMATICAL SANS-SERIF BOLD CAPITAL ALPHA |
        | ♫sbΒ | 𝝗 | MATHEMATICAL SANS-SERIF BOLD CAPITAL BETA |
        | ♫sbΓ | 𝝘 | MATHEMATICAL SANS-SERIF BOLD CAPITAL GAMMA |
        | ♫sbΔ | 𝝙 | MATHEMATICAL SANS-SERIF BOLD CAPITAL DELTA |
        | ♫sbΕ | 𝝚 | MATHEMATICAL SANS-SERIF BOLD CAPITAL EPSILON |
        | ♫sbΖ | 𝝛 | MATHEMATICAL SANS-SERIF BOLD CAPITAL ZETA |
        | ♫sbΗ | 𝝜 | MATHEMATICAL SANS-SERIF BOLD CAPITAL ETA |
        | ♫sbΘ | 𝝝 | MATHEMATICAL SANS-SERIF BOLD CAPITAL THETA |
        | ♫sbΙ | 𝝞 | MATHEMATICAL SANS-SERIF BOLD CAPITAL IOTA |
        | ♫sbΚ | 𝝟 | MATHEMATICAL SANS-SERIF BOLD CAPITAL KAPPA |
        | ♫sbΛ | 𝝠 | MATHEMATICAL SANS-SERIF BOLD CAPITAL LAMBDA |
        | ♫sbΜ | 𝝡 | MATHEMATICAL SANS-SERIF BOLD CAPITAL MU |
        | ♫sbΝ | 𝝢 | MATHEMATICAL SANS-SERIF BOLD CAPITAL NU |
        | ♫sbΞ | 𝝣 | MATHEMATICAL SANS-SERIF BOLD CAPITAL XI |
        | ♫sbΟ | 𝝤 | MATHEMATICAL SANS-SERIF BOLD CAPITAL OMICRON |
        | ♫sbΠ | 𝝥 | MATHEMATICAL SANS-SERIF BOLD CAPITAL PI |
        | ♫sbΡ | 𝝦 | MATHEMATICAL SANS-SERIF BOLD CAPITAL RHO |
        | ♫sbΤ | 𝝩 | MATHEMATICAL SANS-SERIF BOLD CAPITAL TAU |
        | ♫sbΥ | 𝝪 | MATHEMATICAL SANS-SERIF BOLD CAPITAL UPSILON |
        | ♫sbΦ | 𝝫 | MATHEMATICAL SANS-SERIF BOLD CAPITAL PHI |
        | ♫sbΧ | 𝝬 | MATHEMATICAL SANS-SERIF BOLD CAPITAL CHI |
        | ♫sbΨ | 𝝭 | MATHEMATICAL SANS-SERIF BOLD CAPITAL PSI |
        | ♫sbΩ | 𝝮 | MATHEMATICAL SANS-SERIF BOLD CAPITAL OMEGA |
        | ♫sbα | 𝝰 | MATHEMATICAL SANS-SERIF BOLD SMALL ALPHA |
        | ♫sbβ | 𝝱 | MATHEMATICAL SANS-SERIF BOLD SMALL BETA |
        | ♫sbγ | 𝝲 | MATHEMATICAL SANS-SERIF BOLD SMALL GAMMA |
        | ♫sbδ | 𝝳 | MATHEMATICAL SANS-SERIF BOLD SMALL DELTA |
        | ♫sbε | 𝝴 | MATHEMATICAL SANS-SERIF BOLD SMALL EPSILON |
        | ♫sbζ | 𝝵 | MATHEMATICAL SANS-SERIF BOLD SMALL ZETA |
        | ♫sbη | 𝝶 | MATHEMATICAL SANS-SERIF BOLD SMALL ETA |
        | ♫sbθ | 𝝷 | MATHEMATICAL SANS-SERIF BOLD SMALL THETA |
        | ♫sbι | 𝝸 | MATHEMATICAL SANS-SERIF BOLD SMALL IOTA |
        | ♫sbκ | 𝝹 | MATHEMATICAL SANS-SERIF BOLD SMALL KAPPA |
        | ♫sbλ | 𝝺 | MATHEMATICAL SANS-SERIF BOLD SMALL LAMBDA |
        | ♫sbμ | 𝝻 | MATHEMATICAL SANS-SERIF BOLD SMALL MU |
        | ♫sbν | 𝝼 | MATHEMATICAL SANS-SERIF BOLD SMALL NU |
        | ♫sbξ | 𝝽 | MATHEMATICAL SANS-SERIF BOLD SMALL XI |
        | ♫sbο | 𝝾 | MATHEMATICAL SANS-SERIF BOLD SMALL OMICRON |
        | ♫sbπ | 𝝿 | MATHEMATICAL SANS-SERIF BOLD SMALL PI |
        | ♫sbρ | 𝞀 | MATHEMATICAL SANS-SERIF BOLD SMALL RHO |
        | ♫sbς | 𝞁 | MATHEMATICAL SANS-SERIF BOLD SMALL FINAL SIGMA |
        | ♫sbσ | 𝞂 | MATHEMATICAL SANS-SERIF BOLD SMALL SIGMA |
        | ♫sbτ | 𝞃 | MATHEMATICAL SANS-SERIF BOLD SMALL TAU |
        | ♫sbυ | 𝞄 | MATHEMATICAL SANS-SERIF BOLD SMALL UPSILON |
        | ♫sbφ | 𝞅 | MATHEMATICAL SANS-SERIF BOLD SMALL PHI |
        | ♫sbχ | 𝞆 | MATHEMATICAL SANS-SERIF BOLD SMALL CHI |
        | ♫sbψ | 𝞇 | MATHEMATICAL SANS-SERIF BOLD SMALL PSI |
        | ♫sbω | 𝞈 | MATHEMATICAL SANS-SERIF BOLD SMALL OMEGA |
        | ♫sbϱ | 𝞎 | MATHEMATICAL SANS-SERIF BOLD RHO SYMBOL |
        | ♫sbϑ | 𝞋 | MATHEMATICAL SANS-SERIF BOLD THETA SYMBOL |
        | ♫sbϵ | 𝞊 | MATHEMATICAL SANS-SERIF BOLD EPSILON SYMBOL |
        | ♫sbϕ | 𝞍 | MATHEMATICAL SANS-SERIF BOLD PHI SYMBOL |
        | ♫sbϰ | 𝞌 | MATHEMATICAL SANS-SERIF BOLD KAPPA SYMBOL |
        | ♫sbU03D6 | 𝞏 | MATHEMATICAL SANS-SERIF BOLD PI SYMBOL |
        | ♫sb∂ | 𝞉 | MATHEMATICAL SANS-SERIF BOLD PARTIAL DIFFERENTIAL |
        | ♫sb∇ | 𝝯 | MATHEMATICAL SANS-SERIF BOLD NABLA |
        | ♫ith | ℎ | PLANCK CONSTANT |
        | T3(3)♫ith | ℏ | PLANCK CONSTANT OVER TWO PI |
        | T1(4)♫iti | 𝚤 | MATHEMATICAL ITALIC SMALL DOTLESS I |
        | ♫itT1(4)j | 𝚥 | MATHEMATICAL ITALIC SMALL DOTLESS J |
        | T1(4)♫itj | 𝚥 | MATHEMATICAL ITALIC SMALL DOTLESS J |
        | ♫it|D | ⅅ | DOUBLE-STRUCK ITALIC CAPITAL D |
        | ♫it|d | ⅆ | DOUBLE-STRUCK ITALIC SMALL D |
        | ♫it|e | ⅇ | DOUBLE-STRUCK ITALIC SMALL E |
        | ♫it|i | ⅈ | DOUBLE-STRUCK ITALIC SMALL I |
        | ♫it|j | ⅉ | DOUBLE-STRUCK ITALIC SMALL J |


* **klingon.module / klingon-kp.module** – Diese Module enthalten Sequenzen für das Setzen von klingonischen Zahlen bis zu 4000.
    Es gibt zwei Varianten: eine mit lateinischen Buchstaben (z.B. »wejSaD Hutvatlh HutmaH chorgh«) und eine mit Piquad-Buchstaben (etwa »«).

    Das Modul klingon-kp.module benutzt den Ziffernblock.

    ??? info "Tabelle der Sequenzen"

        | Eingabe | Ausgabe | Kommentar |
        | --- | --- | --- |
        | ♫k0␣ | pagh | KLINGON NUMERAL 0 |
        | ♫k1␣ | wa' | KLINGON NUMERAL 1 |
        | … | | |
        | ♫k3998 | wejSaD Hutvatlh HutmaH chorgh | KLINGON NUMERAL 3998 |
        | ♫k3999 | wejSaD Hutvatlh HutmaH Hut | KLINGON NUMERAL 3999 |
        | ♫K0␣ |  | KLINGON NUMERAL, PIQAD SCRIPT 0 |
        | ♫K1␣ |  | KLINGON NUMERAL, PIQAD SCRIPT 1 |
        | ♫K2␣ |  | KLINGON NUMERAL, PIQAD SCRIPT 2 |
        | … | | |
        | ♫K3998 |  | KLINGON NUMERAL, PIQAD SCRIPT 3998 |
        | ♫K3999 |  | KLINGON NUMERAL, PIQAD SCRIPT 3999 |


* **unicode.module / unicode-kp.module** – Ermöglicht das Setzen aller Unicode-Zeichen über ihre Codepoints.
    unicode-kp.module ist analog, nur mit den Zahlen des Ziffernblocks (oder auf der vierten Ebene)

    ??? info "Tabelle der Sequenzen"

        unicode-kp.module ist analog, nur mit den Zahlen des Ziffernblocks (oder auf der vierten Ebene)

        | Eingabe | Ausgabe | Kommentar |
        | --- | --- | --- |
        | ♫uu20␣ |   | SPACE |
        | ♫uu21␣ | ! | EXCLAMATION MARK |
        | ♫uu22␣ | \ | QUOTATION MARK |
        | ♫uu23␣ | # | NUMBER SIGN |
        | ♫uu24␣ | $ | DOLLAR SIGN |
        | ♫uu25␣ | % | PERCENT SIGN |
        | … | | |
        | ♫uuffee␣ | ￮ | HALFWIDTH WHITE CIRCLE |
        | ♫uufff9␣ | ￹ | INTERLINEAR ANNOTATION ANCHOR |
        | ♫uufffa␣ | ￺ | INTERLINEAR ANNOTATION SEPARATOR |
        | ♫uufffb␣ | ￻ | INTERLINEAR ANNOTATION TERMINATOR |
        | ♫uufffc␣ | ￼ | OBJECT REPLACEMENT CHARACTER |
        | ♫uufffd␣ | � | REPLACEMENT CHARACTER |

* **roman.module / roman-kp.module** – Diese Module enthalten Sequenzen für das Setzen von römischen Zahlen bis zu 4000.
    Es gibt zwei Varianten: eine mit kleinen Buchstaben (z.B. »ⅿⅿⅿⅽⅿⅹⅽⅴⅰⅰⅰ«) und eine mit Großbuchstaben (etwa »ⅯⅯⅯⅭⅯⅩⅭⅤⅠⅠⅠ«).

    Das Modul roman-kp.module benutzt den Ziffernblock.

    ??? info "Tabelle der Sequenzen"

        roman-kp.module ist analog, nur mit den Zahlen des Ziffernblocks (oder auf der vierten Ebene)

        | Eingabe | Ausgabe | Kommentar |
        | --- | --- | --- |
        | ♫r1␣ | ⅰ | SMALL ROMAN NUMERAL 1 |
        | ♫r2␣ | ⅰⅰ | SMALL ROMAN NUMERAL 2 |
        | ♫r3␣ | ⅰⅰⅰ | SMALL ROMAN NUMERAL 3 |
        | ♫r4␣ | ⅰⅴ | SMALL ROMAN NUMERAL 4 |
        | … | | |
        | ♫r3998 | ⅿⅿⅿⅽⅿⅹⅽⅴⅰⅰⅰ | SMALL ROMAN NUMERAL 3998 |
        | ♫r3999 | ⅿⅿⅿⅽⅿⅹⅽⅰⅹ | SMALL ROMAN NUMERAL 3999 |
        | ♫R1␣ | Ⅰ | ROMAN NUMERAL 1 |
        | ♫R2␣ | ⅠⅠ | ROMAN NUMERAL 2 |
        | … | | |
        | ♫R3997 | ⅯⅯⅯⅭⅯⅩⅭⅤⅠⅠ | ROMAN NUMERAL 3997 |
        | ♫R3998 | ⅯⅯⅯⅭⅯⅩⅭⅤⅠⅠⅠ | ROMAN NUMERAL 3998 |
        | ♫R3999 | ⅯⅯⅯⅭⅯⅩⅭⅠⅩ | ROMAN NUMERAL 3999 |

## Unterstützte Zeichen diverser Sprachen

| **Sprache**                        | **Erreichbarkeit des Zeichensatzes**   |
| :--- | :--- |
| Albanisch                          | tote Tasten genügen                    |
| Estnisch                           | tote Tasten genügen                    |
| Französisch                        | mit toten Tasten und Compose           |
| [Griechisch](../Tips/Griechisch.md)        | mit toten Tasten und Compose[^2]       |
| [IPA](../Tips/IPA-mit-Neo.md) (International Phonetic Alphabet) | mit toten Tasten und Compose, eingeschränkt[^5] |
| Isländisch                         | mit toten Tasten und Compose[^1]       |
| Italienisch                        | tote Tasten genügen                    |
| Katalanisch                        | tote Tasten genügen                    |
| Kroatisch                          | tote Tasten genügen[^1]                |
| kyrillisch                         | nein[^4]                               |
| Lettisch                           | tote Tasten genügen                    |
| Litauisch                          | tote Tasten genügen                    |
| Maltekisch                         | tote Tasten genügen                    |
| Norwegisch                         | mit toten Tasten und Compose           |
| Pinyin (Chinesische Transkription) | tote Tasten genügen                    |
| Polnisch                           | tote Tasten genügen                    |
| Portugiesisch                      | tote Tasten genügen                    |
| Rumänisch                          | tote Tasten genügen                    |
| Russisch (Transkription)           | tote Tasten genügen                    |
| Slowakisch                         | tote Tasten genügen                    |
| Slowenisch                         | tote Tasten genügen                    |
| Spanisch                           | tote Tasten genügen                    |
| Tschechisch                        | tote Tasten genügen                    |
| Türkisch                           | tote Tasten genügen                    |
| Ungarisch                          | tote Tasten genügen                    |
| Vietnamesisch                      | tote Tasten genügen[^3]                |
| Pannigerianisches Alphabet         | mit toten Tasten und Compose           |
| Afrika-Alphabet/Referenzalphabet   | mit toten Tasten und Compose           |

Das sieht ziemlich gut aus und erfüllt unser Ziel, die wichtigen Sprachen mit 
lateinischer Schrift zu ermöglichen. Wenn Compose (♫) benötigt wird, liegt 
dies in der Regel an Ligaturen wie æ oder œ.

[^1]: Das isländische Eth (ð/Ð) wird mit ♫dh/♫DH erzeugt. Unter Windows ist ð auch mit T3(1),d erreichbar.
Das kroatische/serbische/… D mit Querstrich (Đ/đ) wird mit dem toten Querstrich (auf Mod3+Akut) + d/D oder über Compose (♫-D und ♫/D) erzeugt. 

[^2]: Umständliche Composekombinationen für griechische Großbuchstaben, z.B. ♫gA.

[^3]: außer den lateinischen Buchstaben gibt es Ð und đ sowie die Vokale ăâêôơư. Inklusive der fünf Tonzeichen (`´˜.?) ergibt sich daraus: áàảãạ ăắằẳẵặ âấầẩẫậ éèẻẽẹ êếềểễệ íìỉĩị óòỏõọ ôốồổỗộ ơớờởỡợ úùủũụ ưứừửữự ýỳỷỹỵ.)

[^4]: Es gibt einen inoffiziellen Kyrillisch-Modus, siehe [Sprachen mit Neo](../Tips/Sprachen-mit-Neo.md#kyrillisch-mit-neo)

[^5]: Es fehlen lediglich U+0319 COMBINING RIGHT TACK BELOW, U+0318 COMBINING LEFT TACK BELOW und evtl. U+0334 COMBINING TILDE OVERLAY.


## Darstellung von Tastenkombinationen
Für die Darstellung der toten Tasten gibt es zwei Möglichkeiten: Wird nach einer toten Taste ein normales (␣) Leerzeichen eingegeben, erhält man eine normal große Darstellung des Zeichens (sofern vorhanden); wird hingegen ein geschütztes Leerzeichen (⍽) eingegeben, erhält man das sogenannte modifizierende Zeichen[^6], welches dem Akzent optisch am nächsten kommt. Zum direkten Vergleich:
  
  - ++T1++ ␣ → `^`
  - ++T1++ ⍽ → `ˆ` (dasselbe Dach wie in »â«).


## Kombinierende Zeichen
Durch zweifaches Drücken einer toten Taste nacheinander wird ein *kombinierendes Zeichen*[^7] erzeugt, das nicht eigenständig ist, sondern über ein vorhergehendes Zeichen drübergelegt und zu einem Zeichen verbunden wird (siehe [Wikipedia](https://de.wikipedia.org/wiki/Kombinierendes_Zeichen)). Diese Eingabevariante ermöglicht es, seltene diakritische Zeichen zu erzeugen oder mehrfache Diakritika auf ein Zeichen zu setzen.

Entgegengesetzt zur direkten Nutzung der Tottasten für Zeichen wie »à« wird hierbei *erst* der fragliche Buchstabe getippt und *danach* das kombinierende Zeichen. Weitere Diakritika auf demselben Buchstaben ergänzt man entsprechend. Das Zeichen ȩ̂ (e mit Zirkumflex und Cedille) entsteht z.B. über ++e++, ++T1++, ++T1++, ++Shift+T2++, ++Shift+T2++.

**Achtung:** Nicht alle Eingabefelder unterstützen diese Art der Eingabe oder zeigen die resultierenden Zeichen korrekt an.

[^6]: Bezeichnung im Unicode-Standard: Spacing Modifier Letter
[^7]: Bezeichnung im Unicode-Standard: Combining Character


## Empfohlene Schriftarten
Oftmals ist auf dem benutzten Betriebssystem (Windows wie Linux) in der Grundinstallation keine Schrift installiert, die alle hier gezeigten Unicodezeichen beinhaltet. In diesem Fall sollten [geeignete Schriftarten](../Tips/Schriftarten.md) installiert werden.

Zudem kann es eventuell helfen, die Datei in einem anderen Editor oder Browser darzustellen, der die in der aktuellen Schrift nicht vorhandene Zeichen durch eine andere Schrift (in der sie vorhanden sind) automatisch ersetzen kann.
